GNU bug report logs - #55104
[PATCH 000/232] Update IPython to latest, fix texlive-polyglossia, add more

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Keywords: patch; Done: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 55104 <at> debbugs.gnu.org and Maxim Cournoyer <maxim.cournoyer@HIDDEN> Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 12 May 2022 01:31:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 21:31:54 2022
Received: from localhost ([127.0.0.1]:38883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noxgI-0004p3-BW
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 21:31:54 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:41566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1noxgG-0004oi-E9
 for 55104 <at> debbugs.gnu.org; Wed, 11 May 2022 21:31:52 -0400
Received: by mail-qk1-f173.google.com with SMTP id k8so3633976qki.8
 for <55104 <at> debbugs.gnu.org>; Wed, 11 May 2022 18:31:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+PUe2p6Y9OGJSP2wCTyrCO4Pg24/RtwGLwLBltiNLTg=;
 b=P0nQm+fXx9GQBTVCYyQwu+7rWkPNyR7yJQU9sPnvaokSzq6jSKkDnI+rSdZXotmk52
 jazlfDFNGxtC2YNXNHzaTNd5dlX7D+FZBsPF1GpiehCx81FQAJlWZM7jsIvgDhKAz2GI
 Qi29MCaspTAQtJW3KMSuEPpVbOxxgVVsYQNO9NlGlLB3lZQePP/iyTBUW9OOCSZ/w653
 XIwj7FFCMJ0ZLokvcLJdPrc8bKZXM6Avun0ymGOS2GXvZjy0dGfMR0/5+nttOX9P0c/I
 HhfVpKhtL1Q15iHVg5iEW5rLzedG+wXml0DXB9ZAp+23Ql6Abbz9GCLz6tCtkLY80DLo
 7KUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=+PUe2p6Y9OGJSP2wCTyrCO4Pg24/RtwGLwLBltiNLTg=;
 b=mf7MEIWFGuDbklms3C9T8TA+jgCQ29ak4DkFvaR4OgDAvFwn02mFl2uEKF/WJ0Bm0x
 uoTKf6QyicZXD2oupso6Pp7owMqsKi4yJJFnWYO2E/fdaNGt119WeDesI7cgShE66otn
 fkRQcIsQooE+Jm1WA20aAwMeceBMuCGbJd99y4q3qdzo7lonbJZRlE+hf2MM901tFE1Z
 AalzXF9k2Vdm+XVdiJi4CzRcvW0ajJCEcPfhv/yJr5XsKa7aLTs0IOSITBzRn24AvPez
 zWCDACGx76dMj2huo2ME0R0/v6vLD4TbGiZD02mP/1omz2s3IHTaqxOsOLba5OcWAY7E
 eLjw==
X-Gm-Message-State: AOAM531WQmk3AdWf3PPrAMBpR1C39GxcSyVV7goLfjxsxLEiTHyou9ci
 /JKO2LbBK3Bu3/s/KJ96r+ipIDfJLGoI3g==
X-Google-Smtp-Source: ABdhPJzJ3FCkDPO/bSuHJKADb/pvwfnHZQQPLvH77hVWzP2H6Rtz0oQANFz/JvF9mXbQEU3jMMiTTg==
X-Received: by 2002:a37:658f:0:b0:69f:d94e:46c4 with SMTP id
 z137-20020a37658f000000b0069fd94e46c4mr20671887qkb.52.1652319106671; 
 Wed, 11 May 2022 18:31:46 -0700 (PDT)
Received: from hurd (dsl-153-173.b2b2c.ca. [66.158.153.173])
 by smtp.gmail.com with ESMTPSA id
 l20-20020ac87254000000b002f39b99f687sm2022844qtp.33.2022.05.11.18.31.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 11 May 2022 18:31:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <YmZvtT1jTcwTUFw7@HIDDEN> <87bkwp2tjt.fsf@HIDDEN>
 <YmehGwhQVLAPRVsh@HIDDEN> <87tuafnrwq.fsf@HIDDEN>
 <YmkuEal6qjTejRqy@HIDDEN>
Date: Wed, 11 May 2022 21:31:45 -0400
In-Reply-To: <YmkuEal6qjTejRqy@HIDDEN> (Lars-Dominik Braun's message
 of "Wed, 27 Apr 2022 13:50:41 +0200")
Message-ID: <87pmkjpmda.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Lars-Dominik Braun <lars@HIDDEN> writes:

> Hi Maxim,
>
>> OK, thanks!
> see patches attached.
>
> Cheers,
> Lars

I've pushed the patches to the wip-ipython-polyglossia branch with minor
changes (indentation fixes and wrapping lines at 80 columns).  I've
opted to update python-multidict to latest instead of adding a variant
for it, since there were not many dependents and they seem happy with
it.

Unfortunately Cuirass doesn't seem in a good state, but hopefully I can
merge the branch real soon!

Thank you,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 27 Apr 2022 11:50:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 07:50:59 2022
Received: from localhost ([127.0.0.1]:41379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njgCA-0000R7-GW
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 07:50:59 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:54647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1njgC8-0000Qt-F2
 for 55104 <at> debbugs.gnu.org; Wed, 27 Apr 2022 07:50:57 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4KpHBf1TtKz9sWC;
 Wed, 27 Apr 2022 13:50:50 +0200 (CEST)
Date: Wed, 27 Apr 2022 13:50:41 +0200
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1651060248;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=PtSL8yV9ok6uN+G7SZCqP8Qj6vDmm/RD9ZHx7bNikUo=;
 b=A0c37uBCHZiuFqTOI6QxQCEeC5Fmu7m/c26MS3w3pI8FyUtZE5ULxj5R2oLqb1I9YZvrx/
 jkFl2x6ypmqJzXopTNR3NEVMa0pw+Bf1kLyCzxFB/SxwfsNtLdk2Ru9KQ96Xec865PyDOs
 LWFpFF2g2k1bB0wC/VgOBG6aTGK0iT+JKr7Dy58sZbcDGN98Evm5UeZgbfQ3+gXAzUQbej
 BYRs7snbPKn6kWK2nSTNH9pUoFXDlx1g/ST/TP5fCkB8W5AYkWD8Iy3ITs4pq2ETHJvCJ4
 Cfzf3XopGVWmKHh2NTC1seDB9PJPAuPNOL5TEZOL27Uoi5bWms4Vy8vKvqm+6g==
From: Lars-Dominik Braun <lars@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
Message-ID: <YmkuEal6qjTejRqy@HIDDEN>
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <YmZvtT1jTcwTUFw7@HIDDEN> <87bkwp2tjt.fsf@HIDDEN>
 <YmehGwhQVLAPRVsh@HIDDEN> <87tuafnrwq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="A1hqumNlvOE5FF92"
Content-Disposition: inline
In-Reply-To: <87tuafnrwq.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Hi Maxim,

> OK, thanks!
see patches attached.

Cheers,
Lars


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0001-gnu-python-pytest-sanic-Update-to-1.9.1.patch"

From 7f4cef6d4446284af90965515bd5a89fa2829c25 Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Wed, 27 Apr 2022 09:44:34 +0200
Subject: [PATCH 1/6] gnu: python-pytest-sanic: Update to 1.9.1.

* gnu/packages/python-check.scm (python-pytest-sanic): Update to 1.9.1.
---
 gnu/packages/python-check.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 5fec85b1ba..ef70d9c3d8 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -1984,13 +1984,13 @@ (define-public python-stestr
 (define-public python-pytest-sanic
   (package
     (name "python-pytest-sanic")
-    (version "1.7.0")
+    (version "1.9.1")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "pytest-sanic" version))
               (sha256
                 (base32
-                  "0hm7im77dgqfk8k34qbbfhimg8hifl4zwpa2s3mgbknrjvyw5qpx"))))
+                  "0shq1bqnydj0l3ipb73j1qh5kqcjvzkps30zk8grq3dwmh3wmnkr"))))
     (build-system python-build-system)
     (arguments
      ;; Tests depend on python-sanic.
-- 
2.35.1


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0006-gnu-python-sanic-Update-to-21.12.1.patch"

From eefa6b2658122bf320de610b911fcbdfa6bf835d Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Wed, 27 Apr 2022 09:51:09 +0200
Subject: [PATCH 6/6] gnu: python-sanic: Update to 21.12.1.

* gnu/packages/python-web.scm (python-sanic): Update to 21.12.1.
[arguments]<#:phases>: Remove 'use-recent-pytest, update skipped tests in
'check.
[propagated-inputs]: Remove python-httpx, replace python-multidict with
python-multidict-5, add python-sanic-routing.
[native-inputs]: Add python-bandit, python-chardet, python-isort and
python-sanic-testing. Remove python-hstspreload, python-httpcore,
python-pytest-cov and python-urllib3.
---
 gnu/packages/python-web.scm | 53 ++++++++++++++++++++-----------------
 1 file changed, 28 insertions(+), 25 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index b2769306be..0d6118ed0d 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -86,6 +86,7 @@ (define-module (gnu packages python-web)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libffi)
   #:use-module (gnu packages node)
+  #:use-module (gnu packages openstack)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
@@ -6386,53 +6387,55 @@ (define-public python-sanic-testing
 (define-public python-sanic
   (package
     (name "python-sanic")
-    (version "20.12.4")
+    ;; We provide the latest LTS version of python-sanic.
+    (version "21.12.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "sanic" version))
        (sha256
         (base32
-         "0axfc151s7nrykzypzciyvkxxrs5ayx8kxv4r620hjb9w3jjhfnp"))))
+         "0b8mcd1q9qkwcv2qz8nlyaacs0bp7a1l31sdq2m8hhkxykzfq5bg"))))
     (build-system python-build-system)
     (arguments
-     '(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'use-recent-pytest
-           ;; Allow using recent dependencies.
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* "setup.py"
-               (("pytest==5.2.1") "pytest")
-               (("multidict>=5.0,<6.0") "multidict")
-               (("httpx==0\\.15\\.4") "httpx"))
-             #t))
-         (replace 'check
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (add-installed-pythonpath inputs outputs)
-             (invoke "pytest" "-vv" "./tests" "-k"
-                     (string-append "not test_zero_downtime "
-                                    "and not test_gunicorn_worker "
-                                    "and not test_logo_")))))))
+      (list
+       #:phases
+         #~(modify-phases %standard-phases
+           (replace 'check
+             (lambda* (#:key tests? #:allow-other-keys)
+               (when tests?
+                 (invoke "pytest" "-vv" "./tests" "-k"
+                         (string-append
+                           ;; PyPi sources lack examples module.
+                           "not test_gunicorn_"
+                           ;; Does not expect brotli and reordered headers.
+                           " and not test_raw_headers"
+                           ;; These look like buggy testcases.
+                           " and not test_zero_downtime"
+                           " and not test_non_default_uvloop_config_raises_warning"
+                           " and not test_listeners_triggered"
+                           " and not test_keep_alive_connection_context"
+                           " and not test_keep_alive_client_timeout"))))))))
     (propagated-inputs
      (list python-aiofiles
            python-httptools
-           python-httpx
-           python-multidict
+           python-multidict-5
+           python-sanic-routing
            python-ujson
            python-uvloop
            python-websockets))
     (native-inputs
      (list gunicorn
+           python-bandit
            python-beautifulsoup4
-           python-hstspreload
-           python-httpcore
+           python-chardet
+           python-isort
            python-pytest
-           python-pytest-cov
            python-pytest-benchmark
            python-pytest-sanic
            python-pytest-sugar
            python-pytest-asyncio
-           python-urllib3
+           python-sanic-testing
            python-uvicorn))
     (home-page
      "https://github.com/sanic-org/sanic/")
-- 
2.35.1


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0005-gnu-Add-python-sanic-testing.patch"

From b8373146955fca9fb6925af10bd2541f5745f795 Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Wed, 27 Apr 2022 09:50:22 +0200
Subject: [PATCH 5/6] gnu: Add python-sanic-testing.

* gnu/packages/python-web.scm (python-sanic-testing): New variable.
---
 gnu/packages/python-web.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 83be0176f4..b2769306be 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -6361,6 +6361,28 @@ (define-public python-sanic-routing
 the @code{BasicRouter}.")
     (license license:expat)))
 
+(define-public python-sanic-testing
+  (package
+    (name "python-sanic-testing")
+    (version "22.3.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "sanic-testing" version))
+        (sha256
+          (base32 "1vkgi9d3xyik507j4jy9s74mkl81hgx3c2d5y3aa1av9h6wjjivp"))))
+    (build-system python-build-system)
+    (arguments
+      ;; PyPi sources does not contain tests, recursive dependency on python-sanic.
+      (list #:tests? #f))
+    (propagated-inputs (list python-httpx python-sanic-bootstrap python-websockets))
+    (home-page "https://github.com/sanic-org/sanic-testing/")
+    (synopsis "Test clients for Sanic")
+    (description "Internal package for @code{python-sanic}, which is
+meant to be the core testing utility and clients for testing Sanic
+applications.")
+    (license license:expat)))
+
 (define-public python-sanic
   (package
     (name "python-sanic")
-- 
2.35.1


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0003-gnu-Add-python-sanic-routing.patch"

From 47997c9f641e8ab85a39167e91810243106dab30 Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Wed, 27 Apr 2022 09:48:24 +0200
Subject: [PATCH 3/6] gnu: Add python-sanic-routing.

* gnu/packages/python-web.scm (python-sanic-routing): New variable.
---
 gnu/packages/python-web.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index bf31b9dc74..6ffec0d91b 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -6341,6 +6341,26 @@ (define-public python-hstspreload
 as a Python package.")
     (license license:bsd-3)))
 
+(define-public python-sanic-routing
+  (package
+    (name "python-sanic-routing")
+    (version "0.7.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "sanic-routing" version))
+        (sha256
+          (base32 "0k9paln0jd4sc2bklp977c82n29pk12wiv726siplkh57y5yi70k"))))
+    (build-system python-build-system)
+    (arguments
+      ;; PyPi sources does not contain tests, recursive dependency on python-sanic.
+      (list #:tests? #f))
+    (home-page "https://github.com/sanic-org/sanic-routing/")
+    (synopsis "Routing component for Sanic")
+    (description "Internal package for @code{python-sanic}, which provides
+the @code{BasicRouter}.")
+    (license license:expat)))
+
 (define-public python-sanic
   (package
     (name "python-sanic")
-- 
2.35.1


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0002-gnu-Add-python-multidict-5.patch"

From 0d8a6d6405217af07a7ca28e8a7c8aea1e3d08dc Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Wed, 27 Apr 2022 09:45:48 +0200
Subject: [PATCH 2/6] gnu: Add python-multidict-5.

Incompatible with version 4.

* gnu/packages/python-xyz.scm (python-multidict-5): New variable.
---
 gnu/packages/python-xyz.scm | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 2898b0da6e..a79cc7ea1d 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7068,6 +7068,18 @@ (define-public python-multidict
 where key might be occurred more than once in the container.")
     (license license:asl2.0)))
 
+(define-public python-multidict-5
+  (package
+    (inherit python-multidict)
+    (version "5.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "multidict" version))
+       (sha256
+        (base32
+         "1kjrxav572j45xvr1iy60zb2g8zqvrinzdkl4ax36js4vczckl8d"))))))
+
 (define-public python-orderedmultidict
   (package
     (name "python-orderedmultidict")
-- 
2.35.1


--A1hqumNlvOE5FF92
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0004-gnu-Add-python-sanic-bootstrap.patch"

From 51b618907c0ed986dfcd396c52c949b0b6f89d20 Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Wed, 27 Apr 2022 09:49:13 +0200
Subject: [PATCH 4/6] gnu: Add python-sanic-bootstrap.

* gnu/packages/python-web.scm (python-sanic-bootstrap): New variable.
---
 gnu/packages/python-web.scm | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 6ffec0d91b..83be0176f4 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -6423,6 +6423,13 @@ (define-public python-sanic
 your code non-blocking and speedy.")
     (license license:expat)))
 
+(define-public python-sanic-bootstrap
+  (package
+     (inherit python-sanic)
+     (name "python-sanic-bootstrap")
+     (arguments (list #:tests? #f))
+     (native-inputs '())))
+
 (define-public python-socketio
   (package
     (name "python-socketio")
-- 
2.35.1


--A1hqumNlvOE5FF92--




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 27 Apr 2022 03:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 23:09:50 2022
Received: from localhost ([127.0.0.1]:40892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njY3p-0001fR-Sk
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 23:09:50 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:43566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1njY3n-0001fC-TB
 for 55104 <at> debbugs.gnu.org; Tue, 26 Apr 2022 23:09:48 -0400
Received: by mail-qk1-f177.google.com with SMTP id 79so446550qkk.10
 for <55104 <at> debbugs.gnu.org>; Tue, 26 Apr 2022 20:09:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=iURA6KE5pVeKz3bpU30oDn6W/+L5oHGmbh+hbpizkmM=;
 b=O7sK+8oGkd7dMIOjWPqEDXeVBHi16+a8s9A+yGG0PaY7m5wfSazR0V+Hoj3Xhz/SXA
 cldnEEq54ekXQubB5dTPH8TbUTHNhjS8TgSQmKR1gHJlFKyVNr1LpW5WGqvARF8upuCC
 yxxpLNJT3Lwwr+i+FBfSlefxMUwzBTkogCA5RZCEaYzuVy26OriIPqnAhWPlrgKzU0qV
 N1MGGyo5V+Uqhc6QTRlv1c6a1DGl/GaaX+Ujzc2I1m8wbbHI7Dgo8daOzB+pPd447Ci8
 Ep3a2QgnHCdO7kZ/GVS+4PaK7Ja4eFvSopqBxLlGG911dxTWgrRZAGIZh49tfIhW0jE9
 Rfgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=iURA6KE5pVeKz3bpU30oDn6W/+L5oHGmbh+hbpizkmM=;
 b=vsb9+wFnST4tq/kICsnuQQ2TYRf2Wmx1JezZ0/WRDXiGo5eK8Po4vzapT/A29AztCf
 u2Mq/0bXPNe8f64pGyltHuiYlDX+ldJJEm8Eo1YtCjZdR+31t+QT4nFwc2qXhJeoil28
 zByAipfNsXgpg07uyq4BzbXwPGabDIvnMRdm41sD5XINPgxNLPmHHN6BAcnawnTnfZDi
 Bk7Td6Qi3R1SHvT4cjfzlGyTCuRQ5V3TuzcbeYQJCsc4DPPkjkg8dEKwHZnrKjfdRO0B
 wYNM0/0EtkHLEmKjbf0wEOsAXv5aIlLzIYEQpSszihGgviX3Wgv5LFU0XWUJ3kwlK8b9
 7c5w==
X-Gm-Message-State: AOAM5323PoN46AcJ2BTksFXY3RiIsA8sO1XMWgNzC7U+VHz8uE7biXGT
 BK/6WKKp6hUuALpoMXcCPiq83BTATGug9g==
X-Google-Smtp-Source: ABdhPJxPtPDakATyna0M2YxbcWZOcXapWJrZ9qSlN7U6wH8GmsFunsF5CZs8IMsNmpD2MXCWZM+TSA==
X-Received: by 2002:a37:bbc4:0:b0:69b:db2c:c962 with SMTP id
 l187-20020a37bbc4000000b0069bdb2cc962mr15155123qkf.565.1651028982214; 
 Tue, 26 Apr 2022 20:09:42 -0700 (PDT)
Received: from hurd (dsl-150-50.b2b2c.ca. [66.158.150.50])
 by smtp.gmail.com with ESMTPSA id
 e16-20020ac85990000000b002f3772de70asm2667294qte.69.2022.04.26.20.09.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 26 Apr 2022 20:09:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <YmZvtT1jTcwTUFw7@HIDDEN> <87bkwp2tjt.fsf@HIDDEN>
 <YmehGwhQVLAPRVsh@HIDDEN>
Date: Tue, 26 Apr 2022 23:09:41 -0400
In-Reply-To: <YmehGwhQVLAPRVsh@HIDDEN> (Lars-Dominik Braun's message
 of "Tue, 26 Apr 2022 09:36:59 +0200")
Message-ID: <87tuafnrwq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars-Dominik,

Lars-Dominik Braun <lars@HIDDEN> writes:

> Hi Maxim,
>
>> One quick visual way to screen for big new groups of failed packages is
>> to compare the dashboards, e.g.:
> I=E2=80=99m not sure =E2=80=9Ceyeballing=E2=80=9D these kind of changes i=
s a good idea. On
> the other hand I don=E2=80=99t have a better tool available right now eit=
her,
> so yeah=E2=80=A6 :(

I did also browse one by one the failures, but only carefully for
x86_64, and summarily for other arches.  This allowed me to catch some
failing tests in numpy for i686-linux, for example.

> python-sanic (which we use) is also failing to build. Maybe we have to
> upgrade that as well. I will try to fix it and send patches.

OK, thanks!

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 26 Apr 2022 11:21:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 07:21:20 2022
Received: from localhost ([127.0.0.1]:37228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njJFw-0004mL-9p
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 07:21:20 -0400
Received: from mail-pf1-f178.google.com ([209.85.210.178]:45700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1njJFu-0004lL-6B
 for 55104 <at> debbugs.gnu.org; Tue, 26 Apr 2022 07:21:18 -0400
Received: by mail-pf1-f178.google.com with SMTP id h1so17667536pfv.12
 for <55104 <at> debbugs.gnu.org>; Tue, 26 Apr 2022 04:21:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=rnKtVqGQXqnODZTB+93mC4//6B4MlPSOSI2WxCbTTeU=;
 b=DQP7RVrW9t8S7RgluaAeZWNn4ASREBFhs2Z7qTlQibk6/mB4r/d4MCBws/JiN6PD70
 y9zL6J9QI4R6TQGRXqZW7o/8+GeLm76rl80EbEzLR42+1HwuuwmVsI37R17lIcXz7ROn
 cZztXh+YYnTO/pULPUNIPjROqEwxmygPNUBjhoWMDfWmKFr9tMvsj3V9UhJUrzAYOfBe
 GgJZbBK6p9SmJyAX+Q9fAjt+l0F1EM0Y9bCjOKINp/WyGh7caVGNp9fxZW15F+pEtQLj
 NldDz9hh5ZzHqERaVtntIVGkLyVg08Std+Ml+Gge2/H/CNqvbln1A4Knwi3EGBqE1OaG
 y6EA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=rnKtVqGQXqnODZTB+93mC4//6B4MlPSOSI2WxCbTTeU=;
 b=5JgSWlY35EcEuz65xxhFiC4znfvWN6jeKvgwvfN32/WK6mhzjL1ycBbo7eK4XoJIF2
 eE0BGJWrOqNbiG5NQXqTXVbw+Vx4DCLSJgwzn5qTG592IOD59sOPin4chiS+gNJeI0ra
 M/yFph4cNyYXbtsnBm4KCp6IM5jVneeJ60Fyut3PR8IBUAvcGxequQMxvwJwpnKjGlZT
 LuhMf2kELQM3gphAoq9WHELFcTueyBaLzCeB80TLam+Cw2/H/3cEBTWvNhaTunmZsyKS
 mVQgGy9OZkLxYkLOPGgjRtYmtXehoPH9NUhtf8J38gFzRSXeHS8YQtlwR2M858smsfdy
 7QHg==
X-Gm-Message-State: AOAM530N0KtBZzulVWOXYfETEd+ou7m85ns2OKbU+8dyusfs902stdao
 0/RZZE0TPGEQIQsGuzfZ1eF014tB3j4Ya2GoJgw=
X-Google-Smtp-Source: ABdhPJz5Q/SDxd3X/jKIkvFKmTkcVVXJGpJ9p0rytX5gzoxUtYKiVvVArzxZhCF+PWR6FSR2gQnSuXA1YvzFoY0Y0dM=
X-Received: by 2002:a65:5c48:0:b0:382:2c7:28e9 with SMTP id
 v8-20020a655c48000000b0038202c728e9mr19525218pgr.472.1650972072400; Tue, 26
 Apr 2022 04:21:12 -0700 (PDT)
MIME-Version: 1.0
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <YmZvtT1jTcwTUFw7@HIDDEN> <87bkwp2tjt.fsf@HIDDEN>
In-Reply-To: <87bkwp2tjt.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 26 Apr 2022 13:21:00 +0200
Message-ID: <CAJ3okZ2RUv8E=VaGFONjM0Jgi+yhTYuinRi=budiKTnPsXKMPg@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org, Lars-Dominik Braun <lars@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Maxim,

Thanks for this big update. :-)

On Mon, 25 Apr 2022 at 15:16, Maxim Cournoyer <maxim.cournoyer@HIDDEN> wrote:

> It seems to be that most failures were already there on master (some
> caused by the recent PyYAML update).  I've fixed some on my branch,
> which may explain why the total succeeded builds is higher than master
> (76% vs 67%, as seen in the "Jobs" column at https://ci.guix.gnu.org/).

About PyYAML, please give a look at:

    https://issues.guix.gnu.org/54934


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 26 Apr 2022 07:37:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 03:37:13 2022
Received: from localhost ([127.0.0.1]:36808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njFl3-0007rb-4u
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 03:37:13 -0400
Received: from mout-p-202.mailbox.org ([80.241.56.172]:40286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1njFl0-0007rM-Hq
 for 55104 <at> debbugs.gnu.org; Tue, 26 Apr 2022 03:37:11 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4KnYcJ0qsWz9sTG;
 Tue, 26 Apr 2022 09:37:04 +0200 (CEST)
Date: Tue, 26 Apr 2022 09:36:59 +0200
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1650958622;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=LcnQ0CFDEQ9/VcCLsdecALJCUJzaH25Apv7a/aE8CRs=;
 b=TDLtWHQMQ5Kb6fKXCzkhO0kY0yfMYf+AzY2osf+5oCPPDMzCfuwyRFcPP3/d2wkVOJV1vi
 fcoY9bTO8XRw5F/f3AxI1oaiogyLQFY8wYQ2Yax7ahFHSGb027mRXo3nkOBvOltrldjeJo
 RyUvfV4PgAlEQMTumbItuR0IjAoi4xtytSC3SPNDOa8bZybz3Dmh4yL8hh+u1losibgShD
 qxQFgvqR7elH+2sf92iyhT9bKKcG6hEyBIe7Afb/jUhWDaHG6b2e+Cfu2+mXyDBgI6x6Nb
 PhtCQk6dwT9Re6GUPaGsn04i7CVSpuHDWLgGSj+qVv2k44WJN1ujQ8x8wGYzpg==
From: Lars-Dominik Braun <lars@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
Message-ID: <YmehGwhQVLAPRVsh@HIDDEN>
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <YmZvtT1jTcwTUFw7@HIDDEN> <87bkwp2tjt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87bkwp2tjt.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Maxim,

> One quick visual way to screen for big new groups of failed packages is
> to compare the dashboards, e.g.:
I’m not sure “eyeballing” these kind of changes is a good idea. On
the other hand I don’t have a better tool available right now either,
so yeah… :(

python-sanic (which we use) is also failing to build. Maybe we have to
upgrade that as well. I will try to fix it and send patches.

Cheers,
Lars





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 13:23:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 09:23:52 2022
Received: from localhost ([127.0.0.1]:33642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niygy-0002SM-NF
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 09:23:52 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:38843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niygx-0002SA-KG
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 09:23:51 -0400
Received: by mail-qv1-f47.google.com with SMTP id ke5so9519813qvb.5
 for <55104 <at> debbugs.gnu.org>; Mon, 25 Apr 2022 06:23:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ziC25JWZFJcofIikqcnxnFg4W2t5PoNIQ+yoC5wxYVg=;
 b=UCp+GAsXuLc7a4UjutVf+fSRVgAgsbZgAnha/ssgvCYpZcuVMdkPqaatAEo9qvC5Qg
 zxq5HLtQwLM+pE5TMX7jjLeYGNir42o/E9jbWsnojR+u5gpnhhQSBHDeiMUYYUczOuBo
 3MJF5cbogUG9e2l/iSHtU/6LN1D4Vtij8t2Icx+NbunybXXh1sxhsFEZmqV7BVEw26+A
 SEEy7dOoHWXP4JFXYiNfKS7S/4YyQORaOC3RP/ZZY2Gl0/kpy+gTriN8HmjWQAKdgq3I
 eY7ImGLc+MXujgmif9RMKn0Nq7WiSAbpSJcOYJ1l6KsvRpYTWWiXY18y8EQuG7s4WXqj
 hhxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ziC25JWZFJcofIikqcnxnFg4W2t5PoNIQ+yoC5wxYVg=;
 b=egVM5xTGMqWV0YehEcDhRA/tHVRy4WmFLBMsALgFosFRoGLwA43QOknEseuB5lBO4+
 Th9vgpAtZrslTHr2qw9CgsVBh5qHur1ve6vJ71X2IwLqAF95xpYGgb5AZV06G0Kl26Dl
 Dd69OQRkmAhTwHwDRM/taQZi+GYivF3KI86Yn7t+iZJeoqf+DALdHMSbTDF8ODKHUXbf
 u7HdnX+iQnsSOEydf2pJveQts3JrXzJ7IG+R0UhZmKzhzn+cVZrLfqhc0I+O0kNcQQYu
 Vi1UwahoaZrs4j/OYkTqp+mfxWh8C47XJhpQbkPOiTcNpN2WN/Jd/0F3LuzlaQsnkX6f
 +aYg==
X-Gm-Message-State: AOAM533P23UD/Hd52cOOxfagya1Lj8vqIVPXHNV5NxT28PwxCKF2RLsQ
 CZUhbgx/PtODd65SNADKZkfnu0H8ZlWUuw==
X-Google-Smtp-Source: ABdhPJx4+HZMOEwB6Lp9bMO6DvYA4R9rksFqjDnws5LLFPIjLfl7HxR6GmF02z850rxWbevy4kDqHQ==
X-Received: by 2002:a05:6214:501a:b0:446:3c27:b320 with SMTP id
 jo26-20020a056214501a00b004463c27b320mr12352465qvb.82.1650893025808; 
 Mon, 25 Apr 2022 06:23:45 -0700 (PDT)
Received: from hurd (dsl-150-50.b2b2c.ca. [66.158.150.50])
 by smtp.gmail.com with ESMTPSA id
 i136-20020a379f8e000000b0069c7f8b69b8sm4986402qke.82.2022.04.25.06.23.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 25 Apr 2022 06:23:45 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <B520C36C-C41D-4373-8559-C767B42266E3@HIDDEN>
Date: Mon, 25 Apr 2022 09:23:44 -0400
In-Reply-To: <B520C36C-C41D-4373-8559-C767B42266E3@HIDDEN> (Julien
 Lepiller's message of "Mon, 25 Apr 2022 13:36:07 +0200")
Message-ID: <877d7d2t5r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Julien!

Julien Lepiller <julien@HIDDEN> writes:

> (quick question unrelated to the patches)
>
> Which command do you use to send the whole series without creating
> multiple tickets in the tracker? Which options do you use?

You actually have to break it down into 3 commands:

0. Make sure there are no stale patches in your tree; 'rm *.patch'.

1. 'git format-patch --cover-letter origin/master' to produce the whole
series + cover letter.

2. Edit text of the cover letter (0000-cover-letter.patch), and send it with 'git
send-email --to=guix-patches@HIDDEN 0000-cover-letter.patch'.

3. rm 0000-cover-letter.patch

4. Send the rest of the series to the newly created GNU Debbugs issue #:
'git send-email --to=NNNNN <at> debbugs.gnu.org *.patch

I hope that helps!

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 13:15:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 09:15:29 2022
Received: from localhost ([127.0.0.1]:33609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niyYq-0002Ek-La
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 09:15:28 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:36502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niyYo-0002EX-UO
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 09:15:27 -0400
Received: by mail-qt1-f180.google.com with SMTP id bb21so10221445qtb.3
 for <55104 <at> debbugs.gnu.org>; Mon, 25 Apr 2022 06:15:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=AetDm9UNbCiFCez49js14AoLKeTjCTvCUuyDi4UQFwc=;
 b=RLP6Ij0nRNttcvxluUUB0X27cxv/f9/Ikiz2D/74pU7XQxDR7clzlUyDcGlJgQBBbf
 KXHGDXTXiWMHlu5Y0hTBvuaMltkPnzNBR9CkF1JRCTHt/dcQDc/1APAE30bZGOZqV2FG
 ATEgTP0n97A6nXQzsGbD5W+7uFLUy7DGo0o2os0QRNEPEMwlBqKOF7En1uzxfEbZAnDz
 SYDkdlP8PutO9xIpeL2e0DWJ5HphlnE+eq5q2sc+LRHweZdwKGyDJ5q+OywIAlC/tbBz
 cyxQgfLtu6Y+5dBVqhVr6kjGipmvuY5V6g/kbY/TWqc1JZ9soGhn9RJkZEGVqrJP5k4Q
 j2WA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=AetDm9UNbCiFCez49js14AoLKeTjCTvCUuyDi4UQFwc=;
 b=XXiO//BuJGj+/VEh3rA6U8jQDGcX1eiepqJa3r5zF1cOgOjVgPc5PJP5AjcjEI0PHm
 AQie1wZhGU+gLRvUcgTmBeezMMHc4nxYW38rSZ43+BL4tMHAG8XJWCbfiiVDDmdCRA/4
 EmsNnzs+jVmU55E2mad7Bt+K0j3V7+CF6cDbwP4+k5hbMWDFqwwkWluFPIr2nOepnnuy
 G+WbjSIYwkbQ8ARtNkh1KUYaZpcZnoe2c7XgcfbjFNwkvzIKscg3g/3sAHWkC25X4Dqx
 Ly831xgGr/aRGniFmaEfDrol2r4A9Ngdj8txaCMRs3GG2M4QQBdDlnzM774T/xI6iqA7
 l4/A==
X-Gm-Message-State: AOAM533Tkde4bwGV+J+nLJGicvHCLXB70FrzAxToGP7ngy+3Jv9Aidhi
 cZ8CPyv+Sc3lmjFfErtFs9sZ2BbSB4Z/AQ==
X-Google-Smtp-Source: ABdhPJzNU7184KgDb+8U1yDtzq03GFsnjFmJVglmp3/Yu2EhvtDVcQgHoXpIYLJ5TcYTT6K5H2Ifag==
X-Received: by 2002:a05:622a:148f:b0:2f3:386b:cda6 with SMTP id
 t15-20020a05622a148f00b002f3386bcda6mr11801022qtx.660.1650892520840; 
 Mon, 25 Apr 2022 06:15:20 -0700 (PDT)
Received: from hurd (dsl-150-50.b2b2c.ca. [66.158.150.50])
 by smtp.gmail.com with ESMTPSA id
 p14-20020a05622a13ce00b002f20a695972sm6259184qtk.14.2022.04.25.06.15.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 25 Apr 2022 06:15:20 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Lars-Dominik Braun <lars@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
 <YmZvtT1jTcwTUFw7@HIDDEN>
Date: Mon, 25 Apr 2022 09:15:18 -0400
In-Reply-To: <YmZvtT1jTcwTUFw7@HIDDEN> (Lars-Dominik Braun's message
 of "Mon, 25 Apr 2022 11:53:57 +0200")
Message-ID: <87bkwp2tjt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

Lars-Dominik Braun <lars@HIDDEN> writes:

> Hi Maxim,
>
>> This is the result of a quest to update IPython (to fix a reported CVE) =
and
>> wanting to fix its Texinfo/PDF doc generation.  The later ended up being=
 a
>> rather deep rabbit hole, hence the following slurry of commits.  The end
>> result is that we now have an up-to-date IPython and better support to b=
uild
>> Sphinx-based documentation, a working texlive-polyglossia package (at le=
ast
>> for XeLaTeX) and many new font tools that should allow us to build more =
fonts
>> from source.
> thank you very much for that update! I noticed python-qtconsole was
> broken by the upgrade, see attached patches for fixes. There are alot
> more failures on the CI, but it=E2=80=99s hard to tell whether they were =
caused
> by this update or not.

One quick visual way to screen for big new groups of failed packages is
to compare the dashboards, e.g.:

https://ci.guix.gnu.org/eval/262363/dashboard vs https://ci.guix.gnu.org/ev=
al/262877/dashboard

(this is for x86_64-linux).  You can see in this case they look pretty
identical to the eye.

It seems to be that most failures were already there on master (some
caused by the recent PyYAML update).  I've fixed some on my branch,
which may explain why the total succeeded builds is higher than master
(76% vs 67%, as seen in the "Jobs" column at https://ci.guix.gnu.org/).

I've applied these two patches and pushed to the branch; thank you!

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 11:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 07:36:37 2022
Received: from localhost ([127.0.0.1]:33417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nix1A-0005tw-1b
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 07:36:37 -0400
Received: from lepiller.eu ([89.234.186.109]:34768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1nix17-0005tl-DP
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 07:36:35 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 2fbabfcb;
 Mon, 25 Apr 2022 11:36:31 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=wlR43dp2wP2/
 nFSg8O1JTfgbhxycvkUXkuD3ubPEIIU=; b=IEwGlr7qaWJ9wQxT/f2NUGSBUD1p
 VIx2MiOGSFFV0wB164mIBsD+DwPty8ZBogXAxX/3YEWPgQj1YHGsyfb5MXXYmecY
 LjS35quuSpJxHT1pUml2UjhyrnV4y4d7/UgxxWcsqPfwxVoLfVcElQ3io/Ov8air
 hKd3u1V1Q3vkRdbUCznmqBcpEc1vYxvljCsoRHg7sTluxMsq68t9uvmrqgeLWQ2d
 btPLHk6UNsmcQRoXHJ1wrWLshj0uKK7iPdGZFNiAiytFXv1mEClEJg/WuIXr/XFx
 XOxWZSZ3J11PbHZb7UOhHOQeOOgjks8wHV7WgJIA8xA0FM16jTNOhJJ46w==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 0f4c60dc
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 25 Apr 2022 11:36:26 +0000 (UTC)
Date: Mon, 25 Apr 2022 13:36:07 +0200
From: Julien Lepiller <julien@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 55104 <at> debbugs.gnu.org
Subject: =?US-ASCII?Q?Re=3A_=5Bbug=2355104=5D_=5BPATCH_000/232=5D_Update_IPytho?=
 =?US-ASCII?Q?n_to_latest=2C_fix_texlive-polyglossia=2C_add_more?=
User-Agent: K-9 Mail for Android
In-Reply-To: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
Message-ID: <B520C36C-C41D-4373-8559-C767B42266E3@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary=----JLQ2C7SKKEIHCI7VWU08HLL007E6WV
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------JLQ2C7SKKEIHCI7VWU08HLL007E6WV
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

(quick question unrelated to the patches)

Which command do you use to send the whole series without creating multipl=
e tickets in the tracker? Which options do you use?

On April 25, 2022 5:57:14 AM GMT+02:00, Maxim Cournoyer <maxim=2Ecournoyer=
@gmail=2Ecom> wrote:
>Hello Guix!
>
>This is the result of a quest to update IPython (to fix a reported CVE) a=
nd
>wanting to fix its Texinfo/PDF doc generation=2E  The later ended up bein=
g a
>rather deep rabbit hole, hence the following slurry of commits=2E  The en=
d
>result is that we now have an up-to-date IPython and better support to bu=
ild
>Sphinx-based documentation, a working texlive-polyglossia package (at lea=
st
>for XeLaTeX) and many new font tools that should allow us to build more f=
onts
>from source=2E
>
>The branch wip-ipython-polyglossia has been used to bulid the branch, so
>should you be interested in trying it, the new packages should have
>substitutes=2E
>
>Thanks, and happy 10th Guix anniversary!
>
>Maxim Cournoyer (232):
>  gnu: python-ipython: Re-order fields=2E
>  gnu: python-astroid: Propagate python-typing-extensions=2E
>  gnu: Add python-pure-eval=2E
>  gnu: Add python-asttokens=2E
>  gnu: Add python-littleutils=2E
>  gnu: Add python-stack-data=2E
>  gnu: python-traitlets: Update to 5=2E1=2E1=2E
>  gnu: python-jinja2: Update to 3=2E1=2E1=2E
>  gnu: python-prompt-toolkit: Update to 3=2E0=2E29=2E
>  gnu: python-ipython: Update to 8=2E2=2E0 [fixes CVE-2022-21699]=2E
>  gnu: python-nbformat: Update to 5=2E3=2E0=2E
>  gnu: Add texlive-paralist=2E
>  gnu: Add texlive-stix2-otf=2E
>  gnu: Add texlive-metalogo=2E
>  gnu: Add texlive-makecmds=2E
>  gnu: Add texlive-csplain=2E
>  gnu: Add texlive-cs=2E
>  gnu: Add texlive-zref=2E
>  gnu: Add python-pcpp=2E
>  gnu: Add opentype-sanitizer=2E
>  gnu: Add python-opentype-sanitizer=2E
>  gnu: Add python-defcon-bootstrap=2E
>  gnu: Add python-fontmath=2E
>  gnu: Add python-unicodedata2=2E
>  gnu: python-fonttools-with-test: Rename to python-fonttools-full=2E
>  gnu: Add python-mutatormath=2E
>  gnu: Add python-fontpens-bootstrap=2E
>  gnu: Add python-booleanoperations=2E
>  gnu: Add python-fontparts-bootstrap=2E
>  gnu: Add python-fontpens=2E
>  gnu: Add python-defcon=2E
>  gnu: Add python-fontparts=2E
>  gnu: Add python-cu2qu=2E
>  gnu: Add python-ufoprocessor=2E
>  gnu: Add python-ufonormalizer=2E
>  gnu: Add python-types-toml=2E
>  gnu: Add python-pytest-mypy=2E
>  gnu: Add python-jaraco-context-bootstrap=2E
>  gnu: Add python-jaraco-functools-bootstrap=2E
>  gnu: Add python-autocommand=2E
>  gnu: Add python-types-freezegun=2E
>  gnu: Add python-types-pytz=2E
>  gnu: Add python-pytest-freezegun=2E
>  gnu: Add python-pytest-enabler-bootstrap=2E
>  gnu: Add python-path-bootstrap=2E
>  gnu: Add python-pip-run-bootstrap=2E
>  gnu: python-importlib-metadata: Update to 4=2E11=2E3=2E
>  gnu: python-pytest-black: Update to 0=2E3=2E12=2E
>  gnu: python-mypy: Update to 0=2E942 and fix search path=2E
>  gnu: Add python-types-docutils=2E
>  gnu: python-pytest-checkdocs: Update to 2=2E7=2E1=2E
>  gnu: Add python-jaraco-classes=2E
>  gnu: Add python-jaraco-context=2E
>  gnu: Add python-jaraco-functools=2E
>  gnu: Add python-pytest-enabler=2E
>  gnu: Add python-path=2E
>  gnu: Add python-pip-run=2E
>  gnu: Add python-tempora=2E
>  gnu: Add python-pytest-perf=2E
>  gnu: python-factory-boy: Update to 3=2E2=2E1=2E
>  gnu: python-faker: Update to 13=2E3=2E4 and honor TESTS?=2E
>  gnu: Add python-pytest-randomly=2E
>  gnu: Add psautohint-font-data=2E
>  gnu: Add psautohint=2E
>  gnu: Add python-ordered-set=2E
>  gnu: Add python-xdoctest=2E
>  gnu: Add python-ubelt=2E
>  gnu: python-setuptools: Update to 62=2E0=2E0=2E
>  gnu: python-pathpy: Deprecate by python-path=2E
>  gnu: python-pytest-shutil: Adjust to use python-path=2E
>  gnu: python-pytest-cov: Update to 3=2E0=2E0=2E
>  gnu: Add python-scikit-build=2E
>  gnu: python-jupyter-packaging: Update to 0=2E12=2E0, run test suite=2E
>  gnu: python-scipy: Move input fields below arguments field=2E
>  gnu: python-scipy: Update to 1=2E8=2E0 and enable parallel build=2E
>  gnu: Add java-antlr4-runtime-cpp=2E
>  gnu: Add python-fonttools-next=2E
>  gnu: Add python-afdko=2E
>  gnu: Add python-cffsubr=2E
>  gnu: Add skia=2E
>  gnu: Add python-skia-pathops=2E
>  gnu: Add python-ufolib2=2E
>  gnu: Add python-compreffor=2E
>  gnu: Add python-ufo2ft=2E
>  gnu: Add python-sfdlib=2E
>  gnu: Add font-amiri=2E
>  gnu: Add font-sil-ezra=2E
>  gnu: Add texlive-bidi=2E
>  gnu: Add font-gfs-ambrosia=2E
>  gnu: python-click: Update to 8=2E1=2E2 and honor TESTS?=2E
>  gnu: python-flask: Update to 2=2E1=2E1=2E
>  gnu: Add python-untangle=2E
>  gnu: python-black: Update to 22=2E3=2E0=2E
>  gnu: pylint: Run tests in parallel=2E
>  gnu: python-trio: Update to 0=2E20=2E0=2E
>  gnu: Add python-pydevd=2E
>  gnu: Add python-debugpy=2E
>  gnu: python-greenlet: Update to 1=2E1=2E2=2E
>  gnu: Add python-pytest-forked-next=2E
>  gnu: python-pytest-xdist-next: Update to 2=2E5=2E0=2E
>  gnu: Add python-ipyparallel-bootstrap=2E
>  gnu: python-nest-asyncio: Update to 1=2E5=2E5=2E
>  gnu: python-jupyter-core: Update to 4=2E10=2E0=2E
>  gnu: python-jupyter-client: Update to 7=2E2=2E2=2E
>  gnu: python-ipykernel: Update to 6=2E13=2E0=2E
>  gnu: Add python-pytest-tornado=2E
>  gnu: python-ipyparallel: Update to 8=2E2=2E1=2E
>  gnu: python-anyio: Update to 3=2E5=2E0=2E
>  gnu: python-nbclient: Update to 0=2E6=2E0=2E
>  gnu: python-bleach: Update to 5=2E0=2E0=2E
>  gnu: Add texlive-unicode-math=2E
>  gnu: Add texlive-lm-math=2E
>  gnu: python-nbconvert: Update to 6=2E5=2E0=2E
>  gnu: Add python-jupyter-server-mathjax=2E
>  gnu: python-nbval: Fix build=2E
>  gnu: python-send2trash: Update to 1=2E8=2E0 and update home page=2E
>  gnu: python-notebook: Update to 6=2E4=2E10=2E
>  gnu: Add python-nbdime=2E
>  gnu: Add python-docrepr=2E
>  gnu: python-sphinx: Propagate TexLive dependencies=2E
>  gnu: Add python-pep621=2E
>  gnu: Add python-sphinx-theme-builder=2E
>  gnu: Add python-sphinx-sitemap=2E
>  gnu: texlive-fontspec: Add missing propagated inputs=2E
>  gnu: texlive-polyglossia: Rename and fix package=2E
>  gnu: Add texlive-cbfonts-fd=2E
>  gnu: Add texlive-cbfonts=2E
>  download: Add a mirror for CTAN=2E
>  gnu: texlive-latex-geometry: Propagate texlive-latex-graphics=2E
>  gnu: Add texlive-cm-lgc=2E
>  gnu: Add texlive-xindy=2E
>  gnu: python-ipython-documentation: Also build info and pdf targets=2E
>  gnu: python-websockets: Update to 10=2E3 and enable tests=2E
>  gnu: Add python-strict-rfc3339=2E
>  gnu: Add python-rfc3339-validator=2E
>  gnu: Add python-openapi-schema-validator=2E
>  gnu: Add python-openapi-spec-validator=2E
>  gnu: Add python-cbor2=2E
>  gnu: python-httpcore: Update to 0=2E14=2E7 and enable tests=2E
>  gnu: Add python-httpcore-bootstrap=2E
>  gnu: Add python-httpx-bootstrap=2E
>  gnu: python-httpx: Update to 0=2E22=2E0=2E
>  gnu: python-uvicorn: Update to 0=2E17=2E6=2E
>  gnu: Add python-socksio=2E
>  gnu: python-sqlalchemy: Run tests in parallel via xdist=2E
>  gnu: python-sqlalchemy: Update to 1=2E4=2E35=2E
>  gnu: Add python-pecan=2E
>  gnu: Add python-aioredis=2E
>  gnu: python-fakeredis: Update to 1=2E7=2E1=2E
>  gnu: python-falcon: Update to 3=2E1=2E0=2E
>  gnu: Add python-dictpath=2E
>  gnu: Add python-openapi-core=2E
>  gnu: Add python-jupyterlab-server=2E
>  gnu: python-hypothesis-6=2E23: Update to 6=2E43=2E3=2E
>  gnu: python-numpy: Update to 1=2E21=2E6 and parallelize build/tests=2E
>  gnu: python-llvmlite: Update to 0=2E38=2E0=2E
>  gnu: python-numba: Update to 0=2E55=2E1=2E
>  gnu: python-pandas: Build and run tests in parallel=2E
>  gnu: python-pandas: Update to 1=2E4=2E2=2E
>  gnu: python-scikit-learn: Parallelize build and test suite=2E
>  gnu: python-pynndescent: Update to 0=2E5=2E6=2E
>  gnu: python-umap-learn: Update to 0=2E5=2E3=2E
>  gnu: python-jupyter-server: Update to 1=2E16=2E0=2E
>  gnu: python-voila: Update to 0=2E3=2E5=2E
>  gnu: python-sparqlwrapper: Update to 2=2E0=2E0=2E
>  gnu: python-sparqlkernel: Use gexps and fix inputs=2E
>  gnu: python-jupyter-protocol: Update to 0=2E2=2E0=2E
>  gnu: python-jupyter-kernel-mgmt: Update to 0=2E5=2E1 and disable tests=
=2E
>  gnu: xeus: Update to 2=2E4=2E1=2E
>  gnu: python-types-dataclasses: Fix typo=2E
>  gnu: python-cmarkgfm: Update to 0=2E8=2E0=2E
>  gnu: python-readme-renderer: Update to 34=2E0=2E
>  gnu: mbed-tools: Update to 7=2E53=2E0 and relax click version requireme=
nt=2E
>  gnu: conan: Update to 1=2E47=2E0 and relax PyYAML requirement=2E
>  gnu: python-parse-type: Update to 0=2E6=2E0, fixing build=2E
>  gnu: Add python-bson=2E
>  gnu: python-can: Update to 4=2E0=2E0=2E
>  gnu: python-amqp: Update to 5=2E1=2E1 and enable tests=2E
>  gnu: python-kombu: Update to 5=2E2=2E4=2E
>  gnu: python-celery: Update to 5=2E2=2E6 and enable tests=2E
>  gnu: Add python-argparse-addons=2E
>  gnu: python-bitstruct: Update to 8=2E14=2E0=2E
>  gnu: Add python-toolrack=2E
>  gnu: sshoot: Update to 1=2E5=2E1=2E
>  gnu: python-multipart: Fix build with PyYAML 6=2E
>  gnu: Add python-mergedeep=2E
>  gnu: Add python-pyyaml-env-tag=2E
>  gnu: python-ghp-import: Update to 2=2E0=2E2=2E
>  gnu: Add python-mdx-gh-links=2E
>  gnu: python-mkdocs: Update to 1=2E3=2E0=2E
>  gnu: Add python-crccheck=2E
>  gnu: python-cantools: Update to 37=2E0=2E7=2E
>  gnu: python-locust: Update to 2=2E8=2E6=2E
>  gnu: Remove python2-jmespath=2E
>  gnu: python-croniter: Update to 1=2E3=2E4=2E
>  gnu: python-miio: Update to 0=2E5=2E11=2E
>  gnu: Remove python-orator due to being broken and unmaintained=2E
>  gnu: Add python-pydyf=2E
>  gnu: weasyprint: Update to 54=2E3=2E
>  gnu: seed: Use webkitgtk-with-libsoup2=2E
>  gnu: markets: Add python-wrapper to fix build=2E
>  gnu: libgrss: Use libsoup-minimal-2 to fix build=2E
>  gnu: setzer: Add python-wrapper to fix build=2E
>  gnu: emacsy: Use webkitgtk-with-libsoup2=2E
>  gnu: python-keyring: Fix test suite=2E
>  gnu: Remove python2-keyring=2E
>  gnu: python-pingouin: Update to 0=2E5=2E1=2E
>  gnu: python-flask-wtf: Update to 1=2E0=2E1=2E
>  gnu: python-flask-login: Update to 0=2E6=2E0=2E
>  snippets: Add a 'remove' snippet=2E
>  gnu: python2-sqlalchemy: Skip a failing test=2E
>  gnu: dynaconf: Fix build following python-click upgrade=2E
>  gnu: python-numpydoc: Update to 1=2E2=2E1=2E
>  gnu: python-sphinx: Update to 4=2E5=2E0=2E
>  gnu: python-pydata-sphinx-theme: Update to 0=2E7=2E2=2E
>  gnu: python-sphinx-copybutton: Update to 0=2E5=2E0=2E
>  gnu: python-sphinx-click: Update to 4=2E0=2E3 and enable tests=2E
>  gnu: python-sphinxcontrib-websupport: Update to 1=2E2=2E4=2E
>  gnu: python-sphinxcontrib-programoutput: Update to 0=2E17 and enable
>    tests=2E
>  gnu: python-sphinx-argparse: Update to 0=2E3=2E1=2E
>  gnu: python-sphinx-cloud-sptheme: Update to 1=2E10=2E1 [still broken]=
=2E
>  gnu: Add python-beartype=2E
>  gnu: Add python-nptyping=2E
>  gnu: python-sphinx-autodoc-typehints: Update to 1=2E18=2E1=2E
>  gnu: python-sphinxext-opengraph: Update to 0=2E6=2E3=2E
>  gnu: python-sphinx-rtd-theme: Update to 1=2E0=2E0=2E
>  gnu: python-numpy-documentation: Overhaul package definition=2E
>  gnu: Add python-ipdb=2E
>  gnu: python-pudb: Update to 2022=2E1=2E1 and rename from pudb=2E
>  gnu: Add python-mpl-sphinx-theme=2E
>  gnu: Add texlive-underscore=2E
>  gnu: python-matplotlib-documentation: Fix build=2E
>
> =2E=2E=2E/guix-commit-message-remove-package        |   13 +
> gnu/local=2Emk                                  |    4 +
> gnu/packages/android=2Escm                      |   22 +-
> gnu/packages/benchmark=2Escm                    |   24 +-
> gnu/packages/c=2Escm                            |   32 +
> gnu/packages/check=2Escm                        |  258 +-
> gnu/packages/databases=2Escm                    |  124 +-
> gnu/packages/documentation=2Escm                |   57 +
> gnu/packages/embedded=2Escm                     |   10 +-
> gnu/packages/fonts=2Escm                        |   91 +
> gnu/packages/fontutils=2Escm                    |  767 +++-
> gnu/packages/gnome-xyz=2Escm                    |    2 +
> gnu/packages/gnome=2Escm                        |    7 +-
> gnu/packages/graphics=2Escm                     |  135 +
> gnu/packages/guile-xyz=2Escm                    |   10 +-
> gnu/packages/java=2Escm                         |   35 +-
> gnu/packages/jupyter=2Escm                      |  330 +-
> gnu/packages/llvm=2Escm                         |    6 +-
> gnu/packages/machine-learning=2Escm             |   77 +-
> gnu/packages/markup=2Escm                       |    4 +-
> gnu/packages/matrix=2Escm                       |    2 +-
> gnu/packages/package-management=2Escm           |   12 +-
> =2E=2E=2E/python-debugpy-unbundle-pydevd=2Epatch      |  254 ++
> =2E=2E=2E/python-ipython-documentation-chars=2Epatch  |   18 +
> =2E=2E=2E/python-ipython-documentation-repro=2Epatch  |   25 +
> =2E=2E=2E/patches/python-mypy-use-sys-path=2Epatch    |  130 +
> gnu/packages/pdf=2Escm                          |  130 +-
> gnu/packages/python-check=2Escm                 |  160 +-
> gnu/packages/python-crypto=2Escm                |   30 +-
> gnu/packages/python-science=2Escm               |  172 +-
> gnu/packages/python-web=2Escm                   |  498 ++-
> gnu/packages/python-xyz=2Escm                   | 3388 +++++++++++------
> gnu/packages/rdf=2Escm                          |   13 +-
> gnu/packages/sphinx=2Escm                       |  302 +-
> gnu/packages/tex=2Escm                          |  744 +++-
> gnu/packages/version-control=2Escm              |   11 +-
> gnu/packages/vpn=2Escm                          |   20 +-
> gnu/packages/xml=2Escm                          |   30 +
> guix/download=2Escm                             |    5 +
> 39 files changed, 6249 insertions(+), 1703 deletions(-)
> create mode 100644 etc/snippets/text-mode/guix-commit-message-remove-pac=
kage
> create mode 100644 gnu/packages/patches/python-debugpy-unbundle-pydevd=
=2Epatch
> create mode 100644 gnu/packages/patches/python-ipython-documentation-cha=
rs=2Epatch
> create mode 100644 gnu/packages/patches/python-ipython-documentation-rep=
ro=2Epatch
> create mode 100644 gnu/packages/patches/python-mypy-use-sys-path=2Epatch
>
>--=20
>2=2E34=2E0
>
>
>
>

------JLQ2C7SKKEIHCI7VWU08HLL007E6WV
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>(quick question unrelated to the patches)<br><br>W=
hich command do you use to send the whole series without creating multiple =
tickets in the tracker? Which options do you use?<br><br><div class=3D"gmai=
l_quote">On April 25, 2022 5:57:14 AM GMT+02:00, Maxim Cournoyer &lt;maxim=
=2Ecournoyer@gmail=2Ecom&gt; wrote:<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre dir=3D"auto" class=3D"k9mail">Hello Guix!<br><br>This is the result o=
f a quest to update IPython (to fix a reported CVE) and<br>wanting to fix i=
ts Texinfo/PDF doc generation=2E  The later ended up being a<br>rather deep=
 rabbit hole, hence the following slurry of commits=2E  The end<br>result i=
s that we now have an up-to-date IPython and better support to build<br>Sph=
inx-based documentation, a working texlive-polyglossia package (at least<br=
>for XeLaTeX) and many new font tools that should allow us to build more fo=
nts<br>from source=2E<br><br>The branch wip-ipython-polyglossia has been us=
ed to bulid the branch, so<br>should you be interested in trying it, the ne=
w packages should have<br>substitutes=2E<br><br>Thanks, and happy 10th Guix=
 anniversary!<br><br>Maxim Cournoyer (232):<br>  gnu: python-ipython: Re-or=
der fields=2E<br>  gnu: python-astroid: Propagate python-typing-extensions=
=2E<br>  gnu: Add python-pure-eval=2E<br>  gnu: Add python-asttokens=2E<br>=
  gnu: Add python-littleutils=2E<br>  gnu: Add python-stack-data=2E<br>  gn=
u: python-traitlets: Update to 5=2E1=2E1=2E<br>  gnu: python-jinja2: Update=
 to 3=2E1=2E1=2E<br>  gnu: python-prompt-toolkit: Update to 3=2E0=2E29=2E<b=
r>  gnu: python-ipython: Update to 8=2E2=2E0 [fixes CVE-2022-21699]=2E<br> =
 gnu: python-nbformat: Update to 5=2E3=2E0=2E<br>  gnu: Add texlive-paralis=
t=2E<br>  gnu: Add texlive-stix2-otf=2E<br>  gnu: Add texlive-metalogo=2E<b=
r>  gnu: Add texlive-makecmds=2E<br>  gnu: Add texlive-csplain=2E<br>  gnu:=
 Add texlive-cs=2E<br>  gnu: Add texlive-zref=2E<br>  gnu: Add python-pcpp=
=2E<br>  gnu: Add opentype-sanitizer=2E<br>  gnu: Add python-opentype-sanit=
izer=2E<br>  gnu: Add python-defcon-bootstrap=2E<br>  gnu: Add python-fontm=
ath=2E<br>  gnu: Add python-unicodedata2=2E<br>  gnu: python-fonttools-with=
-test: Rename to python-fonttools-full=2E<br>  gnu: Add python-mutatormath=
=2E<br>  gnu: Add python-fontpens-bootstrap=2E<br>  gnu: Add python-boolean=
operations=2E<br>  gnu: Add python-fontparts-bootstrap=2E<br>  gnu: Add pyt=
hon-fontpens=2E<br>  gnu: Add python-defcon=2E<br>  gnu: Add python-fontpar=
ts=2E<br>  gnu: Add python-cu2qu=2E<br>  gnu: Add python-ufoprocessor=2E<br=
>  gnu: Add python-ufonormalizer=2E<br>  gnu: Add python-types-toml=2E<br> =
 gnu: Add python-pytest-mypy=2E<br>  gnu: Add python-jaraco-context-bootstr=
ap=2E<br>  gnu: Add python-jaraco-functools-bootstrap=2E<br>  gnu: Add pyth=
on-autocommand=2E<br>  gnu: Add python-types-freezegun=2E<br>  gnu: Add pyt=
hon-types-pytz=2E<br>  gnu: Add python-pytest-freezegun=2E<br>  gnu: Add py=
thon-pytest-enabler-bootstrap=2E<br>  gnu: Add python-path-bootstrap=2E<br>=
  gnu: Add python-pip-run-bootstrap=2E<br>  gnu: python-importlib-metadata:=
 Update to 4=2E11=2E3=2E<br>  gnu: python-pytest-black: Update to 0=2E3=2E1=
2=2E<br>  gnu: python-mypy: Update to 0=2E942 and fix search path=2E<br>  g=
nu: Add python-types-docutils=2E<br>  gnu: python-pytest-checkdocs: Update =
to 2=2E7=2E1=2E<br>  gnu: Add python-jaraco-classes=2E<br>  gnu: Add python=
-jaraco-context=2E<br>  gnu: Add python-jaraco-functools=2E<br>  gnu: Add p=
ython-pytest-enabler=2E<br>  gnu: Add python-path=2E<br>  gnu: Add python-p=
ip-run=2E<br>  gnu: Add python-tempora=2E<br>  gnu: Add python-pytest-perf=
=2E<br>  gnu: python-factory-boy: Update to 3=2E2=2E1=2E<br>  gnu: python-f=
aker: Update to 13=2E3=2E4 and honor TESTS?=2E<br>  gnu: Add python-pytest-=
randomly=2E<br>  gnu: Add psautohint-font-data=2E<br>  gnu: Add psautohint=
=2E<br>  gnu: Add python-ordered-set=2E<br>  gnu: Add python-xdoctest=2E<br=
>  gnu: Add python-ubelt=2E<br>  gnu: python-setuptools: Update to 62=2E0=
=2E0=2E<br>  gnu: python-pathpy: Deprecate by python-path=2E<br>  gnu: pyth=
on-pytest-shutil: Adjust to use python-path=2E<br>  gnu: python-pytest-cov:=
 Update to 3=2E0=2E0=2E<br>  gnu: Add python-scikit-build=2E<br>  gnu: pyth=
on-jupyter-packaging: Update to 0=2E12=2E0, run test suite=2E<br>  gnu: pyt=
hon-scipy: Move input fields below arguments field=2E<br>  gnu: python-scip=
y: Update to 1=2E8=2E0 and enable parallel build=2E<br>  gnu: Add java-antl=
r4-runtime-cpp=2E<br>  gnu: Add python-fonttools-next=2E<br>  gnu: Add pyth=
on-afdko=2E<br>  gnu: Add python-cffsubr=2E<br>  gnu: Add skia=2E<br>  gnu:=
 Add python-skia-pathops=2E<br>  gnu: Add python-ufolib2=2E<br>  gnu: Add p=
ython-compreffor=2E<br>  gnu: Add python-ufo2ft=2E<br>  gnu: Add python-sfd=
lib=2E<br>  gnu: Add font-amiri=2E<br>  gnu: Add font-sil-ezra=2E<br>  gnu:=
 Add texlive-bidi=2E<br>  gnu: Add font-gfs-ambrosia=2E<br>  gnu: python-cl=
ick: Update to 8=2E1=2E2 and honor TESTS?=2E<br>  gnu: python-flask: Update=
 to 2=2E1=2E1=2E<br>  gnu: Add python-untangle=2E<br>  gnu: python-black: U=
pdate to 22=2E3=2E0=2E<br>  gnu: pylint: Run tests in parallel=2E<br>  gnu:=
 python-trio: Update to 0=2E20=2E0=2E<br>  gnu: Add python-pydevd=2E<br>  g=
nu: Add python-debugpy=2E<br>  gnu: python-greenlet: Update to 1=2E1=2E2=2E=
<br>  gnu: Add python-pytest-forked-next=2E<br>  gnu: python-pytest-xdist-n=
ext: Update to 2=2E5=2E0=2E<br>  gnu: Add python-ipyparallel-bootstrap=2E<b=
r>  gnu: python-nest-asyncio: Update to 1=2E5=2E5=2E<br>  gnu: python-jupyt=
er-core: Update to 4=2E10=2E0=2E<br>  gnu: python-jupyter-client: Update to=
 7=2E2=2E2=2E<br>  gnu: python-ipykernel: Update to 6=2E13=2E0=2E<br>  gnu:=
 Add python-pytest-tornado=2E<br>  gnu: python-ipyparallel: Update to 8=2E2=
=2E1=2E<br>  gnu: python-anyio: Update to 3=2E5=2E0=2E<br>  gnu: python-nbc=
lient: Update to 0=2E6=2E0=2E<br>  gnu: python-bleach: Update to 5=2E0=2E0=
=2E<br>  gnu: Add texlive-unicode-math=2E<br>  gnu: Add texlive-lm-math=2E<=
br>  gnu: python-nbconvert: Update to 6=2E5=2E0=2E<br>  gnu: Add python-jup=
yter-server-mathjax=2E<br>  gnu: python-nbval: Fix build=2E<br>  gnu: pytho=
n-send2trash: Update to 1=2E8=2E0 and update home page=2E<br>  gnu: python-=
notebook: Update to 6=2E4=2E10=2E<br>  gnu: Add python-nbdime=2E<br>  gnu: =
Add python-docrepr=2E<br>  gnu: python-sphinx: Propagate TexLive dependenci=
es=2E<br>  gnu: Add python-pep621=2E<br>  gnu: Add python-sphinx-theme-buil=
der=2E<br>  gnu: Add python-sphinx-sitemap=2E<br>  gnu: texlive-fontspec: A=
dd missing propagated inputs=2E<br>  gnu: texlive-polyglossia: Rename and f=
ix package=2E<br>  gnu: Add texlive-cbfonts-fd=2E<br>  gnu: Add texlive-cbf=
onts=2E<br>  download: Add a mirror for CTAN=2E<br>  gnu: texlive-latex-geo=
metry: Propagate texlive-latex-graphics=2E<br>  gnu: Add texlive-cm-lgc=2E<=
br>  gnu: Add texlive-xindy=2E<br>  gnu: python-ipython-documentation: Also=
 build info and pdf targets=2E<br>  gnu: python-websockets: Update to 10=2E=
3 and enable tests=2E<br>  gnu: Add python-strict-rfc3339=2E<br>  gnu: Add =
python-rfc3339-validator=2E<br>  gnu: Add python-openapi-schema-validator=
=2E<br>  gnu: Add python-openapi-spec-validator=2E<br>  gnu: Add python-cbo=
r2=2E<br>  gnu: python-httpcore: Update to 0=2E14=2E7 and enable tests=2E<b=
r>  gnu: Add python-httpcore-bootstrap=2E<br>  gnu: Add python-httpx-bootst=
rap=2E<br>  gnu: python-httpx: Update to 0=2E22=2E0=2E<br>  gnu: python-uvi=
corn: Update to 0=2E17=2E6=2E<br>  gnu: Add python-socksio=2E<br>  gnu: pyt=
hon-sqlalchemy: Run tests in parallel via xdist=2E<br>  gnu: python-sqlalch=
emy: Update to 1=2E4=2E35=2E<br>  gnu: Add python-pecan=2E<br>  gnu: Add py=
thon-aioredis=2E<br>  gnu: python-fakeredis: Update to 1=2E7=2E1=2E<br>  gn=
u: python-falcon: Update to 3=2E1=2E0=2E<br>  gnu: Add python-dictpath=2E<b=
r>  gnu: Add python-openapi-core=2E<br>  gnu: Add python-jupyterlab-server=
=2E<br>  gnu: python-hypothesis-6=2E23: Update to 6=2E43=2E3=2E<br>  gnu: p=
ython-numpy: Update to 1=2E21=2E6 and parallelize build/tests=2E<br>  gnu: =
python-llvmlite: Update to 0=2E38=2E0=2E<br>  gnu: python-numba: Update to =
0=2E55=2E1=2E<br>  gnu: python-pandas: Build and run tests in parallel=2E<b=
r>  gnu: python-pandas: Update to 1=2E4=2E2=2E<br>  gnu: python-scikit-lear=
n: Parallelize build and test suite=2E<br>  gnu: python-pynndescent: Update=
 to 0=2E5=2E6=2E<br>  gnu: python-umap-learn: Update to 0=2E5=2E3=2E<br>  g=
nu: python-jupyter-server: Update to 1=2E16=2E0=2E<br>  gnu: python-voila: =
Update to 0=2E3=2E5=2E<br>  gnu: python-sparqlwrapper: Update to 2=2E0=2E0=
=2E<br>  gnu: python-sparqlkernel: Use gexps and fix inputs=2E<br>  gnu: py=
thon-jupyter-protocol: Update to 0=2E2=2E0=2E<br>  gnu: python-jupyter-kern=
el-mgmt: Update to 0=2E5=2E1 and disable tests=2E<br>  gnu: xeus: Update to=
 2=2E4=2E1=2E<br>  gnu: python-types-dataclasses: Fix typo=2E<br>  gnu: pyt=
hon-cmarkgfm: Update to 0=2E8=2E0=2E<br>  gnu: python-readme-renderer: Upda=
te to 34=2E0=2E<br>  gnu: mbed-tools: Update to 7=2E53=2E0 and relax click =
version requirement=2E<br>  gnu: conan: Update to 1=2E47=2E0 and relax PyYA=
ML requirement=2E<br>  gnu: python-parse-type: Update to 0=2E6=2E0, fixing =
build=2E<br>  gnu: Add python-bson=2E<br>  gnu: python-can: Update to 4=2E0=
=2E0=2E<br>  gnu: python-amqp: Update to 5=2E1=2E1 and enable tests=2E<br> =
 gnu: python-kombu: Update to 5=2E2=2E4=2E<br>  gnu: python-celery: Update =
to 5=2E2=2E6 and enable tests=2E<br>  gnu: Add python-argparse-addons=2E<br=
>  gnu: python-bitstruct: Update to 8=2E14=2E0=2E<br>  gnu: Add python-tool=
rack=2E<br>  gnu: sshoot: Update to 1=2E5=2E1=2E<br>  gnu: python-multipart=
: Fix build with PyYAML 6=2E<br>  gnu: Add python-mergedeep=2E<br>  gnu: Ad=
d python-pyyaml-env-tag=2E<br>  gnu: python-ghp-import: Update to 2=2E0=2E2=
=2E<br>  gnu: Add python-mdx-gh-links=2E<br>  gnu: python-mkdocs: Update to=
 1=2E3=2E0=2E<br>  gnu: Add python-crccheck=2E<br>  gnu: python-cantools: U=
pdate to 37=2E0=2E7=2E<br>  gnu: python-locust: Update to 2=2E8=2E6=2E<br> =
 gnu: Remove python2-jmespath=2E<br>  gnu: python-croniter: Update to 1=2E3=
=2E4=2E<br>  gnu: python-miio: Update to 0=2E5=2E11=2E<br>  gnu: Remove pyt=
hon-orator due to being broken and unmaintained=2E<br>  gnu: Add python-pyd=
yf=2E<br>  gnu: weasyprint: Update to 54=2E3=2E<br>  gnu: seed: Use webkitg=
tk-with-libsoup2=2E<br>  gnu: markets: Add python-wrapper to fix build=2E<b=
r>  gnu: libgrss: Use libsoup-minimal-2 to fix build=2E<br>  gnu: setzer: A=
dd python-wrapper to fix build=2E<br>  gnu: emacsy: Use webkitgtk-with-libs=
oup2=2E<br>  gnu: python-keyring: Fix test suite=2E<br>  gnu: Remove python=
2-keyring=2E<br>  gnu: python-pingouin: Update to 0=2E5=2E1=2E<br>  gnu: py=
thon-flask-wtf: Update to 1=2E0=2E1=2E<br>  gnu: python-flask-login: Update=
 to 0=2E6=2E0=2E<br>  snippets: Add a 'remove' snippet=2E<br>  gnu: python2=
-sqlalchemy: Skip a failing test=2E<br>  gnu: dynaconf: Fix build following=
 python-click upgrade=2E<br>  gnu: python-numpydoc: Update to 1=2E2=2E1=2E<=
br>  gnu: python-sphinx: Update to 4=2E5=2E0=2E<br>  gnu: python-pydata-sph=
inx-theme: Update to 0=2E7=2E2=2E<br>  gnu: python-sphinx-copybutton: Updat=
e to 0=2E5=2E0=2E<br>  gnu: python-sphinx-click: Update to 4=2E0=2E3 and en=
able tests=2E<br>  gnu: python-sphinxcontrib-websupport: Update to 1=2E2=2E=
4=2E<br>  gnu: python-sphinxcontrib-programoutput: Update to 0=2E17 and ena=
ble<br>    tests=2E<br>  gnu: python-sphinx-argparse: Update to 0=2E3=2E1=
=2E<br>  gnu: python-sphinx-cloud-sptheme: Update to 1=2E10=2E1 [still brok=
en]=2E<br>  gnu: Add python-beartype=2E<br>  gnu: Add python-nptyping=2E<br=
>  gnu: python-sphinx-autodoc-typehints: Update to 1=2E18=2E1=2E<br>  gnu: =
python-sphinxext-opengraph: Update to 0=2E6=2E3=2E<br>  gnu: python-sphinx-=
rtd-theme: Update to 1=2E0=2E0=2E<br>  gnu: python-numpy-documentation: Ove=
rhaul package definition=2E<br>  gnu: Add python-ipdb=2E<br>  gnu: python-p=
udb: Update to 2022=2E1=2E1 and rename from pudb=2E<br>  gnu: Add python-mp=
l-sphinx-theme=2E<br>  gnu: Add texlive-underscore=2E<br>  gnu: python-matp=
lotlib-documentation: Fix build=2E<br><br> =2E=2E=2E/guix-commit-message-re=
move-package        |   13 +<br> gnu/local=2Emk                            =
      |    4 +<br> gnu/packages/android=2Escm                      |   22 +=
-<br> gnu/packages/benchmark=2Escm                    |   24 +-<br> gnu/pac=
kages/c=2Escm                            |   32 +<br> gnu/packages/check=2E=
scm                        |  258 +-<br> gnu/packages/databases=2Escm      =
              |  124 +-<br> gnu/packages/documentation=2Escm               =
 |   57 +<br> gnu/packages/embedded=2Escm                     |   10 +-<br>=
 gnu/packages/fonts=2Escm                        |   91 +<br> gnu/packages/=
fontutils=2Escm                    |  767 +++-<br> gnu/packages/gnome-xyz=
=2Escm                    |    2 +<br> gnu/packages/gnome=2Escm            =
            |    7 +-<br> gnu/packages/graphics=2Escm                     |=
  135 +<br> gnu/packages/guile-xyz=2Escm                    |   10 +-<br> g=
nu/packages/java=2Escm                         |   35 +-<br> gnu/packages/j=
upyter=2Escm                      |  330 +-<br> gnu/packages/llvm=2Escm    =
                     |    6 +-<br> gnu/packages/machine-learning=2Escm     =
        |   77 +-<br> gnu/packages/markup=2Escm                       |    =
4 +-<br> gnu/packages/matrix=2Escm                       |    2 +-<br> gnu/=
packages/package-management=2Escm           |   12 +-<br> =2E=2E=2E/python-=
debugpy-unbundle-pydevd=2Epatch      |  254 ++<br> =2E=2E=2E/python-ipython=
-documentation-chars=2Epatch  |   18 +<br> =2E=2E=2E/python-ipython-documen=
tation-repro=2Epatch  |   25 +<br> =2E=2E=2E/patches/python-mypy-use-sys-pa=
th=2Epatch    |  130 +<br> gnu/packages/pdf=2Escm                          =
|  130 +-<br> gnu/packages/python-check=2Escm                 |  160 +-<br>=
 gnu/packages/python-crypto=2Escm                |   30 +-<br> gnu/packages=
/python-science=2Escm               |  172 +-<br> gnu/packages/python-web=
=2Escm                   |  498 ++-<br> gnu/packages/python-xyz=2Escm      =
             | 3388 +++++++++++------<br> gnu/packages/rdf=2Escm           =
               |   13 +-<br> gnu/packages/sphinx=2Escm                     =
  |  302 +-<br> gnu/packages/tex=2Escm                          |  744 +++-=
<br> gnu/packages/version-control=2Escm              |   11 +-<br> gnu/pack=
ages/vpn=2Escm                          |   20 +-<br> gnu/packages/xml=2Esc=
m                          |   30 +<br> guix/download=2Escm                =
             |    5 +<br> 39 files changed, 6249 insertions(+), 1703 deleti=
ons(-)<br> create mode 100644 etc/snippets/text-mode/guix-commit-message-re=
move-package<br> create mode 100644 gnu/packages/patches/python-debugpy-unb=
undle-pydevd=2Epatch<br> create mode 100644 gnu/packages/patches/python-ipy=
thon-documentation-chars=2Epatch<br> create mode 100644 gnu/packages/patche=
s/python-ipython-documentation-repro=2Epatch<br> create mode 100644 gnu/pac=
kages/patches/python-mypy-use-sys-path=2Epatch<br><br><div class=3D"k9mail-=
signature">-- <br>2=2E34=2E0<br><br><br><br><br></div></pre></blockquote></=
div></body></html>
------JLQ2C7SKKEIHCI7VWU08HLL007E6WV--




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 09:54:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 05:54:14 2022
Received: from localhost ([127.0.0.1]:33321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nivQ5-0000zA-QO
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 05:54:14 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1nivQ3-0000yt-R7
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 05:54:12 -0400
Received: from smtp202.mailbox.org (smtp202.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:4:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4Kn0hs1pRdz9sQj;
 Mon, 25 Apr 2022 11:54:05 +0200 (CEST)
Date: Mon, 25 Apr 2022 11:53:57 +0200
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1650880443;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=jdnktJ9RmrVZU4zC7aQl2L+Osxe0BQfN8hkyeS5Fi6E=;
 b=kAoqkGO/f/TKo9L8JF/O5MXdlsk4FBd3JWex+HMecG0dtaaD4tvA2jAL+3ofDZ4VpRcFX9
 AYElPkWHmVLhKuU3JDO8pxOo33gJ/fzQ68KkKaTjE1UFOTv2J7qjrFDjFzgLZ2AFr+GUnE
 9ndOF0iCapiNbd8pnGLxD08wRvuOSgFI159FeEO/CLnI86cpMyhkMromCx/y0HChGKHXcL
 hDgKcjq01g7wV1/b3dB8S5Y9c7AqvJvS7GgWEfs80UAGM4hMoqZ+lJE5+9zX+maGOqWkYp
 r3+eN3j3LUHhINbcXfCYTyKDmD0noKtdH6r5jS0e/FIcl/aPWEOIRGk5cvE8aA==
From: Lars-Dominik Braun <lars@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#55104] [PATCH 000/232] Update IPython to latest, fix
 texlive-polyglossia, add more
Message-ID: <YmZvtT1jTcwTUFw7@HIDDEN>
References: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="hdfXQnaT4dS/MIfs"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55104
Cc: 55104 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--hdfXQnaT4dS/MIfs
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

Hi Maxim,

> This is the result of a quest to update IPython (to fix a reported CVE) and
> wanting to fix its Texinfo/PDF doc generation.  The later ended up being a
> rather deep rabbit hole, hence the following slurry of commits.  The end
> result is that we now have an up-to-date IPython and better support to build
> Sphinx-based documentation, a working texlive-polyglossia package (at least
> for XeLaTeX) and many new font tools that should allow us to build more fonts
> from source.
thank you very much for that update! I noticed python-qtconsole was
broken by the upgrade, see attached patches for fixes. There are alot
more failures on the CI, but it’s hard to tell whether they were caused
by this update or not.

Cheers,
Lars


--hdfXQnaT4dS/MIfs
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0001-gnu-python-qtpy-Update-to-2.0.1.patch"

From 9c905febfa1753e3468450e27150a187c30831d9 Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Mon, 25 Apr 2022 11:36:20 +0200
Subject: [PATCH 1/2] gnu: python-qtpy: Update to 2.0.1.

* gnu/packages/qt.scm (python-qtpy): Update to 2.0.1.
[propagated-inputs]: Remove python-pyside-2, add python-packaging.
---
 gnu/packages/qt.scm | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 0163d02bc0..bf2a3e88c2 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2269,17 +2269,16 @@ (define-public python-pyqt-builder
 (define-public python-qtpy
   (package
     (name "python-qtpy")
-    (version "1.9.0")
+    (version "2.0.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "QtPy" version))
        (sha256
           (base32
-           "13cw8l7zrhbdi03k1wl1pg9xdl4ahdfa7yz8gd0f23sxnm22rdrd"))))
+           "13zbhnl2rm30xafwrzfwdb4mjp7gk4s9h2xagbf83pnjzczhgzdd"))))
     (build-system python-build-system)
-    (propagated-inputs
-     `(("python-pyside2" ,python-pyside-2)))
+    (propagated-inputs (list python-packaging))
     (arguments
      `(;; Not all supported bindings are packaged. Especially PyQt4.
        #:tests? #f))
-- 
2.35.1


--hdfXQnaT4dS/MIfs
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment;
	filename="0002-gnu-python-qtconsole-Update-to-5.3.0.patch"

From eb0b1061c7cbd7c64ba839877f9bca49fccd53b5 Mon Sep 17 00:00:00 2001
From: Lars-Dominik Braun <lars@HIDDEN>
Date: Mon, 25 Apr 2022 11:38:04 +0200
Subject: [PATCH 2/2] gnu: python-qtconsole: Update to 5.3.0.

* gnu/packages/python-xyz.scm (python-qtconsole): Update to 5.3.0.
[native-inputs]: Add python-pytest-qt.
---
 gnu/packages/python-xyz.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 6d0a732dcd..2898b0da6e 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -13983,13 +13983,13 @@ (define python-jupyter-console-minimal
 (define-public python-qtconsole
   (package
     (name "python-qtconsole")
-    (version "4.7.7")
+    (version "5.3.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "qtconsole" version))
        (sha256
-        (base32 "013qgpsm8jzcz3prhq7sxs36l8f7fgagmn3xa010gfhxf7cfldpj"))))
+        (base32 "09anp8g7vqi8z8wyi2lv21a2frd2dyhyrzvcrk2anijyqzyj0dcf"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -14006,7 +14006,7 @@ (define-public python-qtconsole
            python-jupyter-core python-pygments python-pyqt python-pyzmq
            python-qtpy python-traitlets))
     (native-inputs
-     (list python-flaky python-pytest))
+     (list python-flaky python-pytest python-pytest-qt))
     (home-page "https://jupyter.org")
     (synopsis "Jupyter Qt console")
     (description "This package provides a Qt-based console for Jupyter with
-- 
2.35.1


--hdfXQnaT4dS/MIfs--




Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:37 2022
Received: from localhost ([127.0.0.1]:60972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvp-0008Iy-4K
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:37 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:36745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuF-0007v1-7t
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:05 -0400
Received: by mail-qt1-f178.google.com with SMTP id bb21so9571812qtb.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=QfT6yytZbWl5bmvyVOztbk1VwCUDYcfUbwrhNuhqT2Y=;
 b=IHPTMUE0UqrwC5VemBk93mGXecCjyb+Q0Al2LqBB2KLbnSlocM3g0piPOAhR37nuRG
 FyCEfSTjjfrHG3GNaZG/VdikxgWSErH+HXUjlAnH2XbNq6ZD+yCJrU6P14/V5CXOhxuB
 ixZiNsb7vNUnD2XX0D5dfcFtWpi1GGOPiesoPh8aC8r6rdOmmE9NPQ8b93i25ZfIcYI0
 20Rj6Yij+eVSMFSWywcktii1sSiqtHdTPsCSjwpkslmTFlTV4W18oqZkODpKfKgYJoQr
 523qlIwMqtOeDYqqRccC2g+rsMqxWX7XTGunsvStq8bw9qg7H5mdZ+w8XMg7+9ryr2r6
 SUsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=QfT6yytZbWl5bmvyVOztbk1VwCUDYcfUbwrhNuhqT2Y=;
 b=HQdf+2la30X1PQd0XNFMbAN6DQsWqR/1l1hTAQOUCrUP11THdEEnDoceWDWjzKkDRV
 OF0P5rba7W4er+0qCvfzBqc1W5eGVIeMG4mLJrthpXOGgPYJw+6Yua7KWyJgsUwiPWTX
 OUWBLRbotM9D2nhmNJKU5F6vfr/KL47j9kgitTJFrbuDvXEdzju+l+DxfDGiiQr2MFNo
 1GVeXGxuozfKW6jT3pJG7KrCErpRUWTQUn5kjn0aJQRCqIrLnrJfFLMAK09CuqorteiF
 snyj/RLv2bM1DG1EY+gt66cA4RcFjRGr8QnBPPuNpS9KWHQjJTy7F7zj3qFFUSPZzXxE
 BERg==
X-Gm-Message-State: AOAM531Fxiro3yg/jQyvoK7FCVWFvCQRHQ34DhEMdqnf7DM3JVL0nSYc
 2DyA0S2mdjxl7OAFjUVkpLQFdXljRo86ZA==
X-Google-Smtp-Source: ABdhPJxF5Tr2eteNNm+q5nzGbuljTY0IxzuKTFFsPEwPcW0HsbXfjvwKDA5+w7WtjKX8NNqKWR+8SQ==
X-Received: by 2002:ac8:5848:0:b0:2f3:6f14:8244 with SMTP id
 h8-20020ac85848000000b002f36f148244mr68893qth.584.1650859253529; 
 Sun, 24 Apr 2022 21:00:53 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 097/232] gnu: Add python-debugpy.
Date: Sun, 24 Apr 2022 23:57:03 -0400
Message-Id: <20220425035918.25683-97-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-debugpy): New variable.
* gnu/packages/patches/python-debugpy-unbundle-pydevd.patch: New file.
* gnu/local.mk: Register it.
---
 gnu/local.mk                                  |   1 +
 .../python-debugpy-unbundle-pydevd.patch      | 254 ++++++++++++++++++
 gnu/packages/python-xyz.scm                   |  72 +++++
 3 files changed, 327 insertions(+)
 create mode 100644 gnu/packages/patches/python-debugpy-unbundle-pydevd.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 702c430623..0cad8fc7fa 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1679,6 +1679,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-argcomplete-1.11.1-fish31.patch	\
   %D%/packages/patches/python-cross-compile.patch		\
   %D%/packages/patches/python-configobj-setuptools.patch	\
+  %D%/packages/patches/python-debugpy-unbundle-pydevd.patch	\
   %D%/packages/patches/python-docopt-pytest6-compat.patch	\
   %D%/packages/patches/python-execnet-read-only-fix.patch	\
   %D%/packages/patches/python-fixtures-remove-monkeypatch-test.patch	\
diff --git a/gnu/packages/patches/python-debugpy-unbundle-pydevd.patch b/gnu/packages/patches/python-debugpy-unbundle-pydevd.patch
new file mode 100644
index 0000000000..7a6ad54489
--- /dev/null
+++ b/gnu/packages/patches/python-debugpy-unbundle-pydevd.patch
@@ -0,0 +1,254 @@
+Allow using pydevd as a regular dependency.
+Submitted upstream at: https://github.com/microsoft/debugpy/pull/902
+
+diff --git a/setup.py b/setup.py
+index 5fc40070..3a530a29 100644
+--- a/setup.py
++++ b/setup.py
+@@ -11,6 +11,9 @@ import subprocess
+ import sys
+ 
+ 
++DEBUGPY_BUNDLING_DISABLED = bool(os.getenv('DEBUGPY_BUNDLING_DISABLED'))
++
++
+ sys.path.insert(0, os.path.dirname(os.path.abspath(__file__)))
+ import versioneer  # noqa
+ 
+@@ -18,12 +21,15 @@ del sys.path[0]
+ 
+ sys.path.insert(0, os.path.join(os.path.dirname(os.path.abspath(__file__)), "src"))
+ import debugpy
+-import debugpy._vendored
++
++if not DEBUGPY_BUNDLING_DISABLED:
++    import debugpy._vendored
+ 
+ del sys.path[0]
+ 
+ 
+-PYDEVD_ROOT = debugpy._vendored.project_root("pydevd")
++PYDEVD_ROOT = (None if DEBUGPY_BUNDLING_DISABLED else
++               debugpy._vendored.project_root("pydevd"))
+ DEBUGBY_ROOT = os.path.dirname(os.path.abspath(debugpy.__file__))
+ 
+ 
+@@ -67,7 +73,7 @@ def iter_vendored_files():
+ # relevant setuptools versions.
+ class ExtModules(list):
+     def __bool__(self):
+-        return True
++        return not DEBUGPY_BUNDLING_DISABLED
+ 
+ 
+ def override_build(cmds):
+@@ -133,9 +139,24 @@ with open("DESCRIPTION.md", "r") as fh:
+ 
+ 
+ if __name__ == "__main__":
+-    if not os.getenv("SKIP_CYTHON_BUILD"):
++    if not (os.getenv("SKIP_CYTHON_BUILD") or DEBUGPY_BUNDLING_DISABLED):
+         cython_build()
+ 
++    # Etch bundling status in the source.
++    if debugpy.__bundling_disabled__ != DEBUGPY_BUNDLING_DISABLED:
++
++        with open(os.path.join(DEBUGBY_ROOT, '__init__.py'), 'r') as f:
++            lines = f.readlines()
++        with open(os.path.join(DEBUGBY_ROOT, '__init__.py'), 'w') as f:
++            edited = []
++            for line in lines:
++                if line.startswith('__bundling_disabled__'):
++                    edited.append(
++                        f'__bundling_disabled__ = {DEBUGPY_BUNDLING_DISABLED}\n')
++                else:
++                    edited.append(line)
++            f.writelines(edited)
++
+     extras = {}
+     platforms = get_buildplatform()
+     if platforms is not None:
+@@ -145,6 +166,18 @@ if __name__ == "__main__":
+     override_build(cmds)
+     override_build_py(cmds)
+ 
++    data = {"debugpy": ["ThirdPartyNotices.txt"]}
++    packages = [
++            "debugpy",
++            "debugpy.adapter",
++            "debugpy.common",
++            "debugpy.launcher",
++            "debugpy.server",
++        ]
++    if not DEBUGPY_BUNDLING_DISABLED:
++        data.update({"debugpy._vendored": list(iter_vendored_files())})
++        packages.append("debugpy._vendored")
++
+     setuptools.setup(
+         name="debugpy",
+         version=versioneer.get_version(),
+@@ -173,20 +206,10 @@ if __name__ == "__main__":
+             "License :: OSI Approved :: MIT License",
+         ],
+         package_dir={"": "src"},
+-        packages=[
+-            "debugpy",
+-            "debugpy.adapter",
+-            "debugpy.common",
+-            "debugpy.launcher",
+-            "debugpy.server",
+-            "debugpy._vendored",
+-        ],
+-        package_data={
+-            "debugpy": ["ThirdPartyNotices.txt"],
+-            "debugpy._vendored": list(iter_vendored_files()),
+-        },
++        packages=packages,
++        package_data=data,
+         ext_modules=ExtModules(),
+-        has_ext_modules=lambda: True,
++        has_ext_modules=lambda: not DEBUGPY_BUNDLING_DISABLED,
+         cmdclass=cmds,
+         **extras
+     )
+diff --git a/src/debugpy/__init__.py b/src/debugpy/__init__.py
+index baa5a7c5..7b7a29aa 100644
+--- a/src/debugpy/__init__.py
++++ b/src/debugpy/__init__.py
+@@ -206,6 +206,8 @@ def trace_this_thread(should_trace):
+ 
+ __version__ = _version.get_versions()["version"]
+ 
++__bundling_disabled__ = False
++
+ # Force absolute path on Python 2.
+ __file__ = os.path.abspath(__file__)
+ 
+diff --git a/src/debugpy/server/__init__.py b/src/debugpy/server/__init__.py
+index e6a1ad66..5f29a87a 100644
+--- a/src/debugpy/server/__init__.py
++++ b/src/debugpy/server/__init__.py
+@@ -4,6 +4,50 @@
+ 
+ from __future__ import absolute_import, division, print_function, unicode_literals
+ 
++from importlib import import_module
++import os
++
+ # "force_pydevd" must be imported first to ensure (via side effects)
+ # that the debugpy-vendored copy of pydevd gets used.
+-import debugpy._vendored.force_pydevd  # noqa
++import debugpy
++if debugpy.__bundling_disabled__:
++    # Do what force_pydevd.py does, but using the system-provided
++    # pydevd.
++
++    # XXX: This is copied here so that the whole '_vendored' directory
++    # can be deleted when DEBUGPY_BUNDLING_DISABLED is set.
++
++    # If debugpy logging is enabled, enable it for pydevd as well
++    if "DEBUGPY_LOG_DIR" in os.environ:
++        os.environ[str("PYDEVD_DEBUG")] = str("True")
++        os.environ[str("PYDEVD_DEBUG_FILE")] = \
++            os.environ["DEBUGPY_LOG_DIR"] + str("/debugpy.pydevd.log")
++
++    # Work around https://github.com/microsoft/debugpy/issues/346.
++    # Disable pydevd frame-eval optimizations only if unset, to allow opt-in.
++    if "PYDEVD_USE_FRAME_EVAL" not in os.environ:
++        os.environ[str("PYDEVD_USE_FRAME_EVAL")] = str("NO")
++
++    # Constants must be set before importing any other pydevd module
++    # due to heavy use of "from" in them.
++    pydevd_constants = import_module('_pydevd_bundle.pydevd_constants')
++    # The default pydevd value is 1000.
++    pydevd_constants.MAXIMUM_VARIABLE_REPRESENTATION_SIZE = 2 ** 32
++
++    # When pydevd is imported it sets the breakpoint behavior, but it needs to be
++    # overridden because by default pydevd will connect to the remote debugger using
++    # its own custom protocol rather than DAP.
++    import pydevd   # noqa
++    import debugpy  # noqa
++
++    def debugpy_breakpointhook():
++        debugpy.breakpoint()
++
++    pydevd.install_breakpointhook(debugpy_breakpointhook)
++
++    # Ensure that pydevd uses JSON protocol
++    from _pydevd_bundle import pydevd_constants
++    from _pydevd_bundle import pydevd_defaults
++    pydevd_defaults.PydevdCustomization.DEFAULT_PROTOCOL = pydevd_constants.HTTP_JSON_PROTOCOL
++else:
++    import debugpy._vendored.force_pydevd  # noqa
+diff --git a/src/debugpy/server/attach_pid_injected.py b/src/debugpy/server/attach_pid_injected.py
+index e6345996..87cfdd53 100644
+--- a/src/debugpy/server/attach_pid_injected.py
++++ b/src/debugpy/server/attach_pid_injected.py
+@@ -8,6 +8,7 @@ from __future__ import absolute_import, division, print_function, unicode_litera
+ 
+ import os
+ 
++import debugpy
+ 
+ __file__ = os.path.abspath(__file__)
+ _debugpy_dir = os.path.dirname(os.path.dirname(os.path.dirname(__file__)))
+@@ -30,25 +31,29 @@ def attach(setup):
+                 def on_critical(msg):
+                     print(msg, file=sys.stderr)
+ 
+-                pydevd_attach_to_process_path = os.path.join(
+-                    _debugpy_dir,
+-                    "debugpy",
+-                    "_vendored",
+-                    "pydevd",
+-                    "pydevd_attach_to_process",
+-                )
+-                assert os.path.exists(pydevd_attach_to_process_path)
+-                sys.path.insert(0, pydevd_attach_to_process_path)
+-
+-                # NOTE: that it's not a part of the pydevd PYTHONPATH
+-                import attach_script
++                if debugpy.__bundling_disabled__:
++                    from pydevd_attach_to_process import attach_script
++                else:
++                    pydevd_attach_to_process_path = os.path.join(
++                        _debugpy_dir,
++                        "debugpy",
++                        "_vendored",
++                        "pydevd",
++                        "pydevd_attach_to_process",
++                    )
++                    assert os.path.exists(pydevd_attach_to_process_path)
++                    sys.path.insert(0, pydevd_attach_to_process_path)
++
++                    # NOTE: that it's not a part of the pydevd PYTHONPATH
++                    import attach_script
+ 
+                 attach_script.fix_main_thread_id(
+                     on_warn=on_warn, on_exception=on_exception, on_critical=on_critical
+                 )
+ 
+-                # NOTE: At this point it should be safe to remove this.
+-                sys.path.remove(pydevd_attach_to_process_path)
++                if not debugpy.__bundling_disabled__:
++                    # NOTE: At this point it should be safe to remove this.
++                    sys.path.remove(pydevd_attach_to_process_path)
+             except:
+                 import traceback
+ 
+diff --git a/tests/tests/test_vendoring.py b/tests/tests/test_vendoring.py
+index dd6c4269..28c03702 100644
+--- a/tests/tests/test_vendoring.py
++++ b/tests/tests/test_vendoring.py
+@@ -1,3 +1,8 @@
++import pytest
++
++import debugpy
++
++@pytest.mark.skipif(debugpy.__bundling_disabled__, reason='Bundling disabled')
+ def test_vendoring(pyfile):
+     @pyfile
+     def import_debugpy():
+-- 
+2.34.0
+
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 83c2d472c9..d7a9603e02 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -13118,6 +13118,78 @@ (define-public python-pydevd
 and other @acronym{IDEs, Integrated Development Environments}.")
       (license license:epl1.0))))
 
+(define-public python-debugpy
+  (package
+    (name "python-debugpy")
+    (version "1.6.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference              ;no tests in PyPI archive
+             (url "https://github.com/microsoft/debugpy")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (modules '((guix build utils)))
+       ;; Remove the bundled PyDev-Debugger copy, including its pre-built
+       ;; attach binary.
+       (snippet '(delete-file-recursively "src/debugpy/_vendored"))
+       (patches (search-patches "python-debugpy-unbundle-pydevd.patch"))
+       (sha256
+        (base32
+         "1dpfzs3p51648i7f3fz8dw5d0vrj39iwn1jhn0226idc02ybyqih"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-sh-in-tests
+            (lambda _
+              (substitute* "tests/debugpy/test_run.py"
+                (("#!/bin/sh")
+                 (string-append "#!" (which "sh"))))))
+          (add-after 'unpack 'fix-version
+            ;; Versioneer is useless when there is no git metadata.
+            (lambda _
+              (substitute* "setup.py"
+                (("version=versioneer.get_version\\(),")
+                 (format #f "version=~s," #$version)))))
+          (add-before 'build 'configure
+            (lambda _
+              ;; This adjusts the behavior of debugpy to load pydevd from
+              ;; Python site packages.
+              (setenv "DEBUGPY_BUNDLING_DISABLED" "1")))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (invoke "pytest" "-vv"
+                      "-n" (number->string (parallel-job-count))
+                      "-k"
+                      (string-append
+                       ;; These tests cannot be run in parallel because their
+                       ;; test data would not be copied by xdist and lead to
+                       ;; import errors. (see:
+                       ;; https://github.com/microsoft/debugpy/issues/342 and
+                       ;; https://github.com/microsoft/debugpy/issues/880).
+                       "not test_custom_python_args "
+                       "and not test_autokill ")))))))
+    (native-inputs
+     ;; See: https://raw.githubusercontent.com/microsoft/debugpy/
+     ;;      main/tests/requirements.txt.
+     (list python-django
+           python-gevent
+           python-flask
+           python-psutil
+           python-pytest
+           python-pytest-cov
+           python-pytest-timeout
+           python-pytest-xdist
+           python-requests))
+    (propagated-inputs (list python-pydevd))
+    (home-page "https://aka.ms/debugpy")
+    (synopsis "Debug Adapter Protocol Python implementation")
+    (description "An implementation of the Debug Adapter Protocol for
+Python.")
+    (license license:expat)))
+
 (define-public python-debian
   (package
     (name "python-debian")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:37 2022
Received: from localhost ([127.0.0.1]:60970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvo-0008Ir-Lm
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:37 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:39811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuI-0007vh-Fu
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:04 -0400
Received: by mail-qk1-f171.google.com with SMTP id q75so9969383qke.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:01:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=vlX47+GUyLPQ568KIbKpg8K4Tscko8a+ChGr1hECmQw=;
 b=SnTLnFUB6j1r6t9RcqiolTu2SW9KL+3dx2J330JMlA+WJPwfXhylWgidaexfV9gaua
 cklE3jZmssei8cbKnPd5kTkhz+sD2h4aE5Qk22T7jPyqoaqX4ZrENt5ihhM4yekAbJfu
 GlNd7l8Y/71FgbvcPKEaz3Ouzs+hF1rvxF9tgwfGGwNFDCnecEdpivN6N/88iKWklb0U
 Vr339jsq4fKkNGA2cTDt6cjZuERpx4IqdbEp1rzpiXRCppzBxkI4GNnB5OSCK3A6bZct
 yP6hDd5KpIqONBIYbdObfRgjKM4nyVUnQaLVRepFnX59xr9bBNKpJRGtAzP4sZ5xzo3u
 s2iA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=vlX47+GUyLPQ568KIbKpg8K4Tscko8a+ChGr1hECmQw=;
 b=v7Qtj/mCl2Kot03NwMLGk4O7Mgolt/BC4mO4bc5zV18X02NenhUiOuHfDde6PtG7J8
 ZxwfMtLk1Z8V1trdZjSzv1/93JtxZKG1UmysAr+vwVaBZ+g2YOL0KKkHulHuXO3PMHJT
 WqJHJ/1TfqYuiTJPoV5lVd8yZ9Ww9LM8EkV8UWuAsEL03Z86oR0raFQGLvz0JnJtPJoA
 5gQYAx82AOXuVXcEKtEJyNMa1In0/atkBbMaQjnTJf5837YlmZwgYTYynGVrk9spx+DM
 WtX3CtftxHhG97cXsNj3EFaKp9hsicJSHl7M0bgNgDtOsW6bU8achfDdFC0DOiYF3Z1p
 Dk6A==
X-Gm-Message-State: AOAM533n7lZOlcYgDJ8MWj/La9MCthztsmeb1qnToPKq3QUSwEbkyR+/
 fvtGb13IMMAMbFIgs2G4yRXFJ4YJ1zkquA==
X-Google-Smtp-Source: ABdhPJzz1/9DtQxQPHtCsaJeSseeVvbkw6YLx9oC0TPVUx6IOdWlKp2uHEM8KYESvoGQ1y630m+SnA==
X-Received: by 2002:a05:620a:4045:b0:69e:c0e9:46ae with SMTP id
 i5-20020a05620a404500b0069ec0e946aemr9058149qko.205.1650859256868; 
 Sun, 24 Apr 2022 21:00:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:56 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 101/232] gnu: Add python-ipyparallel-bootstrap.
Date: Sun, 24 Apr 2022 23:57:07 -0400
Message-Id: <20220425035918.25683-101-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-ipyparallel): Morph into...
(python-ipyparallel-bootstrap): ... this, moving native inputs to a new
definition of...
(python-ipyparallel): ... this.
---
 gnu/packages/python-xyz.scm | 97 ++++++++++++++++++++++---------------
 1 file changed, 58 insertions(+), 39 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index ce0172e59f..6a8eb11f64 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8740,47 +8740,41 @@ (define-public python-ipython-genutils
 (define-public python2-ipython-genutils
   (package-with-python2 python-ipython-genutils))
 
-(define-public python-ipyparallel
-  (package
-    (name "python-ipyparallel")
-    (version "6.2.4")
-    (source
+;;; Variant used to break a cycle with python-ipykernel.
+(define-public python-ipyparallel-bootstrap
+  (hidden-package
+   (package
+     (name "python-ipyparallel-bootstrap")
+     (version "6.2.4")
+     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "ipyparallel" version))
         (sha256
          (base32
           "0rf0dbpxf5z82bw8lsjj45r3wdd4wc74anz4wiiaf2rbjqlb1ivn"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:tests? #f ; RuntimeError: IO Loop failed to start
-       #:phases
-       (modify-phases %standard-phases
-         (add-before 'check 'prepare-for-tests
-           (lambda _
-             (setenv "HOME" (getcwd))
-             #t)))))
-    (propagated-inputs
-     (list python-dateutil
-           python-decorator
-           python-ipykernel
-           python-ipython
-           python-ipython-genutils
-           python-jupyter-client
-           python-pyzmq
-           python-tornado
-           python-traitlets))
-    (native-inputs
-     (list python-ipython
-           python-mock
-           python-nose
-           python-pytest
-           python-pytest-cov
-           python-testpath))
-    (home-page "https://ipython.org/")
-    (synopsis "Interactive Parallel Computing with IPython")
-    (description
-     "@code{ipyparallel} is a Python package and collection of CLI scripts for
+     (build-system python-build-system)
+     (arguments
+      (list
+       #:tests? #f
+       #:phases #~(modify-phases %standard-phases
+                    ;; The python-ipykernel is normally propagated but is
+                    ;; removed from this package to break the cycle.
+                    (delete 'sanity-check))))
+     (propagated-inputs
+      (list python-dateutil
+            python-decorator
+            ;; python-ipykernel is omitted here to avoid a cycle.
+            python-ipython
+            python-ipython-genutils
+            python-jupyter-client-bootstrap
+            python-pyzmq
+            python-tornado
+            python-traitlets))
+     (home-page "https://ipython.org/")
+     (synopsis "Interactive Parallel Computing with IPython")
+     (description
+      "@code{ipyparallel} is a Python package and collection of CLI scripts for
 controlling clusters for Jupyter.  @code{ipyparallel} contains the following
 CLI scripts:
 @enumerate
@@ -8788,7 +8782,26 @@ (define-public python-ipyparallel
 @item ipcontroller - start a scheduler
 @item ipengine - start an engine
 @end enumerate")
-    (license license:bsd-3)))
+     (license license:bsd-3))))
+
+(define-public python-ipyparallel
+  (package
+    (inherit python-ipyparallel-bootstrap)
+    (name "python-ipyparallel")
+    (arguments (list #:tests? #t))
+    (native-inputs
+     (list python-ipython
+           python-mock
+           python-nose
+           python-pytest
+           python-pytest-cov
+           python-testpath))
+    (propagated-inputs
+     (modify-inputs (package-propagated-inputs python-ipyparallel-bootstrap)
+       (replace "python-jupyter-client-bootstrap" python-jupyter-client)
+       (append python-ipykernel)))
+    (properties (alist-delete 'hidden? (package-properties
+                                        python-ipyparallel-bootstrap)))))
 
 (define-public python-ipython-cluster-helper
   (package
@@ -9077,10 +9090,16 @@ (define-public python-ipykernel-bootstrap
       (package
         (inherit parent)
         (name "python-ipykernel-bootstrap")
+        (arguments (list #:tests? #f
+                         ;; The package should normally propagate ipykernel,
+                         ;; left out here to break the cycle.
+                         #:phases #~(modify-phases %standard-phases
+                                      (delete 'sanity-check))))
+        (native-inputs '())
         (propagated-inputs
-          `(("python-jupyter-client" ,python-jupyter-client-bootstrap)
-            ,@(fold alist-delete (package-propagated-inputs parent)
-                    '("python-jupyter-client"))))))))
+         (modify-inputs (package-propagated-inputs parent)
+           (replace "python-jupyter-client" python-jupyter-client-bootstrap)
+           (append python-ipyparallel-bootstrap)))))))
 
 (define-public python-pari-jupyter
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:36 2022
Received: from localhost ([127.0.0.1]:60968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvo-0008Ik-Cj
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:36 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:38732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuH-0007vX-Lg
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:02 -0400
Received: by mail-qk1-f177.google.com with SMTP id 204so9976392qkg.5
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:01:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=lfxlhQduBZV1iD3QD5GLoDrUJNKGMma1do+nwAsDdss=;
 b=mrkHYz/uYiAy3nz1cX2cip4yjj8mLFsQgQmUJGeDy/sjPdsLo09dtOZSM9Av7psPXL
 0lkQA0gzcKrs753+t8GGV8L6tyD3+/FiNg578PUiWuQrIxwDq4ZI37aymJKCKa14zvq7
 w9rcehj+3FJ6sdYwMj7LMQF5aub1WF2ePqT5ROXslEpWlseffIFB3XcMq/gWdm1E3oBH
 FKRyY6YOYnsxvZRf4sI1c7zDsdqCWvZC0dcnmG1//WkK6BaIsDHUoBQXdAw2VJgUszVO
 ONXdyzpOAHPkV2mIx5Y7BX1Z7sFINSz92uzFBDdlXS9EuMP9eZAXyaWjbLEAHgGEdja2
 ljpw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=lfxlhQduBZV1iD3QD5GLoDrUJNKGMma1do+nwAsDdss=;
 b=FDeolEYU1H7QaGqpr2hXpreio6ifjK9J+5AnNtnFpSnGGbURocxbk9s8rJs/mm00G+
 trAOXp8Njxu1bP8qKgMYopBmq8u5GiyCLXs2OXWnWYGXaoDWAc0GZ/cL2GoEoONJwZ/7
 bMGynu9YS1B8OFcpPhN5N1sYJoyAbNFo9sbpgM8CivWco2VkS+3Sk1TFZnPVsQNgk3c5
 qeV9EzzT2jtN3Sw/dc1J/8pvyPeDXEssS5Vi+p15THWRpFqytxivmuRoPb8h14wY9Pni
 HgOQlQjpFMSNJzLqJmnle68a6U/gHqxqG1sROOa3XLSRFCVemPLB+E6NP2Vd8LQgs2TB
 m23w==
X-Gm-Message-State: AOAM531M9juPpDJK1yfA2UK/Cz9R2OIok8r2UHaj0Zhopp6Ml5pqy/Zb
 2mVg2J+kBNncDhYJQ+Hi7CZFi/sMOyldfQ==
X-Google-Smtp-Source: ABdhPJygjo/77lM3QIpGXHLVmtj2UjRxjCN0mgaIH89oXSyZK0MqGHP5GRNxTni2XHeufDaGb90G8w==
X-Received: by 2002:a05:620a:74b:b0:69b:db1d:f91e with SMTP id
 i11-20020a05620a074b00b0069bdb1df91emr9016229qki.286.1650859256167; 
 Sun, 24 Apr 2022 21:00:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 100/232] gnu: python-pytest-xdist-next: Update to 2.5.0.
Date: Sun, 24 Apr 2022 23:57:06 -0400
Message-Id: <20220425035918.25683-100-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-xdist-next): Update to 2.5.0.
[propagated-inputs]: replace python-pytest-forked with
python-pytest-forked-next.
---
 gnu/packages/check.scm | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 5e0b653983..957d7a4262 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1483,18 +1483,16 @@ (define-public python2-pytest-xdist
 (define-public python-pytest-xdist-next
   (package/inherit python-pytest-xdist
     (name "python-pytest-xdist")
-    (version "2.3.0")
+    (version "2.5.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "pytest-xdist" version))
        (sha256
         (base32
-         "19cy57jrf3pwi7x6fnbxryjvqagsl0yv736jnynvr3yqhlpxxv78"))))
-    (propagated-inputs
-     `(("python-execnet" ,python-execnet)
-       ("python-pytest" ,python-pytest-6)
-       ("python-pytest-forked" ,python-pytest-forked)))))
+         "1psf5dqxvc38qzxvc305mkg5xpdmdkbkkfiyqlmdnkgh7z5dx025"))))
+    (propagated-inputs (list python-execnet python-pytest
+                             python-pytest-forked-next))))
 
 (define-public python-pytest-timeout
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:36 2022
Received: from localhost ([127.0.0.1]:60966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvo-0008Ib-2r
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:36 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:38427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuG-0007vL-Rg
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:01 -0400
Received: by mail-qt1-f172.google.com with SMTP id d14so9576036qtw.5
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:01:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=qdXxWL+Du3csJzoEmWwLU2SL1uuG7R9myNS90kITjiM=;
 b=bISKPJHbr1rzCcK9inL1ngFOTMcvNfJnRkzi3t2gKsfQ6Cbnjsz31ph/kaQWtR4oHQ
 /ePyMzu0ZrrnQYOiQoSvamMdnUBid25tqvFnX3gIlWvRXfypP091jwj4ZNOuFwKvDmzn
 nAh+0CjKKgqfEgsJlDGwJq/d2eyHVZyLnpQRIMiVe+vB/4PADBeEWKYbNL+oTXOOO/Wt
 gjfmj77EifBhoceLahzB29VClnoLj+wwRPiJEFIFA0yjdm+IXWZ/4qojIp13EAlQKaIl
 S9oWDVi9wJH3S2V7OWAGJTCF3tesNct/A2vaz0ofNsIKP7qIJ/M4a2wIMfg8MXH7NQ0g
 WW4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=qdXxWL+Du3csJzoEmWwLU2SL1uuG7R9myNS90kITjiM=;
 b=OXnONSldn2j0IIzzzcOjkeKAY2Ym54q0pp6bJAopJllnMgjdw6BuqHYAohwnqTc37+
 YwHxFIZNsEQWW5O0AMu264mWaod3RyTYl7vDMytD1fdh0O2SGRpz/uUO4fKbpw+Yq88n
 4yQnrGpu5mJ9rFAosvR54cwd5D77A0UsztHmT+baWHgCxrl24gPmtOUobeiDni7PNpwx
 qJCyvOLnn3tyVIMILM2hOuMzXEKZ9dHwWU14fGN1EplvFSScvztHowk+dMopxqeOYaqx
 LsGzx5+AHcSNpXPTC6YtQo279X1HlNftmLchdIbVVh6wC6ToxeY0HEfxnKq8ItbhPsgr
 WRNw==
X-Gm-Message-State: AOAM531mJ3dMhUCfbk/RcDRJ0lE2EaNepjJrNM2V9r5Id+Q4vRzecXUn
 8s1mji7uo6rPmJNOQyv5ykfpF1G9aDS3hg==
X-Google-Smtp-Source: ABdhPJwOx/hTNxWwCkPwczEnafMFcH4Zbccc6/jYVDHnbm6mwd6OABDsoIWgwKkurc4FCw98Ezixog==
X-Received: by 2002:a05:622a:196:b0:2f1:f8d7:fc97 with SMTP id
 s22-20020a05622a019600b002f1f8d7fc97mr10517706qtw.343.1650859255282; 
 Sun, 24 Apr 2022 21:00:55 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:54 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 099/232] gnu: Add python-pytest-forked-next.
Date: Sun, 24 Apr 2022 23:57:05 -0400
Message-Id: <20220425035918.25683-99-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-forked-next): New variable.
---
 gnu/packages/check.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 005a3bde7c..5e0b653983 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1570,6 +1570,23 @@ (define-public python-pytest-forked
 side-effects (such as setting environment variables).")
     (license license:expat)))
 
+(define-public python-pytest-forked-next
+  (package
+    (inherit python-pytest-forked)
+    (name "python-pytest-forked")
+    (version "1.4.0")
+    (source
+     (origin
+       (method git-fetch)               ;for tests
+       (uri (git-reference
+             (url "https://github.com/pytest-dev/pytest-forked")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0j9bbjny7h3b4fig6l26f26c697r67mm62fzdd9m9rqyy2bmnqjs"))))
+    (native-inputs (list python-pytest-bootstrap python-setuptools-scm))))
+
 (define-public python-scripttest
   (package
     (name "python-scripttest")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:36 2022
Received: from localhost ([127.0.0.1]:60956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipve-0008HH-F3
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:36 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:41961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuF-0007v8-Td
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:00 -0400
Received: by mail-qt1-f179.google.com with SMTP id fu34so9563621qtb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=J39P0yfLQUQfiE1qPXUHuv15sw4ZkmYsPFjenCQlZ80=;
 b=Xd1vHYV2fz8xeuN267QYAAoi/e2lkZ/vHK6gLQ9UESCPSwKSsW8muhOEF3NV06k5uh
 X5JqWMuhf93nZh49FSZbD7aN2ASljXvnreZ0nVGC8H7RSEHQHQ8aUJZKe9uIuZb/pcUh
 soWWYWkC5Y5mNX93L24vLfyNfJDsnaTw91V348XImzchgm/1F5SGCEFLTZQqZyD3OpqS
 xzwboeUzK54iV3/Fxs9vLDrokdkZ+BntYOwdlpuTk7hBi+Av+LhKhiHBemRl1Ysx5XNR
 KqvCKGcBqIGiez7OBw31/jrosvl6i70IFRdGW7BV+R4IHfSbH/HN+cjeHSBLPC3UjMdx
 w0Dg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=J39P0yfLQUQfiE1qPXUHuv15sw4ZkmYsPFjenCQlZ80=;
 b=jcwPRnUCDwo8vH7A8VqXTakQ8TKkKV7eCq0YDdE+AThymQOhHH7RkKuyeU96ETQO5H
 cFbb9+PFiWtm1KkYvWuXrup09y0HwJEvLhFBXWTC64fKiUUMjLQ5rmqZ+HxlONezopTF
 iJYVsK5clVuoKDr83digVuPBX1dhqoyFT4LVpBIDUOtSwn/taxg/bFQyfWR43DWotXEz
 RNqBezLp8tsjmbg08BwmS7mzebP24kXW15MXToQB8azy7LRZ1dyBPV60TMXNB2/YY3Q5
 39Zq5DV4uFrUvJ3TYy13p28/ogwefy2jtQDRvG0549/mcaVYhSi0+owIi7bzaRrEkGsv
 KtIA==
X-Gm-Message-State: AOAM530pSBgAF/4TPRx/iQcno2nMZyyl2TSawVaJzSasEpv/HGcVOkBM
 EqGfootLyFbz4fSBoQvcBSM58cHSdckm1g==
X-Google-Smtp-Source: ABdhPJzMEzXiUmB0Ozh0LngvB59zGkt5kymw39W9i4GiHH/fd7UkDvdb3YYqd0Icn5DqJ92K3j71kA==
X-Received: by 2002:a05:622a:5:b0:2f3:576a:6fcd with SMTP id
 x5-20020a05622a000500b002f3576a6fcdmr10874439qtw.669.1650859254369; 
 Sun, 24 Apr 2022 21:00:54 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:53 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 098/232] gnu: python-greenlet: Update to 1.1.2.
Date: Sun, 24 Apr 2022 23:57:04 -0400
Message-Id: <20220425035918.25683-98-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-greenlet): Update to 1.1.2.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d7a9603e02..ce0172e59f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -16692,13 +16692,13 @@ (define-public python-tftpy
 (define-public python-greenlet
   (package
     (name "python-greenlet")
-    (version "1.1.1")
+    (version "1.1.2")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "greenlet" version))
               (sha256
                (base32
-                "10gllbrcbazxck84nr7dw3js3gq0rxrsr4kkvy5hg542rms2gwn0"))))
+                "0jkln5bf6rq7dbvpv7ypin3pp9jqd2jr91yyxlnfcii3msj5w3z3"))))
     (build-system python-build-system)
     (home-page "https://greenlet.readthedocs.io/")
     (synopsis "Lightweight in-process concurrent programming")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:26 2022
Received: from localhost ([127.0.0.1]:60953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipve-0008H3-3O
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:26 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:33398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuC-0007ub-G5
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:00 -0400
Received: by mail-qt1-f181.google.com with SMTP id hf18so9594699qtb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=fxl6l6g/Ft4pLJ7EN4g9jG5NFxWR29urreUIOYI4dJk=;
 b=nPMc3mEoCOhEIzY8gFuc7F7Xzq18OYMwXtB5xB/cW8fShWAf2KW2IiqzO0qFU61cHt
 o0z8EPaHLny8iDC27C6eQXiKdCvCB7Ux4TDWaHHzgSpxaPpoGp3XfcOYp8Q84pYLM6OH
 YLqvMXjCx/tg8xVvZkO63K4aHeQbxlbsRLGaUV3q+epEyFGZXrswn0hBn/zxNzTEuI0o
 5Esfgz0CMWcuJ+LMaUg/YbyCya7UuZZU0+ErljbuVHT8uxy8INGeSqrvDDAGDrsQWiAg
 JjpVtTv+ATxhLInLXWNY1Y74ca6coHbQycEQwNqvSm5Js8CdRhhMGw73G40+CEjJTA2U
 hwLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=fxl6l6g/Ft4pLJ7EN4g9jG5NFxWR29urreUIOYI4dJk=;
 b=Yooo08T6SsQvldQoATxPc0OMKyv9oCDolFzANomhh028BB4Vm7LbhBVUlXdrFZ/Jqq
 J2sUIT+crYQ6Nrsqmy5OWTtidExTRU4zeWMR3VLc6+10+hgPgIYIlm8TXgUEK34ISjJx
 vZIrPi9IGcjsl1JFDytPu1+RY3x8pQ/qXshHYEdAxhzKonDYy0olPGHrYE66imXFWxQF
 zWjJDjcePnQXYPs1QyZs0sWinH61DtQdgWBQjPeN+w+CM06vC5ndM6wDSHfKwQdxY2rv
 lj9QEbxz/ZIUlLP6wJNqUgTrf2eXk8M4o6bFBtFhtvaY1JrWSGiBRmODMlZcwR0u/Xlj
 uMMg==
X-Gm-Message-State: AOAM532WgS/KHiwShjl1eNOixcKdgQh9FbRk7RO1Fxkqh9+cN9Xmdqbq
 JdYTzGO1zBt2QeBssYwvzztEpM0Rv3wfsg==
X-Google-Smtp-Source: ABdhPJyA82edBBdqjU0mr63mZ7rs/V1iX4YK6amhe9FgKzbYHlEi+buAvWUDCJWLCSwU7qtqxmv8Sw==
X-Received: by 2002:ac8:4813:0:b0:2f1:eb06:55c8 with SMTP id
 g19-20020ac84813000000b002f1eb0655c8mr10668973qtq.177.1650859250929; 
 Sun, 24 Apr 2022 21:00:50 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:50 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 094/232] gnu: pylint: Run tests in parallel.
Date: Sun, 24 Apr 2022 23:57:00 -0400
Message-Id: <20220425035918.25683-94-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pylint)
[phases]{check}: Add the '-n' option to use xdist with pytest.
[native-inputs]: Add python-pytest-xdist.
---
 gnu/packages/check.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index b7a5a9bd46..005a3bde7c 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2532,9 +2532,10 @@ (define-public python-pylint
                (delete-file "tests/primer/test_primer_external.py")
                (delete-file "tests/testutils/test_package_to_lint.py")
                (setenv "HOME" "/tmp")
-               (invoke "pytest" "-k" "test_functional")))))))
+               (invoke "pytest" "-k" "test_functional"
+                       "-n" (number->string (parallel-job-count)))))))))
     (native-inputs
-     (list python-pytest))
+     (list python-pytest python-pytest-xdist))
     (propagated-inputs
      (list python-astroid
            python-isort
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:26 2022
Received: from localhost ([127.0.0.1]:60949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvd-0008Gr-FQ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:26 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:38424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuE-0007uw-Fq
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:59 -0400
Received: by mail-qt1-f171.google.com with SMTP id d14so9575993qtw.5
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rJdieNm5BdsMuvsIcMOidcLiVzvTtNq3RR1B7DocMCM=;
 b=oGm29FKfg7BnEaRcVuNixQDaCw9ivZh+koH9m5G2CFPwMwpziykMR06DOdgMJfH3Cp
 q9gm9o5MMfkA5xFg/xqywgw7LvIv0PZz+mbhqYVkGPtQvQKSAcnbLYUxFSmt8summC4s
 S5mgRmmTV2ZK7C1byHVqaVdGanrcPZ5q2+1+CPBxm/EHKv5WWWuady30++bnlViNQEH2
 UZmsXRPlsnVRuLuOmEEiEREkXmvL5bUnhXAI20XRkbJBxp8xEr9doeNJ77/ONXfzEtPz
 PwewFeWhKEJqvYETNzR9rTBLsAboi9EjwkkdYAep8HAcSQogQrwDgVQkHb1D6HiLt+Gn
 GFZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rJdieNm5BdsMuvsIcMOidcLiVzvTtNq3RR1B7DocMCM=;
 b=2iGNerysowihxp5mQeyawKBzU4S0k96IUVtAa0BVcopxuU+pAzOJ1aRT94U0ohT1uu
 Et/AQ5ermwy1EHE+nS8v1xrnzWnYwDy5OzPPAYYknSrmCK/8E9//3fg6Qlty6/FVUtbi
 YNQ6cQC4GkoBNWyOtiw6d11HK+pqgURU/uPRlvUsBBVhY4GyZK6g2Q0zOu/2xbglIiBy
 Cen3zntAkkVuPkOT2cPGUuDuKhNgtckSsjBoRf+t7rahCkj7iePaaxN1VsLpyRen25tn
 w6AhwJE0SkjhYcGoseogWrpWJ890eo4cez5o2edYv+1VtAp9hsyNSDBcBxV78pZquyzU
 S8MQ==
X-Gm-Message-State: AOAM530igSij9Ptz9i4Q1VXBholiRY49fQqzGa1nDpt2fvr63Rp5fjw2
 ejlfB+A1eMiEzwdkKU+td2g9xrnNhRAa/Q==
X-Google-Smtp-Source: ABdhPJyt0QGo/ETLqlcxdLcR44zqfr6TIgwbtL5Oh1xduT78k22RAw3dH0umoFCPHVsBjlCHrXcmBg==
X-Received: by 2002:a05:622a:8b:b0:2e0:75f0:c18d with SMTP id
 o11-20020a05622a008b00b002e075f0c18dmr10942846qtw.488.1650859252504; 
 Sun, 24 Apr 2022 21:00:52 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 096/232] gnu: Add python-pydevd.
Date: Sun, 24 Apr 2022 23:57:02 -0400
Message-Id: <20220425035918.25683-96-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pydevd): New variable.
---
 gnu/packages/python-xyz.scm | 102 ++++++++++++++++++++++++++++++++++++
 1 file changed, 102 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d987c9cbcd..83c2d472c9 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -157,6 +157,7 @@ (define-module (gnu packages python-xyz)
   #:use-module (gnu packages file)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gdb)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages geo)
   #:use-module (gnu packages ghostscript)
@@ -13016,6 +13017,107 @@ (define-public python-file
 (define-public python2-file
   (package-with-python2 python-file))
 
+(define-public python-pydevd
+  ;; Use the latest commit, which includes cleanups that removes Python 2
+  ;; syntax that would fail to build.
+  (let ((revision "0")
+        (commit "47e298499ef19563bb2ef5941a57046a35ae6868"))
+    (package
+      (name "python-pydevd")
+      (version (git-version "2.8.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/fabioz/PyDev.Debugger")
+               (commit commit)))
+         (modules '((guix build utils)))
+         (snippet '(begin
+                     ;; Delete pre-built binaries.
+                     (for-each delete-file (find-files "." "\\.(so|dylib|dll)"))
+                     ;; This source is generated via Cython.
+                     (delete-file "_pydevd_bundle/pydevd_cython.c")))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1yd017dh6xgxrqcyf8kk8jrr0a3zw895yfjih0z5jghyf0rck38q"))))
+      (build-system python-build-system)
+      (arguments
+       (list
+        #:phases
+        #~(modify-phases %standard-phases
+            (add-after 'unpack 'fix-tests
+              (lambda _
+                (substitute* "tests_python/test_convert_utilities.py"
+                  ;; Add missing trailing '/'.
+                  (("'\\\\\\\\usr\\\\\\\\bin\\\\\\\\') == '/usr/bin" all)
+                   (string-append all "/")))))
+            (add-after 'unpack 'patch-command-paths
+              (lambda* (#:key inputs #:allow-other-keys)
+                (substitute* "_pydevd_bundle/pydevd_api.py"
+                  (("'kill'")
+                   (format #f "~s" (search-input-file inputs "bin/kill")))
+                  (("'pgrep'")
+                   (format #f "~s" (search-input-file inputs "bin/pgrep"))))))
+            (add-after 'unpack 'generate-sources
+              (lambda _
+                (setenv "PYTHONPATH" (getcwd))
+                (invoke "python" "build_tools/build.py")))
+            (add-after 'unpack 'adjust-attach-binary-name
+              (lambda _
+                (substitute*
+                    '("pydevd_tracing.py"
+                      "pydevd_attach_to_process/add_code_to_python_process.py")
+                  (("def get_(target|python_helper_lib)_filename.*" all)
+                   (format #f "~a    return ~s~%" all
+                           (string-append #$output "/lib/attach.so"))))))
+            (add-after 'unpack 'patch-gdb
+              (lambda* (#:key inputs #:allow-other-keys)
+                (substitute*
+                    "pydevd_attach_to_process/add_code_to_python_process.py"
+                  (("'gdb',")
+                   (format #f "~s," (search-input-file inputs "bin/gdb"))))))
+            (add-after 'build 'build-attach-linux-binary
+              (lambda _
+                (invoke #+(cxx-for-target) "-shared" "-o" "attach.so"
+                        "-fPIC" "-nostartfiles"
+                        "pydevd_attach_to_process/linux_and_mac/attach.cpp")))
+            (replace 'check
+              (lambda* (#:key tests? #:allow-other-keys)
+                (when tests?
+                  (setenv "PYDEVD_USE_CYTHON" "YES")
+                  (invoke "pytest" "-vv"
+                          "-n" (number->string (parallel-job-count))
+                          "-k"
+                          (string-append
+                           ;; the GUI event loop requires an X server.
+                           "not test_gui_event_loop_custom "
+                           ;; This test validates that 'pydevd' is not in the
+                           ;; exception message, but it is due to being part
+                           ;; of the build file name present in the message.
+                           "and not test_evaluate_exception_trace")))))
+            (add-after 'install 'install-attach-binary
+              (lambda _
+                (install-file "attach.so"
+                              (string-append #$output "/lib"))))
+            ;; Some modules aren't designed to be loadable by themselves, such
+            ;; as 'pydev_app_engine_debug_startup' and fail.
+            (delete 'sanity-check))))
+      (native-inputs
+       (list python-cython
+             python-numpy
+             python-psutil
+             python-pytest
+             python-pytest-xdist
+             python-trio
+             python-untangle))
+      (inputs (list coreutils gdb procps))
+      (home-page "https://github.com/fabioz/PyDev.Debugger/")
+      (synopsis "Python debugger")
+      (description "PyDev.Debugger is a capable Python debugger used in PyDev
+and other @acronym{IDEs, Integrated Development Environments}.")
+      (license license:epl1.0))))
+
 (define-public python-debian
   (package
     (name "python-debian")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:25 2022
Received: from localhost ([127.0.0.1]:60947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvc-0008Gg-W1
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:25 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:46617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuD-0007us-Dq
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:58 -0400
Received: by mail-qt1-f171.google.com with SMTP id f22so9547084qtp.13
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=aBBIEkGgfppy2lp8hRO8fCTr7TtxQPffA4U4sTG5qho=;
 b=TorPnilbny5LjqcLsjunBbtxPwFVbMuR+Cz42nfQ6sOWpLyWv/G+FseXQQKqwKK9Nm
 h88/FHpucgVypIoFMIlZOMEx+OFTV3H789kHxPe9OnRo8asMc66bliJujyp6K7P1/rAx
 VoVocuzVFtrtMP99/+JuwnYsk86XPM1prdeam87eHxgu5reQHPB0ozzOUfJaIpeITUM4
 6ruSW5Fl+sl2mQz0DZBLbMdOFFDI9AMyn21ifP1V1eAHFubgrmwYh1aYi6loestl3Yii
 eo/si4pEiX+66iKgtoLBfSR3mE3tmX8OUNkqgt1fBBG4KuMbo9e4UqTNycNoTPe0DAyb
 DQ3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=aBBIEkGgfppy2lp8hRO8fCTr7TtxQPffA4U4sTG5qho=;
 b=7XQkxU/ekDZXlGHMX6vNFnnOBtnrk4HEtVT2En1sEA+qDwu0XcnmMEMPW73h8PiNDU
 VG3dj9HxNB/+ExGecd78vzi8VRmPZFxFxF68AiHrbDNPoS9ckb/usInJRI5C9g0i2635
 SWELVzonl/3oN10o8Ft0dGmYSPK0kJUF6z5mK225meAYE3ZtZsRKXlpQAB8vhp4Ioobc
 NiuS8kS+UPZ2KbhdrTRhkWLC4QBwq99EUAowSQIfREg7DHfr6DXmBugXkxvOyb8oYKhU
 ow8ZRThMwX1m1LUOkp5MrGK48hO7+yUJKQn/4nUMpC5FKcndwRNudMblkiAOfXAqC8cQ
 RHwA==
X-Gm-Message-State: AOAM53345FZh+s2xWT87xS9Ag6wsJ72Fwq1HdfAyC9rAKWmUHwKO0pxb
 sUF5JpJAF0DL3DmMTBwnmP+IyQF8cxuzYA==
X-Google-Smtp-Source: ABdhPJxfvBF8bXlDj4eH1PNLt0YkzW/Il7ZcsaeYOHcNUM/oerc9LaFCYiHTVdv1MA139d7uC/W1Qg==
X-Received: by 2002:a05:622a:138f:b0:2f3:4477:980b with SMTP id
 o15-20020a05622a138f00b002f34477980bmr10571846qtk.475.1650859251753; 
 Sun, 24 Apr 2022 21:00:51 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:51 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 095/232] gnu: python-trio: Update to 0.20.0.
Date: Sun, 24 Apr 2022 23:57:01 -0400
Message-Id: <20220425035918.25683-95-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-trio): Update to 0.20.0.
[phases]{patch-sleep}: New phase.
[change-home]: Delete trailing #t.
{check}: Run tests in parallel.  Disable the
test_cancel_scope_exit_doesnt_create_cyclic_garbage, test_ipython_exc_handler,
test_for_leaking_fds and test_static_tool_sees_all_symbols tests.
[native-inputs]: Add python-pytest-xdist.
---
 gnu/packages/python-xyz.scm | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 96a04009bc..d987c9cbcd 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24380,26 +24380,32 @@ (define-public python-outcome
 (define-public python-trio
   (package
     (name "python-trio")
-    (version "0.19.0")
+    (version "0.20.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "trio" version))
        (sha256
-        (base32 "1qgg4zhca81dxc1nlmcr5pl1bclmvdp3niqbyslwxs65bs732pl9"))))
+        (base32 "0w30cwmdwfa8zq2agqv3h62jzwwsk7ms8f683ag8f3jx279m42k7"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
+         (add-after 'unpack 'patch-sleep
+           (lambda _
+             (substitute* "trio/tests/test_subprocess.py"
+               (("/bin/sleep")
+                (which "sleep")))))
          (add-before 'check 'change-home
            (lambda _
              ;; Tests require a writable home.
-             (setenv "HOME" "/tmp")
-             #t))
+             (setenv "HOME" "/tmp")))
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "pytest" "-vv" "-k"
+               (invoke "pytest" "-vv"
+                       "-n" (number->string (parallel-job-count))
+                       "-k"
                        (string-append
                          ;; This test times out.
                          "not test_ki_protection_works"
@@ -24408,7 +24414,10 @@ (define-public python-trio
                          " and not test_run_in_trio_thread_ki"
                          " and not test_simple_cancel_scope_usage_doesnt_create_cyclic_garbage"
                          " and not test_nursery_cancel_doesnt_create_cyclic_garbage"
+                         " and not test_cancel_scope_exit_doesnt_create_cyclic_garbage"
                          " and not test_locals_destroyed_promptly_on_cancel"
+                         " and not test_ipython_exc_handler"
+                         " and not test_for_leaking_fds"
                          ;; These try to raise KeyboardInterrupt which does not work
                          ;; in the build environment.
                          " and not test_ki_self"
@@ -24417,7 +24426,9 @@ (define-public python-trio
                          " and not test_getnameinfo"
                          " and not test_SocketType_resolve"
                          ;; OSError: protocol not found.
-                         " and not test_getprotobyname"))))))))
+                         " and not test_getprotobyname"
+                         ;; EOFError: Ran out of input.
+                         " and not test_static_tool_sees_all_symbols"))))))))
     (native-inputs
      (list python-astor
            python-ipython
@@ -24425,6 +24436,7 @@ (define-public python-trio
            python-pylint
            python-pyopenssl
            python-pytest
+           python-pytest-xdist
            python-pytest-cov
            python-trustme))
     (propagated-inputs
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:25 2022
Received: from localhost ([127.0.0.1]:60944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvc-0008GT-EP
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:24 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:36740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuB-0007uT-Pa
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:57 -0400
Received: by mail-qt1-f176.google.com with SMTP id bb21so9571760qtb.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=G7rbxJH5fEv3feoSB6L+Vkl1h/XTM0bulPcQDhoNEsk=;
 b=NmbCtkNld7+FtvKhuDF3xvFeqgrgMIIuGPC96vMCveqZieehFrI3CBobyx6vLzA+R7
 2n+3Lc6rikY4ozcsmBr/Lon9CWz7KWLqDQ855c4Z/5m+lJJP2tAPce13Yqrmd3wjkpae
 5Av7GY2+wOmlIpkSpFTgedDTeugBxjzEzwAaolVV8E13Or7ZNmyEYuHfeKJOccnr4HCg
 RVbZxRdP1TURfdcjIGkM4vxskHjwKKaDXazxwOY6JxkmYFBop44CCyP5eT4tekzLp/W7
 2VKp3q+uyogUH8oaSTf5I1BelHnqXRDMaqRSznoom/hvA+cFbfmrJoUGpNahYF+R6yKF
 rFuQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=G7rbxJH5fEv3feoSB6L+Vkl1h/XTM0bulPcQDhoNEsk=;
 b=eNXmRxn0U6TtIsBwfzDOFc14yYwvN6fJuxYAhbbd1x+VggCdG3Z9H0Mq2iqNRXtikT
 XZnu1qpF3mv1DNv8HSbvGT3vEVJtFSR+smqUjuWpDv+GygxG+JSbRaP7GEbaISY75ayb
 yBM6Tr2QXevuqEkzXiXg641jWIR2HZaLKm+ySc36CI5n2uE8cHusiTYMOZYaMa1SVhq2
 LxF0ovjrMFsIrqY7KFxRknA5ZGLUHrNtRlQLCkSKn5u8+kOC7uzj7SxllqaHXaEs0CAq
 MIgZ4O5ZRrhcnswSC4FSzfHO7LdqZfGfZ2dSzsO/xOZ1+RmyrfLrgjldoew4yWU4MIxm
 jCkg==
X-Gm-Message-State: AOAM530nr4sG2QaSyHt8Vs3TyFxHK8zJFIzd9bSUgaz1c/90Sai/3ZtP
 8lG1NbA24u5QylIe8ZtrLU/2INivZgzEQg==
X-Google-Smtp-Source: ABdhPJznAqMEzcapqSmcttXonDm8+bZW3sqHHXJkj6Ah2kawUNVjcAQwV54nRsrrAsqN0GQR0dHQ/Q==
X-Received: by 2002:a05:622a:1a27:b0:2f3:6417:f20e with SMTP id
 f39-20020a05622a1a2700b002f36417f20emr4646521qtb.5.1650859250225; 
 Sun, 24 Apr 2022 21:00:50 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 093/232] gnu: python-black: Update to 22.3.0.
Date: Sun, 24 Apr 2022 23:56:59 -0400
Message-Id: <20220425035918.25683-93-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-black): Update to 22.3.0.
[phases]{relax-version-requirements}: Delete phase.
{use-absolute-file-names}: Streamline phase.
{disable-broken-tests, remove-entrypoint}: Delete phases.
---
 gnu/packages/python-xyz.scm | 39 ++++---------------------------------
 1 file changed, 4 insertions(+), 35 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a6e9f64ff3..96a04009bc 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -5415,58 +5415,27 @@ (define-public python-pathspec
 (define-public python-black
   (package
     (name "python-black")
-    (version "21.12b0")
+    (version "22.3.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "black" version))
        (sha256
         (base32
-         "1czjwr1bx9ax5l64xfi54sxb1ycdy4s9ciaqg592x7jn79lhzf3p"))))
+         "0yfahlqc7dsdp1js0cbv706apldnfnlbal9b53cww8n0hs40n0im"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
-         ;; XXX Remove this when updating this package:
-         ;; https://github.com/psf/black/issues/2703#issuecomment-1004752142
-         (add-after 'unpack 'relax-version-requirements
-           (lambda _
-             (substitute* "setup.py"
-               (("tomli[^\"]*\",")
-                "tomli\","))))
          (add-after 'patch-source-shebangs 'use-absolute-file-names
            (lambda* (#:key native-inputs inputs #:allow-other-keys)
              (let* ((inpts (or native-inputs inputs))
-                    (python3 (search-input-file inpts "/bin/python3"))
-                    (/bin/false (search-input-file inpts "/bin/false"))
-                    (/bin/sleep (search-input-file inpts "/bin/sleep")))
+                    (python3 (search-input-file inpts "/bin/python3")))
                (substitute* (find-files "tests" "\\.py$")
                  (("#!/usr/bin/env python3(\\.[0-9]+)?" _ minor-version)
                   (string-append "#!" python3 (if (string? minor-version)
                                                   minor-version
-                                                  ""))))
-               (substitute* "tests/test_primer.py"
-                 (("/bin/false") /bin/false)
-                 (("/bin/sleep") /bin/sleep)))))
-         (add-after 'unpack 'disable-broken-tests
-           (lambda* (#:key outputs inputs #:allow-other-keys)
-             ;; Make installed package available for running the tests
-             (setenv "PATH" (string-append (assoc-ref outputs "out") "/bin"
-                                           ":" (getenv "PATH")))
-
-             ;; The source formatting test fails because we patch various
-             ;; files; just disable it.
-             (substitute* "tests/test_format.py"
-               (("def test_source_is_formatted" all)
-                (format #f "@pytest.mark.skip(\"Disabled by Guix.\")\n~a"
-                        all)))))
-         ;; Remove blackd, because it depends on python-aiohttp and
-         ;; python-aiohttp-cors.
-         (add-after 'unpack 'remove-entrypoint
-           (lambda _
-             (substitute* "setup.py"
-               (("\\s*\"blackd=blackd:patched_main \\[d\\]\",\n") "")
-               (("\"blackd\", ") ""))))
+                                                  "")))))))
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests? (invoke "pytest" "-vv")))))))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:24 2022
Received: from localhost ([127.0.0.1]:60941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvb-0008GD-Or
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:24 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:46618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuB-0007uQ-0q
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:55 -0400
Received: by mail-qt1-f174.google.com with SMTP id f22so9547046qtp.13
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=nyHFWpG7ADnId+t1AN9wR4vkpLGphpvbi8wD/FDYY5Q=;
 b=ZY/7o5wAeLUCwmGxjLw0JFWXdBXjlUXeoVnnUAEn4jvdLgXSe2NpcmxtSJpKOFKX3+
 XShHIozy7JICM8nekhJDcbDs9DXGXjvmRz0nAF/krMdQe7fD/NJu4WO/MnljILpRS8/N
 w7BzZXg6ujTb7SEeamVSl3hzP+dcquu37JcqxijiSKby6Ugi6UAkZZgTclqEbupMJTZ9
 I89Jm7/50k28x17JLp+Lw7Eyd5dw/Bprvs0wBVIFPyD4OieYeZWPyllYcfq0gdATGiuu
 5da3WIBIAsiZUMqmQxYCQO5/MOfNYOSMKK+Vxsxu8eaqejYYV68V0tX/pZuQyD8FfqtZ
 Z3Eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=nyHFWpG7ADnId+t1AN9wR4vkpLGphpvbi8wD/FDYY5Q=;
 b=Tozj7KbLanSo63spUGJ4nrO0uOp9jZUeQfBmhJADxCaPk0Ikg56hAQV84JwUWAvGH4
 kMOVta14D7nYI13WonyJBz/+m0kgsQj4Z/654ulRub0y6bAgDeQLtXM6eR0oFpET2b/A
 +dj33B3KG05QuG1wvHHRHBj1htgFy6BqXvw1lPwYGmOkwNqnLhanEnGtZlVU0G2NFNvq
 3qGDBN1bjpBFAEkKg4IeEf57q2IGuq1za8R3L7ux57p6PHKBaaSKqGDn8ZsUeEcs65IL
 NzpGwHYhWXW606+iqv/BoyF57t9wuwqIlxUXMC+jMeqIxx0rEkmORAaB14Mbq86KHPtA
 HISw==
X-Gm-Message-State: AOAM530ChTh28Mxgkz7R/gMcbUb0ZPAU/9Xxat/awqLlDDDO2O0wJYVT
 AiAHC5IiL89rwkfCFOZjwaApNNgdlDgsRA==
X-Google-Smtp-Source: ABdhPJwIvxmrwE9ZsHRZU9rfl1bIeUzDiPmcn2U64vDNJqnHfzM9bwrjNqY4W6STxRXugPFkKHSXFg==
X-Received: by 2002:ac8:5a47:0:b0:2ed:13d6:bd60 with SMTP id
 o7-20020ac85a47000000b002ed13d6bd60mr10305009qta.371.1650859249422; 
 Sun, 24 Apr 2022 21:00:49 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 092/232] gnu: Add python-untangle.
Date: Sun, 24 Apr 2022 23:56:58 -0400
Message-Id: <20220425035918.25683-92-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/xml.scm (python-untangle): New variable.
---
 gnu/packages/xml.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index db004c11b6..a0d8d20102 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -72,6 +72,7 @@ (define-module (gnu packages xml)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages web)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix gexp)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -2544,6 +2545,35 @@ (define-public python-lxml-4.7
 (define-public python2-lxml
   (package-with-python2 python-lxml))
 
+(define-public python-untangle
+  ;; The latest tagged release is from 2014; use the latest commit.
+  (let ((revision "1")
+        (commit "fb916a9621175d000a3b0ca9322d3b3ebf8570c0"))
+    (package
+      (name "python-untangle")
+      ;; PyPI currently offers some untagged 1.1.1 version.
+      (version (git-version "1.1.1" revision commit))
+      (source
+       (origin
+         (method git-fetch)             ;no tests in pypi archive
+         (uri (git-reference
+               (url "https://github.com/stchris/untangle")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "0dn2jz9ajncbqx3pdlgqaxmngl6pdiaz03nj8mkddasckdq9lbrh"))))
+      (build-system python-build-system)
+      (arguments (list #:phases #~(modify-phases %standard-phases
+                                    (replace 'check
+                                      (lambda* (#:key tests? #:allow-other-keys)
+                                        (when tests?
+                                          (invoke "python" "tests/tests.py")))))))
+      (home-page "http://0chris.com/untangle")
+      (synopsis "XML to Python objects conversion library")
+      (description "@code{untangle} is a tiny Python library which converts an
+XML document to a Python object.")
+      (license license:expat))))
+
 (define-public python-xmlschema
   (package
     (name "python-xmlschema")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:23 2022
Received: from localhost ([127.0.0.1]:60938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvb-0008Fy-6e
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:23 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:39424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipuA-0007uK-AG
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:55 -0400
Received: by mail-qt1-f173.google.com with SMTP id v2so2899389qto.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=h+t9kpaSfjJSsH3rG2rtGltmnjh+Q+Jt5mPp9Z/v2K0=;
 b=X88/vqeIv2SrUNxKeGw+Tz4BkO7CqJ1+JtVD8MWvLcOZnzL6MOKp/q52oUfV73gwgA
 iobTJvTAX0dzwQHNvAj1+wrAK5jUObe7FFUfatl1Zxj7YMLVw2Ah6IVGX6gGcNCjGT5I
 i6uzVJCV4MC1TmC06uUF57fsI+D79KiYudBnSXTqNr7/zwR65Q9zKBzosbc0HIJChPUz
 Uj0BKtDbkkO+gAmDhTsc6iuQvnPEiNfeOLtyTbbBqISpL3jfUal11gWgZhWGtSErEWao
 n9NAZYKSj5bURqjGu6cRwEAJqNvq6D8sNckG49D1MkL+r0oOPLHzCtFQan5DKomg8Gja
 BH/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=h+t9kpaSfjJSsH3rG2rtGltmnjh+Q+Jt5mPp9Z/v2K0=;
 b=mWKn8aLoVIFNKgvC0t25E/zhqualhiZ8f/L4u366tbZQLin8uH9KkG69rfOJc/2+sD
 V4v82ynanYyKXBizDiYMA4dXl9wrBNszZjFxGvhL4E0cNPfz+igz9qfKOsEK57og98TR
 TJM+NylT74Ek7hgs4UhAn871qnXr+QHOFVzuFJUeHcaKUsdPyYpA6mA8FGAw+EOMUZQ4
 Jj5KztbWIeVYk9XzB2P5yLq6hviMLUTUFFK5xhzpGEaZ7BLzbiV5G8iAn7xusEdEi1lG
 7qdPdBxiO4LgkTWTshB3g2uPOaN7L7k5se91NkQYvDW/qT4CunUEGP17tQ0my562TNRL
 I1Xg==
X-Gm-Message-State: AOAM532gwPjp2pdooMCVMSEwS3gEkw79fAurhINSVcKY17rraYrVkYS6
 kAE/oFKe8xSVahN9Q8t2f9qc+86gKGTx5Q==
X-Google-Smtp-Source: ABdhPJyLn5SfhS8g1RgF1nWaKkeZKeq0vR79v8JG/3Gm5korFa74LV0xm/GFdvEMYFJ8sWakC+hlGw==
X-Received: by 2002:ac8:7dca:0:b0:2f3:6350:2ff9 with SMTP id
 c10-20020ac87dca000000b002f363502ff9mr5115155qte.103.1650859248566; 
 Sun, 24 Apr 2022 21:00:48 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:48 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 091/232] gnu: python-flask: Update to 2.1.1.
Date: Sun, 24 Apr 2022 23:56:57 -0400
Message-Id: <20220425035918.25683-91-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-web.scm (python-flask): Update to 2.1.1.
[propagated-inputs]: Add python-asgiref and python-importlib-metadata.
[home-page]: Update.
---
 gnu/packages/python-web.scm | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 7e333916b6..161b50b1b6 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2991,13 +2991,13 @@ (define-public python-webtest
 (define-public python-flask
   (package
     (name "python-flask")
-    (version "2.0.2")
+    (version "2.1.1")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "Flask" version))
               (sha256
                (base32
-                "1qilnrdakhbw5k951kczdy8ia0wczh0dpp1vi4qhgmfx6klvhbvv"))))
+                "1j0rjly2yhbm566lq2s8543fs7fz86f77abps539djcfalzbvjd8"))))
     (build-system python-build-system)
     (arguments
      '(#:phases
@@ -3009,8 +3009,13 @@ (define-public python-flask
     (native-inputs
      (list python-pytest))
     (propagated-inputs
-     (list python-itsdangerous python-jinja2 python-click python-werkzeug))
-    (home-page "https://www.palletsprojects.com/p/flask/")
+     (list python-asgiref               ;async extra
+           python-click
+           python-importlib-metadata
+           python-itsdangerous
+           python-jinja2
+           python-werkzeug))
+    (home-page "https://palletsprojects.com/p/flask/")
     (synopsis "Microframework based on Werkzeug, Jinja2 and good intentions")
     (description "Flask is a micro web framework based on the Werkzeug toolkit
 and Jinja2 template engine.  It is called a micro framework because it does not
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:23 2022
Received: from localhost ([127.0.0.1]:60936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipva-0008Fp-OW
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:23 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:40632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu9-0007u8-EF
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:54 -0400
Received: by mail-qt1-f179.google.com with SMTP id o18so9571714qtk.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=bDtMEm/5hFZ5ADUDUo434uOhtkdzKv5cSX4tTkVfSe4=;
 b=Ktumv2exOJR67nZdKtHNlTLgE6+oWkmeQ5ZW6wpXY6cyG7ikYLoYpEdOV8wHkcM4Yh
 vihD6t8u8gScGkJoG+Y6ekM3kvNXizhot6BI6ajMLPwCJjFVKq6Bx/8qIPJxz+8pIda5
 bRTLBNuVclEtLozQTmODvi9mIKXK3MV/If0PT/8fvtWfexyCNuBk2gTEGEzfm9u79I47
 OJAmorlP0EH6VLtaYrPrRtUh5PmzhXqBHBN1/99oILPjkJnw57iX6VP3IAVf6gW6xdig
 A+AglrW1sZsfaTPA6LcGkGk6ysM0LEMRV11GEPjjlfMwiEXhv0qOjjd2oPJAIk5SlEKT
 cz4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=bDtMEm/5hFZ5ADUDUo434uOhtkdzKv5cSX4tTkVfSe4=;
 b=Ai0Y0F85Mqf3vPPO0Pq2ZQppca8uCEYqGXp6F29SicJAElW7oG88Yvd+JArgSPtP6l
 sEABFv76aw8cdB+gefnKBZ5MgO8xv5wskUElJNF8J0mKMuiPPXifZefuUIRhwVCEKiB4
 ONLP0XPPQ2X5Tm/jv9a1L3U3YGSO97lPuPs1iEgZOYwZHBxDKzzLxafUTHkVEVbEpGay
 IWOrEnn22JaZPUGYuIlhL1QjD5v3XpWQe+KKvxtRFMcTQQToOpHABEzyfP+xxd5UQl8p
 it7ZHrIqRu8pJ/6Vy8c5X5DxCTXeOzjuWQNZKP7Rp3i6tCy0IAT2mJmV7PxhVo7+Zo08
 JTBQ==
X-Gm-Message-State: AOAM530himxQo6TPMi31dgodzrF0EIbo60uDp8LWEGxcC9eGylD42iU+
 Kekv47xFtoATw1hlP54oQOP8VDv6qh5yRA==
X-Google-Smtp-Source: ABdhPJx3fEmamIiEkTJcHUZRCpPrPU8K12RZ3mL0tmFaPV6YqPqBUpddfoeaet43y3AO5fmyql5Meg==
X-Received: by 2002:a05:622a:50e:b0:2f3:4d07:2f93 with SMTP id
 l14-20020a05622a050e00b002f34d072f93mr10762503qtx.590.1650859247870; 
 Sun, 24 Apr 2022 21:00:47 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:47 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 090/232] gnu: python-click: Update to 8.1.2 and honor TESTS?.
Date: Sun, 24 Apr 2022 23:56:56 -0400
Message-Id: <20220425035918.25683-90-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-click): Update to 8.1.2.
[phases]{fix-paths}: Remove obsolete phase.
{check}: Invoke pytest directly and honor TESTS?.
(python2-click): Delete variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++----------------
 1 file changed, 6 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a7f9d6e4be..a6e9f64ff3 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -3503,30 +3503,23 @@ (define-public python-cli-helpers
 (define-public python-click
   (package
     (name "python-click")
-    (version "7.1.2")
+    (version "8.1.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "click" version))
        (sha256
         (base32
-         "06kbzd6sjfkqan3miwj9wqyddfxc2b6hi7p5s4dvqjb3gif2bdfj"))))
+         "0whs38a2i0561kwbgigs6vic9r0a1887m2v1aw3rmv6r2kz0g5s7"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
-         (add-after 'unpack 'fix-paths
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let ((glibc (assoc-ref inputs ,(if (%current-target-system)
-                                                 "cross-libc" "libc"))))
-               (substitute* "src/click/_unicodefun.py"
-                 (("'locale'")
-                  (string-append "'" glibc "/bin/locale'"))))))
          (replace 'check
-           (lambda _
-             (invoke "python" "-m" "pytest"))))))
-    (native-inputs
-     (list python-pytest))
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "pytest" "-vv")))))))
+    (native-inputs (list python-pytest))
     (home-page "https://palletsprojects.com/p/click/")
     (synopsis "Command line library for Python")
     (description
@@ -3536,9 +3529,6 @@ (define-public python-click
 with sensible defaults out of the box.")
     (license license:bsd-3)))
 
-(define-public python2-click
-  (package-with-python2 python-click))
-
 (define-public python-click-5
   (package (inherit python-click)
     (name "python-click")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:22 2022
Received: from localhost ([127.0.0.1]:60917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvT-0008Dn-Uv
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:22 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:36855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu8-0007tw-QP
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:53 -0400
Received: by mail-qv1-f50.google.com with SMTP id q13so1980632qvk.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=N9f1AB1XLpwfgwYPzaf82CyekLvbCK7en9tlJQnw+XU=;
 b=SYJiKNkKOnHIchb3MGt5WkY+AK5fcVN5rsP8JBaDGC4R+9QVcndkq+ElYfFSGfZKcR
 mr7TRFDqWfAVXN5c6qDCCddIk29JUSMdQz/EzaS9zqbM13oFQRAum5pXCPTq7nAtOa2m
 nUTWiXbyfjN4rMk1Ot7QASNXu7oOT+9sVhShldfep2RZGbD48RPAhbvqYAqRbGNyagm4
 qncTTina8iBdQxb7m+5lKM70Y9wJAnPxwIDkALaUcGkXGWrMnq2h8NldE4/Izq0Hsl+f
 Cnerh5Q1lleWtTBIHn16ZQLHDZdiXpxXMqEHaLS7+xQcFm8QDcPIdOgWRO7igcTElmw6
 e2qQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=N9f1AB1XLpwfgwYPzaf82CyekLvbCK7en9tlJQnw+XU=;
 b=sYGOdNDEZAFUaIUW5lKdf6M8cmza0c6XYkMNyNniNmG7gx6aCor2VxgYYp7x7qa7rq
 EVz8OU5Z61asCf3RWWIkFmridMAqtPmDxoFF3AhCcU5tuZi3kR1kmwSO+MuQ/3HXFCgS
 JJTnNy1H3k1H5cHgCk8Y1jcSGD/qlK9LUFhBwJeFdsEZI6VJZ7g4jTYnCp0VfAbaf9DY
 w00bQb0Ej4UwVDS9EfmSbBvfoqvD2yDpARl9yW1knDBhRjC3LLbjdlOZJ9dCa+ZCjFcr
 JMDqxM3NGLSbKwo2ZRkCScDibRYzHGE7TL+LZsR037Gvl9j0xPD+G4ukei61SbOvC4nj
 9TUw==
X-Gm-Message-State: AOAM5338GTgxGQ/UyrG6TaMijZcVAelJSFKMwaDSgPf2/fHArmxAPOTG
 mrphIuclb4oN/FbTtIoXf6G08a6yTdkj9A==
X-Google-Smtp-Source: ABdhPJyHfMfkqYriJzisw+dqkZLHwZK0t/UYe7xY/feYD8xIEx1vdx9xnctlEUwgHLAb6f8HED6uaQ==
X-Received: by 2002:a05:6214:20e6:b0:446:69e4:58c1 with SMTP id
 6-20020a05621420e600b0044669e458c1mr11577361qvk.102.1650859247238; 
 Sun, 24 Apr 2022 21:00:47 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 089/232] gnu: Add font-gfs-ambrosia.
Date: Sun, 24 Apr 2022 23:56:55 -0400
Message-Id: <20220425035918.25683-89-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fonts.scm (font-gfs-ambrosia): New variable.
---
 gnu/packages/fonts.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index f201e3eab4..46d9872df1 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -269,6 +269,29 @@ (define-public font-lato
 50 Cyrillic-based languages as well as Greek and IPA phonetics.")
     (license license:silofl1.1)))
 
+(define-public font-gfs-ambrosia
+  ;; Based on
+  ;; https://src.fedoraproject.org/rpms/gfs-ambrosia-fonts
+  ;; /blob/rawhide/f/gfs-ambrosia-fonts.spec.
+  (package
+    (name "font-gfs-ambrosia")
+    (version "20080624")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://www.greekfontsociety-gfs.gr/"
+                           "_assets/fonts/GFS_Ambrosia.zip"))
+       (sha256
+        (base32
+         "0vnnsal61slgj9r4q35wiznd4mbcv49dl18n91s3nvv6jzd4r8b4"))))
+    (build-system font-build-system)
+    (home-page "https://www.greekfontsociety-gfs.gr/")
+    (synopsis "GFS Ambrosia, a Greek majuscule font family")
+    (description "GFS Ambrosia is a Greek typeface that has the main
+characteristics of the majuscule forms of the early Christian tradition.  The
+font is provided in the OpenType font (OTF) format.")
+    (license license:silofl1.1)))
+
 (define-public font-gnu-freefont
   (package
     (name "font-gnu-freefont")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:15 2022
Received: from localhost ([127.0.0.1]:60915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvT-0008Db-AJ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:15 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:39430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu8-0007tq-0q
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:52 -0400
Received: by mail-qt1-f181.google.com with SMTP id v2so2899351qto.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=WudLYZUZuU7W3nneP54rVOjbu9T1CW4TlqrCVDv4l3I=;
 b=QhA54bkUGQMq3vUVUprU/qmmEN22pFC9pZVKTVpARBBYePAQGwrHIn0Jku+8V1ZYhD
 X6kl8CcFVtVnMNjAiOmqKRuxOIuhAwJ6qrQEg8vsYH1w6SzxS8jK+wCVG4IqiuRLdvKl
 Um0eEHmpM9G848FOjWD+UqfhmPpoURkOd5oiikrTD3d7cmPi4JjYTRMFjN67noEeJGac
 BiGcJmCUBLyvMHXFv/vDAcd3U/a0m605a+p4oLXoe+bqR8rOC4RtarvrWQ1/8Wx2igIE
 8BYM/RfKw1Pnh0FSrSW0yiPlwgNl8USXEUHhIGfxpWJqnt9vqUCit34SYemc8Y75htjo
 9H1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=WudLYZUZuU7W3nneP54rVOjbu9T1CW4TlqrCVDv4l3I=;
 b=DH2O7QlAbI5NXSbYneGTq4bd4yvEB6iENlbV0Lwjf2xX//vAcvBq5blxX/BD9GFDrq
 ZPRBvOS9llGiw6FW7f8/QQA12pfz9IgYTUT4/pFXYV0WgJhsNx6+rOEYGQw/PZEpUCf7
 o6h77eaW6ovoQ5LTYK2uarOzQH2VjPDfJL2SaG/yRvpDuwdzfaufeF6zunbZv0TtZRNN
 JkJt/OwJ7E6yZNZlD6cjaCc8jhRMFEaZbzpl3OC444SJ8cVmRdd8J59WBkjoMTjQLnge
 Q7wTpePF/AJQ/mObtVCLcYdGk/B9IEiIsoathEBtGFYsnaGc+keOI1Vx9+bH/jBI35C6
 JsHg==
X-Gm-Message-State: AOAM531JRVSju6VL20xqPNxOGewzWBPTUvHKPWCudaDicewTGiMpbJ2i
 VOIMw20FKRvyZFhqiHY5y4gi53p1SZVx5w==
X-Google-Smtp-Source: ABdhPJxaxwdFSEdxk0A2lafT+HbmY61cy8nqShlFH2ier/UIO/ZKt/6aAWeOnbuYfY4uHU8AlIRg9g==
X-Received: by 2002:a05:622a:13c6:b0:2e2:2778:2ea5 with SMTP id
 p6-20020a05622a13c600b002e227782ea5mr10669133qtk.512.1650859246448; 
 Sun, 24 Apr 2022 21:00:46 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 088/232] gnu: Add texlive-bidi.
Date: Sun, 24 Apr 2022 23:56:54 -0400
Message-Id: <20220425035918.25683-88-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-bidi): New variable.
---
 gnu/packages/tex.scm | 46 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 1ebaceb322..6fc1d4fdbf 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -561,6 +561,52 @@ (define (substitute-commands scripts)
     (license (license:fsf-free "https://www.tug.org/texlive/copying.html"))
     (home-page "https://www.tug.org/texlive/")))
 
+(define-public texlive-bidi
+  (package
+    (name "texlive-bidi")
+    ;; Take the version from texlive-2022.0 as the one from texlive 2021.0 is
+    ;; buggy.
+    (version "36.4")
+    (source (origin
+              (method svn-multi-fetch)
+              (uri (svn-multi-reference
+                    (url (string-append "svn://www.tug.org/texlive/tags/"
+                                        "texlive-2022.0/Master/texmf-dist"))
+                    (locations (list "doc/xelatex/bidi/"
+                                     "source/xelatex/bidi/"))
+                    (revision 62885)))
+              (file-name (string-append name "-" version "-checkout"))
+              (sha256
+               (base32
+                "09nfvsjfnms3pclyd2rcivyb5qvzw48b934i3bcl83hv69ix2ks7"))))
+    (outputs '("out" "doc"))
+    (build-system texlive-build-system)
+    (arguments
+     (list
+      #:tex-directory "xelatex/bidi"
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'unpack 'chdir
+                     (lambda _
+                       (chdir "source/xelatex/bidi")))
+                   (add-after 'install 'install-doc
+                     (lambda* (#:key outputs #:allow-other-keys)
+                       (let ((doc (string-append (assoc-ref outputs "doc")
+                                                 "/share/texmf-dist/doc")))
+                         (mkdir-p doc)
+                         (copy-recursively (string-append #$source "/doc")
+                                           doc)))))))
+    (propagated-inputs (list texlive-generic-iftex
+                             texlive-generic-ltxcmds
+                             texlive-hyperref
+                             texlive-latex-xkeyval
+                             texlive-zref))
+    (home-page "https://ctan.org/pkg/bidi")
+    (synopsis "Bidirectional typesetting in plain TeX and LaTeX using XeTeX")
+    (description "The @code{bidi} package provides a convenient interface for
+typesetting bidirectional texts with plain TeX and LaTeX.  The package
+includes adaptations for use with many other commonly-used packages.")
+    (license license:lppl1.3+)))
+
 (define-public texlive-libkpathsea
   (package/inherit texlive-bin
     (name "texlive-libkpathsea")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:15 2022
Received: from localhost ([127.0.0.1]:60912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvS-0008DQ-Tf
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:15 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:45958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu7-0007tW-Co
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:51 -0400
Received: by mail-qv1-f47.google.com with SMTP id b17so10913083qvf.12
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=uJryJWuXYlWqGt2JyZ1RqH9hlBWfylGFMCfkqqy9EZ0=;
 b=Pn60xs2MvICFygwr/+PYATYieS+QbQ4qJrPOOOCbf9jkc6syyDV+SxKr2aRZIZ4FHY
 kqlEFvroBFtEAfCNlsT9zoz2m0CpGUEPh0AfGrzvtaMdvXe35dk0UBccNl0IeQJEI6Th
 RnJx+SvLOE/H9PrvPUyR9fzEtnhzBp/93HgnWTE2lmpMSuga0SfQwDDuOgCCVgASHR6f
 /fNJIKO11BLftxLhFc1Wfi6kTZ0ck/JLiOiteiwF3FSTE+Kt6aS6ixQIyWAGFyuGHO7K
 XN0b79C+UwfyYTO3yMFOAAs+bq4lXmDco4KN5CbjyWFQu+YLtd2OfC7QNCVKkIG2mByc
 pL9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=uJryJWuXYlWqGt2JyZ1RqH9hlBWfylGFMCfkqqy9EZ0=;
 b=U/2oRs/PCt2RTNQqTPIzxxtGjexa9xY9LD1XrN7CY3voiXBlmpLbeOe814FvEQ2uKg
 xMXHKS6Uc6F3TMG6Egie1nxT4NFDliIpIqn5HIvtwdzHX5zBDX4lcxGKEkhiwNyBds2f
 Td4c2ZPcwD4yPaqSL53pKWe5Qj2qiFCI7Z1lG/S5u+5rUOlYRdghtmD4tXtVu4gXY9Jg
 v0HhtzlhKOMBVAd+1sKOf8OfmWg1DKAo/XE+TaF1s1Nn8ztzJs8defqFKD7BnOgYbRRc
 roXqSWkzSyQ8VY5X2GEiunmNXlHNou6xcuZNoqAz4Xi7okkcQMtiUjeYrqtl2E01e3Su
 NbDw==
X-Gm-Message-State: AOAM533/hvD0XKlciqwqr77qfKcPIlg+3nbEjdjjsO0RX3Z1rXVU9acr
 iMG/gFTkvdYerobevemiPXT2exyxDkdPhw==
X-Google-Smtp-Source: ABdhPJxELBRpZcenAaHCIbWeGn22jHWm1sUcAcB1fTqi78wRyMWIxszfOoaJtvgffUnZq53uQMyBUg==
X-Received: by 2002:a05:6214:5284:b0:443:dd21:7db3 with SMTP id
 kj4-20020a056214528400b00443dd217db3mr11361477qvb.27.1650859245828; 
 Sun, 24 Apr 2022 21:00:45 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:45 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 087/232] gnu: Add font-sil-ezra.
Date: Sun, 24 Apr 2022 23:56:53 -0400
Message-Id: <20220425035918.25683-87-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fonts.scm (font-sil-ezra): New variable.
---
 gnu/packages/fonts.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 065153e6cf..f201e3eab4 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2041,6 +2041,28 @@ (define-public font-dseg
 This package provides the TrueType fonts.")
     (license license:silofl1.1)))
 
+(define-public font-sil-ezra
+  (package
+    (name "font-sil-ezra")
+    (version "2.51")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://software.sil.org/downloads/r/ezra/EzraSIL-"
+                           version ".zip"))
+       (sha256
+        (base32
+         "1h8cfrvjdwxk963bw359jdg86bycwyyhvviqy6lwcfj7qhzcnszi"))))
+    (build-system font-build-system)
+    (home-page "https://software.sil.org/ezra/")
+    (synopsis "Biblia Hebraica Stuttgartensia (BHS) typography inspired typeface")
+    (description "Ezra SIL is a typeface fashioned after the square letter
+forms of the typography of the Biblia Hebraica Stuttgartensia (BHS), a
+beautiful Old Testament volume familiar to Biblical Hebrew scholars.  This
+font package provides @code{Ezra SIL} as well as @code{Ezra SIL SR}, which has
+a different style of marking.")
+    (license license:expat)))
+
 (define-public font-jetbrains-mono
   (package
     (name "font-jetbrains-mono")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:14 2022
Received: from localhost ([127.0.0.1]:60909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvS-0008DC-Aq
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:14 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:46070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu6-0007tT-RL
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:51 -0400
Received: by mail-qt1-f174.google.com with SMTP id x21so124997qtr.12
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=RWMKEjTPGUkyaczv/H0kU4OChJMsNQ/JoqbHs/k2FMQ=;
 b=oai84n/uVbswN9vXafeA3KU+3gMa+8wqFD2uOknvUqXyIaeCkc/3w50ccmpAUbxgT6
 lwhX8RkYjrOpJd4Jqi7VVd6mLtdgmbe/A8ruJVbSJk5z6UwU3c3uwmfnWj1mxsFCP6Kd
 XWEJFPDJUZs6eAKDO/nB1JJvmdToCFqub0M3x8CXOYUjeA2qA46Qp/GTep3bkQxY9B/F
 ouSZ8Bs7ckUBAp+3mQT5eZ1kC8oOnodOcqXGP01MUHvJoU/CTzTa/BphSJpw0yEOHGjW
 7JSkVdcO4lqf5dmw3vom9WX14AyuHnziDq8a2Xj5s8iCGpnIg7JUR8DHKZ8gZl3IW8Y+
 X4tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=RWMKEjTPGUkyaczv/H0kU4OChJMsNQ/JoqbHs/k2FMQ=;
 b=BfS9WwkkQvI3q3R3WtiIs8LtyDb/Pmr8mD+OKGQ/f/73kannezYKo1nhIOZbBtXhAB
 mPV0ZpcUtRjh0wimBI1e2jL7D9GE0WYwmiDcwVeOf5otsQXmlHtjPW4mAxJCdicaJ2TE
 t6tWV3764DOabnlEfWKpn/siTzDyhW5iiPYSq4KXtL0Dio7K0Wc9OGmwENu29ofiknui
 iv+z9amn4MGgyf0h7EqAuUlZTdpqnwqM0iD9qgGdXJYjz/chFNyVmdqjQB7LDxQpKwJ7
 agJ1OkSkRTFRssgWlkiPbrTLpvWSpupoLSs1pFP71KOhEfkZ0ALkwfRIAO5NkL3SCoAN
 Ki3w==
X-Gm-Message-State: AOAM533wGSE9OoaPd+3adYDA98hQAJqnOL4dbvbDBqeAGdYq4NIpF3zC
 /0+2eA5m3nH1+laGYgVutplgcqNYxYEJZA==
X-Google-Smtp-Source: ABdhPJyZMh+c5K2rKj1oePyG66Z+96MnkEMtV7Uret58I6Wed+3Iz6aojiOKBw49SCPHEt0t1WBemg==
X-Received: by 2002:ac8:5e11:0:b0:2f3:633d:da02 with SMTP id
 h17-20020ac85e11000000b002f3633dda02mr5282363qtx.469.1650859245102; 
 Sun, 24 Apr 2022 21:00:45 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:44 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 086/232] gnu: Add font-amiri.
Date: Sun, 24 Apr 2022 23:56:52 -0400
Message-Id: <20220425035918.25683-86-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fonts.scm (font-amiri): New variable.
---
 gnu/packages/fonts.scm | 46 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c37303892b..065153e6cf 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -47,6 +47,7 @@
 ;;; Copyright © 2022 Kitzman <kitzman@HIDDEN>
 ;;; Copyright © 2021 Wamm K. D. <jaft.r@HIDDEN>
 ;;; Copyright © 2022 Jai Vetrivelan <jaivetrivelan@HIDDEN>
+;;; Copyright © 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -69,11 +70,13 @@ (define-module (gnu packages fonts)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix gexp)
   #:use-module (guix git-download)
   #:use-module (guix build-system font)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system meson)
   #:use-module (guix build-system trivial)
+  #:use-module (gnu packages c)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
@@ -695,6 +698,49 @@ (define-public font-tex-gyre
 Heros, Pagella, Schola, Termes.")
     (license license:gfl1.0)))
 
+(define-public font-amiri
+  (package
+    (name "font-amiri")
+    (version "0.114")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/aliftype/amiri")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "01d54i68pmy37fhvxv8kld3iqlc1m0vr871zd66y5y4c7kn2v7as"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list
+      #:imported-modules `(,@%gnu-build-system-modules
+                           (guix build font-build-system))
+      #:modules `(,@%gnu-build-system-modules
+                  ((guix build font-build-system) #:prefix font:))
+      #:phases #~(modify-phases %standard-phases
+                   (delete 'configure)
+                   (replace 'install
+                     (assoc-ref font:%standard-phases 'install)))))
+    (native-inputs
+     (list python-fonttools
+           python-pcpp
+           python-opentype-sanitizer
+           python-sfdlib
+           python-ufolib2
+           python-ufo2ft
+           python-wrapper))
+    (home-page "https://www.amirifont.org/")
+    (synopsis "Body text Naskh typeface")
+    (description "Amiri (أميري) is a classical Arabic typeface in Naskh style
+for typesetting books and other running text.  Amiri is a revival of the
+typeface pioneered in early 20th century by Bulaq Press in Cairo, also known
+as Amiria Press, after which the font is named.  The uniqueness of this
+typeface comes from its balance between the beauty of Naskh calligraphy on one
+hand and the constraints and requirements of elegant typography on the
+other.")
+    (license license:silofl1.1)))
+
 (define-public font-anonymous-pro
   (package
     (name "font-anonymous-pro")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:13 2022
Received: from localhost ([127.0.0.1]:60904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvQ-0008Ci-SC
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:13 -0400
Received: from mail-qk1-f178.google.com ([209.85.222.178]:44658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu5-0007tL-VD
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:50 -0400
Received: by mail-qk1-f178.google.com with SMTP id b189so9954206qkf.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=PQLKRmN111RLuevvKEsD5duklP5VbsHq9XnyRdiercU=;
 b=ZdMdXsQTMoz3mNstuKqc8A5e+23N4fTRLuzjP8G3B2/jgxGZFQUobMDg5nrfD9vlbO
 N5guy+ec+HHUzg9FJoL1cPEjh4M6NJ9YL5OgCHXuyQiGfo7f+4VUTbK551LhcYWCv5dn
 zeWppya1Hp6vFRev6do4k2X4WYphCNTRl54L84gEI7mpYXnbEuKVfdGtIhhTLPjMu65i
 g8nx380ergDHB6xYivVU7Ix/IsbeFpaKwQLulqxZohtsem+JEEDLtG3P/Y4tywEV1PwL
 QHGfyNZ8fs2SVRO9A8mQQv8G55wIkHnGTMk0VGPM3X2p8e7dHtig565f+GcHan7nXtZE
 keeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=PQLKRmN111RLuevvKEsD5duklP5VbsHq9XnyRdiercU=;
 b=NOrVeq0N+3+XxUygAliGdG0ZNkFxP0/HlYyOWlmXkkufEXG79Zmg84U+t3sQPbU+B/
 jzqDbiMaPqExy7HhAxt6nsOUeDe9LgAPLPpynKBOi+p8Ti0n5s4j31YRCdNW11CF8L8j
 Xg+BAj6TO0K+C29Hbcbg+OyzwesLzWIpVzrB51ViIvYsz6kvauoufkYIBdSlY/lfXb7z
 WWyz0vnjriiFmGZZJ5EX9jDer7fftb6AvbR2/xHYAaHyZ59Sb0+oePF7EfRLHlFkcStU
 WLtsOFtV0lU8D113ZpzFongCbvLGbzpJGY89UYm22q9vaFEwITnQhAUlaoWxeNbeIxFx
 1aKg==
X-Gm-Message-State: AOAM530boP2wV3Qk/nhH34qSpOhB2eZTM0EUXnUrr4re7Il5FGbwwifX
 ureEej7Uhi9sfkfM24XIXYbp5WmI0F665g==
X-Google-Smtp-Source: ABdhPJzMMv5oKFBnzvrz/xayFlvCMLFcHUz5dNilmS7OoJK2aRTCcDb1TFYHyEgjsjgk8hj8Ry0nNA==
X-Received: by 2002:a05:620a:1986:b0:69c:48b7:a8ae with SMTP id
 bm6-20020a05620a198600b0069c48b7a8aemr8945627qkb.376.1650859244315; 
 Sun, 24 Apr 2022 21:00:44 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:43 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 085/232] gnu: Add python-sfdlib.
Date: Sun, 24 Apr 2022 23:56:51 -0400
Message-Id: <20220425035918.25683-85-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-sfdlib): New variable.
---
 gnu/packages/fontutils.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 74b10232b8..444d1635cb 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -632,6 +632,28 @@ (define-public psautohint
 can be used to hint PostScript fonts.  A Python wrapper is also included.")
     (license license:asl2.0)))
 
+(define-public python-sfdlib
+  (package
+    (name "python-sfdlib")
+    (version "1.2.3")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/aliftype/sfdLib")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1q61km32i1h3cmn8nazcgsbzpm8q2nxp3kq3glqgfgvlxr1s3brm"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-ufolib2))
+    (home-page "https://github.com/aliftype/sfdLib")
+    (synopsis "Simple SFD to UFO converter")
+    (description "This package provides the @command{sfd2ufo} command, a
+converter from FontForge’s @acronym{SFD, Spline Font Database} fonts to
+@acronym{UFO, Unified Font Object} fonts.")
+    (license license:bsd-3)))
+
 (define-public python-skia-pathops
   (package
     (name "python-skia-pathops")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:12 2022
Received: from localhost ([127.0.0.1]:60902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvQ-0008CW-EG
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:12 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:44659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu5-0007tB-2v
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:49 -0400
Received: by mail-qk1-f180.google.com with SMTP id b189so9954190qkf.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=+BvIFTkGMgYOj0FnhbHBHn2xbz1j7Asf3z3a0OgrrvQ=;
 b=SfN32MjGYb8UQcfPLuBGLmHP6uEPY2i+mJVTuJ5A6+BoQbf0MPqwdzfOa47MzBQczS
 xKngsOG8jLEoI73u5+pSa3ZfTAKn+B5p03R4DWWQ98zc69LIp8fUDQdb/eI6bfcBNVYq
 gdbNDGE74VyHFz61y1fbmHCiULWFHAhwzhQYXqSQ5q8JpSPHLAQxewtE4FucUwJtvG1k
 6H/gpPt5oK+wGNiN4AZba8ABL+7Va8sIf0K34vGBXTFP4+1Cmk12p+AFRJE8iv/LZQNR
 pr/QSE5KqiFDBy0twHV2AYhtmjJCfnLs3z+B2cK71pE7/B3Ph302wzPPeIq4yfftrbAL
 hvgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=+BvIFTkGMgYOj0FnhbHBHn2xbz1j7Asf3z3a0OgrrvQ=;
 b=NzNktO/IfXtX6cy9R2P8IQMPv2J7FnyNdZoHlh+UEStS1N7mf/cPVgvK0WYnfO8QTK
 tItCXmrTc4fCD4+nPfL822DVTtQDVsMwS+H7c5orklR8/eEGgnn50jRZ1MAHbPFR7HBU
 J54H3fLs4HDZiCzmcZiu186DBBgZYdPk0KAfTYTlGVM+OKcwOUNiohmiVgGwkJ1IIgQ+
 npluq4z+u++e2aDZD+UyBUih7vUayKuTSZDKny6ZDlvZPZxBQlhjOhXnzxaJ1j3u36lY
 pqqv2pYNtsTHWjxvQlxxHRRhfx9fhqHen4GTxaPs1Rpb8XgG3t/DGzLk6gXJ6jAyarfv
 TsBg==
X-Gm-Message-State: AOAM532W17OW+FocFOeDs8+3lUIGGknlL6eI+U2HPIMddokBAgJkyMuH
 iKTU0JXSVCEQEHYHzhR3I84s5oFOjCLefg==
X-Google-Smtp-Source: ABdhPJznYnThTrd5YR2NcmAmzPdW8UWwDQq6mWZeqot+YJ78mdxpjM2qEcu6s1KQGXkdkTnbbFiGPA==
X-Received: by 2002:a37:66d6:0:b0:69e:661e:4aa2 with SMTP id
 a205-20020a3766d6000000b0069e661e4aa2mr9135923qkc.734.1650859243568; 
 Sun, 24 Apr 2022 21:00:43 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:43 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 084/232] gnu: Add python-ufo2ft.
Date: Sun, 24 Apr 2022 23:56:50 -0400
Message-Id: <20220425035918.25683-84-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-ufo2ft): New variable.
---
 gnu/packages/fontutils.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 8ba435aa61..74b10232b8 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -378,6 +378,36 @@ (define-public python-cu2qu
 @code{fonts_to_quadratic}.")
     (license license:asl2.0)))
 
+(define-public python-ufo2ft
+  (package
+    (name "python-ufo2ft")
+    (version "2.26.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ufo2ft" version))
+       (sha256
+        (base32 "0a6iq5g6qdxj7nvip8nnf0mf8y5wmpd3wwq0dv7d4nm9bjrh0r6m"))))
+    (build-system python-build-system)
+    (native-inputs (list python-pytest python-pytest-runner))
+    (propagated-inputs
+     (list python-booleanoperations
+           python-cffsubr
+           python-compreffor
+           python-cu2qu
+           python-defcon
+           python-fonttools
+           python-skia-pathops
+           python-ufolib2))
+    (home-page "https://github.com/googlefonts/ufo2ft")
+    (synopsis "Generate OpenType fonts from Unified Font Objects (UFOs)")
+    (description "@code{ufo2ft} (UFO to FontTools) is a fork of @code{ufo2fdk}
+intended to leverage FontTools (a Python library) rather than the Adobe Font
+Development Kit for OpenType (AFDKO), a set of C libraries/utilities so that
+it can be more easily extended.  Like @code{ufo2fdk}, its primary purpose is
+to generate OpenType font binaries from Unified Font Objects (UFOs).")
+    (license license:expat)))
+
 (define-public python-fontmath
   (package
     (name "python-fontmath")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:12 2022
Received: from localhost ([127.0.0.1]:60899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvP-0008CJ-UN
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:12 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:33450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu4-0007tA-Bz
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:48 -0400
Received: by mail-qk1-f174.google.com with SMTP id s4so10018466qkh.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Nr4ZqO0zW9dnlHMlW++oWG5Rw6OYCGNoAZJlZgbPWvk=;
 b=ILBPf2XZxGacoKR6qlcRVgJl0YULZAiQaJKht6q2EH4g7Ow0LFFn/Iort0P5soZT0Y
 i5DpVZP9cxXEtpug6gsrsewAtLH0NWAEjT+eklkc2eEbEQKqeXcVqjPLkbRNPxW13ql+
 vU5Wt15dJqNG+gPrsOGrhSwe4scSLZditwFg+EN8ObRYmAdO3yiNlJkxNubsFZi2cyp2
 ExvWXMGhWeumyk2KxoSvC67+MdYRg4gCwAhglNQavGoiVlxJB56+40SNpk0WgBUTsjMZ
 A5NubCPuNiKpCdSZ8YNzJ2A1LdD6rllTShgZTYpE3M3ltOVW1ko1MThstxOOM/G/jT4j
 jPpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Nr4ZqO0zW9dnlHMlW++oWG5Rw6OYCGNoAZJlZgbPWvk=;
 b=VmQROE2C7GKlYxUwDXiksw4830XgpvvxySCwvfxLmIGZqY3OdkOAg9HcPACq00Y7qJ
 vRdbZqfLZLL+LYV0FX4jIFx0mCcXEUZyxMTx0XZVNa/NAgZNUa7hPNvUcqTVbNGmurOH
 2mDb8CNwgnHLle6ZYCXh75ZI0qrDJMUAsHaBaRPcofpl03ULT12aPp+mbc4pY1i6u2lE
 LDfwY5cbnVCBgEFwOM0cfyfzMFMvGU4qI6rmV64PmIhy4tqoEWLgitqgdOGSyGXtHx1J
 j0ojp3WOcaSppQTOJbXFoAFMx5vMWIfIGnPuZlP2vmUutoFh4jjvgOXTQUcnqTniKX46
 SUgQ==
X-Gm-Message-State: AOAM531pln7n+SZJyzEd9SU8KlZd08vYwtzJTImJhculrziyqEuuXEap
 qdKKTsVOhT3LOofBF4j9jfLd37KdOQvFEg==
X-Google-Smtp-Source: ABdhPJw4NSxtASh0BQQbXfJpqkJtzHUohd16rgJ1rO1wIcP6BPVe2y+4m1Fc99DFejmT2jcagi8z+w==
X-Received: by 2002:a05:620a:4252:b0:67e:8977:db80 with SMTP id
 w18-20020a05620a425200b0067e8977db80mr9007865qko.483.1650859242813; 
 Sun, 24 Apr 2022 21:00:42 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:42 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 083/232] gnu: Add python-compreffor.
Date: Sun, 24 Apr 2022 23:56:49 -0400
Message-Id: <20220425035918.25683-83-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-compreffor): New variable.
---
 gnu/packages/fontutils.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 3d8447703f..8ba435aa61 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -322,6 +322,35 @@ (define tx (search-input-file inputs "bin/tx"))
 Kit for OpenType (AFDKO) @command{tx} tool.")
     (license license:asl2.0)))
 
+(define-public python-compreffor
+  (package
+    (name "python-compreffor")
+    (version "0.5.1.post1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "compreffor" version))
+       (sha256
+        (base32 "1r3wqd67qnz8p6irv68mvadqv1nklgzw53376iarw3pq4gxrma36"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-setup.py
+            (lambda _
+              (substitute* "setup.py"
+                ;; Not actually needed.
+                ((", \"setuptools_git_ls_files\"") "")))))))
+    (native-inputs (list python-pytest python-pytest-runner
+                         python-setuptools-scm))
+    (propagated-inputs (list python-fonttools))
+    (home-page "https://github.com/googlefonts/compreffor")
+    (synopsis "Compact Font Format (CFF) subroutinizer for fontTools")
+    (description "This package provides a Compact Font Format (CFF)
+subroutinizer for fontTools.")
+    (license license:asl2.0)))
+
 (define-public python-cu2qu
   (package
     (name "python-cu2qu")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:11 2022
Received: from localhost ([127.0.0.1]:60896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvP-0008C8-GT
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:11 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:43996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu3-0007t8-Lj
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:48 -0400
Received: by mail-qt1-f179.google.com with SMTP id hh4so9554590qtb.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=qqc2yzv3FWvIFEpOwv+JAQBL2YLQJ5lnkAevxASqcbU=;
 b=qj5Tk/FmwobrvQHjNduS4KUOl5sl4c5WHuky3wK6a2n2J8w5MxEpzAunimkt6O6dD+
 XYAKHDT6vmBHkt9KtvEE0Jd+nh/I0MMSKkR4rF2cS3ux/AuEEnU24C5Q/MjWWKP2Aq0e
 gvzbNS+ILNpmTOsyEV5CSHWEEyhwo5nUT2H/rGyxcEjHnenUnT5WLlmLXi7jofzpuOaP
 +ZXi+uRZsPJ+H/NH5023KJj+7k/+nDWVYa5ns+xVOokXqI4liT7gZKinbELwbinhn9Lj
 cINiv1BEuTPdV5HhMYSYBv35WPGAtSloWv/zJ3HL5iWU9jg15EU1194RUl7JCOsLJRl8
 iJNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=qqc2yzv3FWvIFEpOwv+JAQBL2YLQJ5lnkAevxASqcbU=;
 b=awIDaHUn6shHG9Ybbiwj7y5gypzPl3Cm6QUi6mbSkvJpuxRVhqWW5z7titI6koGy8z
 AaTOTwJ6ZkDboGlz6FeMjz67CpsPF1HmWGxtC4i09qq/tSU+9DHWCCCchmjCARGl7bX3
 sduRVa6JonQaL2exSisNa9ArthhvkTHymlXyK/TqvoZ9BPDuN+PJsb724vS+L4EFeRIy
 4AX8ttzyar/VBA27QWC4Tk8N4naKQ874yclqhMj0GBNenVvIaORUeByQbhhlfeZWRHGe
 J7z7MU1TxRLqal2ClnNr2VQMuzyAeFJ9sUrmlfEMO01K5ydxL8a6PAbzXJ4NQAK5NzYA
 9O5A==
X-Gm-Message-State: AOAM5338J8/GIcEpxDHD9HywNfDy34gbLkr4eKKbs61MBnsvCSobOZs9
 k5UjILsQWpXkt9Gc2xY5Bd0HtqcugdrZFA==
X-Google-Smtp-Source: ABdhPJxry04YcBDm+IXrdGZ7MUwm+/gd79pXK6KAnZ4viTbHWh75QV80gcOAxdGq488F1DP8kC/BOw==
X-Received: by 2002:a05:622a:144:b0:2f3:3bbd:3db5 with SMTP id
 v4-20020a05622a014400b002f33bbd3db5mr10911248qtw.95.1650859242114; 
 Sun, 24 Apr 2022 21:00:42 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 082/232] gnu: Add python-ufolib2.
Date: Sun, 24 Apr 2022 23:56:48 -0400
Message-Id: <20220425035918.25683-82-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-ufolib2): New variable.
---
 gnu/packages/fontutils.scm | 46 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index f2a76b9492..3d8447703f 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -1315,6 +1315,52 @@ (define-public fontforge-20190801
      `(("python" ,python-2)
        ,@(alist-delete "python" (package-inputs fontforge))))))
 
+(define-public python-ufolib2
+  (package
+    (name "python-ufolib2")
+    (version "0.13.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ufoLib2" version))
+       (sha256
+        (base32 "0yx4i8q5rfyqhr2fj70a7z1bp1jv7bdlr64ww9z4nv9ycbda4x9j"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          ;; XXX: PEP 517 manual build copied from python-isort.
+          (replace 'build
+            (lambda _
+              ;; ZIP does not support timestamps before 1980.
+              (setenv "SOURCE_DATE_EPOCH" "315532800")
+              (invoke "python" "-m" "build" "--wheel" "--no-isolation" ".")))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv"))))
+          (replace 'install
+            (lambda _
+              (let ((whl (car (find-files "dist" "\\.whl$"))))
+                (invoke "pip" "--no-cache-dir" "--no-input"
+                        "install" "--no-deps" "--prefix" #$output whl)))))))
+    (native-inputs
+     (list python-pypa-build
+           python-pytest
+           python-setuptools-scm
+           python-wheel))
+    (propagated-inputs (list python-attrs python-fonttools-full))
+    (home-page "https://github.com/fonttools/ufoLib2")
+    (synopsis "Unified Font Object (UFO) font processing library")
+    (description "The ufoLib2 Python library is meant to be a thin
+representation of the Unified Font Object (UFO) version 3 data model, intended
+for programmatic manipulation and fast batch processing of UFOs.  It resembles
+the defcon library, but does without notifications, the layout engine and
+other support classes.  Where useful and possible, ufoLib2 tries to be
+API-compatible with defcon.")
+    (license license:asl2.0)))
+
 (define-public python2-ufolib
   (package
     (name "python2-ufolib")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:11 2022
Received: from localhost ([127.0.0.1]:60893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvO-0008Bp-IQ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:11 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:43569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipty-0007sV-7D
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:47 -0400
Received: by mail-qk1-f180.google.com with SMTP id a186so9956107qkc.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Cu21VibzAT5voxXRFV8prEpe+NPO19P+tqIWIlA8rlw=;
 b=Qsxnv2W0m0IG7NAsVCLFqzpfHC3nYFLE0WztfSzwuG2fSPtszrekfEPvOd5cGBncKX
 PwqhnbQ0ED4f8izzQipPc+pq71s+0kCkMh4k58DvRBuOP3qQkf1GOFYp9u4VvczhBHhq
 kT+f+7cBjviFCfoGcv5kp+cZLifbK663HglfvD+GR8O4fog3B0R+SPyORRNb6yscPlD8
 P9Ix6orcW9U0WFnlSH7NN2Y4iWPpddDCLEhQhD94mo97IFk0FFaK3YqdyTscEavbAmD8
 espx25mVq/GYqhSsQ1QUyhEL9LSh3poDRFzg6lbbuk/GSDIIKHFkxQg1+IYN/p30/ecs
 rJUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Cu21VibzAT5voxXRFV8prEpe+NPO19P+tqIWIlA8rlw=;
 b=JyPolgQwN55Q/yZoo9av1AnoTRM2X0oE/BO3eDBYFu2jBf2kPmag8BbmAMV72Irko3
 0b4YK9YEJV+TlxGNfEI0TjE91/9FKcodtKK1tCNmTlrjDgnFynDU+hXW4qZR16K39SyP
 X6F5Am3mXNiqIrgeKzeX+PxUJBotIbv4ikP+aEX3zdlf+FhcNsnONDnkTtR1U4sYc8L8
 aK7aQQon3jg65ezGDtsCHgTkXVS+BLfltGzJqsDHE8zV3FXFbMSpxvbmk91ww821FchZ
 bskPpplgoPFb7yDCC4jRjEI/hhQhyr9UeCsqmq7b0wWWX9X4HprlsbjgNbcuQRmDsfkr
 xlZw==
X-Gm-Message-State: AOAM532H/f3QO8g/eqgQNSBM39ieYzF8Rp9xL7F8C8xNfshgjQhbMk4M
 TcZ1sRgDqtxqoiWwR+H+b34g+U0IjlOQPA==
X-Google-Smtp-Source: ABdhPJy/9W/Olu3+Cw1G6zStAeSFwyGVJiV/a4ikKN4K5Hg61D30hfofBDUhRz6Zconl1MLl1MZHIw==
X-Received: by 2002:a05:620a:2590:b0:680:f8c3:582 with SMTP id
 x16-20020a05620a259000b00680f8c30582mr8902891qko.723.1650859236594; 
 Sun, 24 Apr 2022 21:00:36 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:35 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 075/232] gnu: python-scipy: Update to 1.8.0 and enable
 parallel build.
Date: Sun, 24 Apr 2022 23:56:41 -0400
Message-Id: <20220425035918.25683-75-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-science.scm (python-scipy): Update to 1.8.0.
[modules]: New argument.
[phases]{disable-broken-tests}: Delete phase.
{configure-openblas}: Streamline configuration template.
{parallelize-build}: New phase.
{install-doc}: Move before 'check phase.  Remove now extraneous
'add-installed-pythonpath' call.  Remove the SPHINXBUILD and PYVER Make
variables, as well as conf.py patching.  Provide SPHINXOPTS to build doc in
parallel.  Simply recursively copy the 'html' output directory to install the
doc.
{check}: Remove extraneous INPUTS and OUTPUTS arguments.  Start tests with the
'runtests.py' launcher, which accepts a '-j' argument to run the tests in
parallel.
[native-inputs]: Sort inputs.  Add python-pytest-xdist and
python-threadpoolctl.
[home-page]: Update.
---
 gnu/packages/python-science.scm | 91 +++++++++++++--------------------
 1 file changed, 36 insertions(+), 55 deletions(-)

diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index dfe6a66e61..1852a16047 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -72,17 +72,20 @@ (define-module (gnu packages python-science)
 (define-public python-scipy
   (package
     (name "python-scipy")
-    (version "1.7.3")
+    (version "1.8.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "scipy" version))
        (sha256
-        (base32 "1gxsnw6viz2j3sm8ak2a8l7fcn4b2zm3kzfm8w57xxyyrzx7an5b"))))
+        (base32 "1gghkwn93niyasm36333xbqrnn3yiadq9d97wnc9mg14nzbg5m1i"))))
     (outputs '("out" "doc"))
     (build-system python-build-system)
     (arguments
      (list
+      #:modules '((guix build utils)
+                  (guix build python-build-system)
+                  (ice-9 format))
       #:phases
       #~(modify-phases %standard-phases
           (add-after 'unpack 'disable-pythran
@@ -92,81 +95,59 @@ (define-public python-scipy
             (lambda _
               ;; Change from /homeless-shelter to /tmp for write permission.
               (setenv "HOME" "/tmp")))
-          (add-after 'unpack 'disable-broken-tests
-            (lambda _
-              (substitute* "scipy/sparse/linalg/dsolve/tests/test_linsolve.py"
-                (("^( +)def test_threads_parallel\\(self\\):" m indent)
-                 (string-append indent
-                                "@pytest.mark.skip(reason=\"Disabled by Guix\")\n"
-                                m)))
-              (substitute* "scipy/sparse/linalg/eigen/arpack/tests/test_arpack.py"
-                (("^def test_parallel_threads\\(\\):" m)
-                 (string-append "@pytest.mark.skip(reason=\"Disabled by Guix\")\n"
-                                m)))))
           (add-before 'build 'configure-openblas
             (lambda _
               (call-with-output-file "site.cfg"
                 (lambda (port)
                   (format port
-                          "[blas]
+                          "\
+[blas]
 libraries = openblas
 library_dirs = ~a/lib
-include_dirs = ~a/include
+include_dirs = ~:*~a/include
 
-# backslash-n to make emacs happy
-\n[atlas]
-library_dirs = ~a/lib
-atlas_libs = openblas
-"
-                          #$(this-package-input "openblas")
-                          #$(this-package-input "openblas")
-                          #$(this-package-input "openblas"))))))
-          (add-after 'install 'install-doc
-            (lambda* (#:key inputs outputs #:allow-other-keys)
+[atlas]
+library_dirs = ~:*~a/lib
+atlas_libs = openblas~%"  #$(this-package-input "openblas"))))))
+          (add-before 'build 'parallelize-build
+            (lambda _
+              (setenv "NPY_NUM_BUILD_JOBS"
+                      (number->string (parallel-job-count)))))
+          (add-before 'check 'install-doc
+            (lambda* (#:key outputs #:allow-other-keys)
               (let* ((data (string-append (assoc-ref outputs "doc") "/share"))
                      (doc (string-append data "/doc/" #$name "-" #$version))
-                     (html (string-append doc "/html"))
-                     (pyver (string-append "PYVER="
-                                           #$(version-major+minor
-                                              (package-version python))))
-                     ;; By default it tries to run sphinx-build through the Python
-                     ;; interpreter which won't work with our shell wrapper.
-                     (sphinxbuild "SPHINXBUILD=LANG=C sphinx-build"))
-                ;; Make installed package available for building the
-                ;; documentation
-                (add-installed-pythonpath inputs outputs)
+                     (html (string-append doc "/html")))
                 (with-directory-excursion "doc"
-                  ;; Fix generation of images for mathematical expressions.
-                  (substitute* (find-files "source" "conf\\.py")
-                    (("pngmath_use_preview = True")
-                     "pngmath_use_preview = False"))
+                  ;; Build doc.
+                  (invoke "make" "html"
+                          ;; Building the documentation takes a very long time.
+                          ;; Parallelize it.
+                          (string-append "SPHINXOPTS=-j"
+                                         (number->string (parallel-job-count))))
+                  ;; Install doc.
                   (mkdir-p html)
-                  (invoke "make" "html" pyver sphinxbuild)
-                  (with-directory-excursion "build/html"
-                    (for-each (lambda (file)
-                                (let* ((dir (dirname file))
-                                       (tgt-dir (string-append html "/" dir)))
-                                  (install-file file html)))
-                              (find-files ".")))))))
+                  (copy-recursively "build/html" html)))))
           (replace 'check
-            (lambda* (#:key tests? inputs outputs #:allow-other-keys)
+            (lambda* (#:key tests? #:allow-other-keys)
               (when tests?
-                (with-directory-excursion "/tmp"
-                  (invoke "python" "-c"
-                          "import scipy; scipy.test(verbose=2)"))))))))
+                (invoke "./runtests.py" "-vv" "--no-build" "--mode=fast"
+                        "-j" (number->string (parallel-job-count)))))))))
     (propagated-inputs (list python-numpy python-matplotlib python-pyparsing))
     (inputs (list openblas pybind11))
     (native-inputs
-     (list python-cython
+     (list gfortran
+           perl
+           python-cython
+           python-numpydoc
            python-pydata-sphinx-theme
            python-pytest
+           python-pytest-xdist
            python-sphinx
            python-sphinx-panels
-           python-numpydoc
-           gfortran
-           perl
+           python-threadpoolctl
            which))
-    (home-page "https://www.scipy.org/")
+    (home-page "https://scipy.org/")
     (synopsis "The Scipy library provides efficient numerical routines")
     (description "The SciPy library is one of the core packages that make up
 the SciPy stack.  It provides many user-friendly and efficient numerical
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:10 2022
Received: from localhost ([127.0.0.1]:60890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvN-0008Ba-LB
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:10 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:33452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu2-0007sz-1O
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:47 -0400
Received: by mail-qk1-f179.google.com with SMTP id s4so10018421qkh.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=FhynO9n26h9Vsiuc0EznnyFaMdJQt2ozkpHuTldXwCE=;
 b=HqtceMZJi3Q6A0yODop0bT5TF8zZYbmNPbQEC+7jH40cLsOJ2yTfZFGJPCMLVgBLvz
 rzaQdyOEAbC9ayML7bqMV2MO3BTeHx+VgONRaNPUYM0sCP+kVPXSbftwThztWItySPuD
 LFI/yCp4/S0BSANlOXTTcdRuHr4uK3cn3xzK4kuoqJ4KMv27ftenW8Kyorau5CwxOw1K
 53ZsI2a1ojM/00QVspPtKjKwNba/uN8W16rZgxXrhoQt3ZiYz8tmpgEI95Gwls/gMQZT
 nGcjx+Qn2khRlnqGlq8BCQPJaIzmdC3rFK0cEVI2SdtLPoFrAoIcAmNcOLAe0GNwSy2S
 w+MQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=FhynO9n26h9Vsiuc0EznnyFaMdJQt2ozkpHuTldXwCE=;
 b=sLw/QUCwsHmpTn+J4KJkkzdS4lclFAeZRQd/zv6jtYb1x/IXpjlz3wWDGGdxHp/Exn
 JFHnR2IsJLP5A3HhBfXBL/e8P4cAqCruQ1MgXH37FIwdPtI872mLp5u7CkcGdaLxaU5x
 ems9vCcLZPsIJZWFd0euiasm8kQNKwA9icyIZ02Mnix/7Oz1VExZsQn0fOrFCnrik1LR
 DTeNS0RyA7CIorEukUU/0zzVjUhATVQxQLhltO71VFmw3Y8dhwBov3ZivUWb8kRbSzRR
 x0oH6yvyJVWgoqOamHY4qUINnKpAPyFa1q5xKiBX4NZCdbhvFcsCQ3TKPyRhYpMtlhY8
 +Swg==
X-Gm-Message-State: AOAM531A/0/sf9WQ5MExGETJne0lM2CfXkbETBzcgvnG74CZPG9EtdWv
 Ci0gVXURO5aZkIvkUfjCb0Juesak3x1ImA==
X-Google-Smtp-Source: ABdhPJwfoMarTMuy3rWLOAs8LfZAFLpZ0iQtleqX/DYOZe4srIFeMa4I91sHYyZG0JCzEBOLV/ObLA==
X-Received: by 2002:a37:94c1:0:b0:69e:afbb:675f with SMTP id
 w184-20020a3794c1000000b0069eafbb675fmr8950611qkd.334.1650859240417; 
 Sun, 24 Apr 2022 21:00:40 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:40 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 080/232] gnu: Add skia.
Date: Sun, 24 Apr 2022 23:56:46 -0400
Message-Id: <20220425035918.25683-80-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/graphics.scm (skia): New variable.
---
 gnu/packages/graphics.scm | 109 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 109 insertions(+)

diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index 50f562abc1..16e182b827 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -55,6 +55,7 @@ (define-module (gnu packages graphics)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages build-tools)
   #:use-module (gnu packages cdrom)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
@@ -88,6 +89,7 @@ (define-module (gnu packages graphics)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages mp3)
   #:use-module (gnu packages multiprecision)
+  #:use-module (gnu packages ninja)
   #:use-module (gnu packages pciutils)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages perl)
@@ -1864,6 +1866,113 @@ (define-public coin3D-4
 and engineering community.")
       (license license:bsd-3)))
 
+(define-public skia
+  ;; Releases follow those of Chromium, about every 6 weeks.  The release
+  ;; version can be found on this page:
+  ;; https://skia.org/docs/user/release/release_notes/.  The commit used
+  ;; should be the last commit, as recommended at
+  ;; https://skia.org/docs/user/release/.
+  (let ((version "98")
+        (revision "0")
+        (commit "55c56abac381e1ae3f0116c410bed81b05e0a38a"))
+    (package
+      (name "skia")
+      (version (git-version version revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://skia.googlesource.com/skia.git")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "1ldns2j1g2wj2phlxr9zqkdgs5g64pisxhwxcrq9ijn8a3jhafr2"))))
+      (build-system gnu-build-system)   ;actually GN + Ninja
+      (arguments
+       (list
+        ;; Running the test suite would require 'dm'; unfortunately the tool
+        ;; can only be built for debug builds, which require fetching third
+        ;; party sources.
+        #:tests? #f
+        #:phases
+        #~(modify-phases %standard-phases
+            (replace 'configure
+              (lambda* (#:key inputs #:allow-other-keys)
+                (substitute* "BUILD.gn"
+                  ;; Workaround a bug in the zlib third_party definition, that
+                  ;; fails the build even when zlib is found from the system.
+                  (("deps = \\[ \"//third_party/zlib\" ]")
+                   "deps = []"))
+                (invoke "gn" "gen" "build"
+                        (string-append
+                         ;;
+                         "--args="
+                         "cc=\"gcc\" "              ;defaults to 'cc'
+                         "is_official_build=true "  ;to use system libraries
+                         "is_component_build=true " ;build as a shared library
+                         ;; Specify where locate the harfbuzz and freetype
+                         ;; includes.
+                         (format #f "extra_cflags=[\"-I~a\",\"-I~a\"] "
+                                 (search-input-directory inputs
+                                                         "include/harfbuzz")
+                                 (search-input-directory inputs
+                                                         "include/freetype2"))
+                         ;; Otherwise the validate-runpath phase fails.
+                         "extra_ldflags=[\"-Wl,-rpath=" #$output "/lib\"] "
+                         ;; Disabled, otherwise the build system attempts to
+                         ;; download the SDK at build time.
+                         "skia_use_dng_sdk=false "))))
+            (replace 'build
+              (lambda* (#:key parallel-build? #:allow-other-keys)
+                (let ((job-count (if parallel-build?
+                                     (number->string (parallel-job-count))
+                                     "1")))
+                  (invoke "ninja" "-j" job-count "-C" "build"))))
+            (replace 'install
+              (lambda _
+                ;; Install headers.
+                (for-each (lambda (h)
+                            (install-file h (string-append
+                                             #$output "/include/skia/"
+                                             (dirname h))))
+                          (find-files "." "\\.h$"))
+                ;; Install libraries.
+                (for-each (lambda (lib)
+                            (install-file lib (string-append #$output "/lib")))
+                          (find-files "build" "^lib.*\\.(a|so)"))
+                ;; This pkgconfig file is useful at least to the
+                ;; python-skia-pathops package.
+                (define skia.pc (string-append #$output
+                                               "/lib/pkgconfig/skia.pc"))
+                (mkdir-p (dirname skia.pc))
+                (call-with-output-file skia.pc
+                  (lambda (port)
+                    (format port "\
+prefix=~a
+exec_prefix=${prefix}
+libdir=${prefix}/lib
+includedir=${prefix}/include/skia
+
+Name: skia
+Description: 2D graphic library for drawing text, geometries and images.
+URL: https://skia.org/
+Version: ~a
+Libs: -L${libdir} -lskia
+Cflags: -I${includedir}~%" #$output #$version))))))))
+      (native-inputs (list gn libjpeg-turbo ninja pkg-config python-wrapper))
+      (inputs (list expat fontconfig freetype harfbuzz mesa libwebp zlib))
+      (home-page "https://skia.org/")
+      (synopsis "2D graphics library")
+      (description "Skia is an open source 2D graphics library.  It can be
+used for drawing text, geometries, and images and has support for:
+@itemize
+@item 3x3 matrices with perspective
+@item antialiasing, transparency, filters
+@item shaders, xfermodes, maskfilters, patheffects
+@item subpixel text
+@end itemize")
+      (license license:bsd-3))))
+
 (define-public superfamiconv
   (package
     (name "superfamiconv")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:09 2022
Received: from localhost ([127.0.0.1]:60888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvN-0008BR-4S
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:09 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:41952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu2-0007t6-T7
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:47 -0400
Received: by mail-qt1-f179.google.com with SMTP id fu34so9563438qtb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XhfGrFzdxf4SmJZWY0NL52/pdoCUH69REXuxhdh+bNc=;
 b=g8QEfTKQ9s4zaZ3oXLR2Es/QFSH5+pPSfpsFvZ9gl6+LT4ZtIiHe6GR38jLnyKXig1
 L2YxipT1pjCVhVEYtAJ8yh8KAL9+9BG4EHoeEnH26LisWuNBj8sAaKYry+ay+lH7Y0sm
 HAzoq/Jz8ZS/oK+VAANKk/2zsZbQJ9/UMG2duXe8I94JGCJFXBZ7SwPB+LaDDIdTgV/g
 xJatHaBF9gZkPXuG+a8p4lCbQeIwfOQnAfoZZtZ7gNhDpSrTfKFeOohZtSD670NJO8uE
 G1B6eQekQvB+qBGXI7jRikdu2ss54vSJCRtZSvXNLcVKLMDRwKnx8f2Bwh2geK503Mhd
 DOoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XhfGrFzdxf4SmJZWY0NL52/pdoCUH69REXuxhdh+bNc=;
 b=RVbFQ4kUJzVdWwYfc5tjbHO9XPX5Pk4lTd5yBkaRL7f5K9VF26N9OTAu0BAX/gF/qL
 GY3g+JmzPiqXc0ju04Z2v3fXQHCu0EE1ZzVXXIoZCPKaPGIF857c+HESb9YVRAFqO/tv
 oKrmi3V6/bXxhp/UDKLnFRsl4z10Z3GnED2mY8KHg7wLm2O0OTUzfHCPtdpFoxKEqvdp
 2m/NU363FGF2RqsWkmz2VRyR4mgAOT25+O4ugPC5VFoeG1wBOqBQtpjnH6SljxrtJJVU
 OPUqTBuKE+nbh42xnMORDGFUNyherdq461VE6ZUpUduzx4TLheFLTwt2qzcoywb6aKR2
 6Arw==
X-Gm-Message-State: AOAM533S2PdQ1mWrud6AbaZEwDfhy+rn4WAAvtAf5cjOwGjgimI4g9wI
 UFNmX+40vZWxx9ST24qJ+fHnYTt/WAGHuw==
X-Google-Smtp-Source: ABdhPJwTrHPtjbJUzB7velOALipki13x++LRpyoveKWIZyQMdGhLZHZHfA8ygSjwfu9yGGaPsaJUlA==
X-Received: by 2002:a05:622a:1a81:b0:2f3:647c:6f14 with SMTP id
 s1-20020a05622a1a8100b002f3647c6f14mr3722642qtc.269.1650859241098; 
 Sun, 24 Apr 2022 21:00:41 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:40 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 081/232] gnu: Add python-skia-pathops.
Date: Sun, 24 Apr 2022 23:56:47 -0400
Message-Id: <20220425035918.25683-81-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-skia-pathops): New variable.
---
 gnu/packages/fontutils.scm | 44 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 9d170da953..f2a76b9492 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -573,6 +573,50 @@ (define-public psautohint
 can be used to hint PostScript fonts.  A Python wrapper is also included.")
     (license license:asl2.0)))
 
+(define-public python-skia-pathops
+  (package
+    (name "python-skia-pathops")
+    (version "0.7.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "skia-pathops" version ".zip"))
+       (modules '((guix build utils)))
+       (snippet '(delete-file-recursively "src/cpp")) ;140+ MiB of stuff
+       (sha256
+        (base32 "1456rclfn6a01c2cchlgyn166zppcjcqij0k5gwmm8gvzsd5rn0r"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'configure-env
+            (lambda _
+              (setenv "BUILD_SKIA_FROM_SOURCE" "0")))
+          (add-after 'unpack 'adjust-c++-language
+            (lambda _
+              ;; Our version of Skia requires c++17.
+              (substitute* "setup.py"
+                (("-std=c\\+\\+14")
+                 "-std=c++17"))))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv")))))))
+    (native-inputs
+     (list pkg-config
+           python-cython
+           python-pytest
+           python-setuptools-scm
+           unzip))
+    (inputs (list skia))
+    (home-page "https://github.com/fonttools/skia-pathops")
+    (synopsis "Python bindings for the Skia library's Path Ops module")
+    (description "This package provides Python bindings for the Path Ops
+module of the Skia library, performing boolean operations on
+paths (intersection, union, difference, xor).")
+    (license license:bsd-3)))
+
 (define-public python-ufoprocessor
   (package
     (name "python-ufoprocessor")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:09 2022
Received: from localhost ([127.0.0.1]:60885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvM-0008BD-DG
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:09 -0400
Received: from mail-qt1-f170.google.com ([209.85.160.170]:35535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipty-0007sc-Ra
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:46 -0400
Received: by mail-qt1-f170.google.com with SMTP id bz24so9580956qtb.2
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=LrrFobzal5mI7VvsJL725K4TiS+aDcd7RaNTsKGBkQM=;
 b=mYVmz/W/pZyMBGXlj4fdp569n50avkVVHPHgkh7qtE9mhbdEnYskhtOAV7dJ4HcAd4
 o3/L3M+wuY5rrq+i5Lz+h/0DFyF1EMEWAiXh6dzhxciaLLWtOmrhkzHzZw2jM5LysSpY
 LS9wr1I+91VKgf4JxN9TE8cTziw/RxuRQAHguc4PkC4Hovjy8d4TxSCr1NiFbmiqXK8Z
 65T2cAecYuJ5L6/1CSjcMHfy3lPA3M/FCitXsGNt/ZwKI7m4Fo91Ui/aZAodn0agG0/B
 WV9m0b3qkiJS+PyX0NXJLi/fC7Yllwe63GeECvukdY2gp2vwthx+3sJRyO+XnGXA9lmP
 FAJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=LrrFobzal5mI7VvsJL725K4TiS+aDcd7RaNTsKGBkQM=;
 b=5lmKHXXjb2rNHb1dwMwjc8xvvFDT9TWGqP1x89EQZbYqMU27VzKhWLHZZaqIB0DkCo
 Kn+ApsOHJVtsOqUVevXh4mMIseT3x17QnteZHcaxwrBih8VBa80Y5Hhp5q4Qd/GbX4hN
 i4qm2xhc9Nt5OI4K/vR1Z3OSPQZq+GvHj9lQuW7nA8faQgtvCMpmeRvoFPEcVLJuFvVw
 f2uthFoWp2RdItrhaNRAzuMrW/UCiCPJcqtbPf9ZGyisimw1hpPPMw89YQ3vfSlUY8De
 Ht04GxkgfXOGUc+BV0eO/NuY7tlR2Sm9njS+PJTiGCr0XkM4fTySKqdJTcN/nYq80bMI
 Duuw==
X-Gm-Message-State: AOAM532vFmI+mm0Vk4e4DQv6UCIJNAInpbJETuRjH2RXxk5DiB3EzAk7
 uYOdvDpgiS9nY1ZJoPGTgi059xx8pJCQpA==
X-Google-Smtp-Source: ABdhPJwtHDdyqTb8vcK3qTR/En11NpdLMb0a2QIZgVVYqeY9X4GgcIQ3dypmVdWBaigCU2gjmli37Q==
X-Received: by 2002:a05:622a:196:b0:2f1:f8d7:fc97 with SMTP id
 s22-20020a05622a019600b002f1f8d7fc97mr10517176qtw.343.1650859237275; 
 Sun, 24 Apr 2022 21:00:37 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:36 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 076/232] gnu: Add java-antlr4-runtime-cpp.
Date: Sun, 24 Apr 2022 23:56:42 -0400
Message-Id: <20220425035918.25683-76-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/java.scm (java-antlr4-runtime-cpp): New variable.
---
 gnu/packages/java.scm | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 43422f383f..539a6e6f6a 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -13,7 +13,7 @@
 ;;; Copyright © 2019, 2020, 2021 Björn Höfling <bjoern.hoefling@HIDDEN>
 ;;; Copyright © 2020 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;; Copyright © 2020 Raghav Gururajan <raghavgururajan@HIDDEN>
-;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2020, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2021 Mike Gerwitz <mtg@HIDDEN>
 ;;; Copyright © 2021 Pierre Langlois <pierre.langlois@HIDDEN>
@@ -45,6 +45,7 @@ (define-module (gnu packages java)
   #:use-module (guix utils)
   #:use-module (guix gexp)
   #:use-module (guix build-system ant)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system maven)
   #:use-module (guix build-system trivial)
@@ -8619,6 +8620,38 @@ (define-public java-antlr4-runtime
 sources by ANTLR.")
     (license license:bsd-3)))
 
+(define-public java-antlr4-runtime-cpp
+  (package
+    (inherit java-antlr4-runtime)
+    (name "java-antlr4-runtime-cpp")
+    (outputs '("out" "static"))
+    (build-system cmake-build-system)
+    (arguments
+     (list
+      ;; TODO: try to run the tests under
+      ;; runtime-testsuite/test/org/antlr/v4/test/runtime/cpp with antlr4.
+      #:tests? #f                       ;no CMake test target
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'chdir
+            (lambda _
+              (chdir "runtime/Cpp")))
+          (add-after 'install 'move-static-library
+            (lambda* (#:key outputs #:allow-other-keys)
+              (let ((static (assoc-ref outputs "static"))
+                    (libantlr4-runtime.a (search-input-file
+                                          outputs "lib/libantlr4-runtime.a")))
+                (mkdir-p (string-append static "/lib"))
+                (rename-file
+                 libantlr4-runtime.a
+                 (string-append static "/lib/"
+                                (basename libantlr4-runtime.a)))))))))
+    (native-inputs (list pkg-config))
+    (inputs (list `(,util-linux "lib"))) ;libuuid
+    (synopsis "ANTL C++ runtime library")
+    (description "This package contains the C++ runtime library used with C++
+generated sources by ANTLR.")))
+
 (define-public antlr4
   (package
     (inherit java-antlr4-runtime)
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:08 2022
Received: from localhost ([127.0.0.1]:60882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvL-0008Az-Qk
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:08 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:33387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu1-0007sw-4E
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:46 -0400
Received: by mail-qt1-f178.google.com with SMTP id hf18so9594504qtb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=RzY72zsZMIwTIf8kng2cORG0NV3AjZ4OS6RdGT1/snM=;
 b=HezP0E4Sxfu4u2Fg2VsfYLqDG0GmZTXob6YsMqvfeRCssNH7WfmczVK3zIVayNu2R0
 DqPD5gmhkjFuo/akUBFR80mPCqhN+g7P6xKrgCbfpi63sgl810p/nEhQhGXuW3r2F2gh
 Z/UWNseqJJ3ItMLET5r0nuQy5yd6RiiEty7/iM3kAV6x5AlB+arjQP0IzzWVUJpkmVtU
 q76IZ3G/+NebRXlqIKdM7Ya4kBLjjK8fzZIfbRTRIomraT8MPEEgJcD2lUdbEdJOT+yn
 sGxmIyzKtR++PaR+WyKANSJPTyb2F1y1tAOMDZb2wZBeUqXtokknOQyhJzni7NC0EEwC
 4HzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=RzY72zsZMIwTIf8kng2cORG0NV3AjZ4OS6RdGT1/snM=;
 b=CvZNZpckPCsNKkzGqlKEVj5cmJGqcSpzq+xuofdyuqcN82cdMWJPcLSGWpBf39MEYs
 TBPwMtsey7XyiIt4WNxM/2A3mF3+0AqV9U5TgTc2TFgKCn4L+fmupzsKDX40Z9bOB3MA
 DTMuR7zl5pWmOpx/+I9s9tUBBC5sY1qxcEHM8M400BgzE0QxRFgWRW254H7qVC+2Aobg
 IrFBkTKvpPTyYdOp/capXRVzWov1t1hNfsCncmRDYN4D7Zfwk9zh/Vlq06vOkMh5ZGYf
 smg9ow4hehcfhuY71/bZMQC8aK66KWeIYQ0Gk85GCZfZkZiyfZVJzdWJSCv3qC2RxNXu
 ZVMw==
X-Gm-Message-State: AOAM532fjzeTb9OJvcyAJ6UyCTFlI6t65fMhSTwv1ctQLwr3ns3T5Ng2
 RhwTXfDfSBYT+G+UVtvree8imQGVeBuDmA==
X-Google-Smtp-Source: ABdhPJzpoRcWKcyEDKL8FZR4QZbMACQdpYvuc5kTxbav1q6wNSvoSDH+nE9ttbhlipseUMQbsSZlJQ==
X-Received: by 2002:a05:622a:6083:b0:2f1:d380:1fad with SMTP id
 hf3-20020a05622a608300b002f1d3801fadmr10944097qtb.4.1650859239576; 
 Sun, 24 Apr 2022 21:00:39 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:39 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 079/232] gnu: Add python-cffsubr.
Date: Sun, 24 Apr 2022 23:56:45 -0400
Message-Id: <20220425035918.25683-79-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-cffsubr): New variable.
---
 gnu/packages/fontutils.scm | 49 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 0c479cd5de..9d170da953 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -271,6 +271,55 @@ (define-public python-afdko
 @end table")
     (license license:asl2.0)))
 
+(define-public python-cffsubr
+  (package
+    (name "python-cffsubr")
+    (version "0.2.9.post1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "cffsubr" version))
+       (modules '((guix build utils)))
+       (snippet '(delete-file-recursively "external")) ;unbundle ADFKO
+       (sha256
+        (base32 "0p7wyagkmwf4agr6ysgswrpmpifx5rz8dnjbcs2gmj29rwnl2cbb"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-setup.py
+            (lambda _
+              (substitute* '("pyproject.toml"
+                             "setup.py")
+                ;; This is not needed when building the package.
+                (("setuptools-git-ls-files") "")
+                ;; Do not attempt to build the unbundled ADFKO.
+                (("cmdclass\\[\"build_ext\"] = ExecutableBuildExt.*")
+                 ""))))
+          (add-after 'unpack 'patch-tx-path
+            (lambda* (#:key inputs #:allow-other-keys)
+              (define tx (search-input-file inputs "bin/tx"))
+              (substitute* "src/cffsubr/__init__.py"
+                (("TX_EXE = \"tx\"")
+                 (format #f "TX_EXE = ~s" tx))
+                ;; Use the full 'tx' file name directly.
+                (("with path\\(__name__, TX_EXE) as tx_cli:")
+                 "")
+                (("    (return subprocess.run\\(\\[)str\\(tx_cli)(].*)" _ h t)
+                 (format #f "~a~s~a" h tx t)))))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv")))))))
+    (native-inputs (list python-pytest python-setuptools-scm python-wheel))
+    (inputs (list python-afdko))
+    (propagated-inputs (list python-fonttools))
+    (home-page "https://github.com/adobe-type-tools/cffsubr")
+    (synopsis "Compact Font Format (CFF) subroutinizer")
+    (description "This package provides the @command{cffsubr} command, a
+Compact Font Format (CFF) subroutinizer based on the Adobe Font Development
+Kit for OpenType (AFDKO) @command{tx} tool.")
     (license license:asl2.0)))
 
 (define-public python-cu2qu
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:07 2022
Received: from localhost ([127.0.0.1]:60879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvK-0008Ak-R7
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:07 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:44653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipu0-0007sp-Fp
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:46 -0400
Received: by mail-qk1-f179.google.com with SMTP id b189so9954089qkf.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=pJdHCU8ALIxn6gW+hOu6E8TTsfQibej4lVjKv6zHsBg=;
 b=Wp1njJSmuWZrz/yVNPD/BY9zk4sziP13s2JyjaOO61B0pUXxCMtsafCz8XzrjjYsuc
 NrzPXmzlwPSR0H9/9nSiOMN44xpWqhPKHkrUH8vpy3VnM54TUA81DIOoq1sHPsS5PZtA
 s/vLzccRkno1f2y0Okcoh6X/sUujtTSxdJycVSVcdSh1v1+k4E3+gsAKoD6FAikfitHw
 L3fZK6v6RpowBsFRdYdQA2WMf7iSsKCnayj1gyjnUp7Aa7W0aoLX9gCq7iPEggSC5M43
 wUdmKH5uK6C2Uy13/drjSNVYSq6pyu8Ej6AZe0p6DZSwj4ePsY0V/14R82V5GrOTGYtp
 kUfA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=pJdHCU8ALIxn6gW+hOu6E8TTsfQibej4lVjKv6zHsBg=;
 b=Msh9n+rQ/PGFXBn9x0czaKz7IfdjMxwc5uxO6TS+8s8PakoH5X5R6RD/VBQcfA3jf4
 +fsjPs2uiExxffd9ieB15VpJZWVczv8ZM79tov1rCRn6ob9nnkDKfXtbCA25hVvuQP4N
 CFvIV4wbn8uS5c0rVrRzHMF88svsGh7xyZ1d3DwJTz7fN/f9ZaKkpE2PXUuym5vZu1sL
 H4ADT4983MHwldMNHGadjOpDpV0eNWNDElPjkFPMDo838LNfKyDII5tLtVjS4wajZVkZ
 /oh1itOEL/LFO0Cx1ZRg7Z8APd/lc/VmrA4vMSQDHw8cbDt+PPV57tiiJG9I6Ov33QoC
 iKXg==
X-Gm-Message-State: AOAM5321Vd+8sRdjDnVuwTQigWE+kWoAvO+j4Pe5bFtZoctEsfO8c/2L
 L7mordRmdQU1OyelSnJCz2ll6uy4lx9ZYA==
X-Google-Smtp-Source: ABdhPJworWT1hqk7fxgAtyLtOuVbunlFavgudMNQZXXgZWJYrcQuXPcdqCmQeW0GCZq5towpCbHJKg==
X-Received: by 2002:a05:620a:4305:b0:67e:8b39:201d with SMTP id
 u5-20020a05620a430500b0067e8b39201dmr8827339qko.741.1650859238851; 
 Sun, 24 Apr 2022 21:00:38 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:38 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 078/232] gnu: Add python-afdko.
Date: Sun, 24 Apr 2022 23:56:44 -0400
Message-Id: <20220425035918.25683-78-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-afdko): New variable.
---
 gnu/packages/fontutils.scm | 139 +++++++++++++++++++++++++++++++++++++
 1 file changed, 139 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index e128ed1003..0c479cd5de 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -53,8 +53,10 @@ (define-module (gnu packages fontutils)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
+  #:use-module (gnu packages java)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages man)
+  #:use-module (gnu packages ninja)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
@@ -134,6 +136,143 @@ (define-public opentype-sanitizer
 them as it goes.")
     (license license:bsd-3)))
 
+(define-public python-afdko
+  (package
+    (name "python-afdko")
+    (version "3.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "afdko" version))
+       (sha256
+        (base32 "171r9f7n8fgz37dkcgpzj508lxfafcyzzx43ps12j1z2nk1sk905"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-problematic-requirements
+            (lambda _
+              (substitute* "requirements.txt"
+                ;; Remove lxml because the version requested here is different
+                ;; than the one propagated by the python-fonttools package.
+                (("^lxml==.*") ""))))
+          (add-after 'unpack 'patch-setup.py
+            (lambda _
+              ;; There is no use for Python-provided CMake nor Ninja binaries.
+              (substitute* '("pyproject.toml" "setup.py")
+                ((".*cmake.*") "")
+                ((".*ninja.*") ""))))
+          (add-after 'unpack 'unbundle-antlr4-cpp
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "CMakeLists.txt"
+                (("^include\\(ExternalAntlr4Cpp).*")
+                 (format #f "include_directories(SYSTEM ~a)"
+                         (search-input-directory inputs
+                                                 "include/antlr4-runtime"))))
+              (substitute* "c/makeotf/lib/hotconv/CMakeLists.txt"
+                (("antlr4_static")
+                 "antlr4-runtime"))))
+          ;; The test suite expects the commands to be Python rather than
+          ;; shell scripts, so move the wrap phase after the tests.
+          (delete 'wrap)
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (setenv "HOME" "/tmp")
+                (invoke "pytest" "-vv"))))
+          (add-after 'check 'wrap
+            (assoc-ref %standard-phases 'wrap))
+          (add-before 'wrap 'wrap-PATH
+            (lambda _
+              ;; The commands execute other commands from this package from
+              ;; PATH; by wrapping them with bindir, they can be found even
+              ;; when the command is run from its store location.
+              (let* ((bindir (string-append #$output "/bin"))
+                     (commands (find-files bindir)))
+                (for-each (lambda (c)
+                            (wrap-program c
+                              `("PATH" prefix (,bindir))))
+                          commands)))))))
+    (native-inputs
+     (list ninja python-pytest python-scikit-build python-wheel))
+    (inputs (list java-antlr4-runtime-cpp `(,util-linux "lib")))
+    (propagated-inputs
+     (list psautohint
+           python-booleanoperations
+           python-defcon
+           python-fontmath
+           python-fonttools-next
+           python-lxml
+           python-tqdm
+           python-ufonormalizer
+           python-ufoprocessor))
+    (home-page "https://github.com/adobe-type-tools/afdko")
+    (synopsis "Adobe Font Development Kit for OpenType")
+    (description "The Adobe Font Development Kit for OpenType (AFDKO) is a set
+of tools for building OpenType font (OTF) files from PostScript and TrueType
+font data.  It includes the following commands:
+@table @command
+@item buildcff2vf
+Assemble a CFF2 variable font from a .designspace file.
+@item buildmasterotfs
+Build master source OpenType/CFF fonts from a @file{.designspace} file
+and UFO master source fonts.
+@item charplot
+@itemx digiplot
+@itemx fontplot
+@itemx fontsetplot
+@itemx hintplot
+@itemx waterfallplot
+Aliases for the corresponding options of the @command{proofpdf} command.
+@item checkoutlinesufo
+Perform outline quality checks.  It can also remove path overlaps.
+@item comparefamily
+Look in a specific directory, examine and report on all the OpenType fonts found.
+@item type1
+@itemx detype1
+Compile and decompile, respectively, a Type 1 font to and from a plain-text
+representation.
+@item makeinstancesufo
+Generate UFO font instances from a set of master UFO fonts.
+@item makeotfexe
+Read all the font data and build the final OpenType font.
+@item makeotf
+This command can be used to prepare the input files needed by
+@command{makeotfexe}.
+@item mergefonts
+Merge one or more fonts into a parent font.
+@item otc2otf
+Extract all OpenType fonts from the parent OpenType Collection font.
+@item otf2otc
+Build an OpenType Collection font file from two or more OpenType font
+files.
+@item otf2ttf
+Converts OpenType-CFF fonts to TrueType.
+@item rotatefont
+Apply a Postscript transform matrix to the source font files.
+@item sfntdiff
+Low-level comparison of two OpenType font files.
+@item sfntedit
+Support table-editing, listing, and checksumming options on
+sfnt-formatted files such as OpenType Format (OTF) or TrueType.
+@item spot
+Dump sfnt data from plain files or Macintosh resource files.
+@item ttfcomponentizer
+Take in a TrueType font and look for a UFO font stored in the same directory.
+Use the UFO's components data to compose matching TrueType glyphs.
+@item ttfdecomponentizer
+Take in a TrueType font and decompose any composite glyphs into simple glyphs.
+@item ttxn
+Make a normalized dump of the font, or of selected tables.
+@item tx
+The @command{tx} (Type eXchange) is a test harness for the CoreType libraries
+but also provides many useful font conversion and analysis facilities.
+@end table")
+    (license license:asl2.0)))
+
+    (license license:asl2.0)))
+
 (define-public python-cu2qu
   (package
     (name "python-cu2qu")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:02:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:02:06 2022
Received: from localhost ([127.0.0.1]:60868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvD-00089O-Kt
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:02:06 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:46068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptx-0007sO-9w
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:46 -0400
Received: by mail-qt1-f182.google.com with SMTP id x21so124826qtr.12
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=as22pkiNkB3qCe7RxwvSxjmLAhfnBSrDXH19jHhj1go=;
 b=a6Bpa3oT8UrRwKbulJHU015OHRlL/bfW7960a2bs55ijPaVrcFaW3OswZjpjgpmceS
 TiLKtp9LHfra6SMEtAwXgQyz8v4jnWMDkf4WQSr6Z3jWF4x68bKNoHYahQ0HAGlky+ys
 0FDx7mYPxH+ArT3fqbWYGLySnDRdgDMFcRnSsHsX8Yp10ZNAH9tK7UoEmHSa70L1VeUN
 Ugs8Y3fqhUWfHDMrBHpOQxmdwJ5ShCy+wyIuepZtEeBBuW2BL9qfSXX/SqjUyF0m42L5
 qU3yoy7hwfWKwz5x1aImIU7kzJtmzNPFbkxwFBP3hafwRxRsyoFr70wXdHg+JShM65U3
 ZI/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=as22pkiNkB3qCe7RxwvSxjmLAhfnBSrDXH19jHhj1go=;
 b=bVgebq258UriTlD0SBqEV7iQglBwLbsgpCy51XZWM0bO2kT1zQGm9XOI82auD/rGBk
 CRnuxP/kiBxfxSF1SUvPLYqBe8XKYtwwXdhWmynq4w1/bLNMZ/SMcVeoAuo1Ell9EsR6
 LjB3ITp6AvLKugrEw79yucn4smG2yv/CH7Tw6s797QyrSqX/x6BYnart862pK8KJq9IJ
 6/OIB42/EomLfT7SdDeXDQGYf3niZaqPOYpaMgHRe/D/M4bmA6+G9UIfjUgFfmlDFE7/
 7xGQpOMOxP8bITdTn+uhR/zXOSNVvmdeL0FtoVy5Z+l2qa3TYXbHGKwIuyG8PRreUPI7
 Z4TA==
X-Gm-Message-State: AOAM530CXexszdi1oD6vpcHehJUSMgV9LCyVLk7yyUc5uXyNxPQgYGkz
 H2SyMyiPHpScIBh7dJYsMhl0MjWP5YhVbQ==
X-Google-Smtp-Source: ABdhPJxTuEb1syC+CVCfy1m4rNeWih4vJmSUDeZ0eoZqzvYRbnjkhSnOh0zC+Gt6Bw6s6Uo757r0ig==
X-Received: by 2002:a05:622a:28d:b0:2f3:67c7:cdff with SMTP id
 z13-20020a05622a028d00b002f367c7cdffmr2317154qtw.683.1650859235662; 
 Sun, 24 Apr 2022 21:00:35 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:35 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 074/232] gnu: python-scipy: Move input fields below arguments
 field.
Date: Sun, 24 Apr 2022 23:56:40 -0400
Message-Id: <20220425035918.25683-74-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-science.scm (python-scipy): Move inputs fields below the
arguments field.
[phases]: Use gexp.
{configure-openblas}: Use this-package-input.
{check}: Remove extraneous 'add-installed-pythonpath' call.
{install-doc}: Adjust accordingly.
---
 gnu/packages/python-science.scm | 155 ++++++++++++++++----------------
 1 file changed, 77 insertions(+), 78 deletions(-)

diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index 07d713e013..dfe6a66e61 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -6,7 +6,7 @@
 ;;; Copyright © 2016, 2022 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2016-2020, 2022 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2019 Tobias Geerinckx-Rice <me@HIDDEN>
-;;; Copyright © 2019, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2019, 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2019 Giacomo Leidi <goodoldpaul@HIDDEN>
 ;;; Copyright © 2020 Pierre Langlois <pierre.langlois@HIDDEN>
 ;;; Copyright © 2020, 2021, 2022 Vinicius Monego <monego@HIDDEN>
@@ -79,49 +79,36 @@ (define-public python-scipy
        (uri (pypi-uri "scipy" version))
        (sha256
         (base32 "1gxsnw6viz2j3sm8ak2a8l7fcn4b2zm3kzfm8w57xxyyrzx7an5b"))))
-    (build-system python-build-system)
-    (propagated-inputs
-     (list python-numpy python-matplotlib python-pyparsing))
-    (inputs
-     (list openblas pybind11))
-    (native-inputs
-     (list python-cython
-           python-pydata-sphinx-theme
-           python-pytest
-           python-sphinx
-           python-sphinx-panels
-           python-numpydoc
-           gfortran
-           perl
-           which))
     (outputs '("out" "doc"))
+    (build-system python-build-system)
     (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'disable-pythran
-           (lambda _
-             (setenv "SCIPY_USE_PYTHRAN" "0")))
-         (add-before 'build 'change-home-dir
-           (lambda _
-             ;; Change from /homeless-shelter to /tmp for write permission.
-             (setenv "HOME" "/tmp")))
-         (add-after 'unpack 'disable-broken-tests
-           (lambda _
-             (substitute* "scipy/sparse/linalg/dsolve/tests/test_linsolve.py"
-               (("^( +)def test_threads_parallel\\(self\\):" m indent)
-                (string-append indent
-                               "@pytest.mark.skip(reason=\"Disabled by Guix\")\n"
-                               m)))
-             (substitute* "scipy/sparse/linalg/eigen/arpack/tests/test_arpack.py"
-               (("^def test_parallel_threads\\(\\):" m)
-                (string-append "@pytest.mark.skip(reason=\"Disabled by Guix\")\n"
-                               m)))))
-         (add-before 'build 'configure-openblas
-           (lambda* (#:key inputs #:allow-other-keys)
-             (call-with-output-file "site.cfg"
-               (lambda (port)
-                 (format port
-                         "[blas]
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'disable-pythran
+            (lambda _
+              (setenv "SCIPY_USE_PYTHRAN" "0")))
+          (add-before 'build 'change-home-dir
+            (lambda _
+              ;; Change from /homeless-shelter to /tmp for write permission.
+              (setenv "HOME" "/tmp")))
+          (add-after 'unpack 'disable-broken-tests
+            (lambda _
+              (substitute* "scipy/sparse/linalg/dsolve/tests/test_linsolve.py"
+                (("^( +)def test_threads_parallel\\(self\\):" m indent)
+                 (string-append indent
+                                "@pytest.mark.skip(reason=\"Disabled by Guix\")\n"
+                                m)))
+              (substitute* "scipy/sparse/linalg/eigen/arpack/tests/test_arpack.py"
+                (("^def test_parallel_threads\\(\\):" m)
+                 (string-append "@pytest.mark.skip(reason=\"Disabled by Guix\")\n"
+                                m)))))
+          (add-before 'build 'configure-openblas
+            (lambda _
+              (call-with-output-file "site.cfg"
+                (lambda (port)
+                  (format port
+                          "[blas]
 libraries = openblas
 library_dirs = ~a/lib
 include_dirs = ~a/include
@@ -131,42 +118,54 @@ (define-public python-scipy
 library_dirs = ~a/lib
 atlas_libs = openblas
 "
-                         (assoc-ref inputs "openblas")
-                         (assoc-ref inputs "openblas")
-                         (assoc-ref inputs "openblas"))))))
-         (add-after 'install 'install-doc
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((data (string-append (assoc-ref outputs "doc") "/share"))
-                    (doc (string-append data "/doc/" ,name "-" ,version))
-                    (html (string-append doc "/html"))
-                    (pyver ,(string-append "PYVER=" (version-major+minor
-                                                     (package-version python))))
-                    ;; By default it tries to run sphinx-build through the Python
-                    ;; interpreter which won't work with our shell wrapper.
-                    (sphinxbuild "SPHINXBUILD=LANG=C sphinx-build"))
-               ;; Make installed package available for building the
-               ;; documentation
-               (add-installed-pythonpath inputs outputs)
-               (with-directory-excursion "doc"
-                 ;; Fix generation of images for mathematical expressions.
-                 (substitute* (find-files "source" "conf\\.py")
-                   (("pngmath_use_preview = True")
-                    "pngmath_use_preview = False"))
-                 (mkdir-p html)
-                 (invoke "make" "html" pyver sphinxbuild)
-                 (with-directory-excursion "build/html"
-                   (for-each (lambda (file)
-                               (let* ((dir (dirname file))
-                                      (tgt-dir (string-append html "/" dir)))
-                                 (install-file file html)))
-                             (find-files ".")))))))
-         (replace 'check
-           (lambda* (#:key tests? inputs outputs #:allow-other-keys)
-             (when tests?
-               (add-installed-pythonpath inputs outputs)
-               (with-directory-excursion "/tmp"
-                 (invoke "python" "-c"
-                         "import scipy; scipy.test(verbose=2)"))))))))
+                          #$(this-package-input "openblas")
+                          #$(this-package-input "openblas")
+                          #$(this-package-input "openblas"))))))
+          (add-after 'install 'install-doc
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((data (string-append (assoc-ref outputs "doc") "/share"))
+                     (doc (string-append data "/doc/" #$name "-" #$version))
+                     (html (string-append doc "/html"))
+                     (pyver (string-append "PYVER="
+                                           #$(version-major+minor
+                                              (package-version python))))
+                     ;; By default it tries to run sphinx-build through the Python
+                     ;; interpreter which won't work with our shell wrapper.
+                     (sphinxbuild "SPHINXBUILD=LANG=C sphinx-build"))
+                ;; Make installed package available for building the
+                ;; documentation
+                (add-installed-pythonpath inputs outputs)
+                (with-directory-excursion "doc"
+                  ;; Fix generation of images for mathematical expressions.
+                  (substitute* (find-files "source" "conf\\.py")
+                    (("pngmath_use_preview = True")
+                     "pngmath_use_preview = False"))
+                  (mkdir-p html)
+                  (invoke "make" "html" pyver sphinxbuild)
+                  (with-directory-excursion "build/html"
+                    (for-each (lambda (file)
+                                (let* ((dir (dirname file))
+                                       (tgt-dir (string-append html "/" dir)))
+                                  (install-file file html)))
+                              (find-files ".")))))))
+          (replace 'check
+            (lambda* (#:key tests? inputs outputs #:allow-other-keys)
+              (when tests?
+                (with-directory-excursion "/tmp"
+                  (invoke "python" "-c"
+                          "import scipy; scipy.test(verbose=2)"))))))))
+    (propagated-inputs (list python-numpy python-matplotlib python-pyparsing))
+    (inputs (list openblas pybind11))
+    (native-inputs
+     (list python-cython
+           python-pydata-sphinx-theme
+           python-pytest
+           python-sphinx
+           python-sphinx-panels
+           python-numpydoc
+           gfortran
+           perl
+           which))
     (home-page "https://www.scipy.org/")
     (synopsis "The Scipy library provides efficient numerical routines")
     (description "The SciPy library is one of the core packages that make up
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:59 2022
Received: from localhost ([127.0.0.1]:60866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvD-00089L-EP
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:59 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:34504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptz-0007si-LP
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:45 -0400
Received: by mail-qk1-f171.google.com with SMTP id j9so9979969qkg.1
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=zRZWpWq7RTZfTAkgkF1pv1G+BwJLV2xx6sruVwwLhB8=;
 b=cX6jxd87BHBS1rJGyrzW+Pa7opy1aEJWYk1r1huA69/mB3RPcoisPo5nYJFBXiOurC
 5w3gB0wDj2LC26DZhu7p47QeDbA5GxHFYZgf4g0XmrXIgx0Bf8ByuC0YItS4Rs0JtY/W
 9XaSGLYqiFgwm4P75oNjioiWBqwaL8DzKOqjwIyZMAiqriCBhcKdnF88xnai4cIsNYBY
 aamNd5BkK2lNrDv++MHDs9OtvB14uM5qV3IIIf7RuBbI3eufIikLwC9uUZMYEyA+4eX1
 xdIFqWtJGPTQ2Rpb+z3dow0dKPy45OGkGrXnNy8VIOCgqwXrLzUs/X0hEuEUlxMNTjRS
 aAlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=zRZWpWq7RTZfTAkgkF1pv1G+BwJLV2xx6sruVwwLhB8=;
 b=Z8gGSeCi3/QMLPyYELm8bpC45LXgOP5QODHEhuW0r+mUR2MLHWLnejNUQSknXVosQ+
 9vkvlu5J/m2aSnOyghybEEAyxpo6po4/J1eXt56/S0CHeoC2hwxon8xeS+GO0YFeK9BA
 2MnG8j9Xv6iaWJvroEsfXfMmjpD5ZTupK0TZNGeE+Dw7C7A5byliRvtpj5GflHQlVG9a
 hQOyD6eEcpHikGuWKCZqn3+ZiGoA0MyEm4Z+Z6DMPBJgl8b08SwX1m3PJO2YoxajzvYv
 A4I8TlAFze2k0YiQt6rcM/ONdxP4+0UaBWzgLVJmqr3QsotR27ZDYEDWATmGAnIUzJGp
 Y0Xw==
X-Gm-Message-State: AOAM532kvD8jMwxa8+yp33OZkTaiUQMLdrtTSwVyi4o9cNPZPOWGXiuF
 xSrUf/8gQ7hYGvhgRjEoE8ZPlqMrgM5GsQ==
X-Google-Smtp-Source: ABdhPJwm8/JdjZlum7OqXWMhwSj1nji9G5ijAGbZdtorYVzCx2FfLKaS0l5+enTG8SEVE8j62cIjXw==
X-Received: by 2002:a37:5582:0:b0:69e:88dc:79a1 with SMTP id
 j124-20020a375582000000b0069e88dc79a1mr9153718qkb.661.1650859238034; 
 Sun, 24 Apr 2022 21:00:38 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:37 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 077/232] gnu: Add python-fonttools-next.
Date: Sun, 24 Apr 2022 23:56:43 -0400
Message-Id: <20220425035918.25683-77-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-fonttools-next): New variable.
---
 gnu/packages/python-xyz.scm | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index e1ab0ab048..a7f9d6e4be 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11581,6 +11581,18 @@ (define-public python2-fonttools
                 (base32
                  "0v6399g755f2hn1ry62i5b6gdinf2fpx2966v3bxh6bjw1accb5p")))))))
 
+(define-public python-fonttools-next
+  (package
+    (inherit python-fonttools-full)
+    (version "4.32.0")
+    (source (origin
+              (inherit (package-source python-fonttools-full))
+              (method url-fetch)
+              (uri (pypi-uri "fonttools" version ".zip"))
+              (sha256
+               (base32
+                "14nk43z0dmznypm3zp4sdc04x1y608jawlnmwdkk32a947khvaar"))))))
+
 (define-public python-ly
   (package
     (name "python-ly")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:59 2022
Received: from localhost ([127.0.0.1]:60864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvC-000898-SU
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:59 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:35338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptv-0007rz-T4
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:44 -0400
Received: by mail-qk1-f171.google.com with SMTP id y129so9970599qkb.2
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=+qhpZhVBdkMaTpHOl3hgT5PfWB+BUnJuBCHJQshwwjc=;
 b=J9F4JdvZTxnTwP1wM9aqUj/1q+UNXcEgapf2IvjaG10lv66zpSQzVZs1aT9g7InpuQ
 EQFcSBt77bZt7/G/NqrINALT+0xqvvSPbbvMAhELHK3syFeafrSQvXJpgaNuYisLaMHa
 qKM06UCtB3/bTWOkoCGMyE6s24ncEK7I+vFBix209HPujWC4iJq7aBP0swyTPWNPmFjO
 1znFp05YnZwcMx33h+osalU7VOU6PTjWEI3C3xCpYQgQ5dJOAVGlxD1HTuEvrBid+LFq
 gsTe/MEFMMNaH3xPrvz0F/u6cWJsCYap30tDfENMEmBzVp8W0iZumW559yqPucFf3mNu
 RNZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=+qhpZhVBdkMaTpHOl3hgT5PfWB+BUnJuBCHJQshwwjc=;
 b=SUREb6qUkATsiKBBa1RdY9nG2AoA1CrdAea/w6InsqP0rVEgcgKoQ/Rdo7syO8Trst
 sJ/2P/6wnGTH3uVAAcdljPlBi9MuAQuYxCpoolxifNTVvBVQiQMRIPAGOVwxRjVcm2Nn
 O3WuhgDyZI+Yyjqj4dqAgWQATi1tpGhj0Thvs4+HOveS9lieSfq47j95Kxhp5jrza0F9
 qtuWgYh6c3TJpMZ4t1rN2kiw3nSkWvT9qdG4dc6Hqr5lvyhjQxI3en2IJIgfX+lmT7h0
 V5d4eqep9/8JHd6xjiTVphq0MMRXXohk046SY8fPZPgTt6oW+CzPuLbOw9guiifwgBoa
 7bfA==
X-Gm-Message-State: AOAM53388r9+satNsBQRKaeP4Odit9tZD0cC8HKg0vZlMTlfxarN4uiy
 nG7AzviIDT1YHKDPvOaezMzJtxD7IJGBJw==
X-Google-Smtp-Source: ABdhPJz5l6NtfiKfnspjBLU//MZIPdqoYd9IfX8ztHql6ByPzRo3Y63LUQXHDYEwhGu7boBlo0J9Vg==
X-Received: by 2002:a05:620a:2681:b0:67e:933e:54b6 with SMTP id
 c1-20020a05620a268100b0067e933e54b6mr9117930qkp.428.1650859234233; 
 Sun, 24 Apr 2022 21:00:34 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:33 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 072/232] gnu: Add python-scikit-build.
Date: Sun, 24 Apr 2022 23:56:38 -0400
Message-Id: <20220425035918.25683-72-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-scikit-build): New variable.
---
 gnu/packages/python-xyz.scm | 87 +++++++++++++++++++++++++++++++++++++
 1 file changed, 87 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index dc508df4a3..e1ab0ab048 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -187,6 +187,7 @@ (define-module (gnu packages python-xyz)
   #:use-module (gnu packages multiprecision)
   #:use-module (gnu packages networking)
   #:use-module (gnu packages ncurses)
+  #:use-module (gnu packages ninja)
   #:use-module (gnu packages openstack)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pdf)
@@ -28227,6 +28228,92 @@ (define-public python-sane
                ;; Yet another variant of the X/MIT license.
                "https://github.com/python-pillow/Sane/blob/master/COPYING"))))
 
+(define-public python-scikit-build
+  (package
+    (name "python-scikit-build")
+    (version "0.14.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "scikit-build" version))
+       (sha256
+        (base32 "1wx1m9vnxnnz59lyaisgyxldp313kciyd4af8lf112vb8vbjy9yk"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-cmake-executable
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "skbuild/constants.py"
+                (("^(CMAKE_DEFAULT_EXECUTABLE = ).*" _ head)
+                 (format #f "~a ~s~%" head
+                         (search-input-file inputs "bin/cmake"))))))
+          ;; XXX: PEP 517 manual build copied from python-isort.
+          (replace 'build
+            (lambda _
+              (setenv "SOURCE_DATE_EPOCH" "315532800")
+              (invoke "python" "-m" "build" "--wheel" "--no-isolation" ".")))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                ;; These tests attempt to pull dependencies from the Internet.
+                (delete-file "tests/test_distribution.py")
+                (delete-file "tests/test_pep518.py")
+                (invoke "pytest" "-vv"
+                        "-n" (number->string (parallel-job-count))
+                        "-k" (string-append
+                              ;; These tests attempt to write to read-only
+                              ;; Python install directory.
+                              "not test_install_command "
+                              "and not test_test_command "
+                              "and not test_hello_develop "
+                              ;; These sdist-related tests fail for unknown
+                              ;; reasons (see:
+                              ;; https://github.com/scikit-build/scikit-build/issues/689).
+                              "and not test_hello_sdist_with_base "
+                              "and not test_manifest_in_sdist "
+                              "and not test_hello_sdist "
+                              "and not test_sdist_with_symlinks "
+                              ;; The reason for the failure of this one is
+                              ;; also unknown.
+                              "and not test_generator_cleanup")))))
+          (replace 'install
+            (lambda _
+              (let ((whl (car (find-files "dist" "\\.whl$"))))
+                (invoke "pip" "--no-cache-dir" "--no-input"
+                        "install" "--no-deps" "--prefix" #$output whl)))))))
+    (native-inputs
+     (list cmake-minimal
+           gfortran
+           git-minimal
+           ninja
+           python-coverage
+           python-cython
+           python-mock
+           python-packaging
+           python-path
+           python-pypa-build
+           python-pytest
+           python-pytest-cov
+           python-pytest-mock
+           python-pytest-virtualenv
+           python-pytest-xdist
+           python-requests
+           python-setuptools-scm
+           python-wheel))
+    (propagated-inputs
+     (list python-distro python-packaging python-wheel))
+    (home-page "https://github.com/scikit-build/scikit-build")
+    (synopsis "Build system generator for Python C/C++/Fortran/Cython extensions")
+    (description "Scikit-build is an improved build system generator for
+CPython C/C++/Fortran/Cython extensions.  It has support for additional
+compilers, build systems, cross compilation, and locating dependencies and
+determining their build requirements.  The scikit-build package is
+fundamentally just glue between the @code{setuptools} Python module and
+CMake.")
+    (license license:expat)))
+
 (define-public python-screenkey
   (package
     (name "python-screenkey")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:58 2022
Received: from localhost ([127.0.0.1]:60862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvC-000891-Ir
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:58 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:34505)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptw-0007sG-JS
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:41 -0400
Received: by mail-qk1-f175.google.com with SMTP id j9so9979918qkg.1
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=3T81PCgLHj/neUSxbG7SuqMjexBNwaiuvbnmZiLuDaw=;
 b=XCKW8hWyeFo49uVrdgliCC2394RHU5E43PqE0hcsj1XrDDi5CXe7t1PPv5Ws18i9VY
 O6O8efDVRx70ufHwvsZnZ8f55cIqJ2reN1LMqoKBu8s5g71erE0zNNURodvOtrdHJypj
 JyGQuY28ZFe8VxJWRsk85W8FT3QrnAMyCyzXpEz640Mv7T9EaYlbfhpLiIfSvRXJzCvt
 /0vyWMlpZei88hl3GlYuUHIMBur2YCWc49dQ53iE1YAERK0F/s7qSNQxmvTRD/XehVd3
 u6ake5ekp5lceNooiK2KKyDjnLa7Pk1luTUmdivKtG5A+D/NKVHXCj+IlaQlCi8pNahK
 Ug0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=3T81PCgLHj/neUSxbG7SuqMjexBNwaiuvbnmZiLuDaw=;
 b=rzKO5VEg4WZeyOD7hkcm+p8nzmt122fZz4FEIXIiZiMd36sJ7soCCRhwFWY1SJRCyD
 RpqOaHxDgdxPWe8cMTzqHQjaJkeenofTt4CLfLXg5YFVxUWmyKzR8Hk2s1quioaioKzt
 TMQeoC0jR/XhOOQywiAjSCcpuprJeY+DIWB4CliTVFxs5MMIhXLUS5gLUFetZ7Gu7hd3
 huEXB61w4F4jFtjyeUnFrUSDx6Q6LdL1WXrdDXgVKW+6jmOq1ZiYeoS4ZVxQzBEEDbwj
 evff96UlMe+3mbNRvgEGVP1sUdVIAIElWezOX9DJOUMqNZSf+om4c/jV4STp+LOUO2d7
 2Sqw==
X-Gm-Message-State: AOAM53016SLT0naLAQJbwX7LNeKLR7IFr7mZiDutm7FXBRPnAT/ECxrw
 i+WX+m8TKYux2QzMFsrh15LgNKNzJafAXg==
X-Google-Smtp-Source: ABdhPJwe7gMBhvVJ7UpP1irPBjRuIV4NIm/1E7u3IfQJc8E5piwPOr20qEmKCZZoojN9w44RkC13Vw==
X-Received: by 2002:a05:620a:424b:b0:67d:36cc:5afb with SMTP id
 w11-20020a05620a424b00b0067d36cc5afbmr9199895qko.598.1650859234997; 
 Sun, 24 Apr 2022 21:00:34 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:34 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 073/232] gnu: python-jupyter-packaging: Update to 0.12.0,
 run test suite.
Date: Sun, 24 Apr 2022 23:56:39 -0400
Message-Id: <20220425035918.25683-73-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/jupyter.scm (python-jupyter-packaging): Update to 0.12.0.
[arguments]: New field.
---
 gnu/packages/jupyter.scm | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/jupyter.scm b/gnu/packages/jupyter.scm
index dd5d2a5a55..ce3f1b1384 100644
--- a/gnu/packages/jupyter.scm
+++ b/gnu/packages/jupyter.scm
@@ -21,6 +21,7 @@
 
 (define-module (gnu packages jupyter)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix gexp)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix git-download)
@@ -214,15 +215,29 @@ (define-public python-jupyterlab-pygments
 (define-public python-jupyter-packaging
   (package
     (name "python-jupyter-packaging")
-    (version "0.9.1")
+    (version "0.12.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "jupyter_packaging" version))
        (sha256
         (base32
-         "0r015c0m713d19asmpimsw6bk2sqv2lpd2nccgjzjdj5h1crg0bg"))))
+         "1b7ssc627vgrdl21c09w9sxk5fc1ps3g7f70laxag4yw1bb5ax5j"))))
     (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                ;; Disable isolation so that the package environment can be
+                ;; setup without connectivity.
+                (setenv "SOURCE_DATE_EPOCH" "315532800")
+                (substitute* "tests/test_build_api.py"
+                  (("\"-m\", \"build\"" all)
+                   (string-append all ", \"--no-isolation\"")))
+                (invoke "python" "-m" "pytest" "-vv")))))))
     (propagated-inputs
      (list python-deprecation python-packaging python-setuptools
            python-tomlkit python-wheel))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:58 2022
Received: from localhost ([127.0.0.1]:60860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvC-00088u-81
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:58 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:42963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptv-0007rt-3t
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:39 -0400
Received: by mail-qk1-f170.google.com with SMTP id j6so9968211qkp.9
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ovUrfoHZw2MQ0O7DgoZ/nVpCX9aSZjEzosbwZWSDxhg=;
 b=M2PVWsWi/J93eyfvAlA54bnyVywaFFZjsQR7eojdR6FVolJwTvQ6yCf9QqQfYZOBrI
 i1eNh/pBSCDl1A8KIhXvrPobCF3zd/DALPfNaybf+1XOFqPw6o5NrqTycNZhmBuNQ1KY
 FnRft1AKxB1+nPsWSLslJ1EX3hWmU0WrWZ2KBVtI2MTxsl2z6UpFQAowCPdSH/pJc4zC
 /rPDGG+iq3J3ly8syG4oIetnOwBA0XiPHF+0uGITPZj9CD1joUh+qP63fD7zZxlEzLOQ
 obC57YCdcXpBRZj3teBULW1DFpJPoLKC/TR5z81T735SIBx/FGdnWU+OgdCu9Dn2hAOc
 dHjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ovUrfoHZw2MQ0O7DgoZ/nVpCX9aSZjEzosbwZWSDxhg=;
 b=wPGzytoQ6snS8PIbUqwcyg9IF8uX7lZe2HlQRMq3FJCKfTEyyEnRyRdP36qaiWFjin
 q+oedq+Hgu+SyBsDq67ny5ZW1QbNUjeCePjatWxjPj7wTPerc8BgLOUXg9W9F4/sS68x
 wnBQq/BSsi7ALYTjhZbSv1DbWDHcsMmrw/Pt+iCPQi7RUdKKBYXiyHRW06yg+Zb4L5OH
 hanvdOO6dWUaxJp+gwXa+5bdCR8dsGLdklbp2xfTfCKg2tcRIwRWuvBXzRlk82T2hhVR
 jw8ueePNi/iP+JSv64QqiP+L06dzIy3d7QlQBHRNlNph8o4/OFhntfzWKKnmnN8kwFD/
 igVQ==
X-Gm-Message-State: AOAM530y7yyKfo17Y2ZzJ1wJ28JNCbhupO0z6hLl2A5PjFzmpL6qIC2g
 aQ67OZb7PHgzGNDR1PZ5aEI7mwgoQhao7A==
X-Google-Smtp-Source: ABdhPJzW85IqWrfHzAGU2htcYLvGfizDeqadqZ5IpGZbsZWwdrHhKoQ7b9wJzaBEb5/BL6CRU2+ptw==
X-Received: by 2002:a37:9d0e:0:b0:69f:346a:88e1 with SMTP id
 g14-20020a379d0e000000b0069f346a88e1mr4558944qke.87.1650859233552; 
 Sun, 24 Apr 2022 21:00:33 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:33 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 071/232] gnu: python-pytest-cov: Update to 3.0.0.
Date: Sun, 24 Apr 2022 23:56:37 -0400
Message-Id: <20220425035918.25683-71-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This restores the package compatibility with python-pytest-xdist.

* gnu/packages/check.scm (python-pytest-cov): Update to 3.0.0.
(python2-pytest-cov): Delete package.
---
 gnu/packages/check.scm | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index c67a6f2675..b7a5a9bd46 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1150,13 +1150,13 @@ (define-public python-pytest-assume
 (define-public python-pytest-cov
   (package
     (name "python-pytest-cov")
-    (version "2.8.1")
+    (version "3.0.0")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "pytest-cov" version))
         (sha256
-         (base32 "0avzlk9p4nc44k7lpx9109dybq71xqnggxb9f4hp0l64pbc44ryc"))))
+         (base32 "0w6lfv8gc1lxmnvsz7mq5z9shxac5zz6s9mwrai108kxc6qzbw77"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -1178,9 +1178,6 @@ (define-public python-pytest-cov
 supports coverage of subprocesses.")
   (license license:expat)))
 
-(define-public python2-pytest-cov
-  (package-with-python2 python-pytest-cov))
-
 (define-public python-pytest-httpserver
   (package
     (name "python-pytest-httpserver")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:58 2022
Received: from localhost ([127.0.0.1]:60858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvB-00088m-Qf
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:58 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:46888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptu-0007rb-9c
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:38 -0400
Received: by mail-qk1-f169.google.com with SMTP id c1so9945995qkf.13
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=UA1OSt1jrzfKbkLrU4us1Hcpe0M83R5B6JM41Fqgs+w=;
 b=bi65K3PZyQh0CqiJOy4+e1wL2L1fmwd7KDgrHzRuD0TWuPAw5kZeAIhh8X06KrJAFp
 C54sHWOhhBqD6P57cAjyzg45BKo0HDday5k3A1dhBDjCelSe7UxUb0kj7ekdv0tWaJmW
 j8LvoYLaTsOtHN9Tncy4gKBzPPz2jBXFcxfyYffftGtXKQQB61GE4xzU+XmhMh40NUHk
 fbWd8GsDd5zeeryWE2H64W5F01H9bYWVRuzAk9ALcO2zcugjkDSG9fF0Klmx6dlLhxb7
 AsqnA39LskpZfnZceXXI6oDx91FKl1Hg4x3QvjabNK6vWPj397/40NhDCu/4XdKoJPWq
 3smg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=UA1OSt1jrzfKbkLrU4us1Hcpe0M83R5B6JM41Fqgs+w=;
 b=x0YyPzzqByLUfLXKZmKMK7FKjPbD5EhYavB27AdW0nSIQXAsiBHqHwZ5aWgukrPlRa
 5aVLxLAlMkiB/YO1rFUhnCxAbuQYBcJuvXS/3GkcM72nvWZKtp452PbwTa/fzpWNo3nQ
 KkeVZGcC4hah8AtpW+S/enzbnCG4xPqEuudDi9WNCN01Kemw55OXAbSFKxQCWMoWdw5j
 yqKAQ7XYu27yoR7kN/VFDaAA+VzYJkHkmXeoHpeYqch2qss/oZW7ShWpKiaAofjrmBHh
 u4RxfpmJATPnKC2WsqdE2Tq9wx4R5Jn6dMTQCOK2oU+bgiPZihvQ+ZClfdqLUVIIJqgG
 CvZw==
X-Gm-Message-State: AOAM533eMGllZGyX0Sbgc8/+OisUCHRIqXeHJ/FEjx2qJTNa4yiAJqNe
 spzU431tEnHEzTlPC5kMVI3Bhuz2a6hphQ==
X-Google-Smtp-Source: ABdhPJyKj/dt4oWhPfDdXtlHHLLcMXKXGjGmnf/gF8bfMDQOK1QHY9yc3n9TNnG7ZUfVyIITiGvZHQ==
X-Received: by 2002:a37:5e44:0:b0:69e:9f75:cba3 with SMTP id
 s65-20020a375e44000000b0069e9f75cba3mr8761625qkb.519.1650859232717; 
 Sun, 24 Apr 2022 21:00:32 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:32 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 070/232] gnu: python-pytest-shutil: Adjust to use python-path.
Date: Sun, 24 Apr 2022 23:56:36 -0400
Message-Id: <20220425035918.25683-70-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-check.scm (python-pytest-shutil)
[phases]{use-path-instead-of-path.py}: New phase.
[propagated-inputs]: Replace python-path.py with python-path.
---
 gnu/packages/python-check.scm | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 564d41c323..6966d96c64 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -1079,6 +1079,12 @@ (define-public python-pytest-shutil
     (arguments
      `(#:phases
        (modify-phases %standard-phases
+         (add-after 'unpack 'use-path-instead-of-path.py
+           ;; path.py is obsolete.
+           (lambda _
+             (substitute* "setup.py"
+               (("'path.py'")
+                "'path'"))))
          (add-after 'unpack 'patch-tests
            (lambda _
              (mkdir "/tmp/bin")
@@ -1086,11 +1092,9 @@ (define-public python-pytest-shutil
                (("dirname = '/bin'")
                 "dirname = '/tmp/bin'")
                (("bindir = os.path.realpath\\('/bin'\\)")
-                "bindir = os.path.realpath('/tmp/bin')"))
-             #t)))))
+                "bindir = os.path.realpath('/tmp/bin')")))))))
     (propagated-inputs
-     (list python-contextlib2 python-execnet python-pathpy
-           python-termcolor))
+     (list python-contextlib2 python-execnet python-path python-termcolor))
     (native-inputs
      (list python-mock python-pytest python-setuptools-git))
     (home-page "https://github.com/manahl/pytest-plugins")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:57 2022
Received: from localhost ([127.0.0.1]:60856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvB-00088f-B8
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:57 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:37647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptt-0007rU-K6
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:38 -0400
Received: by mail-qk1-f175.google.com with SMTP id b68so9974940qkc.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=H3Dx5rOFEtcdqrcmoQeYGDRWx9Aqq3w+rR3cyOh4xxk=;
 b=lz51sn11+CBT4B2DgVhd5/6gj/3xQSpie9fjH9Qz+7fQ38yQwjN2QAQo5r20rKNF6B
 FfrtgzBXJfOCn01TA7E3lf1ddotYDhrFCOUTCVF0osz3QQ5fBVRIlQQiSqNpyPsXir23
 8++SjS0Xvj4DPw0gbrIjvlbUzIso39nlvgIsr8/m+4ZqpoiC5eTaHl1Qds+fIz7UEMkV
 ILPUQs6I7Q5n5RtpZ5jBC/YFPD+O/2TqcqWQHFF7W1ZNUfZqytZMqKffu0/yxWAGosLZ
 fFezT829pfKwLdnSGYf273KSDq4ZWkD3G4E55Sq5bFozS2fEKrE2NVw6yK2F0HgPdCbu
 a3+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=H3Dx5rOFEtcdqrcmoQeYGDRWx9Aqq3w+rR3cyOh4xxk=;
 b=8NavPgVRNe/xUh49o/77sNICTaBIQ61BJTRR9O0TUar2iDUkkGn6gvnfeoYcZanI4M
 Lg+Ke9Ms0+uaFKE/di7a0f2EzznLS5GjMdc3SXhE94+bM0U2wKgjOIhQcubIT6yuwy5q
 6icTSTKwpSgTY5bjlPE091pmrTdi5uoFfgDLCSjNqFB/Waflv2r/n20jRkmM8wNgTUql
 bRRxjZYd05LXjQtefnZbGn4VpiVIgVlrte8DVEbBywk20Px6PwbCNNlrA9LscQcrgmrO
 tFSp4Lti2hNbkJZcFf4YvqF1kZDb8MtbIgfjkAsqnbhX1PoAWobZR8eN3c8EhrAXXkV/
 CHrQ==
X-Gm-Message-State: AOAM5307YptRZ/F4pGmotdIzLq2CwBWYrxKt8tjMdU1g2T2vpH1sU9zW
 0vkKEXSi551jdo10YqSYbKlddtXEnePuzw==
X-Google-Smtp-Source: ABdhPJx+7kpndsVMffhc+CmaWo3blUZ7LbRO057iIfhEU2I8rwTCFueTPguCk33je1OQrknniKqypw==
X-Received: by 2002:a05:620a:1a17:b0:69c:669c:1032 with SMTP id
 bk23-20020a05620a1a1700b0069c669c1032mr8988070qkb.377.1650859232033; 
 Sun, 24 Apr 2022 21:00:32 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:31 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 069/232] gnu: python-pathpy: Deprecate by python-path.
Date: Sun, 24 Apr 2022 23:56:35 -0400
Message-Id: <20220425035918.25683-69-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pathpy): Mark as deprecated by
python-path.
---
 gnu/packages/python-xyz.scm | 54 +++----------------------------------
 1 file changed, 3 insertions(+), 51 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 011c57e087..dc508df4a3 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8724,57 +8724,6 @@ (define-public python-jaraco-packaging
 releases.")
     (license license:expat)))
 
-(define-public python-pathpy
-  (package
-    (name "python-pathpy")
-    (version "11.5.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "path.py" version))
-       (sha256
-        (base32 "0ir9j1haq2jbi7aip6k2fa9l7q1l03k4hp1awxhjhcwzsnwp3ll8"))))
-    (outputs '("out" "doc"))
-    (build-system python-build-system)
-    (propagated-inputs
-     (list python-appdirs python-importlib-metadata))
-    (native-inputs
-     (list python-setuptools-scm
-           python-sphinx
-           python-rst.linker
-           python-pytest
-           python-pytest-runner
-           python-jaraco-packaging))
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'build 'build-doc
-           (lambda _
-             (setenv "LANG" "en_US.UTF-8")
-             (invoke "python" "setup.py" "build_sphinx")))
-         (add-after 'install 'install-doc
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((data (string-append (assoc-ref outputs "doc") "/share"))
-                    (doc (string-append data "/doc/" ,name "-" ,version))
-                    (html (string-append doc "/html")))
-               (mkdir-p html)
-               (for-each (lambda (file)
-                           (copy-file file (string-append doc "/" file)))
-                         '("README.rst" "CHANGES.rst"))
-               (copy-recursively "build/sphinx/html" html)
-               #t)))
-         (replace 'check
-           (lambda _
-             ;; The import time test aborts if an import takes longer than
-             ;; 100ms.  It may very well take a little longer than that.
-             (invoke "pytest" "-v" "-k" "not test_import_time"))))))
-    (home-page "https://github.com/jaraco/path.py")
-    (synopsis "Python module wrapper for built-in os.path")
-    (description
-     "@code{path.py} implements path objects as first-class entities, allowing
-common operations on files to be invoked on those path objects directly.")
-    (license license:expat)))
-
 (define-public python-simplegeneric
   (package
     (name "python-simplegeneric")
@@ -12800,6 +12749,9 @@ (define-public python-path
                               (package-properties
                                python-path-bootstrap)))))
 
+(define-public python-pathpy
+  (deprecated-package "python-pathpy" python-path))
+
 (define-public python-pretend
   (package
     (name "python-pretend")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:57 2022
Received: from localhost ([127.0.0.1]:60854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvA-00088X-So
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:57 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:37642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipth-0007og-9K
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:28 -0400
Received: by mail-qk1-f181.google.com with SMTP id b68so9974699qkc.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=kb+cQDRtQY4kSFfanTx6SS/2IbXi30p0bOwi3iDVoXM=;
 b=VIR7Aqug0Z3Lb1dus97FI+2rdp/XsNp3tPcRYImth1TMq2f+F5gM3zbqxkO1QRdh8A
 HDCqXi+fDDAG49OjTcWCBebT2Ssjw9azwGGWCbC/9bbWnyZEOJ65vK6VkU6Y0rIke5Mo
 odlHBK4O/RMqsKJNoddzim7/JAvYUKpPS/NhcIluc2w9gk804EYBN5TS2NX622hDvs7d
 3xotdkNzsmhGpJ5acrZtPk+hbDH4TXhvQuWRpXbL0B7aD8wGCFmozdQ9Qif/oBchlKFJ
 1eip8o+lMTRjLUPwvhFpVXWRaJDts07UcJkenU8RpZfku+QWzWXoiyHAGkODl8kJO0O5
 k5XQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=kb+cQDRtQY4kSFfanTx6SS/2IbXi30p0bOwi3iDVoXM=;
 b=WX/rgbIm2PeQ3OwSjHpO30OdNVoLuKxcU2l99KkTS11tupztNDAROPlYa76icJe/ap
 7ZhnMInMIwZ/lPnWB7DzQrurAmhjJYCry1ZhT9qpvASLyLu20pp4jJY+sNPRrBCqxoAn
 jtDGYvogsR0s3OXxdQfXLFMXffM9A1222xDGgy0lWcSOzO5hM4mLb16Ou4sE9jFjUshX
 50l+Q5GN8DIJGYZYyRbbqU5e1jDzpxpNtrRHMeLTpFmrmmfhFmroNvd9SJ9vh7Zv7qqx
 BPdSMCRnqkXuHWSWs5bdeD4d26X6HaHQx6nMM0nezCZcW3KoRbqu1fQsh1ZjnQEGeFbX
 wh7g==
X-Gm-Message-State: AOAM531ovx4f1UGRqv2TABWi1ZipRvOG//zXB4D4vAr2yJ8tdKU4sqXV
 YDrsmk0rZqAwhuW3nbXLO6e629zkPbfEIQ==
X-Google-Smtp-Source: ABdhPJy6vZb9M7DZbdELCExz5WPTrZIvG8QsW9AVIJrz2wIEb92hf3OEZoMBY+gBuwZFHq7weJneYw==
X-Received: by 2002:a05:620a:4413:b0:69f:6231:ecb1 with SMTP id
 v19-20020a05620a441300b0069f6231ecb1mr635896qkp.294.1650859219710; 
 Sun, 24 Apr 2022 21:00:19 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:19 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 052/232] gnu: Add python-jaraco-classes.
Date: Sun, 24 Apr 2022 23:56:18 -0400
Message-Id: <20220425035918.25683-52-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-jaraco-classes): New variable.
---
 gnu/packages/python-xyz.scm | 38 +++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c9a6172ae2..d04a7e7334 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8515,6 +8515,44 @@ (define-public python-inotify-simple
      "@code{inotify-simple} is a simple wrapper around inotify library.")
     (license license:bsd-3)))
 
+(define-public python-jaraco-classes
+  (package
+    (name "python-jaraco-classes")
+    (version "3.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "jaraco.classes" version))
+       (sha256
+        (base32 "0d6g7qvfv1jlzbzh6asprqdblqd59grvlvr3nwbdqdqrmwlbfm7d"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                ;; Do not test the myproject.toml build as it tries to pull
+                ;; dependencies from the Internet.
+                (invoke "pytest" "-vv" "-k" "not project")))))))
+    (native-inputs
+     (list python-pytest
+           python-pytest-black
+           python-pytest-checkdocs
+           python-pytest-cov
+           python-pytest-enabler-bootstrap ;OK since not propagated
+           python-pytest-flake8
+           python-pytest-mypy
+           python-setuptools-scm
+           python-wheel))
+    (propagated-inputs (list python-more-itertools))
+    (home-page "https://github.com/jaraco/jaraco.classes")
+    (synopsis "Utility functions for Python class constructs")
+    (description "This Python library contains utility functions for Python
+class constructs.")
+    (license license:expat)))
+
 ;;; Variant used to break a cycle with python-pytest-enabler.
 (define-public python-jaraco-context-bootstrap
   (hidden-package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:56 2022
Received: from localhost ([127.0.0.1]:60852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvA-00088Q-Gb
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:56 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:40944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptg-0007oX-Hp
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:28 -0400
Received: by mail-qk1-f169.google.com with SMTP id e128so9967712qkd.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ez5fILLsLpDG2ia4YF5xetxwqauVA+Ph5Su1Aisaak0=;
 b=GRvZq2K7qpy3XsW7BdJajs9hjTp9i/Np/+TftCzayYUgjX4fZDVaemlZH/pA4WtMFp
 81SrZcQNaH4YHcXVDh6ADwI2WhxC+V2td3VA8G5rXv1m+nhBDHw+r5MNpkPHVJaSf084
 LhQsmReeYgoc7jZk0h5yAmvEoVPb6mRFB9hSKa/PPOoZwvqGsUbMZM/duWiqB/KXx41k
 OJTJbLyyWtgU0mnC+qVgVN6z0fVWRwPo5Es+4JHf2Q9p8oF/IpVSzGITxYjke17glgNt
 doGbX8XaZs8b8ypdbmfgs7ssY9bSSlWOx85rHAch/IiJp1XDcpnyjEjhRtGQOzKK6otO
 qR8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ez5fILLsLpDG2ia4YF5xetxwqauVA+Ph5Su1Aisaak0=;
 b=W+dnrUHY5Azopyk3stNtRvr1T7Ak8TtNMkB1R0EoiRnTyfHQZKlMuB6dAdpwxG0D0w
 OxCIl08XJY6pGYN3+NA/tyzfhI1uVQBggbV6yzJGZPgBI4Xi+T2BTxcVdfozMW2/j9E2
 U/hHRh9GMyC6UEb4SEX0Y+NOzxFbyk0UX7kCgl7qu6o9QhpUYAXXoUWOF0CKWvymQEKx
 xR7wxycvhAACMMG01RbvW2UskEOxEkZTgx/TaLcLGTXsAfna6skXvOIrWEf+oQxKJIqo
 BgurSMEfuTe+KhcUl/5uEAViCq+gBVjBJgdiruuuKGsfNMouS1Wu7hY3Z8WJVND3arN6
 /C/Q==
X-Gm-Message-State: AOAM533iqA6CTaGgrjrm2jZlWOEr3Kqkbd8AOAx6d0X40EQtqUarhIgW
 J2unlKQqmoxd3cUgDiPqJZj/8YXe61kvSw==
X-Google-Smtp-Source: ABdhPJzeIlYfzFXT3xJTOIS5HFDGvwbHZj5GJOJy0jQj3Rhc1MkrRXtcINE/6NFuzwBOeMULmwxnhw==
X-Received: by 2002:a05:620a:46a3:b0:69f:47be:60b with SMTP id
 bq35-20020a05620a46a300b0069f47be060bmr2694593qkb.288.1650859218972; 
 Sun, 24 Apr 2022 21:00:18 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:18 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 051/232] gnu: python-pytest-checkdocs: Update to 2.7.1.
Date: Sun, 24 Apr 2022 23:56:17 -0400
Message-Id: <20220425035918.25683-51-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-check.scm (python-pytest-checkdocs): Update to 2.7.1.
---
 gnu/packages/python-check.scm | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 03895a44c7..564d41c323 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -920,18 +920,21 @@ (define-public python-pytest-doctest-custom
 (define-public python-pytest-checkdocs
   (package
     (name "python-pytest-checkdocs")
-    (version "1.2.5")
+    (version "2.7.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "pytest-checkdocs" version))
        (sha256
-        (base32 "0m4kn7141i6k8qr8ak3lbmk9vim11xsrlnrggcfwczfrglc6jmia"))))
+        (base32 "1bn1wr3yz8avkwacffyh26za7mg20f9pajpakfk4cn7yvmgbhcrb"))))
     (build-system python-build-system)
+    (arguments (list #:tests? #f))      ;no tests in pypi archive
     (propagated-inputs
-     (list python-docutils python-importlib-metadata python-more-itertools))
-    (native-inputs
-     (list python-setuptools-scm python-pytest))
+     (list python-docutils
+           python-importlib-metadata
+           python-pep517
+           python-pytest))
+    (native-inputs (list python-setuptools-scm))
     (home-page "https://github.com/jaraco/pytest-checkdocs")
     (synopsis "Check the README when running tests")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:56 2022
Received: from localhost ([127.0.0.1]:60850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipvA-00088J-5c
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:56 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:39779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptf-0007oP-KC
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:28 -0400
Received: by mail-qk1-f179.google.com with SMTP id q75so9968629qke.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Ggjyl5ujJD1qMW2BWKQFO9rGrodhnMSODaxcDOSfb+M=;
 b=Sjrv5+itJBBklWvo1yPx7flGPzuybFXEARjQlzDKza0bkHmuf5MkxWtpQD0d2T1z7N
 KwlKlOrwDBmXwNQe+GNY4rQMwz+KQZKBsxEuqrLavl9yjQW6r6NJ6TeQkZByaXyw9FYT
 +8e7pgJToxWt4SiTMD3Otn2eJX6SdEGs0sAo/giRHzwRls1h/Zcvt8r7yRxTKg/Op3ZD
 T9J7rj3niES1t/sbGCE8Ka23D5QSg3NL9DdQ1TnRFfVJsJrntGZO7DIeJA+K7W0w8DEl
 jNop0VgfaAL57o40QZgRoi+2m85yIrH+jlUQVScFnrhcAP+W+scxpsxYR80zfb+4bS0M
 Ujww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Ggjyl5ujJD1qMW2BWKQFO9rGrodhnMSODaxcDOSfb+M=;
 b=ttn7ZodnQrf0Ti5oS8ncWbvGBD2WRbsfC/8WqB7ymSm0iGnafLWK0JHt+IUlJSXX9v
 sBY9ec3ZXfIfa4mCxm2NAIchPHulsXWzxGXoKMH/ULETjF7S/jKFFTriqIM8dfF/NYhz
 v0PvAUDH0e43BkYfBvruq4rSgWRE+LyPHUJPhGxLDIOR+rI9oWWnqyPWsYaIbDr8FE3x
 9z+FO2ACYHSeKRIVRi4GrmSPnMGExDGBAljbgPutSfP8cLtdtBg56Vvw9QBmJBvzTflC
 0sQ7N3nKTDI1Zh7h66BGao15QQoomuso/cZRCEUN2e9R5/qA38ZO47lXfRlx2rRxfAp+
 8n6A==
X-Gm-Message-State: AOAM530sbk+hHhpNpd98rfH1eMwLwn+u+F7x6pcMS2PiQPpxsHiA6Xft
 pdVtyOXnOxit3ANdol1ye7mPxXpwJPBc8Q==
X-Google-Smtp-Source: ABdhPJzPJYqhPylG6QAZIGb/rpCyS7bTlrxdOT1AhTJaMH94O6gvrXOwxhtQgHvlEgizNFOQx28VyQ==
X-Received: by 2002:a37:8a43:0:b0:699:fac5:224d with SMTP id
 m64-20020a378a43000000b00699fac5224dmr8938937qkd.599.1650859218047; 
 Sun, 24 Apr 2022 21:00:18 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:17 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 050/232] gnu: Add python-types-docutils.
Date: Sun, 24 Apr 2022 23:56:16 -0400
Message-Id: <20220425035918.25683-50-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-types-docutils): New variable.
---
 gnu/packages/python-xyz.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c1ca9ba69d..c9a6172ae2 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -29523,6 +29523,23 @@ (define-public python-types-dataclasses
 static types.")
     (license license:asl2.0)))
 
+(define-public python-types-docutils
+  (package
+    (name "python-types-docutils")
+    (version "0.18.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "types-docutils" version))
+       (sha256
+        (base32 "14ypv0x6fk1pjw0bvvr1lkb2g6dvq2pwvbd5b5pzjl6182fhmaim"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/python/typeshed")
+    (synopsis "Typing stubs for docutils")
+    (description "This package provides a collection of library stubs for
+Python, with static types.")
+    (license license:asl2.0)))
+
 (define-public python-psycopg2-binary
   (package
     (name "python-psycopg2-binary")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:56 2022
Received: from localhost ([127.0.0.1]:60848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv9-00088B-OE
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:56 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:35522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipta-0007nG-C4
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:27 -0400
Received: by mail-qt1-f179.google.com with SMTP id bz24so9580526qtb.2
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=3r54VuSLZ5oPiib5M1F8Yri2RV5cGOMVbY0DgkIwRFg=;
 b=Dj97yd09FZLgOnevzpAxGMoSN5NcNxjZAylDObqehtDqcLpXo5IJLmRt4AzfEBe5bQ
 Ww4rdL3H8jOY2PBYxMwNuk/ZbtANkX0ssd/uUnOj1Xp93yjfnMG+Mvkmuk2rOIOmMIFP
 fixq7K8gIIwnhoGbmPTTaqggd7K/B22bcPRnLDb7pcAuChyI7Fdf3EpVlQ61jvBA4dDd
 Mcwjhb1nXXyNmR+sSFEMEqJP1rNECZ6HHSznwQ9bGiWDU5DUjcEU+rDlzlyTwWvEb27s
 PcM8wbarAIXNDwRuVDDNlBsbHBm/7z8hl5oI5TBNjptjGwqeMVDT2KfZMtPbhPDP5EiA
 yMyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=3r54VuSLZ5oPiib5M1F8Yri2RV5cGOMVbY0DgkIwRFg=;
 b=mxzOh1xkhML8RjpU7dRvgX8Fxe5wT3EL1NvzDc3UpywQ4sB7iO7xkqZNzEBHbmuizI
 dMxUj6U6kXN7TzPHcJIRlPNn/wJtKu5/LYnhCIEpgTM8LDae65RCejM2we3JeAuEqGbu
 2Oznk1YE56/UuxxoyVkaBjcZYGZM1uLiJWeZRumpwVfTnm30nSEbAXItXEl2ShcSKHjB
 J/67zMN8udXbQUtVXKYH/fbJD8NSDIWRSvJXdr7Bqw333gk18zD1vp1ejrwKtNSd8K+5
 EFcce0txcChZC6ztX8Xb1mvZr3kS5x25qOGaLGIWT/EvssTV5FoxfykXJBVBPMuCudSz
 wWUw==
X-Gm-Message-State: AOAM530byUrQ+ZQMgfUAwLGEVy96buf8aCQZs0ZZsceLuFrFrIWwp4q9
 LCyrfd60BV+OX+Ag5HXloxaPeQiwdt0xow==
X-Google-Smtp-Source: ABdhPJwKDtL7EpzOqm4JObFhKmMFZ/rlFKimSklttKcPy/jV7ZCFr00MGYyYCREkucnIeO3KewHdDA==
X-Received: by 2002:a05:622a:1787:b0:2f3:6467:7db0 with SMTP id
 s7-20020a05622a178700b002f364677db0mr3873332qtk.641.1650859212799; 
 Sun, 24 Apr 2022 21:00:12 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:12 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 043/232] gnu: Add python-pytest-freezegun.
Date: Sun, 24 Apr 2022 23:56:09 -0400
Message-Id: <20220425035918.25683-43-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-freezegun): New variable.
---
 gnu/packages/check.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 75b42b945a..1db4457dde 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2200,6 +2200,38 @@ (define-public python-lit
 failures.")
     (license license:ncsa)))
 
+(define-public python-pytest-freezegun
+  (package
+    (name "python-pytest-freezegun")
+    (version "0.4.2")
+    (source (origin
+              ;; The test suite is not included in the PyPI archive.
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/ktosiek/pytest-freezegun")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "10c4pbh03b4s1q8cjd75lr0fvyf9id0zmdk29566qqsmaz28npas"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv")))))))
+    (propagated-inputs (list python-freezegun python-pytest))
+    (native-inputs (list unzip))
+    (home-page "https://github.com/ktosiek/pytest-freezegun")
+    (synopsis "Pytest plugin to freeze time in test fixtures")
+    (description "The @code{pytest-freezegun} plugin wraps tests and fixtures
+with @code{freeze_time}, which allows to control (i.e., freeze) the time seen
+by the test.")
+    (license license:expat)))
+
 (define-public python-pytest-mypy
   (package
     (name "python-pytest-mypy")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:55 2022
Received: from localhost ([127.0.0.1]:60846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv9-000884-6v
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:55 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:40612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipts-0007rD-UF
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:37 -0400
Received: by mail-qt1-f172.google.com with SMTP id o18so9571429qtk.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4r59s70pJ5ZDTtbNNmy+IZn4x/rIgNm2a7jeSeOhvPM=;
 b=FIPfwy+3po+2aWM455YbjojQIjQXIsQ4KodokU4Ejw3Gr7PcDfKeiSOpz6kASmUY99
 ykPfeta4KW38v2TEgPeqrLLI73cVW6UMn31SZeYfYhlkXItoSzJAyyb8i8MRaUy/8Knv
 mWhevebq5iFHS7/qozETJ4T48ARmoVA2Z6lnFQsN4NpIWsRvjHZED5b5c7TfSJJ+zjrL
 Or9mFOts7ZLYFuLOTBWaNw5WcfZeqERtx+ZTRi2mvc2yBrSzcow1l/N+UG0COW3A3SvA
 +rDXR4BgBK1jmBnvuWNYVrRjqoIf4MM/AlVzi5tKCcH4tfs0/bLVRUH1ncGeFbQCHwHk
 j1rA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4r59s70pJ5ZDTtbNNmy+IZn4x/rIgNm2a7jeSeOhvPM=;
 b=JIFrlA78YwUf6CbsCq3dZKMVdzw2NOPb8+7ABUdLwz5GQDpmVgvIrAmk0pOLcQzfik
 b7kXfbO+hkOFVv0iIg6m44nqDS/9Fjx9ZId9RvzeIVIMveEdKKdws6O+gBDjUV6xuvNR
 4m/xlY69nQyGs+okrXxe1kh7wWdQJkF9tOwrTz27tkbeH3LSLWq+jHxIZ8QPQ57o2L8U
 wEixbixDqNJricwN12krLgsy/EmO38x3ZfI4ocqRnrqr6PeMh2w8nkyOx7hvbyQlG9sj
 Nzyl88MygCEGey4AeMrrJ7Z8nu/dlwE2Oa0u6agD89e5dKFyeMd5Lk30ajrvDA0z0Fjm
 T3vg==
X-Gm-Message-State: AOAM533ZyFZf+SFkAjgePAq/iz+YnLxnWlMKWYOhpFjS0EBY+cqMVqjA
 vCwlhRCRcaMQjRGxGLBEtzZdJjub+Wzlpw==
X-Google-Smtp-Source: ABdhPJxfjxXAtDKViuhmYXKw3EsFOv12Tn/2YZViiR9dnX1Rj2HehHffZoMKS5KaiX2VA+Fx/ICsQQ==
X-Received: by 2002:ac8:7a8a:0:b0:2f1:de6a:c044 with SMTP id
 x10-20020ac87a8a000000b002f1de6ac044mr10715432qtr.243.1650859231314; 
 Sun, 24 Apr 2022 21:00:31 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:30 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 068/232] gnu: python-setuptools: Update to 62.0.0.
Date: Sun, 24 Apr 2022 23:56:34 -0400
Message-Id: <20220425035918.25683-68-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-setuptools): Update to 62.0.0.
[source]: Simplify snippet and strip trailing #t.
[arguments]: Re-indent.
[synopsis]: Likewise.
[description]: Use @itemize.
[license]: Strip leading spaces from in-line comments.
---
 gnu/packages/python-xyz.scm | 57 ++++++++++++++++++-------------------
 1 file changed, 27 insertions(+), 30 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index e589bbdd3a..011c57e087 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1840,44 +1840,41 @@ (define-public python2-serpent
 (define-public python-setuptools
   (package
     (name "python-setuptools")
-    (version "52.0.0")
+    (version "62.0.0")
     (source
      (origin
-      (method url-fetch)
-      (uri (pypi-uri "setuptools" version))
-      (sha256
-       (base32
-        "15ibjdjhkwgj6qbmpsxikkqdfsb1550z46fly7dm15ah4bk1wfpv"))
-      (modules '((guix build utils)))
-      (snippet
-       '(begin
-          ;; Remove included binaries which are used to build self-extracting
-          ;; installers for Windows.
-          ;; TODO: Find some way to build them ourself so we can include them.
-          (for-each delete-file (find-files "setuptools" "^(cli|gui).*\\.exe$"))
-          #t))))
+       (method url-fetch)
+       (uri (pypi-uri "setuptools" version))
+       (sha256
+        (base32
+         "0sm8n6y6q640cpac9wjyggidbgi4n9la7vs7pwriyvhvgzccp6br"))
+       (modules '((guix build utils)))
+       (snippet
+        ;; Remove included binaries which are used to build self-extracting
+        ;; installers for Windows.
+        ;; TODO: Find some way to build them ourself so we can include them.
+        '(for-each delete-file (find-files "setuptools"
+                                           "^(cli|gui).*\\.exe$")))))
     (build-system python-build-system)
     ;; FIXME: Tests require pytest, which itself relies on setuptools.
     ;; One could bootstrap with an internal untested setuptools.
-    (arguments
-     `(#:tests? #f))
+    (arguments (list #:tests? #f))
     (home-page "https://pypi.org/project/setuptools/")
-    (synopsis
-     "Library designed to facilitate packaging Python projects")
-    (description
-     "Setuptools is a fully-featured, stable library designed to facilitate
-packaging Python projects, where packaging includes:
-Python package and module definitions,
-distribution package metadata,
-test hooks,
-project installation,
-platform-specific details,
-Python 3 support.")
+    (synopsis "Library designed to facilitate packaging Python projects")
+    (description "Setuptools is a fully-featured, stable library designed to
+facilitate packaging Python projects, where packaging includes:
+@itemize
+@item Python package and module definitions
+@item distribution package metadata
+@item test hooks
+@item project installation
+@item platform-specific details.
+@end itemize")
     ;; TODO: setuptools now bundles the following libraries:
     ;; packaging, pyparsing, six and appdirs. How to unbundle?
-    (license (list license:psfl        ; setuptools itself
-                   license:expat       ; six, appdirs, pyparsing
-                   license:asl2.0      ; packaging is dual ASL2/BSD-2
+    (license (list license:psfl         ;setuptools itself
+                   license:expat        ;six, appdirs, pyparsing
+                   license:asl2.0       ;packaging is dual ASL2/BSD-2
                    license:bsd-2))
     (properties `((python2-variant . ,(delay python2-setuptools))))))
 
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:55 2022
Received: from localhost ([127.0.0.1]:60844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv8-00087w-Of
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:55 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:44645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipts-0007qx-Bh
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:36 -0400
Received: by mail-qk1-f180.google.com with SMTP id b189so9953919qkf.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=+CIl2Wc6LaRu0GK4GiNfhpWk3633saBUaSi0rEzX7H4=;
 b=dn15PnKuCvGq1NkhowcMEEYRTY/M3ZqJhnaImEVr/rqhvSfypEEVkEPVOulXjK4TGa
 3nhU2tIzt0hnY1UgblqgrIpuyfEIQeTvUopHtJAIcIpWi+WjBKyOFIz7B4Q3VIECEtQf
 Qk3sZYGkPZI43yAEPlpykypt96xRG0gHSZC7YZlnHtY90XoF05XODcYDPUJFrklNK61C
 nzCfz02+31FBfnaQiWyS0N1bX334+DIcjcy87cTvFVtDNTgH8TGirffEHACh9uUJfRsH
 44fVodOj5FvCeOptNdIWHxbGsXHm0NRDOWaFXNFlF3488Ly0XFHbtfORZvgUqQTBUeLP
 PEUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=+CIl2Wc6LaRu0GK4GiNfhpWk3633saBUaSi0rEzX7H4=;
 b=f0cK11OFF8ivjRw8RmIwdzwqnL2BfymTEJIyXIuNjJphxBoRLZ1Jz9QLb2OrLxr7fC
 dkBS9lOy0vwsuHy2OG7I/RAdHIWeGFAaM7e7I5A++13b5FZjZT0+xjVQd86t4BjGD0Y5
 pdrTBEQck6x1mZiVbGC0CiA5DwPQL8rcIVSvsQJFJtbIMl8eQv8TiZw7+hvimM33UyYH
 RbwKLcnK+PpE6+RcSMzw1s2T55rBO1Ye4Ha7mYAANshfPyzgRG7ZtWKp7pSmHKgRnF3y
 fVq77ANbZx96Kfdlbsb2595YlgqDALbLNqr/LNIQ+T6WOmpmUL4aMi2CY/9tuvDlnXjd
 OGwg==
X-Gm-Message-State: AOAM531HfGajWa8e2F0fsif5CQdNAAO3JHg30P7IQnuNKq7XnoGHTGUT
 TssBHKZVD/htz578OI43eKnrgHVFG5OhmQ==
X-Google-Smtp-Source: ABdhPJzCT65tUqAYZw2n+qHOQVTY1fRHp0oJd0GO9RNKb6W1y+MqniI/GFhwV4KfnCzksAkXlva42w==
X-Received: by 2002:a05:620a:400f:b0:69f:4429:c5f9 with SMTP id
 h15-20020a05620a400f00b0069f4429c5f9mr3280650qko.153.1650859230660; 
 Sun, 24 Apr 2022 21:00:30 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:30 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 067/232] gnu: Add python-ubelt.
Date: Sun, 24 Apr 2022 23:56:33 -0400
Message-Id: <20220425035918.25683-67-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-ubelt): New variable.
---
 gnu/packages/python-xyz.scm | 44 +++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 59e7d5112f..e589bbdd3a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -362,6 +362,50 @@ (define-public python-logbook
 applications in mind and the idea to make logging fun.")
     (license license:bsd-3)))
 
+(define-public python-ubelt
+  (package
+    (name "python-ubelt")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/Erotemic/ubelt")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0hac9nqqvqfbca2s4g0mp1fnj0ah60bg9fb8234ibna3jww8qs33"))))
+    (build-system python-build-system)
+    (arguments
+     (list #:phases
+           #~(modify-phases %standard-phases
+               (replace 'check
+                 (lambda* (#:key tests? #:allow-other-keys)
+                   (when tests?
+                     (setenv "HOME" "/tmp") ;else the test suite hangs
+                     (invoke "pytest" "-vv" "-k"
+                             (string-append
+                              ;; The builder user home doesn't match HOME,
+                              ;; which causes this test to fail.
+                              "not userhome "
+                              ;; This one pointlessly tries
+                              ;; locating various binaries on
+                              ;; the path.
+                              "and not find_exe"))))))))
+    (propagated-inputs (list python-ordered-set))
+    (native-inputs
+     (list python-pytest
+           python-requests
+           python-xdoctest))
+    (home-page "https://github.com/Erotemic/ubelt")
+    (synopsis "Python library for hashing, caching, timing and more")
+    (description "Ubelt is a small library of simple functions that extend the
+Python standard library.  It includes an @acronym{API, Application Programming
+Interface} to simplify common problems such as caching, timing, computing
+progress, among other things.")
+    (license license:asl2.0)))
+
 (define-public python-ueberzug
   (package
     (name "python-ueberzug")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:54 2022
Received: from localhost ([127.0.0.1]:60842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv8-00087p-Aj
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:54 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:35616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptr-0007ql-GU
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:35 -0400
Received: by mail-qv1-f50.google.com with SMTP id kd11so1176474qvb.2
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=eczPUvdY0QuwZRbC4LHyCT0EZT6D5ovapnnHkwk2P6k=;
 b=S1gR8AjcfiL0sYAAsg2sDSwV4gNz2oPr/taTrK5qW22frJn6bkKEtG9FPV5tTh24+5
 K83kLqxspFNlSLG1lyKezakVMd412rUVJyZdEhQx570MP6am0JiVwQxFvxNTWIQ3yLI3
 k7PfYM12UH0nlZ5UNNFhYPKSOEFfHNQgzUUjLdOorIkx3OO6YMBqoNTz8kJXldN4HhTx
 OrjWIcaNMpiSSGzNGOTke5bwbqWBsXMpBObtl202ux1139gKB0LNY8AhQhOFj8J3mHM2
 mV5R5N6+16x8dKG2HU8KgFghblGCw6YYc1O8qSHp0ebUD8olRR9x39mlW3scRKnCly5A
 RKWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=eczPUvdY0QuwZRbC4LHyCT0EZT6D5ovapnnHkwk2P6k=;
 b=tYy++3xBG84nXLxlfv9U0xTYPtlXXpXQOAEVR5RO6ZqP9xLp4xc1A7GUYWt+eCIQIV
 WYw1MurYjzeYvBx2B92Uxgv9D78WaY37bmzlfirYI0EQrxC0hsD+JOM4LO8IZ64/yGS6
 tFfuG+bi+wvnvb9/6mF0yzOtWW4UJTRkgDbs7DwumPIhzu4gs9E/8t7MNTtuQL8PVbOI
 IX9A5gzfDOAtbQ3p0qY3tEJ+dzS95TLb1tKkrh+DoK78nQGcAd89Ipdw9QXWr3uhffMq
 UV4yIoeiD+w/5DMyAuBDyqlAhy+OeKKM+8Lox/qAbXVdMeoCJhK3KCzmHRAi7FOAuD8B
 qt3g==
X-Gm-Message-State: AOAM533a7RIT63KvOJ9QHBf1sHYDW2KZJxkXC2LekC/AkJBk2i1WjVUd
 xsqEuyiowUkvshbHQ6PpNx55+2t/Jsx5+A==
X-Google-Smtp-Source: ABdhPJzp3eiFp3kjnkTS6uZX6KQGg9klQzSyMDBNACgLg2+RVQz01yQC5Bg6FhUMwVYhR7C4C89AAQ==
X-Received: by 2002:ad4:5ccb:0:b0:446:7925:1982 with SMTP id
 iu11-20020ad45ccb000000b0044679251982mr11045564qvb.98.1650859229946; 
 Sun, 24 Apr 2022 21:00:29 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:29 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 066/232] gnu: Add python-xdoctest.
Date: Sun, 24 Apr 2022 23:56:32 -0400
Message-Id: <20220425035918.25683-66-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-xdoctest): New variable.
---
 gnu/packages/python-xyz.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 326123dfc6..59e7d5112f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -15188,6 +15188,36 @@ (define-public python-xdo
 (define-public python2-xdo
   (package-with-python2 python-xdo))
 
+(define-public python-xdoctest
+  (package
+    (name "python-xdoctest")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "xdoctest" version))
+       (sha256
+        (base32 "0bgbmb9nqv95f9gfxqifqff1qaz5fnanjqy4hv7ygrjp2kksgfvy"))))
+    (build-system python-build-system)
+    (arguments
+     (list #:phases
+           #~(modify-phases %standard-phases
+               (replace 'check
+                 (lambda* (#:key tests? #:allow-other-keys)
+                   (when tests?
+                     ;; A writable HOME is needed by the
+                     ;; 'import_module_from_path' test.
+                     (setenv "HOME" "/tmp")
+                     (invoke "pytest" "-vv")))))))
+    (propagated-inputs (list python-six))
+    (native-inputs (list python-pytest which))
+    (home-page "https://github.com/Erotemic/xdoctest")
+    (synopsis "Rewrite of the Python builtin doctest module")
+    (description "This package provides a rewrite of the builtin doctest
+module which leverages the Python @acronym{AST, Abstract Syntax Tree} instead
+of @acronym{REGEXPs, regular expressions}.")
+    (license license:asl2.0)))
+
 (define-public python-mako
   (package
     (name "python-mako")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:54 2022
Received: from localhost ([127.0.0.1]:60840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv7-00087i-UX
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:54 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:33431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptq-0007qU-Lx
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:35 -0400
Received: by mail-qk1-f169.google.com with SMTP id s4so10018178qkh.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=KdRIYTz6mQUzp+ZVRwMiMQJu2dn264bLs8iKoT/ZnCo=;
 b=bxqukfjVv3NBS67N+wnW1mgIGvc1ZDwPBDo3XyG2FGUyqwOm7xY6GKePgS09B0zJOZ
 fNOVYT9BcjtQb28P9F+GombO6fqkjiAhO8WGm44ywUpcPTcpFe8oljcWjsUzj4fhMNyt
 JmQxzE0N6r4lJncl2MiSEauKnLP0nm3quMzVWBMh/1Baa0VFCt4D1nnORECLEeiqag+E
 C3wqW2isIjg2E8GeKFXnnZSYocYZ8VaBAn79KdUmovXuRNX6UFuXsRnDEsULdbCTo6lC
 Ump/kLN8bQEFMTaCYvYYm5olG44U4EwdOjpWgV3vVBktouEoUlXKFZyfhGncazkR8PW4
 I6UQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=KdRIYTz6mQUzp+ZVRwMiMQJu2dn264bLs8iKoT/ZnCo=;
 b=tyBcaU1Vnn7wgiLhbcridZJhOkgcD9Mc1mSwAj9N210RlrR7rUKWR6iXjlKOYKxJY1
 vzqzmqimBkGPZJypP4oHcZclo16pB4dEJhnyQUhMVLRs4V6nSdz0vXxPuo1Gv1R2zsCa
 LqhWiOcEweWLnu+2+IKXsNqiuPIwIXm+EeCIWVYCCWkEgR3+DI4lP9NqDw+/fCT+hiyE
 fBll+6uAhdjiS0/ml30EnehtwAFYarxYU4BSBm+ZrIiEeBBcei4p47svUuPaHjnJPEI0
 mxc+ZZdVDUf49KgwD8I5nXQ+ImQMdKDRpCrPlW4DQ/K82Wg30T2Uq88z6mF03bQX5ab7
 qqBA==
X-Gm-Message-State: AOAM530r8z2iGj5QUsXCWzr0ozKa7CgDsrXTA2HOtUmMS5Z1Hc8L9bf8
 PrTuAf9KwXeb+SZoaOjM9hf5Drwo2ZxQFg==
X-Google-Smtp-Source: ABdhPJwTc8hlGQlnY4dXmAtIa5XEHokrpG6GT+8qAxxeDB85WX6XRpuC/PkySTm36WUC9iQN9z4ZHw==
X-Received: by 2002:ae9:e916:0:b0:69f:5621:b8e3 with SMTP id
 x22-20020ae9e916000000b0069f5621b8e3mr1936668qkf.314.1650859229104; 
 Sun, 24 Apr 2022 21:00:29 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:28 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 065/232] gnu: Add python-ordered-set.
Date: Sun, 24 Apr 2022 23:56:31 -0400
Message-Id: <20220425035918.25683-65-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-ordered-set): New variable.
---
 gnu/packages/python-xyz.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index e71c1e4248..326123dfc6 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -29327,6 +29327,32 @@ (define-public python-ijson
 interfaces.")
     (license license:bsd-3)))
 
+(define-public python-ordered-set
+  (package
+    (name "python-ordered-set")
+    (version "4.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ordered-set" version))
+       (sha256
+        (base32 "1a34fg3r3480nfm6652kyqql3lwixf8jirzdja9camvnr128wjk9"))))
+    (build-system python-build-system)
+    (arguments
+     (list #:phases
+           #~(modify-phases %standard-phases
+               (replace 'check
+                 (lambda* (#:key tests? #:allow-other-keys)
+                   (when tests?
+                     (invoke "pytest" "-vv")))))))
+    (native-inputs (list python-cython python-pytest))
+    (home-page "https://github.com/simonpercivall/orderedset")
+    (synopsis "Ordered Set implementation in Cython")
+    (description "This library provides an @code{OrderedSet} data type that
+works like a regular set, but remembers insertion order.  It supports the full
+Python @code{set} interface.")
+    (license license:asl2.0)))
+
 (define-public python-orgparse
   (package
     (name "python-orgparse")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:53 2022
Received: from localhost ([127.0.0.1]:60838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv7-00087a-H0
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:53 -0400
Received: from mail-qv1-f42.google.com ([209.85.219.42]:43546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptq-0007qH-6A
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:34 -0400
Received: by mail-qv1-f42.google.com with SMTP id r8so3010670qvx.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=jv8JKp+ZKiNfnR2JCwaG73xUNBuS/BM/KMcYZ8JWWWE=;
 b=p0Dp3AsyIwY8QASytZ2r/ipZnG9aeVoS/Ac/F5A6WhSY7CYcxeM8nFqdloe39b8LYE
 7paHlywKgJsEW6cYE8H0URK4gGZcHfYhSjKwznnVKB7LkV5MFV/M9szRpWEywduC/ent
 FrWd4ToiDb0zfrbbl5jv79cXDERD7iBC/0iaBbP2OFo3rpH+PmEg9Ih37FgDaVSq6y7x
 /NLnLv1xoC6LLcSAbef7G0HQ61Y+i1lPzPaK15BMPAKWqpdOHFdNXZjQPIOhUOBHdy7R
 QB9RqaRSIcI8Etqq/nH/j7v1uErZCvjn/ZcnU1c7WcNb0QPaewmprExXS/TcfPBnYlzY
 UyFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=jv8JKp+ZKiNfnR2JCwaG73xUNBuS/BM/KMcYZ8JWWWE=;
 b=ofEwNHTE5DXtodyBQLC0Ej3OnsavvbzEMYuuQ54HHeHCyFYtz6QcB5yj9ATZu8iF9j
 sNue5cqUQR0cYWfeMjdt9mSwlaos4L4E514gFLNXsDGqqL+BItBoKYQL6L6KecaA0qbv
 lKA7bmPBdCZB8V4DrjIy7+A7LVcbm4Sfo9rJ8bOZYZgvq4n44Xtfi6pqCUcWsU9bmo54
 W0GnG2eUfoMFQ0+hz+Bkf4d938uf3EV9lLAebN8uLL/iJUy9U3YFMAhS7xPJBwUPwNag
 ndORi84rw6K2X+cqRjx2borqBj4pdLTTImHdK3Q32K/B+LF6YqmXzH1TcMXe+9NJKNjc
 SaWw==
X-Gm-Message-State: AOAM530GqjuZGCQ1Q0BCXgw4IFyChLY/+Gt1SV81MBgdnFmqtqs15klU
 CQz0Yj2D7qXy/sEXrkPcAZ5IXxuy9xGa3A==
X-Google-Smtp-Source: ABdhPJzT0o0JQIrJisi5DD+a4Fwt9e6SQfjoQTYleImOF/H2So9+VO9M6x64EhRap/yF1I7JuL5PRg==
X-Received: by 2002:a05:6214:5084:b0:444:4512:db00 with SMTP id
 kk4-20020a056214508400b004444512db00mr11334195qvb.104.1650859228514; 
 Sun, 24 Apr 2022 21:00:28 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:27 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 064/232] gnu: Add psautohint.
Date: Sun, 24 Apr 2022 23:56:30 -0400
Message-Id: <20220425035918.25683-64-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (psautohint): New variable.
---
 gnu/packages/fontutils.scm | 43 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 9cb9caf159..e128ed1003 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -342,6 +342,49 @@ (define-public psautohint-font-data
        ;; Code Pro, Source Serif Pro, all available under the same license.
        (license license:silofl1.1)))))
 
+(define-public psautohint
+  (package
+    (name "psautohint")
+    (version "2.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "psautohint" version))
+       (sha256
+        (base32 "0zzz7hy1kkkjfrrm9ly2di3xv2x1ywdqhbyqy21k670jysldw3nm"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'copy-font-data
+            ;; The data is copied as it needs to be writable for the tests.
+            (lambda _
+              (copy-recursively
+               #$(this-package-native-input "psautohint-font-data")
+               "tests/integration/data")
+              (for-each make-file-writable
+                        (find-files "tests/integration/data"))))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv")))))))
+    (propagated-inputs (list python-fonttools))
+    (native-inputs
+     (list psautohint-font-data
+           python-fs
+           python-pytest
+           python-pytest-cov
+           python-pytest-randomly
+           python-pytest-xdist
+           python-setuptools-scm
+           python-wheel))
+    (home-page "https://github.com/adobe-type-tools/psautohint")
+    (synopsis "Adobe's PostScript autohinter")
+    (description "This package provides the @command{autohinter} command that
+can be used to hint PostScript fonts.  A Python wrapper is also included.")
+    (license license:asl2.0)))
+
 (define-public python-ufoprocessor
   (package
     (name "python-ufoprocessor")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:53 2022
Received: from localhost ([127.0.0.1]:60836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv7-00087T-2L
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:53 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:44592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptp-0007pv-3b
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:33 -0400
Received: by mail-qv1-f51.google.com with SMTP id e17so10911009qvj.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rayMAQLvZVF4e+dfKEL4EBaTFT+HIltdIcou25wgEJg=;
 b=gpvg0ulou0gFgx6M2DrT2Y5E56UpDbYBQuk5Wrfk2EYfZEHapuTErDr3OR42GA7eQ2
 A9y+ueMwSqZmepndzp68i+VB7smmffS0UaY05allJmNF4PVSc7Fu8PP3sx3kBOMpC7kM
 b/l1BqWNBoFk0nA8eCf/oYZ534Y8rJIOwAn+k6BrJ0gP1U7fFPoJYOCFRiaEF/MyugHa
 RjhK0GDtvoMU0gJsV8jDjyR1m02Od912Xq8BFLjKzuUdU1kR3MOqU3+ySh2R9wKWA3/l
 JqiN6Dl1ekBzV2N4XX2TdXe30IOTN3VVZUHTA/6HZ0L9hmH0G9BHTiD7sQrDCQ7m7L1g
 c8fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rayMAQLvZVF4e+dfKEL4EBaTFT+HIltdIcou25wgEJg=;
 b=l5Agry1Uq4V7yllLWC5J2dBqxGLdLwBRw1WeDV34VQJUh2E+eULnmmMkoof/+Qk9k+
 XWr4w4MA8gQGKtwBOEohpC7ZgbXVy2N5bCaZe6h/J9XT4eJAjaqEvJDV5Gr7Loyu+0C9
 HqCg38SZnhIAbc7iEQg7rLJmxluQQ7lWsHHJ3uaf+O5We+Jt5f5qD3GT1GAdaae/mPFr
 7fq3+7YBLnxGpMwMW3k7mWL/IKUq+V410IFdKUyVyMPg/CudL7+fu61eXDXez1VEX3sZ
 yYZeFXUSXC00oBH4VCnjCPIPXOyd3YzinwbgZpgnnwjJ37xVmWg4Ft+/m2RH/RcsAnuU
 b1RA==
X-Gm-Message-State: AOAM531ibMmxSoZz6mkydX7fpZc7Yx2Qfh5XedE7MhF/PaE7rBohCsDF
 Y1kHdocqFncrIBE3tHz8Q42zctOoE48FPg==
X-Google-Smtp-Source: ABdhPJxzDs6zAvNsPlPgVtYV9XNBzrji9OwyEApVvmSSK8s43A5GjWVTsnl7REEWvUP5Hnu80f73NQ==
X-Received: by 2002:a05:6214:1c46:b0:456:3706:2618 with SMTP id
 if6-20020a0562141c4600b0045637062618mr2449819qvb.44.1650859227534; 
 Sun, 24 Apr 2022 21:00:27 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:27 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 063/232] gnu: Add psautohint-font-data.
Date: Sun, 24 Apr 2022 23:56:29 -0400
Message-Id: <20220425035918.25683-63-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (psautohint-font-data): New variable.
---
 gnu/packages/fontutils.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index a2e71f1ad0..9cb9caf159 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -72,6 +72,7 @@ (define-module (gnu packages fontutils)
   #:use-module (guix download)
   #:use-module (guix svn-download)
   #:use-module (guix git-download)
+  #:use-module (guix build-system copy)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
@@ -314,6 +315,33 @@ (define-public python-mutatormath
 arithmetic object.")
     (license license:bsd-3)))
 
+(define-public psautohint-font-data
+  ;; There is no release tag, so use the latest commit.
+  (let ((revision "0")
+        (commit "1e4c5061d328105c4dcfcb6fdbc27ec49b3e9d23"))
+    (hidden-package
+     (package
+       (name "psautohint-font-data")
+       (version (git-version "0.0.0" revision commit))
+       (source
+        (origin
+          (method git-fetch)
+          (uri (git-reference
+                (url "https://github.com/adobe-type-tools/psautohint-testdata")
+                (commit commit)))
+          (file-name (git-file-name name version))
+          (sha256
+           (base32
+            "0p7g8mnndzp8zpbj9h6lkvfdpvd74fy10q8wmkagbg2ahbdi1zva"))))
+       (build-system copy-build-system)
+       (home-page "https://github.com/adobe-type-tools/psautohint-testdata")
+       (synopsis "Test font data psautohint")
+       (description "This package contains the font data used by the test
+suite of the @code{psautohint} package.")
+       ;; The bundle contains font data from the Cantarell, Libertinus, Source
+       ;; Code Pro, Source Serif Pro, all available under the same license.
+       (license license:silofl1.1)))))
+
 (define-public python-ufoprocessor
   (package
     (name "python-ufoprocessor")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:53 2022
Received: from localhost ([127.0.0.1]:60834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv6-00087L-Ku
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:53 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:40959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipto-0007po-HH
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:32 -0400
Received: by mail-qk1-f177.google.com with SMTP id e128so9967863qkd.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=j6KUn+OnPG9SariLXTEoSQMHineVILS/GzdxFdJKUFU=;
 b=FScCnEJmrHdJInU+2TTjtPbiv+e7jcNcGyNpt77H9yKgNjnSQptNr/fXPIBJKxZ4+u
 raWb5ZM7wiNg0uuxndttwuS8fHKP9Evf2BTDi4bh2Oum9f+UD0uA10LDSGNzu/jnOcNz
 SZxrrs5H2efLuuBYKTFEiKUidzOcohyNhTZt0SGFFB8hbbI661/cnmjjAscZ/6wcYmHP
 s2ukAxlfJp6914KUn20dZfPUKhyH8GXyw+d4Qx4Qf5eza27/PNvUM9XaxbWmvTzorpyf
 CRHL/FmljGS/GJgF+w3/yI6n22D0vhxLEWKudmskt/FQ38Z+AgIqdQFYKXGOoUMgMphq
 VJMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=j6KUn+OnPG9SariLXTEoSQMHineVILS/GzdxFdJKUFU=;
 b=euybFchHrDfzpMyBNxQUBnTGgDCtAgiDEulp3MvnBjz2iV/q95US1gWz2qOkA2qBR5
 ydvSLnJ6bnCjSDCQH+O23QxplZQPZOixI48GM7rzNUGlwedZBzJTybBDc5nVf/fUZJ3f
 yp24VECeqTBG6b6N62WRFmq6QAjqwz/KKJSbAzafWVydYR3iSGB0zb/EPJVAjJnWchXX
 P06zi35g7Blrw1l7UTC9JJnfSvQIOlEuYxHxLky0tatv3i/FptkqaaaUK6NNTNAf6JA4
 7ZZfwlEOhBE/rtjF23JlqJm7eqdYjUJcBty2BPioWe4mUZC5iPSwkpEClPbio06VgVbU
 DEgw==
X-Gm-Message-State: AOAM532XLm6nB+x53z1DipIUGyEOlDtTF/PcQ3so6n5hHfW9vRArHCPj
 DHCRbR/q4r9ArQim1c9ctj4u8ZZYJs8cEw==
X-Google-Smtp-Source: ABdhPJxTEfyERmNTrBvmdZybRlePswnSgxgn57RUuP618uBRB9zKfIlnx4Y8D1XgyYN+fVtRhl6r5g==
X-Received: by 2002:a05:620a:74b:b0:69b:db1d:f91e with SMTP id
 i11-20020a05620a074b00b0069bdb1df91emr9015427qki.286.1650859226853; 
 Sun, 24 Apr 2022 21:00:26 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:26 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 062/232] gnu: Add python-pytest-randomly.
Date: Sun, 24 Apr 2022 23:56:28 -0400
Message-Id: <20220425035918.25683-62-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-randomly): New variable.
---
 gnu/packages/check.scm | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index e3523d77dc..c67a6f2675 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1242,6 +1242,47 @@ (define-public python-pytest-random-order
 reported in a previous test run.")
     (license license:expat)))
 
+(define-public python-pytest-randomly
+  (package
+    (name "python-pytest-randomly")
+    (version "3.11.0")
+    (source (origin
+              (method git-fetch)        ;no tests in pypi archive
+              (uri (git-reference
+                    (url "https://github.com/pytest-dev/pytest-randomly")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1sjgq49g8f8973vhmzrim79b6wz29a765n99azjk1maimqh7mmik"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                ;; The tests validating ordering fail, as well as as two
+                ;; others, for unknown reasons (see:
+                ;; https://github.com/pytest-dev/pytest-randomly/issues/454).
+                (invoke "pytest" "-vv" "-k"
+                        (string-append
+                         "not reordered "
+                         "and not test_it_runs_before_stepwise "
+                         "and not test_entrypoint_injection"))))))))
+    (native-inputs (list python-coverage
+                         python-factory-boy
+                         python-faker
+                         python-numpy
+                         python-pytest-xdist))
+    (propagated-inputs (list python-importlib-metadata python-pytest))
+    (home-page "https://github.com/pytest-dev/pytest-randomly")
+    (synopsis "Pytest plugin to randomly order tests")
+    (description "This is a Pytest plugin to randomly order tests and control
+Python's @code{random.seed}.")
+    (license license:expat)))
+
 (define-public python-pytest-runner
   (package
     (name "python-pytest-runner")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:52 2022
Received: from localhost ([127.0.0.1]:60832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv6-00087E-7m
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:52 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:46876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipti-0007op-2h
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:32 -0400
Received: by mail-qk1-f170.google.com with SMTP id c1so9945740qkf.13
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=LnIg/tiYVfjkS+x+GNICdtZotvaj/czHFE1qpGupDOw=;
 b=qjPvUKA8FXfeL9RMlMuAQa9VPrim3nVPYfkb3K8RZzjE/hJG79f4ifJBM2WrZaXh8w
 +u5H6iCZKjrcRkoR/hU1VMHayr7YMVwPQb59OOsjFAN2ndg1+cWo/MDQ0fMr49W8KNyk
 Q5STW0Ue3vTWr0XDTIqo80qV0FIBAnJVJKEE5NUzasZJEp2LsjGSOHbsG0iFJqwXzrp1
 tAkUdmTWCR5YTlDN8L4+QEwL8w1vcY7hqRHT/TCREgwHsJAi/s9nNR90KcnXy9cKHzeN
 ZIqrX5HaEkDyNJEFZnjBZLPG2X6+j5gQJ9HIcnPJRW8BcEvSU+ILfqysen/KcqUYFbaY
 xbeA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=LnIg/tiYVfjkS+x+GNICdtZotvaj/czHFE1qpGupDOw=;
 b=64nwnBSJBGFJ0YUo9NpXvDLMeW4B8ma61RtxnroXFgdgpKrrFzjms2t+zs5EdmHHg1
 z0yTD/Emuu85ZgF40Rg20aSSYQgDViUHjUSo4/WrWIi0TbE+S5oqaBlOFfgQvnH2IkQQ
 Qy0NtGjOMNDDc4fPbrdYJTDUQ/UdLv5EI3h5nBe2GrF6V1udyvy1ATLZC4qOQkdvvppI
 UoZ5EGM/SXk4RMUz5bccvgXlKPhW6RfCKSFnaZeM/bGd932VCRwH991idS6hUBErYc56
 cWDiXM9WVxclflTVdv7cxJyU9NhRc2nDAbciIcGhtjB0ajaJ5G7IOjJyX/JOlXgWVqRK
 ofpg==
X-Gm-Message-State: AOAM530FJUbqhda9oEKZs7XXnwUixfi1y+j8yolUhtqfa7FPT5v/EW1X
 +JbwKt6w84mFBREO591dKaAf3cBZG4r9KQ==
X-Google-Smtp-Source: ABdhPJxFQXjrkeiBVc4HijFjauP+FFI7FWoi+RX/ImlwkHqLFIeB5ptl7EJ/YkzsoZoQr7xvzYMpwQ==
X-Received: by 2002:a05:620a:2590:b0:680:f8c3:582 with SMTP id
 x16-20020a05620a259000b00680f8c30582mr8902459qko.723.1650859220491; 
 Sun, 24 Apr 2022 21:00:20 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:20 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 053/232] gnu: Add python-jaraco-context.
Date: Sun, 24 Apr 2022 23:56:19 -0400
Message-Id: <20220425035918.25683-53-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-jaraco-context): New variable.
---
 gnu/packages/python-xyz.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d04a7e7334..67d6f5f934 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8574,6 +8574,35 @@ (define-public python-jaraco-context-bootstrap
 procedures.")
      (license license:expat))))
 
+(define-public python-jaraco-context
+  (package/inherit python-jaraco-context-bootstrap
+    (name "python-jaraco-context")
+    (arguments
+     (substitute-keyword-arguments
+         (package-arguments python-jaraco-context-bootstrap)
+       ((#:tests? _ #f)
+        #t)
+       ((#:phases phases #~%standard-phases)
+        #~(modify-phases #$phases
+            (replace 'check
+              (lambda* (#:key tests? #:allow-other-keys)
+                (when tests?
+                  ;; Do not test the myproject.toml build as it tries to pull
+                  ;; dependencies from the Internet.
+                  (invoke "pytest" "-vv" "-k" "not project"))))))))
+    (native-inputs
+     (modify-inputs
+         (package-native-inputs python-jaraco-context-bootstrap)
+       (append python-pytest
+               python-pytest-black
+               python-pytest-checkdocs
+               python-pytest-cov
+               python-pytest-enabler-bootstrap ;OK since not propagated
+               python-pytest-flake8
+               python-pytest-mypy)))
+    (properties (alist-delete 'hidden? (package-properties
+                                        python-jaraco-context-bootstrap)))))
+
 ;;; Variant used to break a cycle with python-pytest-enabler.
 (define-public python-jaraco-functools-bootstrap
   (hidden-package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:52 2022
Received: from localhost ([127.0.0.1]:60830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv5-000877-Q6
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:52 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:41532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptn-0007pl-0C
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:32 -0400
Received: by mail-qv1-f53.google.com with SMTP id kj29so6324463qvb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Twfj+AJJxckwMz6DRACg1FoW1ZYbzzOsZxu1fxiUT8A=;
 b=Z1oooWgUz0mhm792pNdMKHltPsAkRyaSASiBfLihrfGAtOKhKAg8aS1c6ti1rZxsS1
 4EYeWFFv+yHUf/dnQuQd5j3wGEqR1oy6iy2yzHa/4+fAZNdn9jIRVCGpommRtGKGveeM
 12POwb8+xbNiQfLzIl/6mrqs8H1EGRoqKiloGFqRnew0DBWwBIRnpqcCBzMfPfxldFag
 aeyUDJ/i1fr8/o4F89ClJKsBlnKh0yYbFWDO7YMJh4G6iuN2DK0N8La7G3nIEMO6dRdG
 UyipnYrvzXuGM2ul6sFw460UcQpKHkjg7xdu26zu0f/UEzAXRFSfhwKIGq/9svCrrb31
 rUMA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Twfj+AJJxckwMz6DRACg1FoW1ZYbzzOsZxu1fxiUT8A=;
 b=t1ZQfuCTRNcuDo1vDw+wK3hyRpPNi7uaog9gJcgESqepbMfKYr48m77d2t73WkvP0x
 dJJBDXoh04ac/HDALHO5j5PfQwO2UURa3m31LkXJx6g+/Ot63UFwiH0sZS+23yAi66Th
 v5F3dYojQN6F57CQpel7b6z2bk+e32DbnAdz01xwL4ORrQfuX0PNID6ABywudQ0tbQ57
 lANRDzGuPbk0kmSGIftOFu8oTdsg96c+ZbxtGergDuLIaoIlho7lnf5/GbxOsJ1a9rta
 l3dc5LFeFltbAniR2PRZ/pL4/eunYbmd2Oedm5cJbxQXxw2xrMqpYiBGttZ+A0I2Bt1Z
 DRvg==
X-Gm-Message-State: AOAM531mYhtKDlF8zMfHVwndShB36EVYmrYzMW0E0prltxzKAeBZpdal
 crcKVwRbTS5hlwRMruVlC9v/Blte5clIcg==
X-Google-Smtp-Source: ABdhPJwdS4BmdqEcon1ntQiz23DZ2aHBTg552uPmzQq+UlYHRj92Z8epOkgEV5yh2qwP3imRXionCQ==
X-Received: by 2002:ad4:5f88:0:b0:456:35c0:832b with SMTP id
 jp8-20020ad45f88000000b0045635c0832bmr2759802qvb.102.1650859225438; 
 Sun, 24 Apr 2022 21:00:25 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:25 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 060/232] gnu: python-factory-boy: Update to 3.2.1.
Date: Sun, 24 Apr 2022 23:56:26 -0400
Message-Id: <20220425035918.25683-60-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-factory-boy): Update to 3.2.1.
[propagated-inputs]: Use new style.
[description]: Fix indentation and remove blank lines.
---
 gnu/packages/python-xyz.scm | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 179f5a6c1e..31dcf40933 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -19941,30 +19941,26 @@ (define-public python2-stemming
 (define-public python-factory-boy
   (package
     (name "python-factory-boy")
-    (version "2.8.1")
+    (version "3.2.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "factory_boy" version))
        (sha256
-        (base32 "1fvin6san5xsjh2c4y18caj2lnmwxlylyqm8mh1yc6rp38wlwr56"))))
+        (base32 "0pm5lbvnwm0kg5i6z611rg907yw1gy551f2advmpaz041ixjg3d9"))))
     (build-system python-build-system)
     (arguments
      ;; Tests are not included in the tarball.
      `(#:tests? #f))
-    (propagated-inputs
-     `(("faker" ,python-faker)))
+    (propagated-inputs (list python-faker))
     (home-page "https://github.com/benhoyt/scandir")
     (synopsis "Versatile test fixtures replacement")
-    (description
-     "Factory_boy is a fixtures replacement based on thoughtbot’s factory_girl.
-
-     As a fixtures replacement tool, it aims to replace static, hard to maintain
-     fixtures with easy-to-use factories for complex object.
-
-     Instead of building an exhaustive test setup with every possible combination
-     of corner cases, factory_boy allows you to use objects customized for the
-     current test, while only declaring the test-specific fields")
+    (description "Factory_boy is a fixtures replacement based on thoughtbot’s
+factory_girl.  As a fixtures replacement tool, it aims to replace static, hard
+to maintain fixtures with easy-to-use factories for complex object.  Instead
+of building an exhaustive test setup with every possible combination of corner
+cases, factory_boy allows you to use objects customized for the current test,
+while only declaring the test-specific fields.")
     (license license:expat)))
 
 (define-public python-translate-toolkit
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:51 2022
Received: from localhost ([127.0.0.1]:60828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipv5-00086z-CB
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:51 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:39920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptn-0007pn-LO
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:32 -0400
Received: by mail-qv1-f53.google.com with SMTP id kk26so2974375qvb.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=hKilAqtwn58aPK1QPerN8lO+B0QWnYemQDBdYiezR5A=;
 b=m/ADrlaJqB01G/ReGv31/P8QEcEHl54VrD2AufVeBY9nWcU7Jir1WlR7QVDFhzKR+7
 9NCRdph1cqWUrHwQiqFSQnWEdYrp7G2V0u0UOLLhtClSsL2l8xzPrsFkID7dIurs7o4D
 yYYASlAbrg9okbzTeAl5jtvCj4Al0UPTsX/VNkRLYFe0rGqrcxsSt0lNSUb4ExzrF7ZZ
 2A64f4v01ytE4ys/5/nGJTqC/tuXJpknw11FUhd2iddldaNkZnxf2WSd2pndJI/W86pM
 RfCMJWKbmQB2FJnvmeUlvVu3tYkwYdbWqdjpufGLnXOLJNtVFQdtd2SNMvl/3Cz1FjbY
 qO4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=hKilAqtwn58aPK1QPerN8lO+B0QWnYemQDBdYiezR5A=;
 b=AjLGC7bSeokIzN7O4SRX7J/i3yO5RP/UVgZ4RHmczO5dVPNpz/m6596YvoOtuMDMdq
 zSWLvjVcUFPfST76kT3arFsWw0zXKszBo83dC+YfPG1gAOP0b1l/mFrtoLDHxKAw2wBG
 xO0OF4Lt4IoZ9/X/BCk/jGlMIsuu40KtzeRvKkuLZ/IYvhBzS3wW0uknOpfIS+3mYY8X
 QD0JwrcZ7R6fFzGaO6RwdzjTzgIBwrn+mVQ/z1AXFHcjaeQPK1OwhXkCoeyk5yRVbBje
 jyiMquUC/X0bJQRcP9YKR+z6gC1c0hkdx57MtEsBavTaGQkouStqoHKjcDAnZvwQUSmv
 YChQ==
X-Gm-Message-State: AOAM533THCASuMyYZTu3NHwnkypRMcjudGEDj9p9bUc9GVCzIKaB9kPd
 m7UjSQCPV95VtvykraBB17nOuA96Iulxqw==
X-Google-Smtp-Source: ABdhPJy/AowvFC/4hKGOvER35p4sM2+g0tLfPNeT5VcT5I4Ppg8/YxB1t2lAF2u48LrGaEG/4KYPgQ==
X-Received: by 2002:a05:6214:5282:b0:443:9905:a58f with SMTP id
 kj2-20020a056214528200b004439905a58fmr11206357qvb.98.1650859226089; 
 Sun, 24 Apr 2022 21:00:26 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:25 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 061/232] gnu: python-faker: Update to 13.3.4 and honor TESTS?.
Date: Sun, 24 Apr 2022 23:56:27 -0400
Message-Id: <20220425035918.25683-61-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-faker): Update to 13.3.4.
[phases]{check}: Honor TESTS?.
[native-inputs]: Replace python-pytest-6 by python-pytest.  Remove comment.
[propagated-inputs]: Remove python-text-unidecode.
---
 gnu/packages/python-xyz.scm | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 31dcf40933..e71c1e4248 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -17490,28 +17490,28 @@ (define-public python2-ukpostcodeparser
 (define-public python-faker
   (package
     (name "python-faker")
-    (version "9.3.1")
+    (version "13.3.4")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "Faker" version))
               (sha256
                (base32
-                "0lpfdc4ndvk7chgqrfd2b1my4n54pccq9b645vp9cp5s5ypyknfd"))))
+                "04855dqvvi2mr739l5x3qf82rxq0a7spc8gl76k8xixmbw36328q"))))
     (build-system python-build-system)
     (arguments
      '(#:phases
        (modify-phases %standard-phases
          (replace 'check
-           (lambda _ (invoke "python" "-m" "pytest" "-v"))))))
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "python" "-m" "pytest" "-v")))))))
     (native-inputs
-     (list ;; For testing
-           python-freezegun
-           python-pytest-6
+     (list python-freezegun
+           python-pytest
            python-random2
            python-ukpostcodeparser
            python-validators))
-    (propagated-inputs
-     (list python-dateutil python-text-unidecode))
+    (propagated-inputs (list python-dateutil))
     (home-page "https://github.com/joke2k/faker")
     (synopsis "Python package that generates fake data")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:51 2022
Received: from localhost ([127.0.0.1]:60826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuw-00086k-U9
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:51 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:42772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptf-0007oB-2W
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:31 -0400
Received: by mail-qv1-f50.google.com with SMTP id iy15so1893531qvb.9
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=eTxs6q2HPhkFBOcuI6FKD7Ar7B4Ze0nWR/MEpJkyVps=;
 b=duv6ftC2Hn+3Y/rqD/0u9sZRNBUGzx3MDi2BjHulW/KjOuc7ozTm9A/lXZ3GlSQ1dD
 fIWvkagZr4OGtOD0gE1/YVb3GzYZTOirBVNnqxURGpKkKzW7bN1MyC7MZzqX/WcD1IY0
 lzcSMTT09swJhVOkPySR6d45BaM/JQ61Kt/qB0yKGeHrtJGEFhklB5S5mYR+75L4o6vk
 v7sdBrVhLxs+c8ElWPxKLa7+JbB0VfYxq8MiMPMP5bToT7nsjaeJf2+wnb6n2LE0vK38
 tNOeW1eHjTLEwCwMqZBO/LPYCtGewb7mT1Cl3jcsiJFfkNyjvsSsg5ZPzWKKiPMw7dyy
 LwBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=eTxs6q2HPhkFBOcuI6FKD7Ar7B4Ze0nWR/MEpJkyVps=;
 b=xa2vcKSGLkroxwyCqCZAJyg2PK3/Yt/sKxHlXokKOoiZ7xTtKRONsgIwACV4gMF7UG
 LzxSr8d3kctqBMqqM0dDiDBPFtrXuZYdP1mlUuFiFSCUR6kkWatSqs4yo5/nYgcv+hCk
 wg3GyQDYnSdEhRxTJbvqpLOBSgJUOxxOebLRF2C2nqHQfLlip3JExnUAl3VPTvD168Vv
 OZuWtqXxWHEPxkgQFeC7T0/JVEgIZMebD8wIlB1thzULOhEtK0JYe8w77h0WPH+4TdHy
 tkwKjBKKKaqWsKxy+0FQMcVrVDcvBMxFdDkoTHkbjkKldjSZnL1KQ2i+HPI3EaUEp8h8
 NLKw==
X-Gm-Message-State: AOAM5301UaPG0qZV1vrvTbGKj9QozEBtdOHsyw21MHQCB7Y+BZTIbvkV
 aM+n2jgMyIQSRX9JvGK2wkFcQudT8StU/Q==
X-Google-Smtp-Source: ABdhPJyQZDs+gs3qN82h6IB+IxdiASKbJ5ijLW/ibA5om+bJHKrz0xLvBhTC+PtkNjCaKOdvOrcAQg==
X-Received: by 2002:a05:6214:1c8c:b0:440:da6b:a3dc with SMTP id
 ib12-20020a0562141c8c00b00440da6ba3dcmr10965018qvb.12.1650859217366; 
 Sun, 24 Apr 2022 21:00:17 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:17 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 049/232] gnu: python-mypy: Update to 0.942 and fix search path.
Date: Sun, 24 Apr 2022 23:56:15 -0400
Message-Id: <20220425035918.25683-49-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/python-mypy-use-sys-path.patch: New patch.
* gnu/local.mk: Register it.
* gnu/packages/python-check.scm (python-mypy): Update to 0.942.
[source]: Apply patch.
---
 gnu/local.mk                                  |   1 +
 .../patches/python-mypy-use-sys-path.patch    | 130 ++++++++++++++++++
 gnu/packages/python-check.scm                 |  15 +-
 3 files changed, 139 insertions(+), 7 deletions(-)
 create mode 100644 gnu/packages/patches/python-mypy-use-sys-path.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 9bad87710c..702c430623 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1720,6 +1720,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-waitress-fix-tests.patch		\
   %D%/packages/patches/python-werkzeug-tests.patch		\
   %D%/packages/patches/python-mypy-12332.patch			\
+  %D%/packages/patches/python-mypy-use-sys-path.patch		\
   %D%/packages/patches/qemu-build-info-manual.patch		\
   %D%/packages/patches/qemu-glibc-2.27.patch 			\
   %D%/packages/patches/qemu-glibc-2.30.patch 			\
diff --git a/gnu/packages/patches/python-mypy-use-sys-path.patch b/gnu/packages/patches/python-mypy-use-sys-path.patch
new file mode 100644
index 0000000000..1b12526456
--- /dev/null
+++ b/gnu/packages/patches/python-mypy-use-sys-path.patch
@@ -0,0 +1,130 @@
+This patch fixes the annotation files search of mypy on non-FHS distributions.
+
+Submitted upstream: https://github.com/python/mypy/pull/12530
+
+diff --git a/mypy/main.py b/mypy/main.py
+index 3d9836587..f9b0cbd39 100644
+--- a/mypy/main.py
++++ b/mypy/main.py
+@@ -1033,10 +1033,10 @@ def process_options(args: List[str],
+     # Set target.
+     if special_opts.modules + special_opts.packages:
+         options.build_type = BuildType.MODULE
+-        egg_dirs, site_packages = get_site_packages_dirs(options.python_executable)
++        site_packages = get_site_packages_dirs(options.python_executable)
+         search_paths = SearchPaths((os.getcwd(),),
+                                    tuple(mypy_path() + options.mypy_path),
+-                                   tuple(egg_dirs + site_packages),
++                                   tuple(site_packages),
+                                    ())
+         targets = []
+         # TODO: use the same cache that the BuildManager will
+diff --git a/mypy/modulefinder.py b/mypy/modulefinder.py
+index 94d2dd34c..337a2d59b 100644
+--- a/mypy/modulefinder.py
++++ b/mypy/modulefinder.py
+@@ -629,7 +629,7 @@ def get_prefixes(python_executable: Optional[str]) -> Tuple[str, str]:
+ 
+ 
+ @functools.lru_cache(maxsize=None)
+-def get_site_packages_dirs(python_executable: Optional[str]) -> Tuple[List[str], List[str]]:
++def get_site_packages_dirs(python_executable: Optional[str]) -> List[str]:
+     """Find package directories for given python.
+ 
+     This runs a subprocess call, which generates a list of the egg directories, and the site
+@@ -648,51 +648,7 @@ def get_site_packages_dirs(python_executable: Optional[str]) -> Tuple[List[str],
+         site_packages = ast.literal_eval(
+             subprocess.check_output([python_executable, pyinfo.__file__, 'getsitepackages'],
+             stderr=subprocess.PIPE).decode())
+-    return expand_site_packages(site_packages)
+-
+-
+-def expand_site_packages(site_packages: List[str]) -> Tuple[List[str], List[str]]:
+-    """Expands .pth imports in site-packages directories"""
+-    egg_dirs: List[str] = []
+-    for dir in site_packages:
+-        if not os.path.isdir(dir):
+-            continue
+-        pth_filenames = sorted(name for name in os.listdir(dir) if name.endswith(".pth"))
+-        for pth_filename in pth_filenames:
+-            egg_dirs.extend(_parse_pth_file(dir, pth_filename))
+-
+-    return egg_dirs, site_packages
+-
+-
+-def _parse_pth_file(dir: str, pth_filename: str) -> Iterator[str]:
+-    """
+-    Mimics a subset of .pth import hook from Lib/site.py
+-    See https://github.com/python/cpython/blob/3.5/Lib/site.py#L146-L185
+-    """
+-
+-    pth_file = os.path.join(dir, pth_filename)
+-    try:
+-        f = open(pth_file, "r")
+-    except OSError:
+-        return
+-    with f:
+-        for line in f.readlines():
+-            if line.startswith("#"):
+-                # Skip comment lines
+-                continue
+-            if line.startswith(("import ", "import\t")):
+-                # import statements in .pth files are not supported
+-                continue
+-
+-            yield _make_abspath(line.rstrip(), dir)
+-
+-
+-def _make_abspath(path: str, root: str) -> str:
+-    """Take a path and make it absolute relative to root if not already absolute."""
+-    if os.path.isabs(path):
+-        return os.path.normpath(path)
+-    else:
+-        return os.path.join(root, os.path.normpath(path))
++    return site_packages
+ 
+ 
+ def add_py2_mypypath_entries(mypypath: List[str]) -> List[str]:
+@@ -781,7 +737,7 @@ def compute_search_paths(sources: List[BuildSource],
+     if options.python_version[0] == 2:
+         mypypath = add_py2_mypypath_entries(mypypath)
+ 
+-    egg_dirs, site_packages = get_site_packages_dirs(options.python_executable)
++    site_packages = get_site_packages_dirs(options.python_executable)
+     base_prefix, prefix = get_prefixes(options.python_executable)
+     is_venv = base_prefix != prefix
+     for site_dir in site_packages:
+@@ -801,7 +757,7 @@ def compute_search_paths(sources: List[BuildSource],
+ 
+     return SearchPaths(python_path=tuple(reversed(python_path)),
+                        mypy_path=tuple(mypypath),
+-                       package_path=tuple(egg_dirs + site_packages),
++                       package_path=tuple(site_packages),
+                        typeshed_path=tuple(lib_path))
+ 
+ 
+diff --git a/mypy/pyinfo.py b/mypy/pyinfo.py
+index ab2d3286b..9fb0501a1 100644
+--- a/mypy/pyinfo.py
++++ b/mypy/pyinfo.py
+@@ -24,16 +24,11 @@ def getprefixes():
+ 
+ def getsitepackages():
+     # type: () -> List[str]
+-    res = []
+-    if hasattr(site, 'getsitepackages'):
+-        res.extend(site.getsitepackages())
+ 
+-        if hasattr(site, 'getusersitepackages') and site.ENABLE_USER_SITE:
+-            res.insert(0, site.getusersitepackages())
+-    else:
+-        from distutils.sysconfig import get_python_lib
+-        res = [get_python_lib()]
+-    return res
++    # Simply return sys.path, which has already been expanded
++    # correctly via Python's site.py module, which takes care of .pth,
++    # sitecustomize.py files, etc.
++    return sys.path
+ 
+ 
+ if __name__ == '__main__':
diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 2d35eb720e..03895a44c7 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2019, 2021, 2022 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Efraim Flashner <efraim@HIDDEN>
-;;; Copyright © 2019, 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2019, 2020, 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2019, 2021 Hartmut Goebel <h.goebel@HIDDEN>
 ;;; Copyright © 2020 Julien Lepiller <julien@HIDDEN>
 ;;; Copyright © 2020, 2022 Marius Bakke <marius@HIDDEN>
@@ -1672,7 +1672,7 @@ (define-public python-mypy-extensions
 (define-public python-mypy
   (package
     (name "python-mypy")
-    (version "0.931")
+    (version "0.942")
     (source
      (origin
        ;; Because of https://github.com/python/mypy/issues/9584, the
@@ -1689,9 +1689,10 @@ (define-public python-mypy
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "1v83flrdxh8grcp40qw04q4hzjflih9xwib64078vsxv2w36f817"))
+         "0hxnrqhvskiclwfj2s4gyfclzjas1dvpfxhyng8v7mq38rqps1j5"))
        (patches
-        (search-patches "python-mypy-12332.patch"))))
+        (search-patches "python-mypy-12332.patch"
+                        "python-mypy-use-sys-path.patch"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -1713,10 +1714,10 @@ (define-public python-mypy
     (home-page "http://www.mypy-lang.org/")
     (synopsis "Static type checker for Python")
     (description "Mypy is an optional static type checker for Python that aims
-to combine the benefits of dynamic (or 'duck') typing and static typing.  Mypy combines
+to combine the benefits of dynamic typing and static typing.  Mypy combines
 the expressive power and convenience of Python with a powerful type system and
-compile-time type checking.  Mypy type checks standard Python programs; run them using
-any Python VM with basically no runtime overhead.")
+compile-time type checking.  Mypy type checks standard Python programs; run
+them using any Python VM with basically no runtime overhead.")
     ;; Most of the code is under MIT license; Some files are under Python Software
     ;; Foundation License version 2: stdlib-samples/*, mypyc/lib-rt/pythonsupport.h and
     ;; mypyc/lib-rt/getargs.c
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:42 2022
Received: from localhost ([127.0.0.1]:60824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuw-00086c-Hh
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:42 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:47037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptm-0007pi-Bd
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:31 -0400
Received: by mail-qv1-f48.google.com with SMTP id jt15so4941408qvb.13
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=TNzmlBWn3akDIMVBj3wYvdjUYSSbv8B2Gsd6ap6Dp2g=;
 b=iMBdKaXhoIWnxdl7gt+MxZlt4XvSO4HMrdxVdnZI2QQOzN6THddqZZXjUGSkozKTpn
 POXuouGAhxKXwaJ/YgdJbAgVgT21JXNEgRXPkl8gBaeaH8JR82gW7RwQf0RhUaDb/0SJ
 Cyj9mHmJzJDnkscOVQSu4+9Mh+hLZh1sm0EsZYA3HnSBRXdbU/T4KWnRF8KyLYpAgRi0
 KHLbNZ4/cptF+Q1Pv8bNHQtJDqOLcQyG1Sj1Im1gAFnzS36kk5PEdVnqq79N7lqQKBIT
 6z5q4SSVZRTzgrjDmCsjYUempMZX00eGItxqQkL4A3gqW4F72GWIyDYPpOcjpZaXE/Fb
 GX2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=TNzmlBWn3akDIMVBj3wYvdjUYSSbv8B2Gsd6ap6Dp2g=;
 b=LU3xJ8lLoMUP+g0gcxAdgWI14Ip/DG8tCYodS8zk18G3NWuBA2kDmVQOUcou00EXhX
 shM4mAMXan3GBOgGA2av+7WssLivRwENWt+taS/kHm1tO6BbvDMaZQoowB9QHn4JB/u7
 Ez5CkInnKzW0W+Fz6KCAr/SI2Re0f2+iz+NTxx8/wrxyjLUXPiqDai9ZxXAJXIMv0fYR
 K6RVNNeRla9jAM9ixCLJpoCPlYh3LEbfmqF0HuDIRaMZ4lV5KuCmxNUP1cBwWGM6iDmS
 FUC4f3FgtcDbDwHGFsiO1pdGwlF8reo9V9NccO7JGnE3bCzUbKCNTPBVDuImX0u9VwCU
 VwRA==
X-Gm-Message-State: AOAM531lEYjF2X12x9j+pgevZSnwTrpTp+1oGm+tq4hxt9XVh1J0gSNB
 DOPvM5V7AhcFRfOC6Ijq08NC1NSAQxcNdQ==
X-Google-Smtp-Source: ABdhPJxS443dRqWMZLDCHEZqqib0VPVQDSekbRXkWU7fjXK3JInCxIRjGXk7RUZgFrQmFZmPLTFPgw==
X-Received: by 2002:ad4:5bc1:0:b0:42d:758c:f694 with SMTP id
 t1-20020ad45bc1000000b0042d758cf694mr10916571qvt.99.1650859224784; 
 Sun, 24 Apr 2022 21:00:24 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:24 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 059/232] gnu: Add python-pytest-perf.
Date: Sun, 24 Apr 2022 23:56:25 -0400
Message-Id: <20220425035918.25683-59-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-perf): New variable.
---
 gnu/packages/check.scm | 58 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 8ed53f7e27..e3523d77dc 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2344,6 +2344,64 @@ (define-public python-pytest-pep8
 (define-public python2-pytest-pep8
   (package-with-python2 python-pytest-pep8))
 
+(define-public python-pytest-perf
+  (package
+    (name "python-pytest-perf")
+    (version "0.12.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/jaraco/pytest-perf")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "05mgknvrmyz1kmkgw8jzvisavc68wz1g2wxv69i6xvzgqxf17m9f"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-k"
+                        (string-append
+                         ;; Do not test the myproject.toml build as it tries to pull
+                         ;; dependencies from the internet.
+                         "not project "
+                         ;; The benchmark test attempts to install the
+                         ;; package, failing to pull its dependencies from the
+                         ;; network.
+                         "and not BenchmarkRunner "
+                         ;; The upstream_url test requires networking.
+                         "and not upstream_url"))))))))
+    (native-inputs
+     (list python-pytest
+           python-pytest-black
+           python-pytest-checkdocs
+           python-pytest-cov
+           python-pytest-enabler
+           python-pytest-flake8
+           python-pytest-mypy))
+    (propagated-inputs
+     (list python-jaraco-context
+           python-jaraco-functools
+           python-more-itertools
+           python-packaging
+           python-pip-run
+           python-tempora))
+    (home-page "https://github.com/jaraco/pytest-perf")
+    (synopsis "Pytest plugin for performance testing")
+    (description "@code{pytest-perf} makes it easy to compare works by
+creating two installs, the control and the experiment, and measuring the
+performance of some Python code against each.  Under the hood, it uses the
+@command{pip-run} command to install from the upstream main
+branch (e.g. https://github.com/jaraco/pytest-perf) for the control and from
+@file{.} for the experiment.  It then runs each of the experiments against
+each of the environments.")
+    (license license:expat)))
+
 (define-public python-pytest-flakes
   (package
     (name "python-pytest-flakes")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:42 2022
Received: from localhost ([127.0.0.1]:60822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuw-00086V-5t
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:42 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:45655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptl-0007pZ-Vk
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:31 -0400
Received: by mail-qk1-f172.google.com with SMTP id d198so9954322qkc.12
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=pxFYxe2Crs+X6/hCKjL2sinKGbRNbV7p+pQtXcDYrL8=;
 b=bHhFtU3aHRFgLzc++WitYgfcX3DfD872jt6TTqZFQ70aGbp1SsJyqibjHaqkHTMdaS
 MC1R1nelyjbbQ2NskmSBd4YReaI2BcrUH6Dtxd5wooAHXvVX+WKoXzQ7FqkVG6pBRblU
 aD/wU5dL3FrOOWnmgLnxMB4pk0nG7L0T2yyrpsdPzvvfUNbQv+c3mxrU9VNSIYC2Pma4
 8DU5Zh25u/wofqHIk4Ofw1IhVdUEreHiZr+/40s1xLCLQ8dhG2Mhu/EauUL8ZUnpqoi0
 8+JHMBmpKKDmJ4I6pGBJnskcXw5Jr6p69pra8CgLytsnd18GkgQLZF44lxX1yGlZwwqx
 8+Ow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=pxFYxe2Crs+X6/hCKjL2sinKGbRNbV7p+pQtXcDYrL8=;
 b=AwJTuOLT/ZCjkheIDTRgUQ1UkdKQfICf8IW39/QF7PpvVYk5zA5FArG5oOnHWkCULF
 XJpAV0S7CD51C+4MvrzggIW+wKhsnBL0BfvaAaopk/38/FC4CFQOSdlJ15jaXwnwC077
 NWHKbZtj+CUgSdEc0Fj2EBZyHGtiFqubKg6J0LE9V8K2tTySYDo7nxi94p2Q5ApjSwNs
 umsBHEopFkjvOxtXbfys4vXapwGLUiSOzVNGccrmse6eUjwuCao9I95SiOa2ygW2RGYe
 MdkT42/+9X+43FkN9jmK2UUWChhIJnc4Qeq0x5eqA7psDjU2Mg5V5AgRiSnqaxlkirgb
 jjXA==
X-Gm-Message-State: AOAM530xnMZ+Ai/OrGKzGFhWqMGgdwOF0jpeSDBoHATKUh4yNvD/K82P
 2NQho9R3UD0PEQ1OEcBo1PsHnaxD2lfy9w==
X-Google-Smtp-Source: ABdhPJxeK9TADQr6jq01HwuZnjlbominUB0NU3aSegidy3tEVXDVgvE6w14vlaj4wd8LzSP9yqo7Tg==
X-Received: by 2002:a37:94c1:0:b0:69e:afbb:675f with SMTP id
 w184-20020a3794c1000000b0069eafbb675fmr8950134qkd.334.1650859223374; 
 Sun, 24 Apr 2022 21:00:23 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:22 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 057/232] gnu: Add python-pip-run.
Date: Sun, 24 Apr 2022 23:56:23 -0400
Message-Id: <20220425035918.25683-57-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pip-run): New variable.
---
 gnu/packages/python-xyz.scm | 38 +++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index dc410da132..0f6731efe7 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -12850,6 +12850,44 @@ (define-public python-pip-run-bootstrap
 @end example")
      (license license:expat))))
 
+(define-public python-pip-run
+  (package/inherit python-pip-run-bootstrap
+    (name "python-pip-run")
+    (arguments
+     (substitute-keyword-arguments (package-arguments python-pip-run-bootstrap)
+       ((#:tests? _ #f)
+        #t)
+       ((#:phases phases #~%standard-phases)
+        #~(modify-phases #$phases
+            (replace 'check
+              (lambda* (#:key tests? #:allow-other-keys)
+                (when tests?
+                  (invoke "pytest" "-k"
+                          (string-append
+                           ;; Do not test the myproject.toml build as it tries
+                           ;; to pull dependencies from the internet.
+                           "not project "
+                           ;; These tests attempt to install dependencies from
+                           ;; the network and fail.
+                           "and not test_pkg_imported "
+                           "and not test_pkg_loaded_from_alternate_index ")))))))))
+    (propagated-inputs
+     (modify-inputs (package-propagated-inputs python-pip-run-bootstrap)
+       (replace "python-path-bootstrap" python-path)))
+    (native-inputs
+     (modify-inputs (package-native-inputs python-pip-run-bootstrap)
+       (append python-nbformat
+               python-pygments
+               python-pytest
+               python-pytest-black
+               python-pytest-checkdocs
+               python-pytest-cov
+               python-pytest-enabler
+               python-pytest-flake8
+               python-pytest-mypy)))
+    (properties (alist-delete 'hidden? (package-properties
+                                        python-pip-run-bootstrap)))))
+
 (define-public python-tlsh
   (package
     (name "python-tlsh")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:42 2022
Received: from localhost ([127.0.0.1]:60820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuv-00086O-P2
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:42 -0400
Received: from mail-qv1-f54.google.com ([209.85.219.54]:33756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptl-0007ph-Pi
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:30 -0400
Received: by mail-qv1-f54.google.com with SMTP id kc12so5771167qvb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=hEF5V9rGJZhGEuZ066mFdGscIUT1JiUR/FEDYsolUWQ=;
 b=ClpNiXtW+jgqYfzDZFy/LqCen+7ut0a1IXXROJlgUEIt5tPnFWQJ3brGcJU29xKyRY
 g763yy8NT1HJ5JPY2kpDNV84jxTirpIbL4zVVk408Np1Y6qD51PK/48v6CIMjYjhaK0j
 lBGvLHGIIjIJk3C2BibrbyoFFG3/gDyfpBjbeTtBwUFLfrFHKUJE8VJ7aoqRbIE5a62O
 E/D70GFT+3U8ONyI7PmhRU6OEIOe2haBntjBh5lWT83MPZ26tJsFyHnt9xIcOHPQz7ZO
 Vwj7xgpoPo5PH5kvBUz/2HxjNXFozchcVu2Q9JTxCOPfPd7+MLZ6lecJ+bgsvR9cj1Iz
 +6bA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=hEF5V9rGJZhGEuZ066mFdGscIUT1JiUR/FEDYsolUWQ=;
 b=UZtLoCIL9pE6dN4jGmMxFnrVJHrQap95JqvZtQidEZstH3Rsfkl24WS80JvgTPKljJ
 JxQOMtvXEv4+S+gCsW0XEs7UZnAKQ6lm/s84jvtLpPxdSQ/Xz3Vvu2+Q98RJjKmxjXyW
 PyzlnTnuVOmkVeNr77OZBOu80qlcgQgs15couOIvNtiUerd0hM46AT+jHvw4IrabxGfK
 jSM4v0F5J7jSncVNAyi/JLunwcweiFL8ylKzGRHZBmalcNNBZ6PwVVV2tcDksGpdHFUR
 heUzuGg5ZEDGq9Xv/cxDSRYHAyBKXzoM0w3S0uOwV9U7Nyb/z3Pca9R+h1pazfkFTHeK
 XpHg==
X-Gm-Message-State: AOAM532ItmwPI9vM/B6Q6qGwSKUyHUG5z9JZzqcQjr2aPJwy0lucQ+Kk
 TubRql8jn3SNSOIdFqT+56pIB+po08Pu5Q==
X-Google-Smtp-Source: ABdhPJzYKG/DP55xRwbP+0l39pCDbmvFvv0x3MboU/ZCzmDroP5a0ATid278kcT45dmL3gbUWi1EQg==
X-Received: by 2002:a05:6214:ca2:b0:452:f242:f6e3 with SMTP id
 s2-20020a0562140ca200b00452f242f6e3mr9272512qvs.112.1650859224031; 
 Sun, 24 Apr 2022 21:00:24 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 058/232] gnu: Add python-tempora.
Date: Sun, 24 Apr 2022 23:56:24 -0400
Message-Id: <20220425035918.25683-58-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-tempora): New variable.
---
 gnu/packages/python-xyz.scm | 54 +++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 0f6731efe7..179f5a6c1e 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -21445,6 +21445,60 @@ (define-public python-tempdir
 (define-public python2-tempdir
   (package-with-python2 python-tempdir))
 
+(define-public python-tempora
+  (package
+    (name "python-tempora")
+    (version "5.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "tempora" version))
+       (sha256
+        (base32 "09wirlk5vmxlhl9rnxp7g5qz2nsd6b0gnzk5fczbz0s8lsbz386b"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          ;; XXX: PEP 517 manual build copied from python-isort.
+          (replace 'build
+            (lambda _
+              (setenv "SOURCE_DATE_EPOCH" "315532800")
+              (invoke "python" "-m" "build" "--wheel" "--no-isolation" ".")))
+          (replace 'install
+            (lambda _
+              (let ((whl (car (find-files "dist" "\\.whl$"))))
+                (invoke "pip" "--no-cache-dir" "--no-input"
+                        "install" "--no-deps" "--prefix" #$output whl))))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                ;; Do not test the myproject.toml build as it tries to pull
+                ;; dependencies from the Internet.
+                (invoke "pytest" "-k" "not project")))))))
+    (native-inputs
+     (list python-pypa-build
+           python-freezegun
+           python-pytest
+           python-pytest-black
+           python-pytest-checkdocs
+           python-pytest-cov
+           python-pytest-enabler
+           python-pytest-flake8
+           python-pytest-freezegun
+           python-pytest-mypy
+           python-setuptools-scm
+           python-types-freezegun
+           python-types-pytz))
+    (propagated-inputs (list python-jaraco-functools python-pytz))
+    (home-page "https://github.com/jaraco/tempora")
+    (synopsis "Python date and time objects and routines")
+    (description "The @code{tempora} Python library contains miscellaneous
+date and time related utilities and constants, routines for measuring,
+profiling, and getting datetime-aware @acronym{UTC, Coordinated Universal
+Time} values as well as an event scheduler.")
+    (license license:expat)))
+
 (define-public python-activepapers
   (package
     (name "python-activepapers")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:41 2022
Received: from localhost ([127.0.0.1]:60818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuv-00086G-Co
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:41 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:36503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptk-0007pI-7A
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:30 -0400
Received: by mail-qk1-f174.google.com with SMTP id d19so9979924qko.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=vIbF9aAi4SNv9abQo9zhidDmdKdesw/qj+OKc34vvEI=;
 b=G7zvNHH2xZyjjG2hDnl052i3DrJ37TU9I4o8FxKNmrQ00bICS3EvqUq2nIp8isxIWU
 tHnPIDkdm814oWyIo22oaNWwi4pdc/NUGarw5YSpBizZ0J8OJwJW5s3TiZNKKCRzPNQY
 snRhvTal8xEnqQMCl4sF8ii1AX17Np/OuXJyxn5e3bvqLKyXjkFdaoRVbabYTAubX7Mq
 7BMj/4ZFY8FyEVj82YnahfIsxTrjUbmdzCcw+MTCM7EZeu8MnurZ19HBTa6Ptt1zA+UK
 WJkoS2CKYpsX8LKMvZOxV7rx58AHf8FB/urkaZbmSJkk9dEylhmd0WaZL0bvddr2zKbi
 f4IA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=vIbF9aAi4SNv9abQo9zhidDmdKdesw/qj+OKc34vvEI=;
 b=aoboVGRYliZACQu36SPpnxpw8jQQHy136IUFcWIgTquAVLYBKx9NvmckkCrmgeowLf
 3kf1qYu+1KmC/wqO6MjGYrGS4qsRWc4okQO7BWaXDdkT4UXpm3oviKIUIh8XD4A6D2Un
 z/y3wpXqTVDaLeEqR1JBt5eLTK2mLQ3R1TrJhfTBDxRB4TF65MegPIXvRxdL1ZT1HxKI
 R+OLZ/uVtnh/oEb/QESfFL8twbjIjzrnu99/8hiIcjjfdFDv2HDV2PzTBFjokFXGFKhu
 6FBFPiMXLa9oLzlMM5FEonVeT+1lQLLdUp+8FVUkj13qrXaZRRnlFQx/nOBVkmET8BMu
 M+nA==
X-Gm-Message-State: AOAM531f79fquOzE7QQt3w+cpcn6LKPcHHckGZRiMVcChjx5/wYfhgyb
 zvQa5QudLRnrZtUdUo2PD9wXw5vlou085w==
X-Google-Smtp-Source: ABdhPJxRYg7aUMNPUA/7ocS9cvbOeUbnKRpHQ2nS0S8fzx9LSi8D2UGwm683bC5bWBWShGe3c7+zlA==
X-Received: by 2002:a05:620a:280a:b0:69e:ba68:4580 with SMTP id
 f10-20020a05620a280a00b0069eba684580mr8872218qkp.668.1650859222555; 
 Sun, 24 Apr 2022 21:00:22 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:22 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 056/232] gnu: Add python-path.
Date: Sun, 24 Apr 2022 23:56:22 -0400
Message-Id: <20220425035918.25683-56-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-path): New variable.
---
 gnu/packages/python-xyz.scm | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 842d26d206..dc410da132 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -12723,6 +12723,42 @@ (define-public python-path-bootstrap
 invoked on those path objects directly.")
      (license license:expat))))
 
+(define-public python-path
+  (package/inherit python-path-bootstrap
+    (name "python-path")
+    (arguments
+     (substitute-keyword-arguments
+         (package-arguments python-path-bootstrap)
+       ((#:tests? _ #f)
+        #t)
+       ((#:phases phases #~%standard-phases)
+        #~(modify-phases #$phases
+            (replace 'check
+              (lambda* (#:key tests? #:allow-other-keys)
+                (when tests?
+                  ;; Do not test the myproject.toml build as it tries to pull
+                  ;; dependencies from the Internet.
+                  (invoke "pytest" "-vv" "-k"
+                          (string-append
+                           "not project "
+                           ;; This tests assumes a root user exists.
+                           "and not test_get_owner")))))))))
+    (native-inputs
+     (modify-inputs (package-native-inputs python-path-bootstrap)
+       (append python-appdirs
+               python-packaging
+               python-pygments
+               python-pytest
+               python-pytest-black
+               python-pytest-checkdocs
+               python-pytest-cov
+               python-pytest-enabler
+               python-pytest-flake8
+               python-pytest-mypy)))
+    (properties (alist-delete 'hidden?
+                              (package-properties
+                               python-path-bootstrap)))))
+
 (define-public python-pretend
   (package
     (name "python-pretend")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:41 2022
Received: from localhost ([127.0.0.1]:60816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuv-000869-06
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:41 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:34490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptj-0007p7-Gv
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:29 -0400
Received: by mail-qk1-f172.google.com with SMTP id j9so9979650qkg.1
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=BPa/fuEdK0cYW2HNAs+S65NnDYezg7tJSPz0MKMDX5k=;
 b=ZKzCw5+4qIckbYMY8D/tZ3c8Gi8ZpggfzxM5xLmAgHPjyJu7aWTCEmyXhVgwSJgQpX
 K8XqYWVJiH6dTysi+AhPSE3CjXYsNYXHdSXZtdKN4gnMra5ky6b734Fxlteb8aiHU4Jx
 ixvxRJIV3nwRqJyDmXVzjiIECiQ2F0+6pXaCl+mo+LrCdDwZdP8Ftq7mSTj8E6fVaqoB
 I0cyNQSJRvx4vwAiJSftOPfddsOXcRiIVvJeEmYA1TDDeo+5crrR4fIPeDYrVod8MBes
 FKup8GaMiMfNt0d44qOX9tgX3J+cDK/d2nIV2q5QuZ4FYiMWjCW+9eFYzIUC2JrMYNG8
 Zsmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=BPa/fuEdK0cYW2HNAs+S65NnDYezg7tJSPz0MKMDX5k=;
 b=q0Y+NTy4eOyZkmVcuJJYb2v86GZQJPgfNEWoa44czVPoYfhIOpLDD3BPseNe4WeEfq
 sNIwuUxY4YqN41I+I3dNkalEsdok25LhbcPKRyv+Vv8aLxEi9yZe5cq09cL8Xv7ZRqUN
 PKt4UPG7Hk4O3Zv9RWvbv7yFKEPgeTYmF3FcFvJY0dPlZ8OuqgBe8JshQOqnsQB8a5r7
 LJ1+zlNvoErY/ojfsSS9RCByH50mZqBMVn86rQeq278Ae1ib2D0c8R3LSGfWzIF53UBE
 lQXyhDkbKITkX+wbcauoBEdBmu4pbDtpGl3W3j7IWpylpkl8SjJY4zqoCltSZKKfbrx/
 li+w==
X-Gm-Message-State: AOAM532B6pn2aIYSyns/4JzhA7vsOc2sijEXgjYs77AE6u0H09QHnljn
 gdUQL26++qK4YstzRcaqV6y7ktPh+L4MOA==
X-Google-Smtp-Source: ABdhPJz3B14Xyb29Fxy/YtDrkFlkS+LQDODiSZxw4y1JDl72FYny4PLseXT43KB2tdJQzXpmIOMmFQ==
X-Received: by 2002:a05:620a:4305:b0:67e:8b39:201d with SMTP id
 u5-20020a05620a430500b0067e8b39201dmr8826865qko.741.1650859221911; 
 Sun, 24 Apr 2022 21:00:21 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:21 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 055/232] gnu: Add python-pytest-enabler.
Date: Sun, 24 Apr 2022 23:56:21 -0400
Message-Id: <20220425035918.25683-55-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-enabler): New variable.
---
 gnu/packages/check.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 135fd671a2..8ed53f7e27 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2225,6 +2225,36 @@ (define-public python-pytest-enabler-bootstrap
      (description "Enable installed pytest plugins")
      (license license:expat))))
 
+(define-public python-pytest-enabler
+  (package/inherit python-pytest-enabler-bootstrap
+    (arguments
+     (substitute-keyword-arguments
+         (package-arguments python-pytest-enabler-bootstrap)
+       ((#:tests? _ #f)
+        #t)
+       ((#:phases phases #~%standard-phases)
+        #~(modify-phases #$phases
+            (replace 'check
+              (lambda* (#:key tests? #:allow-other-keys)
+                (when tests?
+                  (invoke "python" "-m" "pytest" "-vv" "tests"))))))))
+    (propagated-inputs
+     (modify-inputs (package-propagated-inputs python-pytest-enabler-bootstrap)
+       (replace "python-jaraco-context-bootstrap" python-jaraco-context)
+       (replace "python-jaraco-functools-bootstrap" python-jaraco-functools)))
+    (native-inputs
+     (modify-inputs (package-native-inputs python-pytest-enabler-bootstrap)
+       (append python-pytest
+               python-pytest-black
+               python-pytest-checkdocs
+               python-pytest-cov
+               python-pytest-flake8
+               python-pytest-mypy
+               python-types-toml)))
+    (properties (alist-delete 'hidden?
+                              (package-properties
+                               python-pytest-enabler-bootstrap)))))
+
 (define-public python-pytest-freezegun
   (package
     (name "python-pytest-freezegun")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:41 2022
Received: from localhost ([127.0.0.1]:60814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuu-000862-KL
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:40 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:44620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptY-0007mh-9i
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:29 -0400
Received: by mail-qk1-f175.google.com with SMTP id b189so9953510qkf.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4oPHZg1EnM5zhVOjgWVlfXmOMQctWUoLm/Z6ZZvxGQE=;
 b=S28L3hNJ7CkvFxJRYVcRdCio6669ZszdvQ1gPDJXU7M/A6Bt6MYU4XWCQP7fhPjtJk
 cWd+kJrzGHES3LQ2NihOeIwyTLLO+bvnjEHPiZEDkQYiZXddhheeIXLekG911ru99kaP
 EhWKz6EI0U85ipMkujMEr2e+A7K2AFs1NMgkQeugcnhuDJrR4HM7cDBgNYFxaCanGLab
 OaT1LTe8wdqkzv4wVyCYsSt5jtgBE/S8ansZYqxh2BcvVQYcBll0qz0l6qUliArBeh/4
 7Aouxsa2hdYormK//+/ka5amF6T3pM4BdkHZKvVEeRR0/AQ1iMYKv+0ZapaKJuzvdQO5
 aRkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4oPHZg1EnM5zhVOjgWVlfXmOMQctWUoLm/Z6ZZvxGQE=;
 b=iuzKOIjI6KYzVXOvgfaGw1Rlr/aBrbsLXr7Z/HBEu7x4Qwlvl68bCHi0R5MAopXMjx
 HK/gJYty6n9yOtdVwHi17mbo5uNePWF46fVK0jHpupPKZld3A/3fD8C+zkHsB7dtIeq9
 Zn9s6ckPfWhu9yIR1Qs7jvhkXLdtUXbSgBwTnhms/6oe4d+4OG1PrHvC5X2uY9gWpL2I
 WKXJJL46u44EaOZH1M1ERJhcGNdEenDW4KuI41UCmWT7LVCusjSpGUYiZ8lG//jjlcsM
 e99Z7dULJHXhUeiEWmg+JRGAuInpajzBnKGXWk+GQ1P5raJNd83gepKl4oO3l+4fO1YE
 fghA==
X-Gm-Message-State: AOAM5307bIqqLJAiITPaLRQLjA+2vjW4zO/me7cD0ygmseQZVRhMiMCD
 HiSRpgJeyr8gm18RAijIOZmZuma89vNF+A==
X-Google-Smtp-Source: ABdhPJxfe2wv9ifEe8tmYC8nQDCW/Z9ngGX+48eaGc+18BMuc6PmuJTFh9AQEFV8fLHrbnkWb6T7jQ==
X-Received: by 2002:a37:66d6:0:b0:69e:661e:4aa2 with SMTP id
 a205-20020a3766d6000000b0069e661e4aa2mr9135011qkc.734.1650859210624; 
 Sun, 24 Apr 2022 21:00:10 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:10 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 040/232] gnu: Add python-autocommand.
Date: Sun, 24 Apr 2022 23:56:06 -0400
Message-Id: <20220425035918.25683-40-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-autocommand): New variable.
---
 gnu/packages/python-xyz.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b5dd58a512..944518e67b 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7055,6 +7055,36 @@ (define-public python-orderedmultidict
 multivalue dictionary that retains the order of insertions and deletions.")
     (license license:unlicense)))
 
+(define-public python-autocommand
+  (package
+    (name "python-autocommand")
+    (version "2.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "autocommand" version))
+       (sha256
+        (base32 "03qp9xx4dq81ljhf56r21gp5j0lpqs1vaw99g0d84i97s3lj1m7y"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                ;; This test fails with an invalid syntax error on 'task1 =
+                ;; asyncio.async(coro_1())' (see:
+                ;; https://github.com/Lucretiel/autocommand/issues/20).
+                (delete-file "test/test_autoasync.py")
+                (invoke "pytest" "-vv")))))))
+    (native-inputs (list python-pytest python-pytest-asyncio))
+    (home-page "https://github.com/Lucretiel/autocommand")
+    (synopsis "Python library to build a command-line from a function")
+    (description "@code{autocommand} is library to automatically generate and
+run simple @code{argparse} parsers from function signatures.")
+    (license license:lgpl3+)))
+
 (define-public python-autopep8
   (package
     (name "python-autopep8")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:40 2022
Received: from localhost ([127.0.0.1]:60812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuu-00085u-7t
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:40 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:35330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipti-0007ov-OQ
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:29 -0400
Received: by mail-qk1-f176.google.com with SMTP id y129so9970338qkb.2
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=7RrLyyyG+XtxzQrq52aSzMaV8jhkSaQG9WzKFwkTgUs=;
 b=FnB7O/y0jf8FDC+SNgvLYbo3illBVhZQ4UqYh+2WXzsUGAIyP5WO4o1J0wnysgd933
 CW0R+TV9p0vfFrJVIXWDOgLrM2czlQu9en+MxaSzZD8pX/jD9KFtkC/j8GTkhKqf+qMI
 N48bI2IwLqcZnp4pqW27UR5A4qDYMnCumSA0xUhWXRkb2e6fq+Fs4Xf5mjYvzGnNJt/i
 NiqIa7+mm9sQM/2AuL8CgLDi/s3JsdTmsWu6vjGa5fHgK7qM63r0v55dxhWxTbnPpSuI
 ldvPhtfXkmX3lKzGzww4Nkq7/93XYPS1rcP0Wmt9R8HQp5918Iut7wtE76JZaM5A7Id2
 rdUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=7RrLyyyG+XtxzQrq52aSzMaV8jhkSaQG9WzKFwkTgUs=;
 b=i2+rOnBKpRoXeDMsA1/6qPbcQ7RuI8G3gFMQbB1PPnOhIWf7AunGQ5PS9YgikFSxIx
 FXNkmjTPRC6nkX5IMqoos1QGIlQrpR7FcVZR8XEqcTEI5JtuXIWtb3RNUhxkXg3myCJl
 pNjWKe4LzoS5e94IG+GirNtpkmBSKh8+zcvLw2EZBPQunTj1gxqNXNSDapaiIuiqifKQ
 OTx3bcOHdS70/mb2mCq+QWZ9woLdmkZgOHd4ZBZlbHFK/+axP0srzH/IKNbhLfm3Vw5y
 8N8JJcWtEatpLSj4M3LqvX3xilK+9chu2zbVBJzXZqsMXcvIPCmfuuSTm0pvsbT3IO2s
 Lyhg==
X-Gm-Message-State: AOAM532jPxmrvmXxEABLO9LCQtTYsIE1q1R30i/OzlragDf+8rTxBkbL
 9qY7Y90LTcDJzen9YKaLOtSkW+NZKPhH5g==
X-Google-Smtp-Source: ABdhPJyMUPNVfk5aFEuIexhqZe0zCIDH/47SKPdp1FM/LlUi+5oJWQBbukGYXlkrY+f+KXHu+lnfJw==
X-Received: by 2002:a37:5582:0:b0:69e:88dc:79a1 with SMTP id
 j124-20020a375582000000b0069e88dc79a1mr9153248qkb.661.1650859221108; 
 Sun, 24 Apr 2022 21:00:21 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:20 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 054/232] gnu: Add python-jaraco-functools.
Date: Sun, 24 Apr 2022 23:56:20 -0400
Message-Id: <20220425035918.25683-54-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-jaraco-functools): New variable.
---
 gnu/packages/python-xyz.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 67d6f5f934..842d26d206 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8625,6 +8625,36 @@ (define-public python-jaraco-functools-bootstrap
 module with a few extra procedures.")
      (license license:expat))))
 
+(define-public python-jaraco-functools
+  (package/inherit python-jaraco-functools-bootstrap
+    (name "python-jaraco-functools")
+    (arguments
+     (substitute-keyword-arguments
+         (package-arguments python-jaraco-functools-bootstrap)
+       ((#:tests? _ #f)
+        #t)
+       ((#:phases phases #~%standard-phases)
+        #~(modify-phases #$phases
+            (replace 'check
+              (lambda* (#:key tests? #:allow-other-keys)
+                (when tests?
+                  ;; Do not test the myproject.toml build as it tries to pull
+                  ;; dependencies from the Internet.
+                  (invoke "pytest" "-vv" "-k" "not project"))))))))
+    (native-inputs
+     (modify-inputs
+         (package-native-inputs python-jaraco-functools-bootstrap)
+       (append python-jaraco-classes
+               python-pytest
+               python-pytest-black
+               python-pytest-checkdocs
+               python-pytest-cov
+               python-pytest-enabler-bootstrap ;OK since not propagated
+               python-pytest-flake8
+               python-pytest-mypy)))
+    (properties (alist-delete 'hidden? (package-properties
+                                        python-jaraco-functools-bootstrap)))))
+
 (define-public python-jaraco-packaging
   (package
     (name "python-jaraco-packaging")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:40 2022
Received: from localhost ([127.0.0.1]:60810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niput-00085r-Up
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:40 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:43541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptY-0007mv-Uz
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:29 -0400
Received: by mail-qk1-f175.google.com with SMTP id a186so9955613qkc.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=wLvexSRTCYrfJsiTxKksV9TcedyhL4OMmQIR9L72ZEU=;
 b=jdP04aAJpZBw7zI9cJTDV6zzxSWyKlN9sg2H+/s8kJEZIFolON6XoukCvVTBY3TCqf
 NOKxy+MIMZaeePMLdoSs/9bYsl7EZP285TUtAjKZ9GSVIX6o8upps5PtiaLpKHV2zz6v
 iiLDCEh39R1Bg0g2jfy14wP+HmjHWuO832xMGw7hA5Qg+whRw86h3Jjh8kbmmmuMNGDp
 1sWS0UW7zsZiGw8wSuxS2iKnXN08+SpNz0AFjxYd6fX/KHbSwV0utPMdYaAydQkbYOF4
 qETwG+ltVPD6tcpyQBWOylecpelatnapcSZCByNszdHCvTeWkDAOIwAvFWi9dF0MQKlY
 PcgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=wLvexSRTCYrfJsiTxKksV9TcedyhL4OMmQIR9L72ZEU=;
 b=1/jnXRaqNcr6PEA+1/Ao9mPl8AViJmMrCuPTye4jTxBuBX+fTEgvsSKBATARuGQJqG
 TFjkuPN3tb4GdjWY0tO2BRWVmKWGE3cCwHLpL+Hk1QMWV01XqVXgnwZmpzsNaCHbLzkU
 tmS/7Ty0pL+F5kyyszCWL2TmjeVbAKyjrjSLb2px4iZQjv9emTZF5N86YtBW9E4fVBzq
 Dk0tth0OPvdFzB/TpTEWFLdJE/Npnpmzd5w1p73WgwabipccTYZeb0AbVUbNcHqd5Tj2
 ciRNzwwGB2VvIkd2sNdY5gXICFdn8jJ3cbWucbO2JOVTad1ZtEc87U54ETVRKPs42AqD
 7Npw==
X-Gm-Message-State: AOAM532S64C5zczwOwyjmMTLsOFEFNYW6xAqIB7qU4oEtVyJqZDm10K3
 +K+aebYcjKu8W1QAOvCGH7aIBe3wZeSHew==
X-Google-Smtp-Source: ABdhPJwyUHzdu6nBUYIuWyseOiFe7EXzUYKD363GFrA4YGVx2/ClSNWWQjsKHwH/JH9wGSWJHmKuDQ==
X-Received: by 2002:ae9:ed87:0:b0:69e:bef0:9b4d with SMTP id
 c129-20020ae9ed87000000b0069ebef09b4dmr9211245qkg.191.1650859211369; 
 Sun, 24 Apr 2022 21:00:11 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:10 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 041/232] gnu: Add python-types-freezegun.
Date: Sun, 24 Apr 2022 23:56:07 -0400
Message-Id: <20220425035918.25683-41-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-types-freezegun): New variable.
---
 gnu/packages/python-xyz.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 944518e67b..189134c083 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -29487,6 +29487,24 @@ (define-public python-ansicolors
      "This package adds ANSI colors and decorations to your strings.")
     (license license:isc)))
 
+(define-public python-types-freezegun
+  (package
+    (name "python-types-freezegun")
+    (version "1.1.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "types-freezegun" version))
+       (sha256
+        (base32 "08g926s8343zwq140zcfwly3qfgmahm7lp0vgb3ics549b2hifzl"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/python/typeshed")
+    (synopsis "Typing stubs for @code{freezegun}")
+    (description "This package contains typing stubs for for @code{freezegun}, a
+very small subset the Python stubs contained in the complete @code{typeshed}
+collection.")
+    (license license:asl2.0)))
+
 (define-public python-types-toml
   (package
     (name "python-types-toml")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:18 2022
Received: from localhost ([127.0.0.1]:60788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuY-00081u-Gr
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:18 -0400
Received: from mail-qk1-f182.google.com ([209.85.222.182]:37640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipte-0007o3-6l
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:24 -0400
Received: by mail-qk1-f182.google.com with SMTP id b68so9974635qkc.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=pTN/mxEhopnYo/Z1wIs4sJYWRtz8VuBLVabSMCtbD60=;
 b=Sf1TqYBEhRpqnF+uZ1fNTHLKAR5pJXWoXahngwf3aYtw7bkXx90uC9OcD2ztWfWoMG
 oIdhFDgTeBQPDZJRjwQpsvn4kKVYGYQuyhpMVgynfBE211hUijbvqZHQlItiZ6xhzGsd
 wu57qzCmEN0qOLIRuqq+WzQYYbA3JAlFpXAC2wHiDguYZlPnPPM9JKN3wTHGy2dO1hd8
 yRnlhHXvBOip3z0/AG5oWXG3yjq9kbTcxKLB1YkIE2wdUzFI2z1HjAobjf1jFP9zLxxp
 jT4Lgkx/tkiNGkmrIUXuYLHTI55Mxq90fSGl/7DhpeePmD1THkTOD1dHhWd9l9LAlvs4
 0gHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=pTN/mxEhopnYo/Z1wIs4sJYWRtz8VuBLVabSMCtbD60=;
 b=03FRm4NWl022Hp0Rns4lUIu7UFOcwKbXbjx05RXGGWWWixWByF2ijO0PAw41WjST0Y
 HnoM/hVvSuw/EK83CHUkAND6Tk8vHY8ADf8Qb+NMud21Sc4s/AbW7PpgEXO+G8xzYaJG
 pA/paB8owYVSIv0lu4LViMuyFbDudlgTnIEYmg5kcBmNfqQEYd2tmqN3uJJOTqzXzf0M
 hEx0AbKo/iHXbRbkCYBb8h7f52wqwGXZBi3IrDSyVoIquxHI6aAEbulmtHUc/OipKdYs
 f3LvU7eaIcLlQUdP2e0KlHZuY1EyBZzBhDGtLaDqHLiHUraGatEm0P+osm80lx4NPmZJ
 XW9w==
X-Gm-Message-State: AOAM530Yibo0vlo76VjniJSbjqAho16VxpX8ku0JOalr50XvYXwM9y+j
 X3eeSYzoWvokxp1vkgusKcuGHcW3lOXSRA==
X-Google-Smtp-Source: ABdhPJzcXk8glVL/uphVTdNuxWNHmRJ5DDfV8Qwu8RB3ibbMkKj1QFn80Gj/7PYdqleGNLNqQTZ6Vw==
X-Received: by 2002:a05:620a:1a17:b0:69c:669c:1032 with SMTP id
 bk23-20020a05620a1a1700b0069c669c1032mr8987648qkb.377.1650859216537; 
 Sun, 24 Apr 2022 21:00:16 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:16 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 048/232] gnu: python-pytest-black: Update to 0.3.12.
Date: Sun, 24 Apr 2022 23:56:14 -0400
Message-Id: <20220425035918.25683-48-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pytest-black): Update to 0.3.12.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 844724afb5..c1ca9ba69d 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -12127,14 +12127,14 @@ (define-public python-sniffio
 (define-public python-pytest-black
   (package
     (name "python-pytest-black")
-    (version "0.3.8")
+    (version "0.3.12")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "pytest-black" version))
        (sha256
         (base32
-         "04lppqydxm0f3f3x0l8hj7v0j6d8syj34jc37yzqwqcyqsnaga81"))))
+         "19bmbcnaq02md8nnj6pywri3vps8sxnhysbfy386qkbn9w09ncqx"))))
     (build-system python-build-system)
     (propagated-inputs
      (list python-pytest python-black python-toml))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:18 2022
Received: from localhost ([127.0.0.1]:60785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuX-00081d-NH
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:18 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:40941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptd-0007nz-IO
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:23 -0400
Received: by mail-qk1-f170.google.com with SMTP id e128so9967634qkd.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=W2ndXJgJiWzxRqlwaNKv4fMP5ejdpNgu4pkasL3YoSg=;
 b=K+Acc6Abxs7Kp9vxQ6WqJ2mfuNpC6i78rJrn4yGYDH4vcY+tt/lWwbMPgYgC/BMtAH
 kbq1IDUMJ6mIzal2Tbfk3pDxhS50qwqdQcOtZqi6qN447+cWV+MAf5RXh6/wD6Hnq6oK
 JJJJQ2AKQoRweadeDQ2HD5oEQ4R2Xj1w+WGW1cQ9eE5z7rc1Z7sn7dGnAB1U64HdZMih
 07E61co07bdqauH1epmT5S75erHhSX5DItnM8hKipeVDIjgXbNkqMkrnyLzqpwHGZQh8
 ATYW+NEZTTfdkRQfOKN/DloRW3Irv1vjbNIlSSaIlj8QA0jyaYKI6R5BPCxlsHxC9nyU
 7j7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=W2ndXJgJiWzxRqlwaNKv4fMP5ejdpNgu4pkasL3YoSg=;
 b=hi/vciIKuCcl/yxH0KQ9yUVb1uEIImY7NGtOcaqIA2M1RLrkuGN8uBmEt8KKfY5Pz+
 p9qhXppitl2Dka+ghSZVYBZSngOZ7sPFuugHq66OK1CrbamQMTwjPxGrJhRBJtWKkMkB
 4qjb0poMJ7OLaIB5hlMT0wicUq4fQJe42CTgr2k2wGSEiYcPQSm/ZOiVEPGRkIS2VfNV
 Ex+er+6HdqGagYpgp8YOSdxBCsLTGfIf6IwXf3TgYpYOG31MPqfON/rTfTcV61qEKbnP
 1pLG00VKNZtcyzJTbxFM6ARliNzIReAh3cZ4aOaEhg10RWRRadrJO9Hr3fWAcbf3Q+9C
 cg2A==
X-Gm-Message-State: AOAM530eyqwpwatF6QH1QfhhlEMJcoOmp0WJdvoMlPW6oal9FT9VVe4F
 RSLeCNt2qLFcSTyUO2MAabYDFlk0Ti2aPw==
X-Google-Smtp-Source: ABdhPJzOZ1uYD3WhT2v8gZgxEaq+MTQszcFtReIUUIYQtJAi7NBYNLAoe9GZ/lZL1U80tyc1SVc58w==
X-Received: by 2002:a37:63c7:0:b0:69e:5d71:e45c with SMTP id
 x190-20020a3763c7000000b0069e5d71e45cmr9119941qkb.620.1650859215826; 
 Sun, 24 Apr 2022 21:00:15 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:15 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 047/232] gnu: python-importlib-metadata: Update to 4.11.3.
Date: Sun, 24 Apr 2022 23:56:13 -0400
Message-Id: <20220425035918.25683-47-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-importlib-metadata): Update to 4.11.3.
[phases]{build, install, check}: Override phases.
[native-inputs]: Remove python-packaging.  Add python-pypa-build and
python-pytest.
(python2-importlib-metadata): Adjust to keep unchanged.
---
 gnu/packages/python-xyz.scm | 68 +++++++++++++++++++++++++++----------
 1 file changed, 50 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 0c0d46eb5a..844724afb5 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8376,19 +8376,41 @@ (define-public python2-importlib-resources-bootstrap
 (define-public python-importlib-metadata
   (package
     (name "python-importlib-metadata")
-    (version "1.5.0")
+    (version "4.11.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "importlib_metadata" version))
        (sha256
         (base32
-         "00ikdj4gjhankdljnz7g5ggak4k9lql2926x0x117ir9j2lv7x86"))))
+         "0f951zynlh39yicqnhrs3p1qa5p3g6ajjfcggf12y51ppxz5jk7a"))))
     (build-system python-build-system)
-    (propagated-inputs
-     (list python-zipp))
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          ;; XXX: PEP 517 manual build/install procedures copied from
+          ;; python-isort.
+          (replace 'build
+            (lambda _
+              ;; ZIP does not support timestamps before 1980.
+              (setenv "SOURCE_DATE_EPOCH" "315532800")
+              (invoke "python" "-m" "build" "--wheel" "--no-isolation" ".")))
+          (replace 'install
+            (lambda* (#:key outputs #:allow-other-keys)
+              (let ((whl (car (find-files "dist" "\\.whl$"))))
+                (invoke "pip" "--no-cache-dir" "--no-input"
+                        "install" "--no-deps" "--prefix" #$output whl))))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv" "tests")))))))
+    (propagated-inputs (list python-zipp))
     (native-inputs
-     (list python-setuptools-scm python-pyfakefs python-packaging))
+     (list python-pypa-build
+           python-pyfakefs
+           python-pytest
+           python-setuptools-scm))
     (home-page "https://importlib-metadata.readthedocs.io/")
     (synopsis "Read metadata from Python packages")
     (description
@@ -8404,19 +8426,29 @@ (define-public python-importlib-metadata
 (define-public python2-importlib-metadata
   (let ((base (package-with-python2 (strip-python2-variant
                                      python-importlib-metadata))))
-    (package/inherit
-     base
-     (name "python2-importlib-metadata")
-     (native-inputs
-      `(("python-setuptools-scm" ,python2-setuptools-scm)
-        ("python-pyfakefs" ,python2-pyfakefs-bootstrap)
-        ("python-packaging" ,python2-packaging-bootstrap)))
-     (propagated-inputs
-      `(("python-configparser" ,python2-configparser)
-        ("python-contextlib2" ,python2-contextlib2)
-        ("python-importlib-resources" ,python2-importlib-resources)
-        ("python-pathlib2" ,python2-pathlib2)
-        ,@(package-propagated-inputs base))))))
+    (package/inherit base
+      (name "python2-importlib-metadata")
+      (version "1.5.0")
+      (source
+       (origin
+         (method url-fetch)
+         (uri (pypi-uri "importlib_metadata" version))
+         (sha256
+          (base32
+           "00ikdj4gjhankdljnz7g5ggak4k9lql2926x0x117ir9j2lv7x86"))))
+      (arguments (substitute-keyword-arguments (package-arguments base)
+                   ((#:phases phases)   ;reset standard phases
+                    #~%standard-phases)))
+      (native-inputs
+       `(("python-setuptools-scm" ,python2-setuptools-scm)
+         ("python-pyfakefs" ,python2-pyfakefs-bootstrap)
+         ("python-packaging" ,python2-packaging-bootstrap)))
+      (propagated-inputs
+       `(("python-configparser" ,python2-configparser)
+         ("python-contextlib2" ,python2-contextlib2)
+         ("python-importlib-resources" ,python2-importlib-resources)
+         ("python-pathlib2" ,python2-pathlib2)
+         ,@(package-propagated-inputs base))))))
 
 ;; This package is used by python2-pytest, and thus must not depend on it.
 (define-public python2-importlib-metadata-bootstrap
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:17 2022
Received: from localhost ([127.0.0.1]:60783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuX-00081S-3r
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:17 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:44637)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptc-0007no-Jh
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:22 -0400
Received: by mail-qt1-f169.google.com with SMTP id t11so2668087qto.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=FMPhS93S2sU4VPSIX4rxgQ4HM6wZB6zfuKMcfHboyC4=;
 b=kgQL9jCRdDvgDxzgVege8dciMpqz0tOXOUCYzsdqBo3zYaSm8u4b95ycW0Q8hal5yv
 /wAAy/h2CB1M1q48LfcSEqkkVxvGbHCl8NefC2oF2/iYwo9Lf/srRU/7BFsE0gDRuPkp
 Dt1z2KKwBFQXkKsB6LFGY0WlCm1yfy6nxuNTVSoAieOo1qAn47Ou7uhn4kGIPj+f7Q+s
 1noWcvsVxFKEtYozeEpqAOFqRDHTfjLvz7IF5TsLFVNVRs6/U5RH4I6hR0ZRd6LNxoFl
 xTt54iP9c4A61r++joSpJZr+5E6VRaWmrsgyRX6vfb5vgp0e210KlslOpdEsPYGu2F6f
 4mXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=FMPhS93S2sU4VPSIX4rxgQ4HM6wZB6zfuKMcfHboyC4=;
 b=B7uWYztmhaaK7s0ccuQMxNf4kVwhKqtZvH6xJ17UTawtijQyf7h5c0W163luBIHYC5
 GOaUrEDQ4g7Z/CqJ8ZXX/kJBqEQlMPUcSinItpe+EotHvrj8bef6BjpOHrhzKsdD/E7+
 L9NmgjOG0/zY3IJqJuZT/tFmkDJ0fzwOzbml+hu8BkFXZxIwkjTFKCxljxNyOW1ybMAn
 KjJM+Zvd6tW/2m/EvYIdD5jdw9Q2yLmyHBzwJvJrT57CAQ7+yhd67X0dupTA/TMPDX2V
 fX1LSJim6+1inl07zIxn2GV4ZLRaiE1Y0vkpfglGR4z1cnhzrtvpVjS8MPg75P/V6PNW
 q1sw==
X-Gm-Message-State: AOAM531xq/NbbUaT69DxALfs5Op52wgiMhohshzK+AeJtTtIfdacutXq
 BcK3XaUWQZlvHtNTn06TlQBakcMxH5dFsg==
X-Google-Smtp-Source: ABdhPJzKgjsBJPm7spLmawdf7z+YvcmJrcwCjwiUryKa76tpUuSkHwIRQ8xGL91ORdfUlKxlYMTcNA==
X-Received: by 2002:a05:622a:13c8:b0:2f3:5421:d64d with SMTP id
 p8-20020a05622a13c800b002f35421d64dmr10789549qtk.43.1650859215035; 
 Sun, 24 Apr 2022 21:00:15 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:14 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 046/232] gnu: Add python-pip-run-bootstrap.
Date: Sun, 24 Apr 2022 23:56:12 -0400
Message-Id: <20220425035918.25683-46-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pip-run-bootstrap): New variable.
---
 gnu/packages/python-xyz.scm | 43 +++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 13c9694d9c..0c0d46eb5a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -12642,6 +12642,49 @@ (define-public python-pip
 (define-public python2-pip
   (package-with-python2 python-pip))
 
+;;; Variant used to break a dependency cycle with
+;;; python-pytest-perf-bootstrap.
+(define-public python-pip-run-bootstrap
+  (hidden-package
+   (package
+     (name "python-pip-run-bootstrap")
+     (version "8.8.0")
+     (source (origin
+               (method git-fetch)
+               (uri (git-reference
+                     (url "https://github.com/jaraco/pip-run")
+                     (commit (string-append "v" version))))
+               (file-name (git-file-name name version))
+               (sha256
+                (base32
+                 "0ycrjj3jgqcr9c2k7y8vprq65iblg0q0hvwz8zwi13gmb0ffds0c"))))
+     (build-system python-build-system)
+     (arguments
+      (list
+       #:tests? #f
+       #:phases
+       #~(modify-phases %standard-phases
+           (add-before 'build 'pretend-version
+             ;; The version string is usually derived via setuptools-scm, but
+             ;; without the git metadata available this fails.
+             (lambda _
+               (setenv "SETUPTOOLS_SCM_PRETEND_VERSION" #$version))))))
+     (native-inputs (list python-setuptools-scm))
+     (propagated-inputs (list python-autocommand python-path-bootstrap
+                              python-packaging))
+     (home-page "https://github.com/jaraco/pip-run")
+     (synopsis "Dynamic dependency loader for Python")
+     (description "The @command{pip-run} command provides on-demand temporary
+package installation for a single interpreter run.  It replaces this series of
+commands:
+@example
+$ virtualenv --python pythonX.X --system-site-packages /tmp/env
+$ /tmp/env/bin/pip install pkg1 pkg2 -r reqs.txt
+$ /tmp/env/bin/python ...
+$ rm -rf /tmp/env
+@end example")
+     (license license:expat))))
+
 (define-public python-tlsh
   (package
     (name "python-tlsh")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:17 2022
Received: from localhost ([127.0.0.1]:60780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuW-00081E-F2
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:16 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:47027)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptb-0007ng-UV
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:21 -0400
Received: by mail-qv1-f48.google.com with SMTP id jt15so4941175qvb.13
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=O1rm52yHQTsf9BS+V3YQzrgVE+sufP0pzK1NL88Ll9k=;
 b=gQTJxKfwQ+M9OIxKDHj4ZzPF7gFzHi+uyM78NMrn/k0vNvWh9hUPTDXVP689GtuU7g
 5tWZH4bZrne8lE+ovgS91tDpUKVJzk+y5L2nDV/ghh00jGXfQWpPB+66HwLhPG2KY1yH
 e/K4iciBMbTkTAVmrI0jfRLhaGXntwRkBa7j5y4YkXJ+ITtLYg6uyAuSbIejIZLheP+a
 n8py7ww4Bj6MoNsrOX8L3GeoqbM7WzKp7O8vulTpYurP7MeL16nVBCZbCWKQ809yxKaY
 BM6Xxv+je2aT2apRv7Qo0g5l85Ujjhlv2gEFrVRkxFzBC+PLdi0lq6Ql1NyQljp8eIkD
 DaDg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=O1rm52yHQTsf9BS+V3YQzrgVE+sufP0pzK1NL88Ll9k=;
 b=SvCrvKNReue19c1EM4AIsTdfDuegJR6eQ3eGU9zIQ8/wFEH/k7INMwsbCCK7F51mfY
 TzTsiW9SLF4v2uzH+UWZJ0ayplcn59j5ESUK5n+id4pITkt9oq92W76E7FPazoY2XKJG
 5lwG/8fRc+H88gQ7f7IC5ZMOTVWBgentnCYn0YmVIt5N9k+7bV5oU08ONdgJjzTpZ3eZ
 jfYsruIGlPaAsj2EJQUqYCjPFZawvpCAQ/X3OXcrVH58uLie9Oww1lU77m786Uoi6XnI
 W5wUPecscMQSz/9qRXYtWxiRyC4g9jhB5e1uAHjfIB8OSBwm9W2Zjqqm340bhuhNWJsP
 MoNg==
X-Gm-Message-State: AOAM53211LJLvdP1dhDbC4d4dVO4wr9RsKgPkvdruskDTubc3Wle4jwG
 TUJOOSS4GdPo1b3px7K28o2FKwPvIwlsfQ==
X-Google-Smtp-Source: ABdhPJzSo8TrOR4AJKN7iD0YdEUKuPXLh+9h8ylWSbfnkRYHhE8+No0+dV2DIGoobwn6hvrf85ahKQ==
X-Received: by 2002:a05:6214:2349:b0:443:90ec:110b with SMTP id
 hu9-20020a056214234900b0044390ec110bmr11455525qvb.64.1650859214348; 
 Sun, 24 Apr 2022 21:00:14 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:13 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 045/232] gnu: Add python-path-bootstrap.
Date: Sun, 24 Apr 2022 23:56:11 -0400
Message-Id: <20220425035918.25683-45-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-path-bootstrap): New variable.
---
 gnu/packages/python-xyz.scm | 38 +++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 3d481c419a..13c9694d9c 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -12556,6 +12556,44 @@ (define-public python-idna-ssl
 domains support.")
     (license license:expat)))
 
+;;; Variant used to break a cycle with python-pip-run-bootstrap.
+(define-public python-path-bootstrap
+  (hidden-package
+   (package
+     (name "python-path-bootstrap")
+     (version "16.4.0")
+     (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "path" version))
+        (sha256
+         (base32 "0lig13gxnfv98v790db1smvsbd3mnj7y8rwyiwhfi6xiqibygwms"))))
+     (build-system python-build-system)
+     (arguments
+      (list
+       #:tests? #f
+       #:phases
+       #~(modify-phases %standard-phases
+           ;; XXX: PEP 517 manual build/install procedures copied from
+           ;; python-isort.
+           (replace 'build
+             (lambda _
+               ;; ZIP does not support timestamps before 1980.
+               (setenv "SOURCE_DATE_EPOCH" "315532800")
+               (invoke "python" "-m" "build" "--wheel" "--no-isolation" ".")))
+           (replace 'install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((whl (car (find-files "dist" "\\.whl$"))))
+                 (invoke "pip" "--no-cache-dir" "--no-input"
+                         "install" "--no-deps" "--prefix" #$output whl)))))))
+     (native-inputs (list python-pypa-build python-setuptools-scm))
+     (home-page "https://github.com/jaraco/path")
+     (synopsis "Object-oriented file system path manipulation library")
+     (description "@code{path} (formerly @code{path.py}) implements path
+objects as first-class entities, allowing common operations on files to be
+invoked on those path objects directly.")
+     (license license:expat))))
+
 (define-public python-pretend
   (package
     (name "python-pretend")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:16 2022
Received: from localhost ([127.0.0.1]:60777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuV-000814-W5
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:16 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:36500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptb-0007nS-3m
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:20 -0400
Received: by mail-qk1-f181.google.com with SMTP id d19so9979712qko.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4FVkkFNwLeZjJo92SBwRkWUSnVIXTq73j6we/V6E75U=;
 b=obFq/S79LAtJuGTInfH8XEuEzBGL6gCk3vQuvrIg90pIgqSc/VXK2WAdacl3OxpN6G
 VQ+tAshPWCQznsBZQav/yz95OcBkUXDEmXhiTzFu8YuXfiBxT+XKJzInRmfv2moUqFGq
 6eB1guf3qSkA1Fp/A5owWbyBgJYfsArLnF8pm7Wfsymn9VNfMJSkPmELcIiMxBS7NlsV
 9QNxJzs2v3Jlaf8H//NE3JrnSrYFMmieTvW5gieQ5/rbm/o0SxAR6V3lSim/P4V4E3pD
 a/c59euQmAQ/bpM1dOCJytl0Ihnh1MzMAQxdiphh3NUDilSPqqtQCdp0mXoXo6SdEp5Y
 CRWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4FVkkFNwLeZjJo92SBwRkWUSnVIXTq73j6we/V6E75U=;
 b=FCr33BR1JVziyzaEM0HkSI2DKLYCKOjNbsd7pvMKVAvqCCKvjSUmEH38T94de/KUic
 Kvn6d0XXCa5Ay/ulMh00yaxGpPd81D9e1LWSQDEEKu+/Ao8wYr4jH/ojm0ImujThYpQx
 ldJBRfHqTCUZ/ar5esAhparIvu1B8Pso9SlEk/IZSNY0ICl6L+HlQLmJje8M9T8JTyOz
 aQsoeCJIA5Qmv9lxCCDkzIvuCOpxyGDpC2M+C83T9L5gG7lF4TVL944w9u8N8YfN76dC
 jYqk5vZlD0Psu2Z8CcEb5my/2gfI4TqkpA1Jp9gLuaMWAahnfi+Dxbd8GTu4fQggLclD
 2GIQ==
X-Gm-Message-State: AOAM532jK7Q1gRywTF0zr9Zq34b/6RBU5f2LWtQhMqr/q3YvmAPMPZMm
 d5nPtyGmtD9decY6RIt71GC6xGaaKpoRuQ==
X-Google-Smtp-Source: ABdhPJwc5f4orkD5HyscXQOS7Jm19vTSFjes0J0rDqYeBcm8sz5OIwC88xRSlge8tX8FRjvVfJ7KTA==
X-Received: by 2002:ae9:e916:0:b0:69f:5621:b8e3 with SMTP id
 x22-20020ae9e916000000b0069f5621b8e3mr1936231qkf.314.1650859213532; 
 Sun, 24 Apr 2022 21:00:13 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:13 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 044/232] gnu: Add python-pytest-enabler-bootstrap.
Date: Sun, 24 Apr 2022 23:56:10 -0400
Message-Id: <20220425035918.25683-44-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-enabler-bootstrap): New variable.
---
 gnu/packages/check.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 1db4457dde..135fd671a2 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2200,6 +2200,31 @@ (define-public python-lit
 failures.")
     (license license:ncsa)))
 
+;;; This is marked as a bootstrap package because it propagates bootstrapped
+;;; versions of jaraco-context and jaraco-functools.
+(define-public python-pytest-enabler-bootstrap
+  (hidden-package
+   (package
+     (name "python-pytest-enabler-bootstrap")
+     (version "1.2.1")
+     (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "pytest-enabler" version))
+        (sha256
+         (base32 "023ymm0r2gpn5q7aikvx567s507j0zk46w41w6gxb69c688zgs73"))))
+     (build-system python-build-system)
+     (arguments (list #:tests? #f))
+     (propagated-inputs
+      (list python-jaraco-context-bootstrap
+            python-jaraco-functools-bootstrap
+            python-toml))
+     (native-inputs (list python-setuptools-scm))
+     (home-page "https://github.com/jaraco/pytest-enabler")
+     (synopsis "Enable installed pytest plugins")
+     (description "Enable installed pytest plugins")
+     (license license:expat))))
+
 (define-public python-pytest-freezegun
   (package
     (name "python-pytest-freezegun")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:16 2022
Received: from localhost ([127.0.0.1]:60775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuV-00080r-Gx
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:15 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:43965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptZ-0007n5-J5
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:18 -0400
Received: by mail-qt1-f173.google.com with SMTP id hh4so9554056qtb.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ph/UBbw9CzPVeN8Z20gRSLEu/N/7JNvibbn86MjUqlM=;
 b=eCMaFv0esXnnXhbW3ofvU6P6fpzadsbd7d333IC/P8Sa8zNgUSE7CoMgikymEFGNLR
 SBvY7puQ6B8DTsDqsXy5j2ktO7fYY/jk5JIjgAM/VIRK7fP/4PA7b5dVJjFHK/R4WnE/
 /5Dw1eEfqJV+nz0UEgi50ZlHty7RPgTfioQf78ULWYmYcDrMaG6kdoZFEGTk7u3TZWeX
 b+ku/bevKu1EweHFxVKk+6a/3mCQffpPYmdEFeaW0TzFR2AtbASbfVLvoaGxFzJ+pnmO
 BuiesTJrnNY2TOkkWXwdoTdmYH+AiUepIIQLynXSWqn2OmDq/5Zs1WL0VK470lEdsNnz
 Enyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ph/UBbw9CzPVeN8Z20gRSLEu/N/7JNvibbn86MjUqlM=;
 b=ImQr5/Hv3X8JWBsINtNytKBArxFKGl511BVgTXS7Rzoq9NLoDgPFN5cTvf2aUAmxBx
 wsQPRdgpdIf1vfetuYKIB2fZ5ME/HuEo3Rq7xV5vijKdaYd/vYBMYicEx36DtftbNiF3
 mSADJLjvfWPnBiKphqvdes7jSeBeQbsPGF+XhKjLnzFPXIASbyvLD3J9feKjckdPoMag
 Bl8An2uKSgZjSz2NfZTTEmK1jQLmRw3lp4DJ+lSnoIXLxMURbPMQ/ZAsTaokmKfT4xH2
 Crd7+p3NBEyUlsjnTWt1n0qxRxWhOeU6xfZYmvuU7tt+rpO54Z7rtpHU1rgolYEQDMot
 KG3Q==
X-Gm-Message-State: AOAM530KKeI1s/+y/giCkg8WG28zVSjiMoNASSH8tQMfIgUWYG8Wz/Pf
 PBiyDRn7Ga3p92uKVciN9H5gMQNz87GYbw==
X-Google-Smtp-Source: ABdhPJxN1JG5B/hgoD1JmVktituKjfS4ZvNK37moQGPYZmXhioZu3vXrfixGXm3JbowWdHBm7j1mEg==
X-Received: by 2002:a05:622a:138f:b0:2f3:4477:980b with SMTP id
 o15-20020a05622a138f00b002f34477980bmr10570713qtk.475.1650859212030; 
 Sun, 24 Apr 2022 21:00:12 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:11 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 042/232] gnu: Add python-types-pytz.
Date: Sun, 24 Apr 2022 23:56:08 -0400
Message-Id: <20220425035918.25683-42-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-types-pytz): New variable.
---
 gnu/packages/python-xyz.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 189134c083..3d481c419a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -29505,6 +29505,24 @@ (define-public python-types-freezegun
 collection.")
     (license license:asl2.0)))
 
+(define-public python-types-pytz
+  (package
+    (name "python-types-pytz")
+    (version "2021.3.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "types-pytz" version))
+       (sha256
+        (base32 "14yr5hg2ww8s4a0mz2bkd549fv8qgm538fnzxvqv92ld1pcpym3l"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/python/typeshed")
+    (synopsis "Typing stubs for pytz")
+    (description "This package contains typing stubs for @code{pytz}, a very
+small subset the Python stubs contained in the complete @code{typeshed}
+collection.")
+    (license license:asl2.0)))
+
 (define-public python-types-toml
   (package
     (name "python-types-toml")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:15 2022
Received: from localhost ([127.0.0.1]:60772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuV-00080h-1J
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:15 -0400
Received: from mail-qt1-f170.google.com ([209.85.160.170]:46034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptX-0007ma-M9
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:16 -0400
Received: by mail-qt1-f170.google.com with SMTP id x21so124337qtr.12
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=gbsRhBY6Q3mPlPS5fmZWBRyqn2Ij1x1/XRhfDvYDwvc=;
 b=LZqE9xOo6hVY3BpjivRiZMgFAqV/IgqWEodxoG1B4qQ98XgOwbqIquGFBQS3hO6I63
 vQRx6t9Cn9opdOiKq7XArLCIrH78h5IP3GZzYHZQbu2MIoi/P7mCauS5W8oPwxBzwp6c
 SAk16WsUENAUyMh5mvD9e8FkPuxAxHyyAn30zjjKzlHo7OFphBZO2FNWIweKHiR04r1k
 imrbIbimIPhBn9ajeEi8c0V09JSnKnn82eJgKrIXSYRx80Z8PihQ5wqaFQsdoaC1Q+K4
 IOzVjWgWOv5AaRu1p9W+EFsadRNRkXEqsKF0QFsEUnexQrl2fDr8lZfPk8A0C89wUdOG
 gpSA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=gbsRhBY6Q3mPlPS5fmZWBRyqn2Ij1x1/XRhfDvYDwvc=;
 b=LqcfDAGcaEDRqbBHCuZXCz5Ql3V0/F/O1mQ+hhlrH0SfxL8XKfzIpfop4DVlc9HCj1
 V0hhzm/hcPW445MXRTCraNLMJAxa0y9qeyfMN+ikH6h/4j5WruaMGazxq18hmNLxUGXY
 6enYyHaJ4U/mMR0hWzzfjZ902Uxglo2ufrP3Ll5Zzp9c5xckXl1CEMNy8JIwKiOcXFIa
 hxeHHrex/aTnouqtneusGvN4xHVWqpoZ4mnLfFTAbhCH/SGAgjCHB4hA2qoe457WnVS4
 nYpFiBK2foJoq5GtrrYGDfBjwdsqj46m+7iu1T9J1HRq4xXdaLxUwzTEgiwkxfrpR6BD
 wFnQ==
X-Gm-Message-State: AOAM5317dbQboONgLIobJPb7r2/A2bY2PO8KsorHxsPah6XFBsNZtipH
 wSLZ9Gga/2E5QREu3WBZWPQdOGxysbuz3A==
X-Google-Smtp-Source: ABdhPJxmCG8a0Zi+X1uB4xe+639zOyOgE25avGq9VupWBAkIUhBBHoKZo6Y6dR95s+8Y9TMRjxrfqw==
X-Received: by 2002:ac8:5a47:0:b0:2ed:13d6:bd60 with SMTP id
 o7-20020ac85a47000000b002ed13d6bd60mr10303947qta.371.1650859210006; 
 Sun, 24 Apr 2022 21:00:10 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:09 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 039/232] gnu: Add python-jaraco-functools-bootstrap.
Date: Sun, 24 Apr 2022 23:56:05 -0400
Message-Id: <20220425035918.25683-39-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-jaraco-functools-bootstrap): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 914137bc85..b5dd58a512 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8474,6 +8474,28 @@ (define-public python-jaraco-context-bootstrap
 procedures.")
      (license license:expat))))
 
+;;; Variant used to break a cycle with python-pytest-enabler.
+(define-public python-jaraco-functools-bootstrap
+  (hidden-package
+   (package
+     (name "python-jaraco-functools-bootstrap")
+     (version "3.5.0")
+     (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "jaraco.functools" version))
+        (sha256
+         (base32 "186xqzs3bqhjwajnprxy3sc3h0w5vdld8spc1dxjnn9720yykq1i"))))
+     (build-system python-build-system)
+     (arguments (list #:tests? #f))
+     (native-inputs (list python-setuptools-scm))
+     (propagated-inputs (list python-more-itertools))
+     (home-page "https://github.com/jaraco/jaraco.functools")
+     (synopsis "Python library extending Python's @code{functools}")
+     (description "This library extends the standard @code{functools} Python
+module with a few extra procedures.")
+     (license license:expat))))
+
 (define-public python-jaraco-packaging
   (package
     (name "python-jaraco-packaging")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:15 2022
Received: from localhost ([127.0.0.1]:60770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuU-00080V-Gk
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:14 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:39905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptW-0007mJ-SZ
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:15 -0400
Received: by mail-qt1-f176.google.com with SMTP id v2so2898673qto.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=qhwmPr4qm/2rUuAhkYr2PW7cbUfnP3VmSE8KvI1VSIU=;
 b=jNXRnsIErQYAi82DLX2I3w0HmGLCBkBbHz5+8Nani+34Oyfl/4AdJWwbDUqL582fzC
 xxuYzO0kaXc1A3Lz4EyTCRB1UIvagcc4DpBltDaVXyLJ1obihoUHRknCt4VH8qXxmK4H
 A/rkjax+kIWQM/wEue0ktGFi07v/brffILkYCVBsrutslLZmZoKklnEitJt9YxGEDxWt
 4Jez8RQ5Rlu9eYFm0O50kxclhsbdPGhSEg68wWlyj1x5bghTF8IW4Nu2+vV+RczGoOHd
 NCozcq2soSFPKByBw8YcE0mO4kWEzWNxI0mVzXksp1qb9cI6DpH4EvTnqJ/7uDoJjnQf
 SYUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=qhwmPr4qm/2rUuAhkYr2PW7cbUfnP3VmSE8KvI1VSIU=;
 b=CIx+27wjdpJoL8I9g44YUvkNs2bKgu3iOy5gbVCPgd1bKWF6zsdR7/UKR1il1ptEz5
 t8Q40xIkJX/6PmOLmrElnXEJBwR0blTroS/3qZxMAAQzbZNfA0EGBKzLrUL30b5UV22Q
 k/4dCiKXKE69z7LxZOMLYGz3MDiXX0px+7Qoh2kRXgP0ltYtUjj5cjZ18DuxqTh29Ohb
 EsDN7u8b+sDiaBphHRUwwtIQ5A4dRAKfx9FSttBMKGQXwieE1S+C8YTvlxTvtNZsCZV2
 +vQe10Iowjya1gJuHFyVxtgtbdWpXFRg96BLv6ULSgJc6jW73Y7HYOr7o1udApa6fLy4
 84Yw==
X-Gm-Message-State: AOAM533cfsM7sZ7zWnwR/+MLvoeSZ5agTnmK+Ous4hLNJaoG33yhK1mP
 rKbxTJ+aiVUGumXu2N+LidyuzuJTmh0Qnw==
X-Google-Smtp-Source: ABdhPJxBD7N4POmvCdNjpOQas6PA1P/R7SLd3Ohm2/f3RgITEd6FAd7LR8gT6EXDtKmLIIVI3i6XWw==
X-Received: by 2002:ac8:7dca:0:b0:2f3:6350:2ff9 with SMTP id
 c10-20020ac87dca000000b002f363502ff9mr5114038qte.103.1650859209161; 
 Sun, 24 Apr 2022 21:00:09 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:08 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 038/232] gnu: Add python-jaraco-context-bootstrap.
Date: Sun, 24 Apr 2022 23:56:04 -0400
Message-Id: <20220425035918.25683-38-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-jaraco-context-bootstrap): New variable.
---
 gnu/packages/python-xyz.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 4089b950df..914137bc85 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8453,6 +8453,27 @@ (define-public python-inotify-simple
      "@code{inotify-simple} is a simple wrapper around inotify library.")
     (license license:bsd-3)))
 
+;;; Variant used to break a cycle with python-pytest-enabler.
+(define-public python-jaraco-context-bootstrap
+  (hidden-package
+   (package
+     (name "python-jaraco-context-bootstrap")
+     (version "4.1.1")
+     (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "jaraco.context" version))
+        (sha256
+         (base32 "0hbjm1rpxf4pzmbdp9rh3ali4zqnlcr8m97bhh1nizxvzcpxim7h"))))
+     (build-system python-build-system)
+     (arguments (list #:tests? #f))
+     (native-inputs (list python-setuptools-scm))
+     (home-page "https://github.com/jaraco/jaraco.context")
+     (synopsis "Context managers Python library")
+     (description "This Python library provides context managers-related
+procedures.")
+     (license license:expat))))
+
 (define-public python-jaraco-packaging
   (package
     (name "python-jaraco-packaging")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:14 2022
Received: from localhost ([127.0.0.1]:60768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuU-00080O-3I
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:14 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:43965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptW-0007mA-49
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:14 -0400
Received: by mail-qt1-f176.google.com with SMTP id hh4so9553995qtb.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=hbL3EULHmlhiNiUPMyOVfoGDPtemR9K9txksaLkvHqo=;
 b=YGn88qrfzp+u6NI5UrZ6jhMIVywyLWsFnY17SLhsjZZrGZHymuvecenSFB5lznPZ58
 8ieofgX/yvghJwu7JAC/1TMwel46v6W0nwmkLIX2efoeNU2BtHC6EywrHiGpBiDlmDA8
 gGkgMlFS1yXvQbFswVo4JdxUH3Sq+h7/KWNs1iojZZlQmZE3tXSgFhGE8VSXlCeVz0xo
 j2e3yezfNe8YmClP/h3EplzOKWzJdBNDnAIIwX1j+bEIbayc18O7CCUks4D7U7L4Cku5
 ailkXF+bHeIWkCmVp9aQw4ocVlBTggueged+ZHYU0X8eYJ3Dfq2V7oMgiSTrqVntM5ei
 ZKxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=hbL3EULHmlhiNiUPMyOVfoGDPtemR9K9txksaLkvHqo=;
 b=pWZHnK0t9PBanU/KygUQHMgHpEUdFDVm2OM11SZohgUBzN7qGZrcozgpSuwC2+AQqS
 uDomhvybL/dX8fO7cmHZwgpAy0aenBAENYiRvly1Sh+rvzGmbnvoUHk7LYhGb+vREMpX
 CFiL6bZUofP2ZDkFIPogt7jTj+Qx2HM0MTJSnapowVJxaxm4uQCyH6vpQ59fTeJR9fWu
 6RgsGWH9KFu+E60FSJsjK/Np8E+e+eIrRde1pK/HraEVD4muuKF2hoL2oRoZQu2qQmKm
 X8YGSvE6r1/4ffPsz8j/3dcN9S/7V3KJqSHc2hScwmLpAQP48EKfAfBCgnczOBMcWTCT
 jkRg==
X-Gm-Message-State: AOAM531hvmg2rpWNKfGychku4W5awp/6ayOh3tvzC1/EpszUQixbc92C
 o6oG1FTjMJKNLH5JpccBZ+sFpwFpZLOauQ==
X-Google-Smtp-Source: ABdhPJxD0s6y/NKBYltXqbIFjxb4y5ZqJ6WociuKQjuTzHW2WdxF6c9T+y21vS1vcWYwnUk5y5HFYQ==
X-Received: by 2002:a05:622a:13c6:b0:2e2:2778:2ea5 with SMTP id
 p6-20020a05622a13c600b002e227782ea5mr10668071qtk.512.1650859208513; 
 Sun, 24 Apr 2022 21:00:08 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:08 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 037/232] gnu: Add python-pytest-mypy.
Date: Sun, 24 Apr 2022 23:56:03 -0400
Message-Id: <20220425035918.25683-37-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-mypy): New variable.
---
 gnu/packages/check.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 335ab7ab11..75b42b945a 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2200,6 +2200,27 @@ (define-public python-lit
 failures.")
     (license license:ncsa)))
 
+(define-public python-pytest-mypy
+  (package
+    (name "python-pytest-mypy")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-mypy" version))
+       (sha256
+        (base32 "0p5bd4r4gbwk1h7mpx1jkhdwkckapfz24bp9x5mmqb610ps3pylz"))))
+    (build-system python-build-system)
+    (native-inputs (list python-setuptools-scm))
+    (propagated-inputs
+     (list python-attrs python-filelock python-mypy python-pytest))
+    (home-page "https://github.com/dbader/pytest-mypy")
+    (synopsis "Mypy static type checker plugin for Pytest")
+    (description "@code{pytest-mypi} is a static type checker plugin for
+Pytest that runs the mypy static type checker on your source files as part of
+a Pytest test execution.")
+    (license license:expat)))
+
 (define-public python-pytest-pep8
   (package
     (name "python-pytest-pep8")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:14 2022
Received: from localhost ([127.0.0.1]:60765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuT-00080A-Ju
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:14 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:33418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptV-0007m0-Ds
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:14 -0400
Received: by mail-qk1-f179.google.com with SMTP id s4so10017714qkh.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1kDp/sGiY67wS5haF4X6uzyTwomUK37UovlCyCFDPvQ=;
 b=mNPZ+MQcPcs55rq+HKN8VARyCFkRgkoohKyQ19mGNqKLGb9ppRZmRhxHyIDCYwbiQ/
 qczOmXDSOUujqW9Jhu+9QWdcUPQYXrqALv5YMJEDWqhc8QwBUAuEoHBWrOQLd9OeVJcW
 mODTY0og86WvKBZNJgHUzfV9bopjtPdiuU7RJezv3YXYMFEp6nsddqb0G8sVdCTd+M3F
 7XZ8QhRvauI2xJqU3GaaSPcfyjzfzm1vl05c8oy8Gaig849q3Ka4WiKH0FwtcRjBcDCy
 NA2aP+rvUdZBvrbSZ83FRWyaD8rwz7yXeprN47zrIuJdWXJS2KVQD30AYVhPAfDfJVUr
 qYvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1kDp/sGiY67wS5haF4X6uzyTwomUK37UovlCyCFDPvQ=;
 b=8GW3pcd5JZqWMWNqRQTMeqKQ5y7Ndpw6auyZz+F3ZydK9ZAHk/fpedm0uyywVl4wGd
 2CoyWGokaghF0Agrd/EhfkVtj2rb963kdbTpVVWLeT+XF3UKLaIQzkppEPBJShK/zUr3
 xyF5ow/ZRS7sjfjmRdjdLPP3x/u7onumztXyQElJkfeNvM91/NkXrqw2HSkOv5NRDVEW
 5zmJBagZUJlYlHZ8+OvIiReyWh/Mtah/hcL1FB5gvd0u5sxGlThY7EsXbMSLwm9HtBLy
 53AKqsgAw2tG6TuEFenxXQZQaWxYTtDu6Nu2Ms/TRAJjpDLkDi9AcV2XpCzkY2K4F6tB
 ThaQ==
X-Gm-Message-State: AOAM5306X/ORrJWrNXjNXS94s5n5PFsXy8EvBkltp1ArtiqdCbXiKxfY
 Zb/0GPJoAZMX49tgyhlAL554vvLtkcgFwQ==
X-Google-Smtp-Source: ABdhPJxege/+3s2PQnXX2a40Gq6hdNIdk8sWVgffMO1MRHQFaGBe/Mf1OcrbAthvwHaw47i67YQW/A==
X-Received: by 2002:a05:620a:280a:b0:69e:ba68:4580 with SMTP id
 f10-20020a05620a280a00b0069eba684580mr8871790qkp.668.1650859207768; 
 Sun, 24 Apr 2022 21:00:07 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:07 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 036/232] gnu: Add python-types-toml.
Date: Sun, 24 Apr 2022 23:56:02 -0400
Message-Id: <20220425035918.25683-36-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-types-toml): New variable.
---
 gnu/packages/python-xyz.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 054567319a..4089b950df 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -29414,6 +29414,24 @@ (define-public python-ansicolors
      "This package adds ANSI colors and decorations to your strings.")
     (license license:isc)))
 
+(define-public python-types-toml
+  (package
+    (name "python-types-toml")
+    (version "0.10.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "types-toml" version))
+       (sha256
+        (base32 "10400bd3yv6rjfnq8galskkbpqz1sfx9sfgr5qwvw04270x4cjgr"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/python/typeshed")
+    (synopsis "Typing stubs for TOML")
+    (description "This package contains typing stubs for TOML, a very small
+subset the Python stubs contained in the complete @code{typeshed}
+collection.")
+    (license license:asl2.0)))
+
 (define-public python-types-ujson
   (package
     (name "python-types-ujson")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:13 2022
Received: from localhost ([127.0.0.1]:60763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuT-000803-4x
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:13 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:40931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptU-0007lj-LS
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:13 -0400
Received: by mail-qk1-f169.google.com with SMTP id e128so9967420qkd.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=m/a8zzxoyu6jyMcWj92u50B+MGIV3a5OHNpCJvkiP5k=;
 b=FT3hiebOknB6MFAowDGJU3vYwDQCYvbaiiT0XSWixiMLlXcN4e7IH+qpypHE+cnvix
 FK39ldyNjIfKMFfOSUSlUmTSbu9UdQfSSHX2TACyDpMxlahKk/nFfA3YzWPyHUvb2NPt
 ws9L7CwXl2pUgt05XeyF6FElbXfX20LbPKPC/kQK1JVkEhwCZcqIchOz/jr62wJT/BLO
 5LDR3w1SJZX3tfS8eZNct39nGDLx+n1HP20n+axLTDQAK/dDcHsoiVr1EIJO0+mEzTbj
 QMsiDhSIMC26r0xHC3avZgyzjzxVHjnGKpV2DVVLy5woGKQiVWeZxRzaIrZRh21iB2o0
 hlCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=m/a8zzxoyu6jyMcWj92u50B+MGIV3a5OHNpCJvkiP5k=;
 b=UVUqGUtY1b7cLceGsPienICPUhq9v55hNguLbOxooDVs0Hjq/7fSIxIEcZCnFgMK3C
 4EPJH/K5HUweRyok+onRWJL5xZkNoJSaKFfIYk6U8v/Adkg8bD18xYSBzVqvtWeqCnM9
 /P3Nvw6NTQ21AYzd0fx0mdqviYft02Fb9vogsETgxux4qMuot4S0W7JucQCwEY5zU/Xj
 9QcvD5Gmd/0g6MKafnyPec5UvtxAEf9mJvoOtdsTqUU+8pVgJq/kAsN6EWDn97UjhdH+
 Dcsnr0nrYAxVnKXTd2uqI+I6NjtoN+Jcp88qrekcgTV3tADvT9nKiM+OlG8lXfooQqOz
 DZwg==
X-Gm-Message-State: AOAM530drnfTeNIR2vdqyDtI39uZwrEYm1PaA6MgOOx5WdQVJYx7Haqk
 9YYLbLPZ4WoO2o3GHWJ1KwnxyLuqiOH+NQ==
X-Google-Smtp-Source: ABdhPJwW5g38YijHWvO4llj9n02KUz0DE4a9H6ptvd/6P4q/VuXeLhp8M72cOTUL8Pf+XBrkQuHr+Q==
X-Received: by 2002:a05:620a:4305:b0:67e:8b39:201d with SMTP id
 u5-20020a05620a430500b0067e8b39201dmr8826445qko.741.1650859206971; 
 Sun, 24 Apr 2022 21:00:06 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:06 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 035/232] gnu: Add python-ufonormalizer.
Date: Sun, 24 Apr 2022 23:56:01 -0400
Message-Id: <20220425035918.25683-35-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-ufonormalizer): New variable.
---
 gnu/packages/fontutils.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 062b8fbd62..a2e71f1ad0 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -357,6 +357,32 @@ (define-public python-ufoprocessor
 @end itemize")
     (license license:expat)))
 
+(define-public python-ufonormalizer
+  (package
+    (name "python-ufonormalizer")
+    (version "0.6.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ufonormalizer" version ".zip"))
+       (sha256
+        (base32 "0v5awian2alap7nvxfz38aahyqbqnma16nrqcpr8602hbbki04g6"))))
+    (build-system python-build-system)
+    (native-inputs (list python-setuptools-scm unzip))
+    (home-page "https://github.com/unified-font-object/ufoNormalizer")
+    (synopsis "Script to normalize @acronym{UFO, Unified Font Object} data")
+    (description "The purpose of the @command{ufonormalizer} command is to
+provide a standard formatting so that updates to @acronym{UFO, Unified Font
+Object} data can be usefully versioned.  Examples of formatting applied by
+ufoNormalizer include:
+@itemize
+@item Changing floating-point numbers to integers where it doesn't alter the
+value (e.g. @samp{x=\"95.0\"} becomes @samp{x=\"95\"})
+@item Rounding floating-point numbers to 10 digits
+@item Formatting XML with tabs rather than spaces.
+@end itemize")
+    (license license:bsd-3)))
+
 (define-public ttfautohint
   (package
     (name "ttfautohint")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:13 2022
Received: from localhost ([127.0.0.1]:60760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuS-0007zp-Hg
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:13 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:33353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptT-0007lX-W7
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:13 -0400
Received: by mail-qt1-f171.google.com with SMTP id hf18so9593921qtb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CFSM2Z0GhHJswYB5wuiXQfktM3Rxwtcgf/lTKghoGTQ=;
 b=UZB2uD1s827bcIfjx9BmM9dkin09rDGV4JbYSb+K0gsSPnXA4DrCccwJLEQbrMC0IB
 OLiwgQNRmqESYEBpQl7dS8nQRWZWlgSU/9ciueSAldrg59ubjoRv8W2nsHVO21Z3zYe9
 uCpwFk8Rz7gXG6Jj0PD936GpnFwAUc/LgT22iqMyfsLI2Dnc2A2OjfS2kb7HiMADQmjK
 unrzqXuCCYjpHzksniXr0ayE0X34Q4qGBgdQacnkjBCCXeicU9qaQNL3et627ujhVtV9
 EB4+ErX85MsTCSaOSro4+Nl0CCHL2JALJGy+SG8FI/0Wj4Lb7VdNcWqMh4vgecS/2a8G
 EAqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CFSM2Z0GhHJswYB5wuiXQfktM3Rxwtcgf/lTKghoGTQ=;
 b=XQfPb+wWNri03yMLxZiWQBGf5ZpxaNWKxB90lIu8I7scof8iLljtAo0Z3bLWiTBb2M
 G62OariEf76eHOZq1TTu8zsgmj53wyjMzyuDpGT/YwZPaAcckr+JtH6hhRqb+FmAfM2t
 XhECCdep/1GGBlzV4hxhG0hw74j5BmcMsfrF5N0L7wsH92Murv5jVEBYUx0xwpVkVEls
 EKuta1qjqrCP6n9v6lYhpdR2ahvAFp3n88OveqYj3CTxJuxbbn0ZOCNOoNAsMijjV7Oi
 gOVSKo5JR5ukDoGhAli+ZusZ/abz2xXP+SUF6/CH+fCwK5jZKOQ+BrMK76c/4XPD35hk
 xAwg==
X-Gm-Message-State: AOAM5303qhSkX1tp0Tydxk6pIsS04KaWjboCf53xsjg89k97pFfwCE0J
 30AxFULqwPq1hFa11v2aKuPcqhamg8UgWw==
X-Google-Smtp-Source: ABdhPJxKZlLdfz/0D2SFA94FejaZjOos38WudUzVIK6CccIOSuVyIUZLMdJcDEpFb+Mzmk5NA59FXw==
X-Received: by 2002:a05:622a:196:b0:2f1:f8d7:fc97 with SMTP id
 s22-20020a05622a019600b002f1f8d7fc97mr10516293qtw.343.1650859206332; 
 Sun, 24 Apr 2022 21:00:06 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 034/232] gnu: Add python-ufoprocessor.
Date: Sun, 24 Apr 2022 23:56:00 -0400
Message-Id: <20220425035918.25683-34-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-ufoprocessor): New variable.
---
 gnu/packages/fontutils.scm | 43 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 20a03463e6..062b8fbd62 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -314,6 +314,49 @@ (define-public python-mutatormath
 arithmetic object.")
     (license license:bsd-3)))
 
+(define-public python-ufoprocessor
+  (package
+    (name "python-ufoprocessor")
+    (version "1.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ufoProcessor" version ".zip"))
+       (sha256
+        (base32 "0ns11aamgavgsfj8qf5kq7dvzmgl0mhr1cbych2f075ipfdvva5s"))))
+    (build-system python-build-system)
+    (arguments
+     (list #:phases #~(modify-phases %standard-phases
+                        (replace 'check
+                          (lambda* (#:key tests? #:allow-other-keys)
+                            (when tests?
+                              ;; Most of the tests appear to be a work in
+                              ;; progress; run only a subset.
+                              (invoke "python" "Tests/tests.py")))))))
+    (propagated-inputs
+     (list python-defcon
+           python-fontmath
+           python-fontparts
+           python-fonttools
+           python-mutatormath))
+    (native-inputs (list unzip))
+    (home-page "https://github.com/LettError/ufoProcessor")
+    (synopsis "Process and generate @acronym{UFO, Unified Font Object} files")
+    (description "This Python package processes and generates instances for
+@acronym{UFO, Unified Font Object} files, glyphs and other data.  It can,
+among other things:
+@itemize
+@item Collect source materials.
+@item Provide mutators for specific glyphs, font info, kerning so that other
+tools can generate partial instances.
+@item Support designspace format 4 with layers.
+@item Apply avar-like designspace bending.
+@item Apply rules.
+@item Generate actual UFO instances in formats 2 and 3.
+@item Round geometry as requested.
+@end itemize")
+    (license license:expat)))
+
 (define-public ttfautohint
   (package
     (name "ttfautohint")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:12 2022
Received: from localhost ([127.0.0.1]:60758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuS-0007zg-4R
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:12 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:41909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptN-0007j6-1O
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:12 -0400
Received: by mail-qt1-f173.google.com with SMTP id fu34so9562669qtb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ngx3DTS10rjT1pKI2H3Db8SB8iT/4ZMRL/h7efMwBgI=;
 b=Eqd6N0muRScIUCoZvxGRmx1heEkefJ46xnzHfwYo7bR2S9iiGGR8Ufr5rAqnKmMeIW
 OvvoTVzCLLdfAUSVpPDCp9NJzmK9bmcQgkfer16kZmoR0LBKOrTmFa8S4GsLFeW1SFPN
 I3DtahWmluvkgXq4lMLu/BeMT6LDJ1MnxI6tLQYIgElISNygZ2gIdVUZmFHndSPRIBId
 xz+7LaGP7cRxhkVL3hLSR3SutWvCI2qwPeM1f2uWewgwG1FksM5XqQsSQeaHR7JJUAvL
 Yrj5CjScie+Yxz5VTneOP1w5BkZG/XJDZxeW5kPsMHmMlXrV0hXKRGXEXImaUNzUfpCa
 skpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ngx3DTS10rjT1pKI2H3Db8SB8iT/4ZMRL/h7efMwBgI=;
 b=7d+GEHIWdNQYJr/p+9tgqo2as3GN1Q0A1M4rUzWgCPeF4bSB3BgpxitW0c5slJm9JI
 vin7lvjukY8W1CW7dH8Tyu+4nw9m5fSsAaELEnvQth1lB223xRxlDhRoCHRaCGsU56Im
 hIEpi0rDe7epiuXNdQOJWPgpU5ruBqB+xiir1H8+pptGLruVrb8KxF5qAhgFQ9anNqYH
 HnWLhq9FkkCHk/D8LxD2pPEQiY+1iYvHo0gcs+JC3ZJIhOwj+aD+sFoqvGK5YpKe8xhp
 MiQHqI117cO//a3Bl0sZFUFNC48SCq/nhx8a77vLzCGqbq5AqyWF/Apm14Ny5zZzRsFF
 II/Q==
X-Gm-Message-State: AOAM533szQySwaT7SDxNomxRlqbJnDniLkvBokQkMBRKkrvCld12LefO
 S8MtfljmbaQDIWUFgoyBp4dItHXvfcBwqQ==
X-Google-Smtp-Source: ABdhPJysjAxlyTJ6bVgW9tW3L9m6avywhs9dykprhJL6MrpYgd4Fnb42fxtWUnE+J1p9RSYIaP0B6g==
X-Received: by 2002:a05:622a:13c6:b0:2e2:2778:2ea5 with SMTP id
 p6-20020a05622a13c600b002e227782ea5mr10667825qtk.512.1650859199450; 
 Sun, 24 Apr 2022 20:59:59 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:59 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 026/232] gnu: Add python-mutatormath.
Date: Sun, 24 Apr 2022 23:55:52 -0400
Message-Id: <20220425035918.25683-26-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-mutatormath): New variable.
---
 gnu/packages/fontutils.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 8870b87abb..4eec234126 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -193,6 +193,27 @@ (define-public python-opentype-sanitizer
     (description "Python wrapper for the OpenType Sanitizer library.")
     (license license:bsd-3)))
 
+(define-public python-mutatormath
+  (package
+    (name "python-mutatormath")
+    (version "3.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "MutatorMath" version ".zip"))
+       (sha256
+        (base32 "0r1qq45np49x14zz1zwkaayqrn7m8dn2jlipjldg2ihnmpzw29w1"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-defcon python-fontmath python-fonttools))
+    (native-inputs (list unzip))
+    (home-page "https://github.com/LettError/MutatorMath")
+    (synopsis "Piecewise linear interpolation Python library")
+    (description "MutatorMath is a Python library for the calculation of
+piecewise linear interpolations in n-dimensions with any number of masters. It
+was developed for interpolating data related to fonts, but if can handle any
+arithmetic object.")
+    (license license:bsd-3)))
+
 (define-public ttfautohint
   (package
     (name "ttfautohint")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:12 2022
Received: from localhost ([127.0.0.1]:60755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuR-0007zT-LN
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:12 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:39900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptT-0007lR-3e
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:12 -0400
Received: by mail-qt1-f175.google.com with SMTP id v2so2898589qto.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=MBvv5eA/nsdvKg7O2d7qBpikTD+YP5UVKTMZhSHA+7c=;
 b=qDNkNtW73qV8WcP/4n2uIJ9UJAdR81WW98dZvkzl8VxUwd3y7cRIsc9CTehpJS/uaE
 EOEu1Bqja32ncDdQKYV4sS69D1cFStcBIhWnIK8thsHte5T4Knw7EwzhdG/ohD3HurWu
 o36WoLWyZkJ9B3v9blC9aQDtXuXtW20ET7jLGjS5RxfMdxcNry14Bkb7VV7CIO9M8e8L
 UJ/LKWBwt7s3Jmek1Ksp788shtgL9J2HWJX2vgyWrwtaFe6mIliO1ico/dQppbCRN2vI
 dVV6R6k3JjUiK4aiKUB9zFdbhMfKYN+609WuR2f7tHARK2JXNQnad02tatj9AKcxtTF8
 i+eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=MBvv5eA/nsdvKg7O2d7qBpikTD+YP5UVKTMZhSHA+7c=;
 b=zQ9K61PQBIAl3AwkX8zRWsyomi/c0G/rWoUwG81QTUTDb9Sd4OLUJVqv5ESyTdnvlJ
 QDWGEC1g9kCWXS0VCYg8jF6+IyUxhM2v/xrrqHL7KQXvWBqlbrgK2esjjy/qgm4lh+C2
 32BUYoIVwRP7sZBbakg6x2w/4WaADrbmwZo22gj3e5Dr4q599ZKmxqcmTtZi/slIZoum
 uXGeaVCbjcRoX0dgNAvP8iXWE3wd5iKPLyP9Z7CRssnoFM/pXDCpL/360rwHNbyHQ7Z1
 GF1t44Uy0HxBevnPJ9sOg7Ib1I1V9wdNXdXbN1zHRIeEbyZkyNX7qNzpBs7pQxtsnqdV
 JFLA==
X-Gm-Message-State: AOAM5335o5MRRSEwsZ5O1Znj6DRQL0I5eMCNvKJuFNORsUWADY6jmrsg
 JUN5SRplwIFvDVkwlUGhU8LyOZu3rQFiBg==
X-Google-Smtp-Source: ABdhPJzZ2nJVSknRldxI1zEuSZ/J520biLsj2bSqnI+ALHjLaeWrbKQCWu5Znk/HExRvTL01/tW3ow==
X-Received: by 2002:a05:622a:14cc:b0:2e1:e82c:77d3 with SMTP id
 u12-20020a05622a14cc00b002e1e82c77d3mr10778511qtx.28.1650859205546; 
 Sun, 24 Apr 2022 21:00:05 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 033/232] gnu: Add python-cu2qu.
Date: Sun, 24 Apr 2022 23:55:59 -0400
Message-Id: <20220425035918.25683-33-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-cu2qu): New variable.
---
 gnu/packages/fontutils.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 59b4f8075b..20a03463e6 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -133,6 +133,33 @@ (define-public opentype-sanitizer
 them as it goes.")
     (license license:bsd-3)))
 
+(define-public python-cu2qu
+  (package
+    (name "python-cu2qu")
+    (version "1.6.7.post1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "cu2qu" version ".zip"))
+       (sha256
+        (base32 "1x762r7bf39g6aivfvrmq00h6f07abvs9x1xm0fz8l81vq8jz64c"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-fonttools-full))
+    (native-inputs
+     (list python-cython
+           python-defcon
+           python-pytest
+           python-pytest-runner
+           python-setuptools-scm
+           unzip))
+    (home-page "https://github.com/googlefonts/cu2qu")
+    (synopsis "Cubic-to-quadratic bezier curve conversion")
+    (description "This library provides functions which take in @acronym{UFO,
+Unified Font Object} objects (such as Defcon Fonts or Robofab RFonts) and
+converts any cubic curves to quadratic.  The most useful function is probably
+@code{fonts_to_quadratic}.")
+    (license license:asl2.0)))
+
 (define-public python-fontmath
   (package
     (name "python-fontmath")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:11 2022
Received: from localhost ([127.0.0.1]:60752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuR-0007zK-5T
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:11 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:33355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptS-0007lC-Bq
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:11 -0400
Received: by mail-qt1-f175.google.com with SMTP id hf18so9593889qtb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=iIQCin8HoWl2ACOwju/EAE6nKprqqaquZ5dJniBJdRQ=;
 b=QDCUkQ2wpGHU3wpfRdGsgm3lUzTf7njBrVdekHVMIWN0BIr9/lQ7Qfe+v/LFlaHUn1
 YP/9acRiIIki4yqWRi+t2gfnybrdJQ+B/w3MWJoZI52645uhIenCU6uAq9ANBIEXE639
 An/OX81ntQ6CagwyH0CO/sy+3aT+vPF8eezXLAL1jnOCgbeqOhgbLKZTQRZVAEIjohpP
 FCNKYCbZp0Bk69wptln4Tjs6HgKAQ8Sg0qUekApKcef7VRtcdY7gaRukOoUSBtWvGQzE
 OnDnZX0uNEd4YhcO3N77oRtuvPy128sYottlsTRl2bymUuwPiWbhTG0rvSLUyZJxGk91
 FWQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=iIQCin8HoWl2ACOwju/EAE6nKprqqaquZ5dJniBJdRQ=;
 b=C4BL1krnLjdm+mduKSnRZa3PtiULmd+kvCC0WQcJj4zizC1RqL+fW0swg3ukZrccge
 lc+X38bKsj24smHLPbCHV2wdtDfoddtd9Y1b7EKKDzyk1gFnb6n8leZzDTaoHF0aiRkS
 lXkJdArJhDNpgYc8iStfnvAYlVl/UjBpluVL+ZUjp69JMep4yjibKqAmnDqAneTqVpBZ
 k4LNWtLQB29jh6FmXJjPekYrlHhncO2elVOptbubOqEuJP9ZC3aF/gU0QApQiSq1cLey
 ktRlnSzPtjc4tGFN2bgPuo2WEtup61c/Z+63Raj0QQ1knKap1I+M2cThTMgiOo8cR2kM
 gzag==
X-Gm-Message-State: AOAM532cQU5cUITa5ZVy5TaXvJ9vge6E58HKz8lcaoeiCbVJbWXmXcnd
 IeZFrVIs4GfOrwN1UjaaNEmhOGwo6BbaoA==
X-Google-Smtp-Source: ABdhPJyQG2UdMO6qwr0D+s/4DqncealJLCPNPtLAFXXoMQ84jG1Gmu1EtF4b3fZefw3ybNseXoURzA==
X-Received: by 2002:ac8:7a8a:0:b0:2f1:de6a:c044 with SMTP id
 x10-20020ac87a8a000000b002f1de6ac044mr10714676qtr.243.1650859204779; 
 Sun, 24 Apr 2022 21:00:04 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:04 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 032/232] gnu: Add python-fontparts.
Date: Sun, 24 Apr 2022 23:55:58 -0400
Message-Id: <20220425035918.25683-32-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-fontparts): New variable.
---
 gnu/packages/fontutils.scm | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 503ff7afa3..59b4f8075b 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -219,6 +219,16 @@ (define-public python-fontparts-bootstrap
 process.  FontParts is the successor of RoboFab.")
      (license license:expat))))
 
+(define-public python-fontparts
+  (package/inherit python-fontparts-bootstrap
+    (name "python-fontparts")
+    (propagated-inputs
+     (modify-inputs (package-propagated-inputs python-fontparts-bootstrap)
+       (replace "python-defcon-bootstrap" python-defcon)))
+    (properties
+     (alist-delete 'hidden?
+                   (package-properties python-fontparts-bootstrap)))))
+
 (define-public python-opentype-sanitizer
   (package
     (name "python-opentype-sanitizer")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:11 2022
Received: from localhost ([127.0.0.1]:60750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuQ-0007z6-LZ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:11 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:43965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptR-0007ks-Jk
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:11 -0400
Received: by mail-qt1-f182.google.com with SMTP id hh4so9553879qtb.10
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=s2rXdk7JLjaVvbLSH8pgnzDmtqk5qovThFkGhdQ0JW4=;
 b=RTVveR+Xyss3vrSinMLr1nCW1CKpeV8TXEEwEz9tnLVjVO7o1OiZFsnOQvEjG6fup7
 5Iw8YL0QBZHk6gjUEGR3OxIuW7YQoR8k0KY1zTKerDPh5Nn0l0eQt11zfnzd8qnvm3l/
 nnzMcO5t8ysKbgHMzMcYCDn3G2JtEd4e8Zv2a8wanidjYeGbUzN7d/M+WZSxrFGBMOHq
 16juoDCBx9AM8I5FwUvYllgMELXf4ot3mXyYGgGZjGIQ6Yo2KREWtCEcS6AP1oqPTWp4
 3o96ms6d255ZcddflJwuhirFuZJ62zLZOkSRc41KChHLp2y63KUVlGq2tMqu8T5BDaWU
 yOqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=s2rXdk7JLjaVvbLSH8pgnzDmtqk5qovThFkGhdQ0JW4=;
 b=5eh8zL3uoZZgXAD9HMc2tWPHbRbyigbMdbIUOHQqQuTktQ5HUPt2P2Wsu8Ae+c4JVZ
 bYhRmLiU+Wb5c2OY3yBYH8TIux3b+PdGhLkMhfFvpv0CEQfrXAgsF+ryWVpS7OfnO2CB
 5p3umlECTuQnHlUWTjfY/ZLRXVYk2RpF9eh7XL+4GTS2mpJ7b/6uMVU14d/Crz0Kg2pP
 AmC/aEdf9+OgVsNj43pAGuw6Axun07HWQZ72z/6v5E07JXHHZYHiogMP8v6loCylVmIr
 d2N0Fp7xrLOKDSc3sOuXvWfEqMUYcJ3jSubDp/BsxeIMPbm61gGIsikoHEyWtXumPZIj
 RrMw==
X-Gm-Message-State: AOAM5300Mic3ghlsOTRcnigdDkcbIRtvSYfPzfABqcIE1uUD6C3r+ry+
 z4VijPTfEDDC64rdLg6FMf2H/oHHZxe1gg==
X-Google-Smtp-Source: ABdhPJxvoEP2t4PeH0BtQkrIe6i48PrShWhelhrjDCsxizoflPvz7m7lsaPLNSL58b5bzA7AydJlSg==
X-Received: by 2002:ac8:5848:0:b0:2f3:6f14:8244 with SMTP id
 h8-20020ac85848000000b002f36f148244mr67438qth.584.1650859203567; 
 Sun, 24 Apr 2022 21:00:03 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:03 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 031/232] gnu: Add python-defcon.
Date: Sun, 24 Apr 2022 23:55:57 -0400
Message-Id: <20220425035918.25683-31-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-defcon): New variable.
(python2-defcon): Adjust to inherit from it.
---
 gnu/packages/fontutils.scm | 36 ++++++++++++++++--------------------
 1 file changed, 16 insertions(+), 20 deletions(-)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index e8839fdca7..503ff7afa3 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -960,35 +960,31 @@ (define-public python-defcon-bootstrap
 UFO3 as described by the UFO font format.")
     (license license:expat)))
 
+(define-public python-defcon
+  (hidden-package
+   (package/inherit python-defcon-bootstrap
+     (name "python-defcon")
+     (propagated-inputs
+      (modify-inputs (package-propagated-inputs python-defcon-bootstrap)
+        (replace "python-fontpens-bootstrap" python-fontpens))))))
+
 (define-public python2-defcon
   (package
+    (inherit python-defcon)
     (name "python2-defcon")
     (version "0.3.5")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "defcon" version ".zip"))
-       (sha256
-        (base32
-         "03jlm2gy9lvbwj68kfdm43yaddwd634jwkdg4wf0jxx2s8mwbg22"))))
-    (build-system python-build-system)
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "defcon" version ".zip"))
+              (sha256
+               (base32
+                "03jlm2gy9lvbwj68kfdm43yaddwd634jwkdg4wf0jxx2s8mwbg22"))))
     (arguments
      `(#:python ,python-2))
     (native-inputs
      (list unzip python2-pytest python2-pytest-runner))
     (propagated-inputs
-     (list python2-fonttools python2-ufolib))
-    (home-page "https://pypi.org/project/defcon/")
-    (synopsis "Flexible objects for representing @acronym{UFO, unified font object} data")
-    (description
-     "Defcon is a set of @acronym{UFO, unified font object} based objects
-optimized for use in font editing applications.  The objects are built to
-be lightweight, fast and flexible.  The objects are very bare-bones and
-they are not meant to be end-all, be-all objects.  Rather, they are meant
-to provide base functionality so that you can focus on your application’s
-behavior, not object observing or maintaining cached data.  Defcon
-implements UFO3 as described by the UFO font format.")
-    (license license:expat)))
+     (list python2-fonttools python2-ufolib))))
 
 (define-public nototools
   (package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:10 2022
Received: from localhost ([127.0.0.1]:60747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuQ-0007yr-4R
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:10 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:33350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptQ-0007kf-I0
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:10 -0400
Received: by mail-qt1-f172.google.com with SMTP id hf18so9593837qtb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=j4ynBybChQZOdzCjudGR7f3WM2enRsX6M7lU/b3Xl3A=;
 b=FVo7/4skefAKiQPwx4NxRJ8h93ZEWVhv3miZS4kv/+/ikZN+7raGiKvfXnNkutwm2d
 R0b8kPLl/BTm2/EP5+3lDMnnRrGmUvXexzoeswxNOuUZd1fGmcwu9HMrzTkV3UruNzLS
 mn9cQ0cRTE8zdALQFM2pnQcQT43Ysli0aVnMocRPIl06M3TMujU/wq6T+B6j9o5BZML8
 U9uUNkWYFXb7k42SgNWlIvvMN0eofEYkGesgPjP/ADZDLVpcWXN+GX9wsyPcdMuJPEZV
 +b1k34FeThCBlyCRjCadg4PVkusVZsmnHla65YWeOX6XjxXi1STbMUdcagPwQASwN87H
 JWsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=j4ynBybChQZOdzCjudGR7f3WM2enRsX6M7lU/b3Xl3A=;
 b=qja5FWNbWuTrrBAg7NgmCAOj+JblBSEmQiUoWXHuW8verbthRGyCjFcRUHN8+ZjJjL
 1A+iyptVQ/BH4MzGtJOm6gh56Or+e6JDmfo/cT2m6Mrf3wkW9FjtmGbIvGu1vyINX1Z1
 4aCC44NgNp2zLAgWfDbXt3r7CuYqup7PqVULPkXiN2xpxQ64C++w+JBkHvCIRJcaDXqi
 fcHmMwi3QCah6HM9hye7VNXzcdbgp+johHjbyRmlrMkHjzWXQ8nsqexv+DadB1ubhsYx
 6FJ3F+J4U3wFPehSJ5y3cpnh5Kc7srKVE3Bal9Hgwa5hToi5NQmLIuEYsUR9fYmGQ1ty
 6HpQ==
X-Gm-Message-State: AOAM530Ins35umHo99STDOgryqANtilhtwFAavppGGIogyDqxqRVK/cp
 LqkzHPgDKKlekC11Mx3ifEqWx7JLKrtePw==
X-Google-Smtp-Source: ABdhPJykVWoOZWppyCT59pcV8CkO1qKqrRXnCSYzEE+Um8YNIX4Gtg2PustiWX7eX15PLw9X0OmSCg==
X-Received: by 2002:a05:622a:8b:b0:2e0:75f0:c18d with SMTP id
 o11-20020a05622a008b00b002e075f0c18dmr10941370qtw.488.1650859202787; 
 Sun, 24 Apr 2022 21:00:02 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:02 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 030/232] gnu: Add python-fontpens.
Date: Sun, 24 Apr 2022 23:55:56 -0400
Message-Id: <20220425035918.25683-30-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-fontpens): New variable.
---
 gnu/packages/fontutils.scm | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 26c35e26c9..e8839fdca7 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -178,6 +178,21 @@ (define-public python-fontpens-bootstrap
 implementing the pen protocol for manipulating glyphs.")
     (license license:bsd-3)))
 
+(define-public python-fontpens
+  (hidden-package
+   (package/inherit python-fontpens-bootstrap
+     (name "python-fontpens")
+     (arguments
+      (substitute-keyword-arguments (package-arguments python-fontpens-bootstrap)
+        ((#:tests? _ #f)
+         #t)))
+     (native-inputs
+      (modify-inputs (package-native-inputs python-fontpens-bootstrap)
+        (append python-fontparts-bootstrap
+                python-fontpens-bootstrap
+                python-pytest
+                python-pytest-runner))))))
+
 ;;; A variant used to break a cycle with python-fontpens.
 (define-public python-fontparts-bootstrap
   (hidden-package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:10 2022
Received: from localhost ([127.0.0.1]:60745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuP-0007yj-NJ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:10 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:41912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptP-0007kD-Rz
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:09 -0400
Received: by mail-qt1-f174.google.com with SMTP id fu34so9562711qtb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=9wuUelpmrM8xibXmk5+zC0UH3OI8h8Ce0zfaV9xEgWk=;
 b=fX+BIFk3FQ4SVJ5kCwKJ5eQiWokCSZCsq9MLZM48kLdOAuH7PUx+euIrl6RiKvef5z
 pLoLFHaifKIRODO8BH5bQOkYGRRasFlWU0vkG4d1d244WnXVPb6r8GetXhIZgvaET+n4
 XMhF7DzXsRFnqYVCQ+bK5QXLtS67BpG601VeC8Fm4Yh5umAjolhSpsy4grmHZTrpR69m
 Q70O5zwhCdAS65NHGAo2KRqdSqEDJME7HSkF4VwrG9DXBNtJ+vrmBRjPDAXMGxHHRXqB
 3TEO9smakrrYo9pgqiJXTPtnulOC6IUn9UUYQvIbP7Dsx/4jY1Hyp/niwDejrOVOyBhl
 70BA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=9wuUelpmrM8xibXmk5+zC0UH3OI8h8Ce0zfaV9xEgWk=;
 b=snq1PhKpS3k4A/rjvbyCuZ3xinqM6Cgfk4CyABZUJOj7sRQ+zgn1ozOOMupoihTVNx
 k6YAqldjdTJs4xDrArDqstCB2m8ej3MuV8NrdpOGPt7MsWB+1JnNpJnZnLbSrwbaUE14
 NTTyfKjkGJTjE1y/XAi2ZxLJJk5Eec2hALr9asMD2nXOrj7LSHvlVNJ5muPzjxQdzpJ2
 9X4JctZqLRcLWqF4Qzcrr7lfs9dZqdLoy1nwESsbVpEOU4S1SrR/1k68pLi9TO7y8IZ5
 hglym8zagf9qaORHopUMRHOeZ8bBgJxDFlcfVco9FKLL9QKAwM1z3S2uP8HiLY9z/LXI
 IiAA==
X-Gm-Message-State: AOAM533x/96gPmbj5IOdUAbOuSi1LU4oJ3RHGBwPI6L75Jpjo+lgAkes
 PRJl4HgahfK4XPC/YIFR0+Qh3XerPhBmug==
X-Google-Smtp-Source: ABdhPJyomWaepmO6O+SYzW88JsO0vCVmqyxlCNUnZ2VWeQb6UwvWAhpdGI45cgnEiifimuP6sBFbWQ==
X-Received: by 2002:ac8:4813:0:b0:2f1:eb06:55c8 with SMTP id
 g19-20020ac84813000000b002f1eb0655c8mr10667592qtq.177.1650859202099; 
 Sun, 24 Apr 2022 21:00:02 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:01 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 029/232] gnu: Add python-fontparts-bootstrap.
Date: Sun, 24 Apr 2022 23:55:55 -0400
Message-Id: <20220425035918.25683-29-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-fontparts-bootstrap): New variable.
---
 gnu/packages/fontutils.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 92b8c0a726..26c35e26c9 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -50,6 +50,7 @@ (define-module (gnu packages fontutils)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gperf)
+  #:use-module (gnu packages graphics)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages linux)
@@ -177,6 +178,32 @@ (define-public python-fontpens-bootstrap
 implementing the pen protocol for manipulating glyphs.")
     (license license:bsd-3)))
 
+;;; A variant used to break a cycle with python-fontpens.
+(define-public python-fontparts-bootstrap
+  (hidden-package
+   (package
+     (name "python-fontparts-bootstrap")
+     (version "0.10.4")
+     (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "fontParts" version ".zip"))
+        (sha256
+         (base32 "1ic453q86s5hsw8mxnclk1vr4qp69fd67gywhv23zqwz9a7kb7lh"))))
+     (build-system python-build-system)
+     (propagated-inputs
+      (list python-booleanoperations
+            python-defcon-bootstrap
+            python-fontmath
+            python-fonttools))
+     (native-inputs (list unzip))
+     (home-page "https://github.com/robotools/fontParts")
+     (synopsis "Library for interacting with font parts")
+     (description "FontParts is an @acronym{API, Application Programming
+Interface} for interacting with the parts of fonts during the font development
+process.  FontParts is the successor of RoboFab.")
+     (license license:expat))))
+
 (define-public python-opentype-sanitizer
   (package
     (name "python-opentype-sanitizer")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:09 2022
Received: from localhost ([127.0.0.1]:60742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuP-0007yX-8G
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:09 -0400
Received: from mail-qv1-f49.google.com ([209.85.219.49]:34672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptO-0007jR-MN
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:09 -0400
Received: by mail-qv1-f49.google.com with SMTP id a5so10936177qvx.1
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=b4x0BhVUlQEzltI8foChHQwjTjA4E21Ha83wfEdMQ2Y=;
 b=jgKS7LkXKOOzq1xd2DAvviCF8q83MWI6TNHOwWhz/K0oO/AP3vXoC2TAtuvrI1eFck
 TnHiN2Uw1ZcgX3wCVnSXuO0ssSj0bzNWO4FBbwg5rBlQ+vQk/CVURlXLpew52Iopj2my
 283VZ1HkWqkCpxy8JKD5+Qqk/4tXIFz503+vOs68Z8oOpxhZyxCPtkUIjSCWenHPZrQm
 cAtCVsJnD+vKuv8GHqjp0DH/NC4ygr5V9w15fmBTmaqI0LLI7nD6yxzIFEW7V0tftDI7
 8TvnReQzhoLjNH9K8+KuWfZ7t3whQomnwnStSirnfBb5e0MQWTaeKk2bix0TuK7Sy0bi
 e9Fg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=b4x0BhVUlQEzltI8foChHQwjTjA4E21Ha83wfEdMQ2Y=;
 b=Iu8+h+9FfiJZRydqKovXAuVbJZkPuefnYbzLqEq9HfXSm16uMLYcFZ90A+QX2Ijj2O
 6be2pwWxMm5Psw3HpOk1eJfFWY/6tNR/6VTTBghYNuSg3mShI0q5sUuoPeNigMJ9iSOs
 Da4XjvBe3dmJ+8w1Ew+AsXgCdjVghu7jytfa+On7uKb3fE4K7N13FByfPV9m49UA6baf
 y49tk2UoRXX24wCg3DYujQKucdeLnL9EG81WodlnP1oJu7FrbNOwEdk9sJOD3kcB7XEk
 AOpIsGuPvWMX0Ovvfc6xejcWWvaeje03p/DooOG4FkymR/5T1XZ5TjKxyuc6+m3K6cPr
 szGQ==
X-Gm-Message-State: AOAM533qjDFUlU6dnjKbdJMCClNBhSz2KTo2lbrFM0/lk5L17wRRt7D5
 lr6EwnBBwqSFgsW7YNd7/+0o3CJpMONcCA==
X-Google-Smtp-Source: ABdhPJywtOIljRQixt9imrfi7gFHsYv2RDAYUvIAjEuRHz8LFYjg02NhnYNwFhAp7fNmQ4t5XlRTQw==
X-Received: by 2002:a05:6214:5287:b0:446:54c7:345f with SMTP id
 kj7-20020a056214528700b0044654c7345fmr11231501qvb.91.1650859201059; 
 Sun, 24 Apr 2022 21:00:01 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.21.00.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 21:00:00 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 028/232] gnu: Add python-booleanoperations.
Date: Sun, 24 Apr 2022 23:55:54 -0400
Message-Id: <20220425035918.25683-28-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/graphics.scm (python-booleanoperations): New variable.
---
 gnu/packages/graphics.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index 2cc75d57cf..50f562abc1 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -98,6 +98,7 @@ (define-module (gnu packages graphics)
   #:use-module (gnu packages pth)
   #:use-module (gnu packages pulseaudio)  ; libsndfile, libsamplerate
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages readline)
@@ -806,6 +807,31 @@ (define-public lib2geom
     ;; https://gitlab.com/inkscape/inkscape/issues/784).
     (license license:gpl3+)))
 
+(define-public python-booleanoperations
+  (package
+    (name "python-booleanoperations")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "booleanOperations" version ".zip"))
+       (sha256
+        (base32 "1f41lb19m8azchl1aqz6j5ycbspb8jsf1cnn42hlydxd68f85ylc"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-fonttools python-pyclipper))
+    (native-inputs
+     (list python-defcon-bootstrap
+           python-fontpens-bootstrap
+           python-pytest
+           python-wheel
+           unzip))
+    (home-page "https://github.com/typemytype/booleanOperations")
+    (synopsis "Boolean operations on paths")
+    (description "Boolean operations on paths which uses a super fast
+@url{http://www.angusj.com/delphi/clipper.php, polygon clipper library by
+Angus Johnson}.")
+    (license license:expat)))
+
 (define-public pstoedit
   (package
     (name "pstoedit")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:09 2022
Received: from localhost ([127.0.0.1]:60740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuO-0007yN-LU
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:09 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:37414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptI-0007iI-WD
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:08 -0400
Received: by mail-qt1-f179.google.com with SMTP id ay11so9566448qtb.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=KI0xYJ/13MjBdrJqbiYs/JGPonimrx+AhpDnAnOFn5M=;
 b=P0CtwQBMj2nAPAUwvdxuEvNh/lz1wUuxFJeCFQ/c3zre8pb4ZuqEaV5bwPPsfFt10T
 LUOc6kKjOG9EFjblZzddb+j4C5ygw3UjfIgBBlYDe+Nc7dTgEjSi6R4IjXAz6qmMIOCI
 yya7PTMl8a/JgNwiyRTWpBll4quIJwPzFEkZbC8xanvE330eQqPAlPy+HZcYvAcO8tG8
 33l9GiE6r2gLpjE7rifkIQDIgLEB7fDlKsvkCh5zfsGdNXV8IL8kuM1xl99XkreW1erG
 RR8vkJW529wP1M4qt+y+8Z+2zgSePEldppjXOFkXyg/MOl6JwePjVJlWfLsDSHFZ2UdI
 Prgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=KI0xYJ/13MjBdrJqbiYs/JGPonimrx+AhpDnAnOFn5M=;
 b=okfHiRKqWUg14kaB4NetcS72G9DLefAzFZtIEuWz0Q7nc8rd8UcXCZjWGFZhaWTwKf
 BMPvhVgCd+DnCKKEqIDC93NXBnGxB81tPxsm6wjvURAwDFn5Lwwfsa9FjFFn1wG3mSQc
 tzgi1H0hff70fhuy+2lRN+2BvdfEHxMwmbCLMCVNRZuY9BwEuqGwCFQ88ohCFkW9nlwE
 CmNXIA0IY9KPaVvgKB8Yg7ESANKSuWFIDXyOoVscQzvCGz6K5DQ5cMTGEwguXtr/DUsd
 3jkZb52WOqHhtj0ceuT578gTmHTCBOIppSSgj+iCx/6hXyNgI+iFgTMNziNZicZPs7kc
 YGSw==
X-Gm-Message-State: AOAM531MvHVV5isC3uvt/ootXT75P/IE6YDGzppxC0phqDrI1+Offwnp
 d+qFEOZfIZCps0dBjCxt5LVf9VXO7XveiA==
X-Google-Smtp-Source: ABdhPJxsZ/+zvQCbR2ZMXZI82AibCP+Mzq3olMOPGTicJ0SFhAdRNAdwv46OyiCaIBTy4F2L8STsPw==
X-Received: by 2002:a05:622a:144:b0:2f3:3bbd:3db5 with SMTP id
 v4-20020a05622a014400b002f33bbd3db5mr10909981qtw.95.1650859195379; 
 Sun, 24 Apr 2022 20:59:55 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 020/232] gnu: Add opentype-sanitizer.
Date: Sun, 24 Apr 2022 23:55:46 -0400
Message-Id: <20220425035918.25683-20-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (opentype-sanitizer): New variable.
---
 gnu/packages/fontutils.scm | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index c8c32fd5a9..16c2391179 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -12,7 +12,7 @@
 ;;; Copyright © 2019, 2020 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright © 2020 Roel Janssen <roel@HIDDEN>
 ;;; Copyright © 2020, 2021 Nicolas Goaziou <mail@HIDDEN>
-;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2020, 2021 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
 ;;; Copyright © 2022 Felipe Balbi <balbi@HIDDEN>
@@ -65,6 +65,7 @@ (define-module (gnu packages fontutils)
   #:use-module (gnu packages xorg)
   #:use-module (gnu packages tex)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix gexp)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix svn-download)
@@ -108,6 +109,28 @@ (define-public freetype
    (license license:freetype)           ; some files have other licenses
    (home-page "https://www.freetype.org/")))
 
+(define-public opentype-sanitizer
+  (package
+    (name "opentype-sanitizer")
+    (version "8.2.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://github.com/khaledhosny/ots"
+                                  "/releases/download/v" version
+                                  "/ots-" version ".tar.xz"))
+              (sha256
+               (base32
+                "17z8cxv48rfig5k7j3xk3bmbf7rm3kxsc3bazix96l0wws58r569"))))
+    (build-system meson-build-system)
+    (native-inputs (list googletest pkg-config))
+    (inputs (list freetype lz4 woff2 zlib))
+    (home-page "https://github.com/khaledhosny/ots")
+    (synopsis "Sanitizer for OpenType fonts")
+    (description "The OpenType Sanitizer (OTS) parses and serializes OpenType
+files (OTF, TTF) and WOFF and WOFF2 font files, validating them and sanitizing
+them as it goes.")
+    (license license:bsd-3)))
+
 (define-public ttfautohint
   (package
     (name "ttfautohint")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:08 2022
Received: from localhost ([127.0.0.1]:60737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuO-0007y9-2m
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:08 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:38900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptN-0007jI-R6
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:08 -0400
Received: by mail-qt1-f181.google.com with SMTP id d14so9575055qtw.5
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=RCoX0fpyv9AsDJvUivo0en+oHJ52JurvWCpJfJdhd4U=;
 b=Z9atFTPfa7pHYA9nIvu7xJHPvJMzyCmq1yiX2yaIFaKaTYGK4FDoZpCdYImUCA/6yB
 YrT3w4rgQmyFjMHGIHMPc8wlcqqqM8J1LMxPMorzcfj3aAfANqVwN3GQVWwtiDVqlOFM
 Z4ClaGB4vSH1OLShuH/xh5/IL9oorfduUvsO3SDDAmK7CgX9ULcG2IJsksQQimWnzmNe
 9zQm/uTtPAVQ5GEkxSLN+w16OH5CyN7QNcCyzdnQeHDjHAIwCp/go8IBYgvHbWMbCXZw
 VawERvPgXfeZgbT5eHfr8MoUnw4F9j8Wrh94DquGg+rFbsc9g5ndG+EsW64VQkURM9P7
 m+pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=RCoX0fpyv9AsDJvUivo0en+oHJ52JurvWCpJfJdhd4U=;
 b=3qhIqbgXl1pNaIKz4u6MtttQ4aULc0EDf4IYUm6MffTi3ibjS/I7LqZ05TywKEBzCd
 BUN8DLQnu+YyC9nnegk/bJGXkEC3RHqpuX+meDmyEdAzDFERcgYm/R2utOv2weUXHcnD
 qRiZFbv6acTQb5PB4yemKAmEh8LztTIXPqD7WP9r5ubaH2adY3qeDgbDos7L9mnu7zLH
 e8NJDaJqsirvs2NhSAFNkGC2Rpizh4uN8cqIoBLTwr/CqHOpB3hyq5q/3gtVgGgEYk0y
 IH/pBl2GnGz/9ra9+GEUz58eRzLQhz9gTAoziHqR7nD1s6/znEFxOdKNxtbOsKgLcxtv
 BH2Q==
X-Gm-Message-State: AOAM530S0IvN+hFFmpSFqZ/8x/sI2QS/9lLcVUF5khaF9mN7GoISvBiR
 nUVNb0w6OzvjNPtqIitdJM45bB4t7yPPRA==
X-Google-Smtp-Source: ABdhPJzd000WG82xzTWAcRv6VZVuDcydCDHFH0p8iE7pUt8ziF2G46RqAKHuPirbR1nGeQSCuH3rtg==
X-Received: by 2002:a05:622a:50e:b0:2f3:4d07:2f93 with SMTP id
 l14-20020a05622a050e00b002f34d072f93mr10761182qtx.590.1650859200254; 
 Sun, 24 Apr 2022 21:00:00 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:59 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 027/232] gnu: Add python-fontpens-bootstrap.
Date: Sun, 24 Apr 2022 23:55:53 -0400
Message-Id: <20220425035918.25683-27-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-fontpens-bootstrap): New variable.
---
 gnu/packages/fontutils.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 4eec234126..92b8c0a726 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -156,6 +156,27 @@ (define-public python-fontmath
 font, glyph, etc. mathematical operations on font data.")
     (license license:expat)))
 
+;;; An untested variant used to break a cycle with python-booleanoperations.
+(define-public python-fontpens-bootstrap
+  (package
+    (name "python-fontpens-bootstrap")
+    (version "0.2.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "fontPens" version ".zip"))
+       (sha256
+        (base32 "1za15dzsnymq6d9x7xdfqwgw4a3003wj75fn2crhyidkfd2s3nd6"))))
+    (build-system python-build-system)
+    (arguments (list #:tests? #f))
+    (propagated-inputs (list python-fonttools))
+    (native-inputs (list unzip))
+    (home-page "https://github.com/robofab-developers/fontPens")
+    (synopsis "Python classes implementing the pen protocol")
+    (description "This package provides a collection of Python classes
+implementing the pen protocol for manipulating glyphs.")
+    (license license:bsd-3)))
+
 (define-public python-opentype-sanitizer
   (package
     (name "python-opentype-sanitizer")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:08 2022
Received: from localhost ([127.0.0.1]:60734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuN-0007xv-FF
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:08 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:42686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptL-0007il-2V
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:06 -0400
Received: by mail-qt1-f182.google.com with SMTP id he8so2320860qtb.9
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=dEtzPpRHfqPIw8CzvFF2D//IjWmWOS2a6RMevfOPWl0=;
 b=IftvF9Xhq41y6magIrZ3dWPHD7+8/YBmAKorpEpN3a8IVn+30e0MeZ8r6vzIJL1kIX
 c7mpTyBJGuJnO2HLqDLoDOh53J8GJF7BvZbwwHBj1PqEgNVH06PmlxJ5ien2Lm4ZbDLa
 B3bXr8delV5IDT/eEKprt9VzvszuTi3ucJlZFLSJri4wU47Njles0ZvdLMeZiQZSYEuO
 xFVAdR/8NeyLauABTNeYeoZpRYPjf8XLokL0JKDqjscgadYvxkxu/d7UCrBkS549mtdt
 movPplUYjC430kO1bqXNrIhsPrQc6MqvuhnJ/yO7PPA9EkPOkVCN/sHNTcQwTKRMmBx2
 OpuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=dEtzPpRHfqPIw8CzvFF2D//IjWmWOS2a6RMevfOPWl0=;
 b=hMZLXEBJ/xpiJCvB2n1rMFjPZjE8yAdJzMXPLfpo235OzbLjQj5gd/dAg5K/URJi/z
 gYtn2i8wv08ZsxbOinpFT5cJTeUx+sdDHgcIfd4EgHpl9uaGqw9mfFXRS5dqKoWYWEvI
 71h5M7uHNZqas2X+Sm8NpLLqxdQkru8x0W3hIgfkaAWOq6IUGH6CPg4L9pQNXW/0JaCp
 SJGUCKlHTM9NVSHi0Jy2BBWsmPfWd2xh+/49gRX6T5lmlolL12Fnh8jP/K81I2D0AM3b
 2VMR2mzjVamULbzWvMfIfQcu9RPxwJh6l+IJAAE2VW8Qdv6M5JyfLPMO52lxw4i4nkEK
 Trog==
X-Gm-Message-State: AOAM533Wfx58n0wfOYdHSmPzTlAKcRvwtuaPKPFXK14XHsAN0gCYwkqA
 4GYnNisoQ76yuyAb32+YT1BZ7mndO9fAvg==
X-Google-Smtp-Source: ABdhPJxbu0c0NYPOjT/5BkuWNyZbOtGsgoUP1iFzzPqvZmkaY9J+VuQ6PJS0v1+rpkWkbCOv7eX6Nw==
X-Received: by 2002:ac8:5e11:0:b0:2f3:633d:da02 with SMTP id
 h17-20020ac85e11000000b002f3633dda02mr5281072qtx.469.1650859197387; 
 Sun, 24 Apr 2022 20:59:57 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:57 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 023/232] gnu: Add python-fontmath.
Date: Sun, 24 Apr 2022 23:55:49 -0400
Message-Id: <20220425035918.25683-23-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-fontmath): New variable.
---
 gnu/packages/fontutils.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 61b39e510d..8870b87abb 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -57,6 +57,7 @@ (define-module (gnu packages fontutils)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages webkit)
@@ -131,6 +132,30 @@ (define-public opentype-sanitizer
 them as it goes.")
     (license license:bsd-3)))
 
+(define-public python-fontmath
+  (package
+    (name "python-fontmath")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "fontMath" version ".zip"))
+       (sha256
+        (base32 "001756zxn2386dm4svgqjgw5026hvyacxl09b2qlk7s06phpcphw"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-fonttools))
+    (native-inputs
+     (list python-setuptools-scm
+           python-pytest
+           python-pytest-runner
+           python-wheel
+           unzip))
+    (home-page "https://github.com/robotools/fontMath")
+    (synopsis "Fast font mathematical operations library")
+    (description "This package provides a set of objects for performing fast
+font, glyph, etc. mathematical operations on font data.")
+    (license license:expat)))
+
 (define-public python-opentype-sanitizer
   (package
     (name "python-opentype-sanitizer")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:07 2022
Received: from localhost ([127.0.0.1]:60731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuM-0007xh-Pc
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:07 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:40946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptM-0007j0-GW
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:06 -0400
Received: by mail-qv1-f47.google.com with SMTP id hu11so10915134qvb.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rfimEni86b9Sq5mNoKeB0ajn3lLaibPjchxoeYdrLAs=;
 b=pfbEqGLknE4SiGH2y5rGsETk0ffzxSPvX3MLCOhs7pgMhk6Gv5tfvVtg7poH9m+jke
 NpRYZR/fSKQb09MyvUdohrS3ZDfJEbdBkdlXTa2c13Hw9rhcHbJ/chlL4Vu+ln0Rj8le
 nRVe2S9h0ojVckArn43Tcjv6bwh63nXx+s7teSztuHQG4ILMNVuBGA3D5s8w28Pp4wjW
 zkWHerkaqSSQ5pMWS4qiU6OdEh6mMd/qAELH3ay9w2s78/truWjk+JJgVeraiq/fqdwV
 OXgPFIXknv2qZVty2Lf/9mYEaHawzYIooOfF4IHfFFkKx4dOmijxtV2wDl95ZDYBvHr/
 jxsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rfimEni86b9Sq5mNoKeB0ajn3lLaibPjchxoeYdrLAs=;
 b=fyn2vIgH2Dmc6b/cgZUZV/J6QHKmS9qCuJ7UWT2sVsWQiOyHqzxhlM6/20IrsXcHcn
 NaqnuupU9xakp5WY3yVBD9Em4QzmFb28i2kWgvc98bTDJ6w2cdLs25P5WUd9HCxMOCcx
 uack7ZSu70IfKFKHcf8E5pnB6RZqwQI4HpSlilEOzLNPGNWmFxDjcBQqcDghYBULhUt4
 en8Nj8bGjXcF1igiYWu6JFf1207VC3bz0woMY1cWKFJNddttTIm9qLJkdgqyOcsvRI0O
 ftHJCIbrfh3NQhNPONHrBc2q86Dm0oGiodPaEBMRgh5MHAjLumYQhEYL/TsFPNG1tYry
 VoTQ==
X-Gm-Message-State: AOAM531u1FkhAhZgLmXHIoB0II+3/hOAO2Q8YGkvYs6bP2OywvXX3PV0
 cKajYwnI/+szd3lf/QLVEPzfyeNUe/+6ZQ==
X-Google-Smtp-Source: ABdhPJwr6jVb0lJ6/+wRJpVua1gz9qvoirzwtV7otnQBBkjOEjKMqMXWuZCwylqsRnpH06WyogkfoQ==
X-Received: by 2002:a05:6214:5284:b0:443:dd21:7db3 with SMTP id
 kj4-20020a056214528400b00443dd217db3mr11360030qvb.27.1650859198842; 
 Sun, 24 Apr 2022 20:59:58 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 025/232] gnu: python-fonttools-with-test: Rename to
 python-fonttools-full.
Date: Sun, 24 Apr 2022 23:55:51 -0400
Message-Id: <20220425035918.25683-25-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-fonttools-with-test): Rename to...
(python-fonttools-full): ... this.
[native-inputs]: Move python-brotli, python-fs, python-scipy
and python-zopfli to...
[propagated-inputs]: ... here.  Add python-lxml, python-lz4 and
python-unicodedata2.
---
 gnu/packages/python-xyz.scm | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c6d208f133..054567319a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11337,7 +11337,9 @@ (define-public python-fonttools
      (license license:expat)
      (properties `((python2-variant . ,(delay python2-fonttools)))))))
 
-(define-public python-fonttools-with-tests
+;;; Rename 'python-fonttools' in next cycle, renaming the current
+;;; 'python-fonttools' to 'python-fonttools-minimal'.
+(define-public python-fonttools-full
   (package/inherit python-fonttools
     (arguments
      (substitute-keyword-arguments (package-arguments python-fonttools)
@@ -11362,11 +11364,15 @@ (define-public python-fonttools-with-tests
                                   " and not "))))))))))
     (native-inputs
      (modify-inputs (package-native-inputs python-fonttools)
-       (append python-pytest            ;FIXME: indentation is broken
-           python-brotli
-         python-fs
-         python-scipy
-         python-zopfli)))
+       (append python-pytest)))
+    (propagated-inputs
+     (list python-brotli
+           python-fs
+           python-lxml
+           python-lz4
+           python-scipy
+           python-unicodedata2
+           python-zopfli))
     (properties (alist-delete 'hidden? (package-properties python-fonttools)))))
 
 ;; Fonttools 4.x dropped support for Python 2, so stick with 3.x here.
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:06 2022
Received: from localhost ([127.0.0.1]:60729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuL-0007xQ-OT
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:06 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:44618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptH-0007i5-NZ
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:00 -0400
Received: by mail-qt1-f171.google.com with SMTP id t11so2667687qto.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=+LPOX6DAHFqIu2+67jNCFG2WFMELiZV0EBLaly0V9oQ=;
 b=UbMtRMdiAocdpLNorl+XO0LdpKT4NsBJXBY7L9hSdeCN90J/2M9+4XrWmQE4zzzpDG
 5O6C6Y50UP6f8nlYZRkuTmAPLedodBUg5jcnMGhN8pEUIHsGyJBbHPRW4Iw6XNLyosPd
 mH+7qD0bG8y3hgVQB6a+ZNWW7bBjKVDWS/cZikiJCqivRYRT4nlPfFkA/29kQ6OiONE5
 LbLEgPclZZiRTaLmBtp1qSHvLjLG1alCyhT3QyvKplJrqgIflPpbmvECTmfEyeFlY/yx
 g6WYd8Qb9fZKdZiR83JXHgF98AwU5a7m/r5auAjddvpmMclKSMjzZqdrPgok44BFR/kv
 qmRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=+LPOX6DAHFqIu2+67jNCFG2WFMELiZV0EBLaly0V9oQ=;
 b=sTO9KJhq2RIVG8e/5WLgdCrGMkXXjdnS4xe6gv2TJlZRNS5SoPDHk4lhYSLLZWBrUg
 3G5BqGgAshV+6jIlNIoZWdt5dY2zSswO0LBDBgLDQ4HC1GtiuTjp8yM+NyYy2Qqng87W
 g2fDHRMdfEFVI1rKKf5dhktNKp31Ts4bJS35+TmXc4bAJn2FdImibVjZ9P0Yt/7383hq
 QoTftkU5Nc1PWpNZFOppq9rs1GDmURQjnbvYQNAzOdndR/Jxl515goIWmqp1iuEXfHdG
 PxNUxwuKs7JMWsQYATG5q4DRJF2s8Ed05EXqagbEQjpsirvbQk95hSxEFxzJaid0R5Nw
 lBiA==
X-Gm-Message-State: AOAM530vnUNp06ffFo/5ccLKNYRd+/kOCj4d5RTXtjOoIuYfR8Zp1Cns
 bOzijYuruJGV90n11ZCLyz+Hta7w3tmnnQ==
X-Google-Smtp-Source: ABdhPJzhrcY5VwJNH7CX91dM8JAKRDxwYzGp0fmITjhsTiM9keXF6WnZcLniANZfrAYmlGPkriQ6qg==
X-Received: by 2002:ac8:7f4d:0:b0:2f1:f967:52bd with SMTP id
 g13-20020ac87f4d000000b002f1f96752bdmr10598845qtk.597.1650859194034; 
 Sun, 24 Apr 2022 20:59:54 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:53 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 018/232] gnu: Add texlive-zref.
Date: Sun, 24 Apr 2022 23:55:44 -0400
Message-Id: <20220425035918.25683-18-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-zref): New variable.
---
 gnu/packages/tex.scm | 70 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 82da10c41a..1ebaceb322 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -6360,6 +6360,76 @@ (define-public texlive-zapfding
     ;; No license version specified.
     (license license:gpl3+)))
 
+(define-public texlive-zref
+  (package
+    (inherit (simple-texlive-package
+              "texlive-zref"
+              (list "doc/latex/zref/"
+                    "source/latex/zref/")
+              (base32 "09l2wrqx0navislkx15iazv7jy0ip8bqaw3c0hjf0jy81kqrrm01")))
+    (outputs '("out" "doc"))
+    (arguments
+     (list
+      #:build-targets #~(list "zref.dtx")
+      #:tex-directory "latex/zref"
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'chdir
+            (lambda _
+              (setenv "ROOT_DIR" (getcwd))
+              (chdir "source/latex/zref")))
+          (add-after 'install 'install-doc
+            (lambda* (#:key outputs #:allow-other-keys)
+              (define doc (string-append (assoc-ref outputs "doc")
+                                         "/share/texmf-dist/doc"))
+              (mkdir-p doc)
+              (copy-recursively (string-append (getenv "ROOT_DIR") "/doc")
+                                doc))))))
+    (propagated-inputs (list texlive-generic-atbegshi
+                             texlive-generic-gettitlestring
+                             texlive-generic-iftex
+                             texlive-latex-atveryend
+                             texlive-latex-kvoptions
+                             texlive-latex-pdftexcmds
+                             texlive-latex-xkeyval))
+    (home-page "https://github.com/ho-tex/zref")
+    (synopsis "Reference scheme for LaTeX")
+    (description "This package offers a means to remove the limitation, of
+only two properties, that is inherent in the way LaTeX's reference system
+works.  The package implements an extensible referencing system, where
+properties may be defined and used in the course of a document.  It provides
+an interface for macro programmers to access the new reference scheme and some
+modules that use it.  Modules available are:
+@table @code
+@item zref-user
+use zref for traditional labels and references;
+@item zref-abspage
+retrieve absolute page numbers (physical pages, as opposed to the logical page
+number that is normally typeset when a page number is requested;
+@item zref-lastpage
+provide a zref-label for the last page of the document;
+@item zref-nextpage
+provide the page number of the next page of the document;
+@item zref-totpages
+provide the total number of pages in the document;
+@item zref-pagelayout
+provide the page layout parameters of a each page (which may then be printed
+at the end of the document);
+@item zref-perpage
+make a counter reset for each new page;
+@item zref-titleref
+make section title or caption text available through the reference system;
+@item zref-savepos
+make positions on a page available;
+@item zref-dotfill
+controlled dot-filling
+@item zref-env
+record the latest environment's name and the line it started on;
+@item zref-xr
+provide the facilities of the xr and xr-hyper packages.
+@end table")
+    (license license:lppl1.3c+)))
+
 (define-deprecated-package texlive-fonts-adobe-zapfding texlive-zapfding)
 
 (define-public texlive-fonts-rsfs
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:05 2022
Received: from localhost ([127.0.0.1]:60726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuL-0007x8-0m
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:05 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:39884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptG-0007i4-Vq
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:00 -0400
Received: by mail-qt1-f169.google.com with SMTP id v2so2898388qto.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=eD2MOcXw1n/FOOZ2+LMK69TAXCw99dk1TH9oGxh2p6A=;
 b=motVzJWDILDUABBzg55rX9AbzTNZNREgmeAPSAPdu9HxT1uYiS9zdYAzGb7+C4LTOS
 30myHTxvZgDOK9ITpNrKH6AbPyTlmlzaZrM9hvO0cYd22am1MU127eYTQTvAspemWvjD
 UfVtIxYysNKQOQHyMkSGTFIt4oM23JjpjmwEh5Gs6kiA+PkDf6vUL6ANR9bkvcfsbZ94
 3SYoiGAW0FvBqFx7Z3STVaRJzKNuo3wnrfpqaxLZHltNkGGsTpvXFB35ZfnHS6ckch5z
 J4GeDqXcebPN7s2VHzw5nRm5CYzrhjtxBaZiO8aeU+iCJ8cimFyZ+ttGwP0xcr/iaIIz
 LBrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=eD2MOcXw1n/FOOZ2+LMK69TAXCw99dk1TH9oGxh2p6A=;
 b=oYsX9c50w0SAzAC+uOWlc+V1HLS4ZoW3HG26ypSX7oadwUu6VET37FFRvJX6fZHnPa
 vQEqiGe2tOZo227nuxyFEgf06nkaIIaetYvtplIwhi5T+qt5jVaaUbeOZP7fDJxbMpV4
 3KyeZLKuYC7QAYTtW7FX7EsNuKyhTchfJ0rWHLhxYuUyFUnqh3eZzn3Qip579ipsDrZ3
 0CddlbT0c/gHFZ00fB9pqZMWNrtrJe/9LcfSS7y3TBFhEj8ZXU2XOwfJL4MdSZKMC5YZ
 rzj8B/aoPmCRU0U3WAGbtopOM0W0NgKY2yAo6+TrpuRbxgabuAOyokq37aX5CDvO80OF
 Pctg==
X-Gm-Message-State: AOAM5338J/nAov5FOIHGbgtHnyjAELaKMvGPPuu8P+gxrTNcd3ojvO5s
 KRa7Z5lhamgt+35a6UHXB8F1NkI9DIPzPQ==
X-Google-Smtp-Source: ABdhPJzLoxrXPO1Fl6IsryxOjtU7Pe4jj84JqqQ4KY1X6hu/yeYfodV7uXLglpredFMPFVVVxCZw/A==
X-Received: by 2002:a05:622a:6083:b0:2f1:d380:1fad with SMTP id
 hf3-20020a05622a608300b002f1d3801fadmr10942834qtb.4.1650859193422; 
 Sun, 24 Apr 2022 20:59:53 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:53 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 017/232] gnu: Add texlive-cs.
Date: Sun, 24 Apr 2022 23:55:43 -0400
Message-Id: <20220425035918.25683-17-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-cs): New variable.
---
 gnu/packages/tex.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index f8fa65e386..82da10c41a 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -4081,6 +4081,37 @@ (define-public texlive-babel/fixed
 
 (define-deprecated-package texlive-latex-babel texlive-babel)
 
+(define-public texlive-cs
+  (package
+    (inherit (simple-texlive-package
+              "texlive-cs"
+              (list
+               "fonts/enc/dvips/cs/"
+               "fonts/map/dvips/cs/"
+               "fonts/source/public/cs/"
+               ;; TODO: Remove these pre-built files after the manual
+               ;; build below is fixed.
+               ;; The font fails to build from the Metafont sources, with
+               ;; errors such as:
+               ;; This is METAFONT, Version 2.71828182 (TeX Live 2021/GNU Guix) [...]
+               ;; (./csaccent.mf
+               ;; >> cap_curve#-dot_size#
+               ;; ! Unknown relation will be considered false.
+               ;; <to be read again>
+               "fonts/tfm/cs/cs-a35/"
+               "fonts/tfm/cs/cs-charter/"
+               "fonts/tfm/public/cs/"
+               "fonts/type1/public/cs/"
+               "fonts/vf/cs/cs-a35/")
+              (base32 "1ww5lrqja051fh0ygmfdyy5a6bhwq9k5zv857vwiqf5syvw5djps")
+              #:trivial? #t))
+    (home-page "http://petr.olsak.net/cstex/")
+    (synopsis "Czech/Slovak-tuned Computer Modern fonts")
+    (description "This package provides Czech/Slovak-tuned Computer Modern
+fonts in the Metafont format; Type 1 format versions (csfonts-t1) are also
+available.")
+    (license license:gpl2+)))           ;see fonts/source/public/cs/cscode.mf
+
 ;;; Note: if this package is modified, its name must be changed to comply with
 ;;; its license.
 (define-public texlive-csplain
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:05 2022
Received: from localhost ([127.0.0.1]:60723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuK-0007wp-7J
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:04 -0400
Received: from mail-qv1-f45.google.com ([209.85.219.45]:41494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptG-0007hx-A3
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:59 -0400
Received: by mail-qv1-f45.google.com with SMTP id kj29so6323690qvb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=DLWaGJ4+3YiTlpU4A0YIxEzTfU17S2HLMFy+RhgkQkQ=;
 b=kgrmF2w8OYXNWMlyIM57PNqbWRvPTrZo+M9/jBUloc6Y0ymAVDW0EXr4gBQc/7nhpY
 z6FheMeJnFXKbNfs/uz506JhV0wE81/zZubsioLIZp4Q1DQg2LCZyGsjut1Nl/lTlcdL
 3lMIi9WELl21SR4TtmXfC8Vksxc+JRFkLqrYOgY1eQj31GumyglWmf4rKflkJ79gTEmn
 /mIZtcW2zoFYnyAW8wCebnwgex0/mQAK1VckStbnQV8AQxyfEcYXaowc3icNCrG8S86r
 ocztTSqRqmy7yC2cgzIa2uibaTrwze+aGOjVzSubIjs9EaJiFWlNcB3PFLHiKU3zb431
 X1JA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=DLWaGJ4+3YiTlpU4A0YIxEzTfU17S2HLMFy+RhgkQkQ=;
 b=aylYkuI4EdRgURoHW4wfxRIxmouRUUSuSwyskT/D20kh+56VnX5EOWlbdYyWzhGRpt
 +kWkztdbxkJu0D0PX40Mng6LryX6hlLWyGddB7oURL0cQTdlU1z4DP6iw4T7BPtPF5nU
 KL+Q3kFB8VHwrcZUM9BYw45vAQZpENXxwfS7rkmr7q4rlEP93d9y1EoZZmc+kct2oQna
 XCZ28eYfCEQpNDSo5e/rkLIEBytqKEz0m6rxrETLlyd5Rlnz8yzYhk7oY8IES3ri6/SR
 LUvkcAMu286wNo3gG8d+ebCrvQARlaN3nQXkSmnwlnkcR4ZheXHXO2bTAN5X+YJR9b5Z
 1xLw==
X-Gm-Message-State: AOAM533TgbGdcFMayl3wuI3CquXpuJMwj4MpiQHvMPClQQ2QnB+9LS5r
 T9MEXVF7xHzsARzV4q8peubxZ4ytPYVyHQ==
X-Google-Smtp-Source: ABdhPJyNbPBTXOkgm5hEuJyHF1xPUtVNFKeTcNW6lBDlBho5V8qJmLXOqFjRQXPWGRCCyq+EJrEKXg==
X-Received: by 2002:ad4:5c8f:0:b0:456:3dbf:f58e with SMTP id
 o15-20020ad45c8f000000b004563dbff58emr20974qvh.37.1650859192698; 
 Sun, 24 Apr 2022 20:59:52 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 016/232] gnu: Add texlive-csplain.
Date: Sun, 24 Apr 2022 23:55:42 -0400
Message-Id: <20220425035918.25683-16-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-csplain): New variable.
---
 gnu/packages/tex.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 40390e9970..f8fa65e386 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -4081,6 +4081,34 @@ (define-public texlive-babel/fixed
 
 (define-deprecated-package texlive-latex-babel texlive-babel)
 
+;;; Note: if this package is modified, its name must be changed to comply with
+;;; its license.
+(define-public texlive-csplain
+  (package
+    (inherit (simple-texlive-package
+              "texlive-csplain"
+              (list "tex/csplain/base/")
+              (base32 "0cgrwc8lgf2x2hq6bb4kqxw597card985zdd9ipn7k98mmwrxhz3")
+              #:trivial? #t))
+    (home-page "http://petr.olsak.net/csplain-e.html")
+    (synopsis "Plain TeX multilanguage support")
+    (description "CSplain is a small extension of basic Plain TeX macros from
+which the formats @code{csplain} and @code{pdfcsplain} can be generated.  It
+supports: hyphenation of words for 50+ languages, simple and powerful font
+loading system (various sizes of fonts), TeX, pdfTeX, XeTeX and LuaTeX
+engines, math fonts simply loaded with full amstex-like features, three
+internal encodings (IL2 for Czech/Slovak languages, T1 for many languages with
+latin alphabet and Unicode in new TeX engines), natural UTF-8 input in pdfTeX
+using encTeX without any active characters, Czech and Slovak special
+typesetting features.  An important part of the package is OPmac, which
+implements most of LaTeX's features (sectioning, font selection, color, hyper
+reference and URLs, bibliography, index, table of contents, tables, etc.) by
+Plain TeX macros.  The OPmac macros can generate a bibliography without any
+external program.")
+    ;; This custom permissive license includes as a redistribution condition
+    ;; that says the package must be renamed from 'csplain' if it is modified.
+    (license (license:non-copyleft "file:///tex/csplain/base/csplain.ini"))))
+
 (define-public texlive-generic-babel-english
   (package
     (name "texlive-generic-babel-english")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:04 2022
Received: from localhost ([127.0.0.1]:60721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuJ-0007wg-El
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:04 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:34671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptL-0007id-D6
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:05 -0400
Received: by mail-qv1-f51.google.com with SMTP id a5so10936104qvx.1
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Ms5i52JAutqD992dT8XGtpuedXaW1oefRCNgDTpLSyM=;
 b=pA9CA4Jify29b3/q6N6ywAWhKsDBrzlzM0AaIozGR3dR8Pq9IJHgvC71W8Z4jGYxWo
 bhCp4mH5o/NVrXlWNYHdfw/wgCjqYo3BCldyIJOEB9tht1X6Dr2pUQLq/xsR60sjv89e
 ejd2Y1ZIUIXcyFiol2v/cCAC2X7qMRTC6uliFTNzih4SKzZdZEFRQrInThwAMfWW+kpq
 HlTfb4Ijchj32nVaHxYhJzRHhroRNzowg3ZDCyT7cTGRbU0BfZvB5FK4XvIpcUN3dxBN
 EIanLbhpOb+Ei0EvTDogXq8aH+4no8givCkRssDQCLx8fM2yZkG+AWc6WID/fI7koinM
 47bw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Ms5i52JAutqD992dT8XGtpuedXaW1oefRCNgDTpLSyM=;
 b=YhvTvz5LWCej9zKwNkzH4ImeTSTHQ3bGOoPRKIXhWheDjLSYpofrRFLyJ/VJNCVXJV
 /zmXDUGJVJgXMeyvG7hxNbjW9ue2drGgU8DJUHrdVaIsgbNzVYYzxGnaP5UdyIBEfdgJ
 kmCNfvNEu4mDQGAolmJjA1+o6YYIA1CnrJT5emmuyzpVCXAambR8GGGWkDyKs18ou0rM
 fx+nbIPOSbtBB9bwRrSH6pd/cuesj4IKjBl2jJuH/ix4hNgU/PqMz3mIyRRBf3GGF4RF
 xUq3ZpXmKciazXD5OAzdNT7DJqVRjvFb0BcBbn4cu0omDXdkAYRUS5pr4rV2bfRxgmv0
 tfIw==
X-Gm-Message-State: AOAM533Dt55mWXqrBsSiCjs5b1C/9dfEPxhPsvcKkqWh2Axvy3JzbKG3
 mO+/eGtP/sjzA6bejYb9X8x2Nwyql/kTJA==
X-Google-Smtp-Source: ABdhPJxLq85edk3dyFYag1UevEHnaE973IkNjXo//M4C0ddbP+cyC6kLhFFkUL6r2Asduo39lBMqJw==
X-Received: by 2002:ad4:5ccb:0:b0:446:7925:1982 with SMTP id
 iu11-20020ad45ccb000000b0044679251982mr11044510qvb.98.1650859196728; 
 Sun, 24 Apr 2022 20:59:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:56 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 022/232] gnu: Add python-defcon-bootstrap.
Date: Sun, 24 Apr 2022 23:55:48 -0400
Message-Id: <20220425035918.25683-22-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-defcon-bootstrap): New variable.
---
 gnu/packages/fontutils.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index ec6dab37ff..61b39e510d 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -821,6 +821,36 @@ (define-public python2-ufolib
 files.  UFO is a file format that stores fonts source files.")
     (license license:bsd-3)))
 
+;;; A variant used to break a cycle between python-fontpens and
+;;; python-fontparts.
+(define-public python-defcon-bootstrap
+  (package
+    (name "python-defcon-bootstrap")
+    (version "0.10.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "defcon" version ".zip"))
+       (sha256
+        (base32 "0g0bjwzdj6sskyh8snbxsxza3czdmvb807qv38mizx631cm8c2d0"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-fontpens-bootstrap python-fonttools-full))
+    (native-inputs
+     (list python-pytest
+           python-pytest-runner
+           python-setuptools-scm
+           unzip))
+    (home-page "https://github.com/robotools/defcon")
+    (synopsis "Flexible objects for representing @acronym{UFO, unified font object} data")
+    (description "Defcon is a set of @acronym{UFO, unified font object} based
+objects optimized for use in font editing applications.  The objects are built
+to be lightweight, fast and flexible.  The objects are very bare-bones and
+they are not meant to be end-all, be-all objects.  Rather, they are meant to
+provide base functionality so that you can focus on your application’s
+behavior, not object observing or maintaining cached data.  Defcon implements
+UFO3 as described by the UFO font format.")
+    (license license:expat)))
+
 (define-public python2-defcon
   (package
     (name "python2-defcon")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:03 2022
Received: from localhost ([127.0.0.1]:60718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuI-0007wP-CU
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:03 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:37418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptL-0007ix-O1
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:04 -0400
Received: by mail-qt1-f181.google.com with SMTP id ay11so9566486qtb.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=jHODw2LeYC6TDJH4rFWhDDJ5h3V/M9lOdtdO8G/Aels=;
 b=aHLSly+A8xJJSB0Xt5aVZW6nLFT5eWmUrRZho2bZpfTeLkyB7lCy+yPCljKlwt87v6
 lgA1rj02p0uYAh1hT8xYbeeNd8nuGEqbSohpOXb50Wf1nwDgmkNIMhcai5YTqmEeoRst
 eHbGOlecflr6QpaMnrhdssFlc7l5NbDVIhGk/zXS6OgPAZoJwzcafot1N7Don3cHOQEj
 JOKNwnsvCk2/kisNVjB6l4vv7xw/jAJU00KDyJYW4SG/Vu39/ddDfyoTRnIBZdgtXqKl
 3w66apnk/fdBgXyvtE2NWmGp9r9dIvA9HoVvvKmmoNbZeFPiAC5SqKfLVAjT+IJCFtL4
 pAIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=jHODw2LeYC6TDJH4rFWhDDJ5h3V/M9lOdtdO8G/Aels=;
 b=ZBCEFYG0j+TE/TLyYu/a4pApnLzk+ZvBenNXYWfZ+vSQxrg18C7/AO9B69+gzJTtZW
 L8F+PKugoVCX/6Gbn+tR82UenVIkfmARZDDzHktOoOuX1D+xCPgX6rfPzmqZFsNuoQ9u
 iVjwxKJ/1Zz6tZ2sZ7JzuP1sEWqeS+WNYaxgmvc1lRj0ctcTSW4Z91p8tWy4FKOvXqJb
 +S6TtG+d8DVyD4AJ6Z/x5uRcqUPj4LLKyWND1Nu+WdfOfXRLIxxq3il9XVY+XqdOliVd
 2Ph4EQ56UiprkaIl+emqTDDjxRZ6hsnptp0kVsPbowy5M9R+cFooihV7cT7d7AEhNnS0
 NV+A==
X-Gm-Message-State: AOAM530vqiA0zUfCXIo+27+SRblO15UrMVcxwgHYkW68riRpI/NWv3XY
 QRYP2CTIvKWP+tA3sMFdpYtEMwhmHPUxmA==
X-Google-Smtp-Source: ABdhPJzF+kv6+iWxXCqglun1O6schnMzaNtg/q63PWa6IJzaG4Q5PSPmZt/KubAUPc1ScyVHhlLOfQ==
X-Received: by 2002:a05:622a:1050:b0:2f3:5736:51de with SMTP id
 f16-20020a05622a105000b002f3573651demr10856412qte.552.1650859198121; 
 Sun, 24 Apr 2022 20:59:58 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:57 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 024/232] gnu: Add python-unicodedata2.
Date: Sun, 24 Apr 2022 23:55:50 -0400
Message-Id: <20220425035918.25683-24-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-unicodedata2): New variable.
---
 gnu/packages/python-xyz.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a303e31875..c6d208f133 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -14606,6 +14606,23 @@ (define-public python-uncertainties
 expression.")
     (license license:bsd-3)))
 
+(define-public python-unicodedata2
+  (package
+    (name "python-unicodedata2")
+    (version "14.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "unicodedata2" version))
+       (sha256
+        (base32 "110nnvh02ssp92xbmswy39aa186jrmb7m41x4220wigl8c0dzxs1"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/fonttools/unicodedata2")
+    (synopsis "Python unicodedata backport")
+    (description "This package corresponds to the latest @code{unicodedata}
+standard Python module.")
+    (license license:asl2.0)))
+
 (define-public python-asteval
   (package
     (name "python-asteval")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:01:02 2022
Received: from localhost ([127.0.0.1]:60710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuC-0007vT-IG
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:01:02 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:36690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptF-0007hq-Mp
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:03 -0400
Received: by mail-qt1-f176.google.com with SMTP id bb21so9570726qtb.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ndyIgWnCdwQp/kOjTTE3K06q8ZZajVpa7QaGh7V0noI=;
 b=FtuDBXaGeKl7FO24ea9FrtFcRkVGACYwXbNZtYNFz3J2WZ8MimBIr1xJw+di6pvcI5
 SXejifSCXGplvzkYqBrgDjU+5r2gYejeQ6elFbK4n+xS7Nt0JTEk87Z+3svRsRo57n1n
 +arPpdsiKFyEpB1V6EbHX+KOosbq5222P6kZbPBe/PG9HBaDsC1oQleqsl7f02Ql4sLT
 jN7XgHgUchq+O4juAZ31YLlAKhvsqI+UqfuVzi7rbXjQD9DQgKWQgFRfqo2oBfOfPyly
 xRr9eFjRowqCu8GDR2+X8gL1jdM7Pv21T92vlyv7xN4c0lxndVYzYyrv1PDQIsK543tP
 95lQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ndyIgWnCdwQp/kOjTTE3K06q8ZZajVpa7QaGh7V0noI=;
 b=hVdaM/J1pZS3/zYsjSFHY7KozeBTpQ2BBGxHYq3Je7bSG+RYb01vjfPOnRXZgdS7AT
 9neq7A7hqttNUJ6c5E1CGZvg8r2dlMEzKKJvx5C5tBhoiNPzbZt4JxvWEMiDylqR3v5P
 k0PR9N7O4nX9fgnYZlaCo7XkU9beO6wmi3fYjbpUnaNZjbW14dxja4aZRevFiMBulUCm
 Hidbr5oY6c84QaTSUcALrDn0PF1Rjq0WEmDcdC+ECfKYWf9ziANjsIJs0RfWf1+hkpiE
 bUwrwQLAzsK6jAK7Rqp6VGuYzuEI1+erpx2PiuqtbJNKCK+wtBO2Gw8vvg9V+D1Ww96q
 OQMw==
X-Gm-Message-State: AOAM532BIkBv2Vcp0DPZwm52zH6/4N+2xEN6UVixtbVw+d/QvsTp9lup
 men7y415WxKGI1ispKodkr4lbaG7RWYKQQ==
X-Google-Smtp-Source: ABdhPJyVWx8C85JMeEpFabsB6D+d/4H0m5Xdj13i53A3jLqQKGdQ5v+BRn2uT1eggnvfdtwhIVAdbA==
X-Received: by 2002:ac8:4316:0:b0:2f1:ed79:fb9c with SMTP id
 z22-20020ac84316000000b002f1ed79fb9cmr10695588qtm.273.1650859191993; 
 Sun, 24 Apr 2022 20:59:51 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:51 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 015/232] gnu: Add texlive-makecmds.
Date: Sun, 24 Apr 2022 23:55:41 -0400
Message-Id: <20220425035918.25683-15-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-makecmds): New variable.
---
 gnu/packages/tex.scm | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index dea153643d..40390e9970 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -5417,6 +5417,50 @@ (define-public texlive-latex-mdwtools
 array environments; verbatim handling; and syntax diagrams.")
     (license license:gpl3+)))
 
+(define-public texlive-makecmds
+  (package
+    (inherit (simple-texlive-package
+              "texlive-makecmds"
+              (list "doc/latex/makecmds/README"
+                    "source/latex/makecmds/makecmds.dtx"
+                    "source/latex/makecmds/makecmds.ins")
+              (base32 "0znx80x6ic7a25v9dw8yjibq7lx65wangcyii18kk5x5z4jljba9")))
+    (outputs '("out" "doc"))
+    (arguments
+     (list
+      #:tex-directory "latex/makecmds"
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-before 'build 'chdir
+            (lambda _
+              (setenv "ROOT_DIR" (getcwd))
+              (chdir "source/latex/makecmds")))
+          (add-after 'build 'build-doc
+            (lambda _
+              (copy-file "makecmds.dtx" "build/makecmds.dtx")
+              (chdir "build")
+              (invoke "pdflatex" "makecmds.dtx"))) ;generate makecmds.pdf
+          (replace 'install
+            (lambda* (#:key outputs tex-directory #:allow-other-keys)
+              (let ((doc (string-append (assoc-ref outputs "doc")
+                                        "/share/doc/" tex-directory))
+                    (out (string-append #$output "/share/texmf-dist/tex/"
+                                        tex-directory)))
+                (install-file "makecmds.pdf" doc)
+                (install-file (car (find-files (getenv "ROOT_DIR") "README"))
+                              doc)
+                (install-file "makecmds.sty" out)))))))
+    (native-inputs (list (texlive-updmap.cfg
+                          (list texlive-amsfonts
+                                texlive-cm))))
+    (home-page "https://www.ctan.org/pkg/makecmds")
+    (synopsis "TeX macro to define or redefine a command")
+    (description "The package provides a @code{\\makecommand} command, which
+is like @code{\\newcommand} or @code{\\renewcommand} except it
+always (re)defines a command.  There is also @code{\\makeenvironment} and
+@code{\\provideenvironment} for environments.")
+    (license license:lppl1.3c+)))
+
 (define-public texlive-metalogo
   (package
     (inherit (simple-texlive-package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:56 2022
Received: from localhost ([127.0.0.1]:60706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipuB-0007vF-Iu
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:56 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:40585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptJ-0007iQ-MU
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:02 -0400
Received: by mail-qt1-f177.google.com with SMTP id o18so9570770qtk.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1pRZqrKSa6L0ITLowUDRmcRxIyG8hlQzjLdC7Lvxrww=;
 b=CxJGYk/CcIHnnkqrwHk9vgaa6/21gPRlcYca26DS7QbcTJltw5JpD/hxR9miXHHwow
 Ix8YqKkQmrjuPu6eLJSiWhvocv+RyPhSfvKD8TFjnP8Mpav8Vn8f1gR0T1dtM7rfhCT9
 ily+tWcdMr6M+5lMPzsCtbPVFvv6tfsjLRjjU/XhMPw53chTUzA9M1o0vBBICjK1QaSb
 fQV3TKQo2A4TkWvExjtte8b8mZI5DMOE/EA/eZN4YrZaT4hJnpYKN5aEPAthRQdE1Wgg
 JWwg987zrL/70DM8z0ZF/DgPKdc4hZWLnrhn2+zv525XzgYuirsXPtxF3wpx4UjEQeUx
 pjQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1pRZqrKSa6L0ITLowUDRmcRxIyG8hlQzjLdC7Lvxrww=;
 b=dqv8WItp0nOI5kBmPbtJ7KU+fWrkzfeueZHo39LAVaEetQ8uYY7EFCpRb7fUPgOMBR
 ejaPkqeoBsjhivIScl5TfpMBdB5gNrJmJXHOdR/oBthwanqCKnhYEuwpVZeEBmncfvjL
 ZHqWH6SrhAjX9f0vhJkz25IEL7ImE/4CmWL/Pi4UI/YyMM5YlJN83IfiFLlfJ+gQduG0
 NZmuUl8KWHCBwrUDOoAG784HRlchIG2NPOlJSDJ6ndJ4NwRFmEB2i/jMdvVA6SAZMbmc
 ht8DzjfKpSS4Kz8/5rYadd4bdQszA+B2tZPpommULksvqnKeEHnyCUa+b2dKxPUQf1af
 YnHA==
X-Gm-Message-State: AOAM533BhpnLCOuz1bmcZmJHWp4OGlDqvbzPvTg9b4SrHqvZBzJ03jCh
 nhOkrjDF/sGQeitpNx23Cq59mUn67XiR4Q==
X-Google-Smtp-Source: ABdhPJy4VbRC6RFQAeW1S4Vao4Suw3BqnoHGyFVZHQ7mPGNKoiBHJdgchWPzlSNOxRnnGJKl5UiPgw==
X-Received: by 2002:a05:622a:1305:b0:2e1:e697:31e7 with SMTP id
 v5-20020a05622a130500b002e1e69731e7mr10812017qtk.97.1650859196047; 
 Sun, 24 Apr 2022 20:59:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 021/232] gnu: Add python-opentype-sanitizer.
Date: Sun, 24 Apr 2022 23:55:47 -0400
Message-Id: <20220425035918.25683-21-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-opentype-sanitizer): New variable.
---
 gnu/packages/fontutils.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 16c2391179..ec6dab37ff 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -131,6 +131,43 @@ (define-public opentype-sanitizer
 them as it goes.")
     (license license:bsd-3)))
 
+(define-public python-opentype-sanitizer
+  (package
+    (name "python-opentype-sanitizer")
+    (version "8.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "opentype-sanitizer" version))
+       (sha256
+        (base32 "1wjy6chbnj9ic5yjxal6spln5jfzr8cigqs6ab0gj7q60dndrl5k"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'unbundle-opentype-sanitizer
+            (lambda* (#:key inputs #:allow-other-keys)
+              (delete-file-recursively "src/c")
+              (substitute* "setup.py"
+                (("^cmdclass\\[\"download\"].*") "")
+                (("^cmdclass\\[\"build_ext\"].*") "")
+                (("^cmdclass\\[\"egg_info\"].*") ""))
+              (substitute* "src/python/ots/__init__.py"
+                (("^OTS_SANITIZE = .*")
+                 (format #f "OTS_SANITIZE = ~s~%"
+                         (search-input-file inputs "bin/ots-sanitize"))))))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv")))))))
+    (native-inputs (list python-pytest python-setuptools-scm))
+    (inputs (list opentype-sanitizer))
+    (home-page "https://github.com/googlefonts/ots-python")
+    (synopsis "Python wrapper for OpenType Sanitizer")
+    (description "Python wrapper for the OpenType Sanitizer library.")
+    (license license:bsd-3)))
+
 (define-public ttfautohint
   (package
     (name "ttfautohint")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:55 2022
Received: from localhost ([127.0.0.1]:60698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipu7-0007uY-1f
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:55 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:40582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptI-0007iH-D7
 for 55104 <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:01 -0400
Received: by mail-qt1-f175.google.com with SMTP id o18so9570745qtk.7
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 21:00:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Tho4YHu4rRAUT6ThtKOSzZUnwdig5L0vBtkdPN1AaRk=;
 b=k2GtCAGCvu1LzoFOkaU/yFZ+2P53cfgInDX+ZA2qSxOAUf2WU4pHIYEsFGtJdE3suS
 rstGee4zhsOY4OG1T+Cw3q6LdGZeUiiu9363Z+ltR/LjqEEnWsijrHqU4kA72n0msjgH
 jZNKs3bteff1rz7N1VHNbSndgt8PRmV8Hw4ZZbv1Dv6b6Le6xBEyPch5UPLqKHgK2bAY
 H4lk+29X+ffPrM4YGXS89+hodP2cfLvVLdjJ/iNMrioEDaRyAEFrnhLuKSIHE3r+ylnW
 /KBKPhhYKJRZxP9NnLNrVA0z6juJGEKI2Ik33TOJfT2PDHa0CFdJMx8GpKD32UA94zEV
 7zrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Tho4YHu4rRAUT6ThtKOSzZUnwdig5L0vBtkdPN1AaRk=;
 b=v9HFnmGEN/qO2VI2tbXwX5ekYVGpwev8BOyEaaBIVUKbRwiHcLCzJ6vV0Y/50Vz1An
 gs/NDkMWJZG8KcCNZekP9W3mGzhKHFLHm1bTcE5ap+Sbtgd+G6jTHnWAotwvEpFIeHXt
 MEsZiGByw40hYCo7FWuKQLJf97pOMY3Pwhokrv+HkUlqUEQNHnkKUkneiQkDa7T0Bfs8
 ceP3nmY2SeCubXv45CacMLVRDE0pJ1RxAzE/8wswRDo+Gi+iV/9je863BHFlDwsRKo54
 QuQApDZVtjjjKoOI9gpuoyY8Hlb2hjJsLvcYgP6+WM2rJFJvvzMbtpVZJRTz8nVk07G9
 mRIQ==
X-Gm-Message-State: AOAM530eARjyeTRNzkhnpz+7L4pC7JBNi+5Rbwh3rlKrZ+sVyvPSx0Qk
 5JR4iHIWhzDd6hqrEZdA/GbPj54lfyovNQ==
X-Google-Smtp-Source: ABdhPJz7P97Ww3ilEOPUkCayGvCTZQ0Ha2P3hlK3KDQK1NV/P9ag1oa05KHMJSAj49wr9863RpkXQw==
X-Received: by 2002:a05:622a:1a81:b0:2f3:647c:6f14 with SMTP id
 s1-20020a05622a1a8100b002f3647c6f14mr3721409qtc.269.1650859194739; 
 Sun, 24 Apr 2022 20:59:54 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:54 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 019/232] gnu: Add python-pcpp.
Date: Sun, 24 Apr 2022 23:55:45 -0400
Message-Id: <20220425035918.25683-19-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/c.scm (python-pcpp): New variable.
---
 gnu/packages/c.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 3450037c74..dcdf5d5198 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -37,6 +37,7 @@ (define-module (gnu packages c)
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system python)
   #:use-module (guix build-system trivial)
   #:use-module (guix store)
   #:use-module (gnu packages)
@@ -143,6 +144,37 @@ (define-public pcc
     ;; preferred.  See http://pcc.ludd.ltu.se/licenses/ for more details.
     (license (list license:bsd-2 license:bsd-3))))
 
+(define-public python-pcpp
+  (package
+    (name "python-pcpp")
+    (version "1.30")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ned14/pcpp")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1rihvlg11nzk70kfzz4i3gi5izcy46w05ismcx04p5j1hlim0brb"))))
+    (build-system python-build-system)
+    (arguments
+     (list
+      #:phases #~(modify-phases %standard-phases
+                   (add-after 'unpack 'unbundle-ply
+                     (lambda _
+                       (rmdir "pcpp/ply")
+                       (substitute* "setup.py"
+                         (("'pcpp/ply/ply'") "")))))))
+    (native-inputs (list python-pytest))
+    (propagated-inputs (list python-ply))
+    (home-page "https://github.com/ned14/pcpp")
+    (synopsis "C99 preprocessor written in Python")
+    (description "This package provides a C99 preprocessor written in pure
+Python.")
+    (license license:bsd-3)))
+
 (define-public libbytesize
   (package
     (name "libbytesize")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:34 2022
Received: from localhost ([127.0.0.1]:60671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptq-0007rq-0s
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:34 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:42741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptE-0007hj-NM
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:57 -0400
Received: by mail-qv1-f44.google.com with SMTP id iy15so1892957qvb.9
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Lkh025rcMXtx8MxjEHCJ59xolTn1MVHlTzJfOPd/Uiw=;
 b=K11W5haczBg0NiyvLnpcXVA0KoIkFngf+f7LHWIkSVEWkCu/i+goWFAoUGqFxe+jre
 3ReDBMBXiFC3oGKWpAE95Zuxg87LVIQEwSo3PK79+5bBf9sEhEsS0GdojNUcC23ojv01
 cuD9YxmsdbxulFFW3ywqacTA9qfc0L/Wq1W1ltk/ArdmIxQgjVgg3oUiywx4LYEWs4Ka
 w8CSBiQupuBZPjPrZHmXXnCsiGUL0J33pxetkZBt5K24yJeag46bZ0VSExkBi7+b5dD4
 uEu3/hBFyQ0rOQ/+GdLfNbC4enxAmCcLCg3PXmzuIFuTb48f8ZrBXbATGF01WIyQFckT
 ETaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Lkh025rcMXtx8MxjEHCJ59xolTn1MVHlTzJfOPd/Uiw=;
 b=vovBovZRcMEZEVZo6txA/2uwnzMq6Ti46RV97hCGhNQPH7iVUAOYDd3ZUB4n5+31G7
 l2FXd0pjJ36bTB4zpEp0S8rGy6gtY0NGbxxjhTA+EAGB1VF4IhxNY6ZwbK3CpPMEQr3s
 iIy/BPLoY9JcuhVJxV7swXM5afINHj+IyYDFEUVIEBpGY4MOEvMTThzUmjJuca3/wznI
 qU3DpjWSR6WHBsO925CXTBKD3oAXrwBLEnfdBbX8PQb1VQf4dlMU8YcclWotE9lpoDnF
 ienBLF+8ahXxm7XTECDS4TSScAGnPRa+HrG+nExDikssYVzqPAEMvjuHpld3p9YsDi5B
 /KmA==
X-Gm-Message-State: AOAM533D9XXhQcXyKo3AqcXtmJmJdLvGHLdY9HtBRVRVpucxPe6u7wmh
 KeQzO4m/3g9RszWzbH3Ug915w3LPywNnRQ==
X-Google-Smtp-Source: ABdhPJz4LvgV0Ssqsy2tX8gyHp8HjtFHJ0+Y2hMJJEedRQnWszSebJUL2nt2ij6WC/KuHnzEMASTcQ==
X-Received: by 2002:a05:6214:1c46:b0:456:3706:2618 with SMTP id
 if6-20020a0562141c4600b0045637062618mr2448760qvb.44.1650859191086; 
 Sun, 24 Apr 2022 20:59:51 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:50 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 014/232] gnu: Add texlive-metalogo.
Date: Sun, 24 Apr 2022 23:55:40 -0400
Message-Id: <20220425035918.25683-14-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-metalogo): New variable.
---
 gnu/packages/tex.scm | 80 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 80 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index c3129ebd60..dea153643d 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -5417,6 +5417,86 @@ (define-public texlive-latex-mdwtools
 array environments; verbatim handling; and syntax diagrams.")
     (license license:gpl3+)))
 
+(define-public texlive-metalogo
+  (package
+    (inherit (simple-texlive-package
+              "texlive-metalogo"
+              (list "doc/latex/metalogo/README"
+                    ;; These PDFs are apparently used as graphic files, not
+                    ;; built.
+                    "doc/latex/metalogo/TeXoutline.pdf"
+                    "doc/latex/metalogo/eLaToutline.pdf"
+                    "source/latex/metalogo/metalogo.dtx"
+                    "source/latex/metalogo/metalogo.ins")
+              (base32 "0v1jwp8xhzwn0a4apiyya17s4r1kpn6q9nmv38jj1wwdvgia0jpi")))
+    (outputs '("out" "doc"))
+    (arguments
+     (list
+      #:tex-directory "latex/metalogo"
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-before 'build 'chdir
+            (lambda _
+              (setenv "ROOT_DIR" (getcwd))
+              (chdir "source/latex/metalogo")))
+          (add-after 'chdir 'patch-metalogo.dtx
+            (lambda _
+              (substitute* "metalogo.dtx"
+                ;; Prevent embedding a build time date, for reproducibility.
+                (("^% \\\\date.*") "")
+                ;; These fonts are not free.
+                (("^\\\\setmainfont.*") "")
+                (("^\\\\DeclareSymbolFont\\{SabonMaths}.*") "")
+                (("^\\\\AtBeginDocument\\{.*") "")
+                ((".*\\\\expandafter.*\\\\symSabonMaths.*") "")
+                (("^\\\\setsansfont.*MgOpen Cosmetica.*") "")
+                (("^\\\\setmonofont.*Consolas.*") "")
+                ;; The 'stix' texlive font package has been obsoleted by
+                ;; stix2.
+                (("^\\\\newfontfamily\\\\stixgeneral\\{STIXGeneral}")
+                 "\\newfontfamily\\stixgeneral{STIX Two Text}"))))
+          (add-after 'build 'build-doc
+            (lambda* (#:key outputs tex-directory #:allow-other-keys)
+              (define doc-sources (string-append (getenv "ROOT_DIR")
+                                                 "/doc/latex/metalogo"))
+              (copy-file "metalogo.dtx" "build/metalogo.dtx")
+              (mkdir "build/graphics")
+              (copy-file (string-append doc-sources "/TeXoutline.pdf")
+                         "build/graphics/TeXoutline.pdf")
+              (copy-file (string-append doc-sources "/eLaToutline.pdf")
+                         "build/graphics/eLaToutline.pdf")
+              (chdir "build")
+              (invoke "xelatex" "metalogo.dtx"))) ;generate metalogo.pdf
+          (replace 'install
+            (lambda* (#:key outputs tex-directory #:allow-other-keys)
+              (let ((doc (string-append (assoc-ref outputs "doc")
+                                        "/share/doc/" tex-directory))
+                    (out (string-append #$output "/share/texmf-dist/tex/"
+                                        tex-directory)))
+                (install-file "metalogo.pdf" doc)
+                (install-file (car (find-files (getenv "ROOT_DIR") "README"))
+                              doc)
+                (install-file "metalogo.sty" out)))))))
+    (native-inputs (list fontconfig     ;for XDG_DATA_DIRS, to locate OTF fonts
+                         texlive-booktabs
+                         texlive-cm
+                         texlive-fontspec
+                         texlive-generic-iftex
+                         texlive-latex-base
+                         texlive-latex-eukdate
+                         texlive-latex-graphics
+                         texlive-latex-multirow
+                         texlive-lm     ;for lmroman10-regular
+                         texlive-stix2-otf))
+    (propagated-inputs (list texlive-fontspec texlive-generic-iftex
+                             texlive-latex-graphics))
+    (home-page "https://ctan.org/pkg/metalogo")
+    (synopsis "Extended TeX logo macros")
+    (description "This package exposes spacing parameters for various TeX
+logos to the end user, to optimise the logos for different fonts.  It is
+written especially for XeLaTeX users.")
+    (license license:lppl1.3c+)))
+
 (define-public texlive-paralist
   (package
     (inherit (simple-texlive-package
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:34 2022
Received: from localhost ([127.0.0.1]:60669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptp-0007rj-Lx
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:33 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:37677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptE-0007hU-32
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:56 -0400
Received: by mail-qv1-f50.google.com with SMTP id k12so3028591qvc.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=apY18oBFRylF1H1275dM6ewFqg5S5DyfBvM9e6Bm7gU=;
 b=cyZrV8jPnHaumTxZGAGElM/1y3NOjxI7srT8br2v5vzeDZmP5popeGZ0N8tuUVKbXV
 PzslXKc1WU0xP/XCtuMHhuumU7uIyobYSOzPlXv+/5seqxjUug7AWuCG0aHiPNrP27Zp
 xgL35F9qqvbohDlLCupUT36aitNJmVtnlUi7qt91j2pF8Y7Nhf3EgrD/GTs5fgIDaZzp
 VUlIbLFW1C/mgaWGUnGGYByCcprX9kYvsNcHveYpkdpivZnlzeo+k/0L2IgG7YLpuvhj
 8axc/bTvUf8+h7o/WobOSOZk/GH954++aY6QauIw+etB8Rp3SM8Cj124doCPUmqg3zsx
 3d3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=apY18oBFRylF1H1275dM6ewFqg5S5DyfBvM9e6Bm7gU=;
 b=vlqh1fLrd76aLtGUxp7BT/QSilavcSwJJbVy4+fc+DpJWNPabm/LfIVf8RwqlQ6yNq
 ecPs0Y84YLww7mEbI/PbHUIvGCgL2+9EwzszYfMNcRT60kJaCwA550FY+ZAcHna8pWfe
 Q6SHC/IhdsxLJ1GIAYsDacsXMU2/g/XGYMcuxaYqyn10y8PVYvKsYCBBBviJQt6UFsZB
 dVC2tGm+MpjiD4uYL7909Xhg8DjSO/nmw+7dRvpgwDIjzCOknzK7O8g6A+SPj1VyT4bc
 mChWT5fZxotiD0D9Up5Be1f9UM8mmFy9C5rqKOO/0Yr+rjnEtoPK9/7XDFyqZ8Ckj8Yp
 HrOA==
X-Gm-Message-State: AOAM530iobzRogPMU3zBNgMa5o4/1jKDSQqs1mmLFXDk/RW7QZT2veIH
 /w5DtumyaLZeFIrJFuan/9kK0nuQFGXpsQ==
X-Google-Smtp-Source: ABdhPJwENu1EXLF1ujXNiKOYGPMTvXl+NrxbY1mGJcXpwxQ1lpGQEwM3139qI2KJeMvEQYj+GLIGgg==
X-Received: by 2002:a05:6214:252b:b0:456:3c29:2d8e with SMTP id
 gg11-20020a056214252b00b004563c292d8emr414141qvb.89.1650859190398; 
 Sun, 24 Apr 2022 20:59:50 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:50 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 013/232] gnu: Add texlive-stix2-otf.
Date: Sun, 24 Apr 2022 23:55:39 -0400
Message-Id: <20220425035918.25683-13-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/tex.scm (texlive-stix2-otf): New variable.
---
 gnu/packages/tex.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 8c31d131b6..c3129ebd60 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -6445,6 +6445,41 @@ (define-public texlive-latex-pdfpages
 use this package to insert PostScript files, in addition to PDF files.")
     (license license:lppl1.3+)))
 
+(define-public texlive-stix2-otf
+  (let ((base (simple-texlive-package
+               "texlive-stix2-otf"
+               (list "/doc/fonts/stix2-otf/"
+                     "/fonts/opentype/public/stix2-otf/")
+               (base32 "0i7rd1wn5jgm3gbi779gy78apz63w034ck4pn73xw6s10zgjzmgl")
+               ;; Building these fonts requires FontLab, which is nonfree.
+               #:trivial? #t)))
+    (package
+      (inherit base)
+      (arguments
+       (substitute-keyword-arguments (package-arguments base)
+         ((#:phases phases)
+          #~(modify-phases #$phases
+              (add-after 'install 'symlink-fonts-to-system-fonts-prefix
+                ;; This is so that fontconfig can locate the fonts, such as
+                ;; when using xetex or xelatex.
+                (lambda _
+                  (let ((system-fonts-prefix (string-append #$output
+                                                            "/share/fonts")))
+                    (mkdir-p system-fonts-prefix)
+                    (symlink (string-append
+                              #$output "/share/texmf-dist/fonts/opentype"
+                              "/public/stix2-otf")
+                             (string-append system-fonts-prefix
+                                            "/stix2-otf")))))))))
+      (home-page "https://www.stixfonts.org/")
+      (synopsis "OpenType Unicode text and maths fonts")
+      (description "The Scientific and Technical Information eXchange (STIX)
+fonts are intended to satisfy the demanding needs of authors, publishers,
+printers, and others working in the scientific, medical, and technical fields.
+They combine a comprehensive Unicode-based collection of mathematical symbols
+and alphabets with a set of text faces suitable for professional publishing.")
+      (license license:silofl1.1))))
+
 (define-public texlive-stmaryrd
   (let ((template (simple-texlive-package
                    "texlive-stmaryrd"
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:33 2022
Received: from localhost ([127.0.0.1]:60660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptl-0007qO-DU
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:33 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:33345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptD-0007hK-Ee
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:56 -0400
Received: by mail-qt1-f178.google.com with SMTP id hf18so9593635qtb.0
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=vG/B8czYGkQ8fv2yl9CN+2l6VoLcOuXZrAeYXc8d8sU=;
 b=I6BI+Ct4hxvKVYo6dIjOLFm26qkrljn9TpsltbwyswaSoUfCV/+85/MhrzBnqYZcCc
 EeBllfTypzzdJbD3FQj6Htu/J/RWcRqyOzMsClSuASp2iOwHL+2cYf8hntwbbDJnuU9A
 fkY7FlO14acY5Bh9fqNnC/Nqtw71XT/Dq5KrArE/RdzqXdDXLtwkKECTf4RWcX9r+V8F
 OHk8+5hmJMNH67ZDscgxC0MR47et+UzU/D+kAWrlRtnoPJwUGr8dz9ztUn7apY6TpkWS
 YgrUMJ7mjPh+t2CP72eJIGQwBDi6p3IdksoFQl21j+SCS6mZS/uqhYp102ypImkBJ59y
 ubag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=vG/B8czYGkQ8fv2yl9CN+2l6VoLcOuXZrAeYXc8d8sU=;
 b=s6YmmTASf5Q1cFDzxqTqxjzd5RQaRNXukIwmzjS5lTRDaTnrkMGkW//t3WmaLcepS0
 zqS3j179cd89VhVbDewFTThbLcFYR6bGvzAL1NW7iUAt7jyjJx9Etz6nNTNZBJL4L3gs
 bemJ3o73ZxgrAIwO3yESfPX3+iSyid5Xt1FFXJO+nuk6dAjDQHrWACsCH9H5OYQJ/Hoh
 ET0wbyrLfq3cKYw33t++HmWHL4yLeUbX71EqC80UeZT9VQmxtuVXN7AjkB4v96LuwZQl
 5YOM9JNsxBcQlGGVZlJWP40OaJZ2lEwLGvxJ16OAfjE03nMDfaw4cxJVXUT0EzrJsmOn
 Pa+A==
X-Gm-Message-State: AOAM532TFEBKps+HbWLpdfoztpnP0IoWYLBgSk4uyWh7WTpRWZhVuEpa
 H053Fd5ukCzpw4NOTaEmnq/KnqTYEizxPQ==
X-Google-Smtp-Source: ABdhPJx6sfhWjDiFrNKGpnyqdfuKHladppp73nZLqQCJWfB+hEK7SjsclCHOohdEb2l+zdtfbKPECA==
X-Received: by 2002:a05:622a:28d:b0:2f3:67c7:cdff with SMTP id
 z13-20020a05622a028d00b002f367c7cdffmr2315966qtw.683.1650859189781; 
 Sun, 24 Apr 2022 20:59:49 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 012/232] gnu: Add texlive-paralist.
Date: Sun, 24 Apr 2022 23:55:38 -0400
Message-Id: <20220425035918.25683-12-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/tex.scm (texlive-paralist): New variable. ---
    gnu/packages/tex.scm | 47 +++++++++++++++++++++++++++++++++++++++++++- 1
   file changed, 46 insertions(+), 1 deletion(-) diff --git a/gnu/packages/tex.scm
    b/gnu/packages/tex.scm index 34e9aa1e06..8c31d131b6 100644 --- a/gnu/packages/tex.scm
    +++ b/gnu/packages/tex.scm @@ -14,7 +14,7 @@ ;;; Copyright © 2018, 2020
   Arun Is [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.160.178 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.160.178 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maxim.cournoyer[at]gmail.com)
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

* gnu/packages/tex.scm (texlive-paralist): New variable.
---
 gnu/packages/tex.scm | 47 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 46 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 34e9aa1e06..8c31d131b6 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -14,7 +14,7 @@
 ;;; Copyright © 2018, 2020 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2020, 2021 Paul Garlick <pgarlick@HIDDEN>
-;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Leo Le Bouter <lle-bout@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2021 Ivan Gankevich <i.gankevich@HIDDEN>
@@ -5417,6 +5417,51 @@ (define-public texlive-latex-mdwtools
 array environments; verbatim handling; and syntax diagrams.")
     (license license:gpl3+)))
 
+(define-public texlive-paralist
+  (package
+    (inherit (simple-texlive-package
+              "texlive-paralist"
+              (list "doc/latex/paralist/README"
+                    "source/latex/paralist/paralist.dtx"
+                    "source/latex/paralist/paralist.ins")
+              (base32 "1lz8yds2i64wkb89a9amydwkzsdbc09s1kbgn7vgh2qsxqrrgwam")))
+    (outputs '("out" "doc"))
+    (arguments
+     (list
+      #:tex-directory "latex/paralist"
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-before 'build 'chdir
+            (lambda _
+              (setenv "ROOT_DIR" (getcwd))
+              (chdir "source/latex/paralist")))
+          (add-after 'build 'build-doc
+            (lambda* (#:key outputs tex-directory #:allow-other-keys)
+              (copy-file "paralist.dtx" "build/paralist.dtx")
+              (chdir "build")
+              (invoke "pdflatex" "paralist.dtx")))
+          (replace 'install
+            (lambda* (#:key outputs tex-directory #:allow-other-keys)
+              (let ((doc (string-append (assoc-ref outputs "doc")
+                                        "/share/doc/" tex-directory))
+                    (out (string-append #$output "/share/texmf-dist/tex/"
+                                        tex-directory)))
+                (install-file "paralist.pdf" doc)
+                (install-file (car (find-files (getenv "ROOT_DIR") "README"))
+                              doc)
+                (install-file "paralist.sty" out)))))))
+    (native-inputs (list texlive-latex-base
+                         (texlive-updmap.cfg
+                          (list texlive-cm
+                                texlive-jknappen))))
+    (home-page "https://ctan.org/pkg/paralist")
+    (synopsis "Enumerate and itemize within paragraphs")
+    (description "The @code{paralist} package provides enumerate and itemize
+environments that can be used within paragraphs to format the items either as
+running text or as separate paragraphs with a preceding number or symbol.  It
+also provides compacted versions of enumerate and itemize.")
+    (license license:lppl1.0+)))
+
 (define-public texlive-latex-polyglossia
   (package
     (name "texlive-latex-polyglossia")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:29 2022
Received: from localhost ([127.0.0.1]:60642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipta-0007oM-Hj
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:29 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:41494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptC-0007hB-B8
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:54 -0400
Received: by mail-qv1-f48.google.com with SMTP id kj29so6323625qvb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=89dMc1qFwwUBtj+HVnVK7LXt7gGby3ab+qXnEmYNSzQ=;
 b=kkFxAcRdnh08yJtLLrUJDOHb/f54fooPWrtuiz05zddU3ksi9qxEaw71OpxyyeRtTd
 TcQMrCxW5pZzbP/F+0vreekqSUupZOacq4cvLA4uPy6W5/PPBs+BBtB+hwmBl8kcNTv3
 2LLFEpB244yXM6JJbp3BIo0Uq+7vtxP3msS8TJCgZwTG3SlF+mbfEleRYbY/v7/kB4+e
 cYrr0zUSf3aVgAupUDk0NeCZiOOuAyWyyh+s3Nod9SoERf3CBpl+H9tCfA0F/ZD/+Ml0
 zkQSrA24RxqIFmfiSn9SLWCAeeoUqS5bNLB4OdJXV/ZmtVUTBqr9Ph/yLdxipwA1Zvcf
 hGZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=89dMc1qFwwUBtj+HVnVK7LXt7gGby3ab+qXnEmYNSzQ=;
 b=HuI7MqamTgzxDCtUPobl+346C2oW/p1Ialdos3Xq0YbCS1GIx+S6JYbDqjeny7Uwkp
 f8z2+ytdW/YesRxdEVYoWI1GfQ9mMDAgoCUqbRjiYUee77q1ntFBGRTewqZKvwN4Jj8C
 DAEbXn4tAf81Nqs05jNDi6obI6M0w69iMC7HWk+YcUWqn177TYz3Vl1ztdmtUoDGNh9y
 AUTR6myB8RYkxxwJHfkCpmALnShpPsm8q586BptafsftZSDRUM10poHwZISEGWrrJew5
 CSUW5+yVLFFDoZcz9LhqICK81IqYXVOTqhiMAq/e8u+jcePMY+NkI3u8r0O8VE/OUJGD
 zIDg==
X-Gm-Message-State: AOAM530G2WFTInMjkWNNZmd+F/R+4RRweiDp0DsBdKbkJJu+1QkmYDIE
 uyH4yEt5Cov+uTNul0Vro0ifzzvkyjcj1g==
X-Google-Smtp-Source: ABdhPJzI3Zumk69mx1ith67aZmHdIQ+J4oID1p3tdcohig2uQ3KH1FyrTXFJWxyMonT8J8/SqB+PdA==
X-Received: by 2002:a05:6214:5095:b0:446:4733:d20e with SMTP id
 kk21-20020a056214509500b004464733d20emr11083932qvb.45.1650859188771; 
 Sun, 24 Apr 2022 20:59:48 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:48 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 011/232] gnu: python-nbformat: Update to 5.3.0.
Date: Sun, 24 Apr 2022 23:55:37 -0400
Message-Id: <20220425035918.25683-11-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-nbformat): Update to 5.3.0.
[source]: Adjust git URL.
[native-inputs]: Move python-fastjsonschema to...
[propagated-inputs]: ... here.  Remove python-ipython-genutils.
---
 gnu/packages/python-xyz.scm | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 44011944d9..a303e31875 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -12800,16 +12800,16 @@ (define-public python-fastjsonschema
 (define-public python-nbformat
   (package
     (name "python-nbformat")
-    (version "5.1.3")
+    (version "5.3.0")
     ;; The PyPi release tarball lacks some test cases and test data.
     (source (origin
               (method git-fetch)
               (uri (git-reference
-                    (url "https://github.com/jupyter/nbformat.git")
+                    (url "https://github.com/jupyter/nbformat")
                     (commit version)))
               (sha256
                (base32
-                "033v16cfmxzh3jn5phnil4p3silr49iwh9wiigzhv0crc6sanvwz"))
+                "114c5c6cvpxhxj8zrw74351gcfzyzjh1jq3py4xf8wk9rahfay9z"))
               (file-name (git-file-name name version))))
     (build-system python-build-system)
     (arguments
@@ -12820,13 +12820,10 @@ (define-public python-nbformat
              (when tests?
                (invoke "pytest" "-vv")))))))
     (propagated-inputs
-     (list python-ipython-genutils python-jsonschema python-jupyter-core
+     (list python-fastjsonschema python-jsonschema python-jupyter-core
            python-traitlets))
     (native-inputs
      (list python-pytest
-           python-fastjsonschema ; This is only active
-           ; when setting NBFORMAT_VALIDATOR="fastjsonschema", so include it for
-           ; testing only.
            python-testpath))
     (home-page "https://jupyter.org")
     (synopsis "Jupyter Notebook format")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:18 2022
Received: from localhost ([127.0.0.1]:60623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptR-0007mK-SZ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:18 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:37613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptB-0007h4-RW
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:54 -0400
Received: by mail-qk1-f181.google.com with SMTP id b68so9974012qkc.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=vYW5ODScfig2SPnRxMAvJjsrL2RADwHvxefPAYnlHQo=;
 b=iuAmq0+GV3ZZeAISB9u8R21CG8Mhs6roZgUZ7AVQINJXBEsbJ5VLOdYo6cuPwJZOcP
 n4c3UhITXDkNjeLgUX2rD3XLwsG2v816kBbczP6vepxfFpcI3AnYfx2k1qEyiKOQgGn4
 Y81LwvoPZHzyypFUqTLeuf6Y1b7+sL3c+S0R4BiKd4HhMwtbBQJmuRPtmrjpPeCJKxce
 RKHK6ughg9ZLu/XAo8r5WYGwF75C8yM4AyUZZZgOX6weOlrETH2fNdc7/77CaTj4GPWG
 IDtC2c10WEyUF051RmMJBH9ogNvCMasZC3Ful3DZRlZsRCdbP7azaQe6u69OmyPVfTNX
 1f8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=vYW5ODScfig2SPnRxMAvJjsrL2RADwHvxefPAYnlHQo=;
 b=3hHWX6DGIjovnmY/gDchBLYnv9HarH5502jMWLmQiVE3H8u5mYWAh+Ns7FoNvlTg1d
 Ux3Ij8sI9UsUWamPwou0Odwty0z1BOtaDGQ4S2qWzUmIRuM4zS9nFQTezuPjhe7KhLBN
 KFeyi4+G4OeMVCIqCZ+UDSVfC8uDW0yy/LSW1+9Wqaiz5x2fAabKKLfGb3zJVqXQdIra
 Y26kdhO+BsrWM48RuyBb2GsAhtop+p6L6mcvfeE7MrRR2bSR69LOH9VQ3PXfA7W03K9i
 X3/mtMwZBdOVXEzpy7loT43Q3YlzMauOex/54U/Vl5/2AsCdyecuMGi4V7c9PfR5IXby
 WNhw==
X-Gm-Message-State: AOAM530YPhtZqgIkQcUaConUqs6VxXsboDLi4iYsCVT72kS+oAwExOe3
 xQ9bzeXqO5G+9v/z/KHRPEPs2mJEUSTsZg==
X-Google-Smtp-Source: ABdhPJxtvJbuiiFH1OxjDckSDJbo/yoNiS+qwwZJeczbXG4xrbIHF1mZbLWUobukXuoZwXdCD5U5Nw==
X-Received: by 2002:a05:620a:1431:b0:69e:59be:1ece with SMTP id
 k17-20020a05620a143100b0069e59be1ecemr8984393qkj.600.1650859188092; 
 Sun, 24 Apr 2022 20:59:48 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:47 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 010/232] gnu: python-ipython: Update to 8.2.0 [fixes
 CVE-2022-21699].
Date: Sun, 24 Apr 2022 23:55:36 -0400
Message-Id: <20220425035918.25683-10-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-ipython): Update to 8.2.0.
[phases]{fix-tests}: Delete phase.
{check}: Remove extraneous add-installed-pythonpath call.  Invoke Pytest
directly.

Reported-by: Leo Famulari <leo@HIDDEN>
---
 gnu/packages/python-xyz.scm | 45 ++++++++++++-------------------------
 1 file changed, 14 insertions(+), 31 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 8d46d992b0..44011944d9 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9059,13 +9059,13 @@ (define-public python-stack-data
 (define-public python-ipython
   (package
     (name "python-ipython")
-    (version "7.27.0")
+    (version "8.2.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "ipython" version ".tar.gz"))
        (sha256
-        (base32 "04xgymypnbfgf2q0d5b0hanjbjsp53f055sh1p8xlq52vyzmxdaq"))))
+        (base32 "1hcxa713wh3axa57412iy02rj0494ljvv6gpnls4lndc5h9yprbh"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -9076,34 +9076,15 @@ (define-public python-ipython
                ((".*import datetime") "")
                ((".*datetime.datetime.now\\(\\)") "")
                (("%timeit") "# %timeit"))))
-         (add-before 'check 'fix-tests
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* "./IPython/utils/_process_posix.py"
-               (("/usr/bin/env', 'which") (which "which")))
-             (substitute* "./IPython/core/tests/test_inputtransformer.py"
-               (("#!/usr/bin/env python")
-                (string-append "#!" (which "python"))))
-             ;; This test introduces a circular dependency on ipykernel
-             ;; (which depends on ipython).
-             (delete-file "IPython/core/tests/test_display.py")
-             ;; AttributeError: module 'IPython.core' has no attribute 'formatters'
-             (delete-file "IPython/core/tests/test_interactiveshell.py")
-             ;; AttributeError: module 'matplotlib_inline' has no
-             ;; attribute 'backend_inline'
-             (delete-file "IPython/core/tests/test_pylabtools.py")))
          (replace 'check
            (lambda* (#:key inputs outputs tests? #:allow-other-keys)
              (when tests?
-               ;; Make installed package available for running the tests
-               (add-installed-pythonpath inputs outputs)
-               (setenv "HOME" "/tmp/") ;; required by a test
-               ;; We only test the core because one of the other tests
-               ;; tries to import ipykernel.
-               (invoke "python" "IPython/testing/iptest.py"
-                       "-v" "IPython/core/tests")))))))
+               (setenv "HOME" "/tmp/")  ;required by some tests
+               (invoke "python" "-m" "pytest" "-vv")))))))
     (inputs (list readline which))
     (propagated-inputs
      (list python-backcall
+           python-decorator
            python-jedi
            python-jinja2
            python-jsonschema
@@ -9115,18 +9096,20 @@ (define-public python-ipython
            python-numpydoc
            python-pexpect
            python-pickleshare
-           python-prompt-toolkit-2
+           python-prompt-toolkit
            python-pygments
            python-pyzmq
            python-simplegeneric
+           python-stack-data
            python-terminado
            python-traitlets))
     (native-inputs
      (list graphviz
            pkg-config
-           python-requests              ;for tests
-           python-testpath
-           python-nose))
+           ;; For tests.
+           python-pytest
+           python-requests
+           python-testpath))
     (home-page "https://ipython.org")
     (synopsis "IPython is a tool for interactive computing in Python")
     (description
@@ -9173,14 +9156,14 @@ (define-public python-ipython-documentation
                (mkdir-p info)
                ;; (copy-file "docs/build/texinfo/ipython.info"
                ;;            (string-append info "/ipython.info"))
-               (copy-file "COPYING.rst" (string-append doc "/COPYING.rst")))
-             #t)))))
+               (copy-file "COPYING.rst" (string-append doc "/COPYING.rst"))))))))
     (inputs
      (list python-ipython python-ipykernel))
     (native-inputs
      `(("python-sphinx" ,python-sphinx)
        ("python-sphinx-rtd-theme" ,python-sphinx-rtd-theme)
-       ;; FIXME: It's possible that a smaller union would work just as well.
+       ;; FIXME: It's possible that a smaller updmap.cfg would work just as
+       ;; well.
        ("texlive" ,(texlive-updmap.cfg (list texlive-amsfonts
                                         texlive-capt-of
                                         texlive-fonts-ec
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:10 2022
Received: from localhost ([127.0.0.1]:60619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptQ-0007lq-1t
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:09 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:39884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptB-0007h2-1V
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:53 -0400
Received: by mail-qv1-f52.google.com with SMTP id kk26so2973431qvb.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=jInLUeKAz0j+AEWJO8FFM8yhZlRyBi6va8TIrllWYOk=;
 b=L2dkfGyvOHlokkVljx3MlgzMhftZjRoFKXfcQqz0CGhr6Nv3bV2Xs8lm4zOxs540OA
 E9cFs2W+X7/qCtf7dEPj1H890SZvdo4NV2xGiC4yxva7rVkQVgyAy4vUyDjmiDBjoodN
 7uef/JhMjmxWfzv9N17ZU/UXaXi/ZHRO5BuNDjova4vqdULoHfLKAvObMaE0YFrk07vo
 lOvlzCs3MmSfyAu3ASB/LgvlrfdG7tEVpRuWTjkXN4dpjfvWoM8ZOWvpFw5fmNXNBekm
 3nws92/51SxcEGHSt+6wuPOEyX2cjJWfMGQLLaw7T+rXJANMVK89xh+x+BB5pIpEbipb
 1KYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=jInLUeKAz0j+AEWJO8FFM8yhZlRyBi6va8TIrllWYOk=;
 b=ETclPhxAXUG65Fe+03J9FRU1e7BC5jhjXMeuPZumUG0O5aEQp96Q/VVQLPF2N7+Uy+
 5BeQQLjkhKafer7N11vyDRsX4WDQY/yDChmn9cUJQjtYgVdH/ubjlVuF6ZxPsXpqrrD3
 yym38UE+zF5cyG5mDDnfWnwhSswI/shBHJvXmGVxUcP+zY/kG95m/4sQanjwKdmT6acc
 Uk2zuiObyQC1AtsJjpjqEFg6i8W8nY2Wfo4G2H9zQpT+D4r9N5h7rk+TPV1sZdnUa614
 E/L7q+cFxyLOVBaF9ENLGfwju4Qyp66POXaafSB8Bc6xRqrHb9eR7i6dkvgt6P/K7Tvn
 g9Gg==
X-Gm-Message-State: AOAM532ygIe7Eg/a+f/r8AzY9SfsrSBWBBDl7JxiDo7okO1Y8PUbegK5
 MRBVM/gTOcco3Ok3rCAcapHKaLz/aOeg3g==
X-Google-Smtp-Source: ABdhPJzZlbSppp88g8zQo8C0ZBxsqUHswq/V/nyJaqVcTN42okp+KaxzuZxSOYqJv6EiMniuJpbl7A==
X-Received: by 2002:a05:6214:5282:b0:443:9905:a58f with SMTP id
 kj2-20020a056214528200b004439905a58fmr11205246qvb.98.1650859187359; 
 Sun, 24 Apr 2022 20:59:47 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:47 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 009/232] gnu: python-prompt-toolkit: Update to 3.0.29.
Date: Sun, 24 Apr 2022 23:55:35 -0400
Message-Id: <20220425035918.25683-9-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-prompt-toolkit): Update to 3.0.29.
[phases]{post-install-check}: Move to...
{check}: ... this phase override instead, and streamline.
---
 gnu/packages/python-xyz.scm | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index f95d0fbcfc..8d46d992b0 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -17212,25 +17212,24 @@ (define-public python2-backpack
 (define-public python-prompt-toolkit
   (package
     (name "python-prompt-toolkit")
-    (version "3.0.18")
+    (version "3.0.29")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "prompt_toolkit" version))
        (sha256
-        (base32 "1g1kq1aimhm23k2dmlmnznfzc83l6ly65g0h32hqz8injcdz3d71"))))
+        (base32 "19vf5cahp3imdpwhgvk55g3dvqmc6ga175r4vkq79kffx1h0yr5x"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
-         (delete 'check)
-         (add-after 'install 'post-install-check
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             ;; HOME is needed for the test
-             ;; "test_pathcompleter_can_expanduser".
-             (setenv "HOME" "/tmp")
-             (add-installed-pythonpath inputs outputs)
-             (invoke "py.test"))))))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               ;; HOME is needed for the test
+               ;; "test_pathcompleter_can_expanduser".
+               (setenv "HOME" "/tmp")
+               (invoke "pytest" "-vv")))))))
     (propagated-inputs
      (list python-wcwidth))
     (native-inputs
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:08 2022
Received: from localhost ([127.0.0.1]:60612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptN-0007kz-5O
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:07 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:41897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1niptA-0007h0-8v
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:52 -0400
Received: by mail-qt1-f169.google.com with SMTP id fu34so9562509qtb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CkmwoN5z/5iF6K9r0mEN+Khj0/XZUJmCk/D1tDqyed8=;
 b=llaMUK37V6504nr9dSJEBlsyEvD0E9/d+wkHnpe8yfSSdaCMwNgw0FB2A7oKH9zyYg
 UmKDJ/agjNdTnlNmisPZJ1bQzlP+lEbTZd0+h0e4EtSIKtG0V2e135ZLyvP1CBkk5Bhi
 SLB+duYlh9njOqfaYCXfVS/MkYadstMoi3Os6XqLTa6g6ok8WT1ON+kIraf8FG7qGPrM
 +NSbbyC9/i2NuIcHmX8NHmiiueLKxiZ1Sx5/TWHZHenUZTxcXf2rv51Nj0feF2PLzsW6
 Ii7QNDFu7nX0sFOrKoMFGgietJK9BVII209T6QQFJFPIfkqN6gghIUYmQUpDpJpK4o8x
 Zvew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CkmwoN5z/5iF6K9r0mEN+Khj0/XZUJmCk/D1tDqyed8=;
 b=JmOtiT13xJODTShlFHjVwzxzrWtyybCR4gdjIFqkEbUvi1vNnyGeHT8zighuE1KCbo
 woGN17urtcR+mFyFrjTQGlSvf0HeMrU6s7yjvq29HjNnBHoSEnYFCKgPo9JwpAmzIbBi
 5VXhZn9Z8pKGoh6gXj0HiV8mJ+3gJsvXNEaN1htWeM36O+XbYjwo6HNeCnOVOZDw7XiA
 RtVIugiaYD+0l4b/4z/zPflYUcbMGfTm1vlhsSvy3XqJ3/sPJXFc/lu+wYDe9zIRpowe
 0Auk6zihXpPdCozhAfvfK59vHNklCEnm+9j0/cAe7jOKtmySaxgdTK3ecUgaiQov9bTv
 MKjA==
X-Gm-Message-State: AOAM530x7wW7drBZFAQjR+vU3SnIZVvliikSzZfaBakTGNhWBV48/3l6
 jbmDt2jaNIWQePHerWLECRsHxDJgRrIwBg==
X-Google-Smtp-Source: ABdhPJwHPLlAVXRxCN6EK753KUfDUt+xv3OkwSlW3Iq8YqxNWp+VwN/Rez+PvEhu5PqqSfsLo1xuKA==
X-Received: by 2002:a05:622a:14cc:b0:2e1:e82c:77d3 with SMTP id
 u12-20020a05622a14cc00b002e1e82c77d3mr10778105qtx.28.1650859186646; 
 Sun, 24 Apr 2022 20:59:46 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 008/232] gnu: python-jinja2: Update to 3.1.1.
Date: Sun, 24 Apr 2022 23:55:34 -0400
Message-Id: <20220425035918.25683-8-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-jinja2): Update to 3.1.1.
---
 gnu/packages/python-xyz.scm | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index df3140fb1f..f95d0fbcfc 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -4039,14 +4039,14 @@ (define-public python2-markupsafe
 (define-public python-jinja2
   (package
     (name "python-jinja2")
-    (version "3.0.1")
+    (version "3.1.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "Jinja2" version))
        (sha256
         (base32
-         "197ms1wimxql650245v63wkv04n8bicj549wfhp51bx68x5lhgvh"))))
+         "1saawzys14l1p4kafs7hkihmnvqjq8fwxjmkjiqx3jq1nm5ys2v4"))))
     (build-system python-build-system)
     (arguments
      '(#:phases (modify-phases %standard-phases
@@ -4055,11 +4055,9 @@ (define-public python-jinja2
                       (if tests?
                           (invoke "pytest" "-vv")
                           (format #t "test suite not run~%")))))))
-    (native-inputs
-     (list python-pytest))
-    (propagated-inputs
-     (list python-markupsafe))
-    (home-page "http://jinja.pocoo.org/")
+    (native-inputs (list python-pytest))
+    (propagated-inputs (list python-markupsafe))
+    (home-page "https://jinja.palletsprojects.com/")
     (synopsis "Python template engine")
     (description
      "Jinja2 is a small but fast and easy to use stand-alone template engine
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:05 2022
Received: from localhost ([127.0.0.1]:60605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptK-0007kN-Sf
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:04 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:37677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipt9-0007go-M3
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:52 -0400
Received: by mail-qv1-f53.google.com with SMTP id k12so3028504qvc.4
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=B+ZKQ9z5siaAvv59aQpvGP5GIshN21DvekYt04+qwyE=;
 b=kV2CiEswf1960lCVy1UboHj3tArLG5uRdhJ2Or6F/8habCO5G/iGVcpARXwBKZtPC0
 aGY5YAZ4t4TBzr2lQJMRirYwaZHe1b1khzHseNiQXMziYkteEuvQKBkG7eOwAH7/PVfD
 bU8obNBTf6bjR9KwgDsScsXBvEy7DvX2E/MD4BVJVQS2fLZFk6ol0MpNevahQjSQcCmC
 tz9wuxwWGo99+H8xl5GG05MDs8GvduUikBsvCFfYvkURfRbF/ouHY6yRwPD1VvQF/vMY
 4xxNtFoTl9OHRq1xh/QdZGWpxL4szA9zXbyBeQYUyIdiyfFhe0vUPwuSXunBw5Qg3ujR
 9a4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=B+ZKQ9z5siaAvv59aQpvGP5GIshN21DvekYt04+qwyE=;
 b=mlgox+WT9Ha/t2q5gq6ntcosB7OyKtkrgYnoT8m7qcyiS3rML7W7iKG7o7QoLqTWyC
 F/tSsNyUxBj1TWENpYLADY4fzXmLoae4o2B3c8PLWX7/S3wa7mk1iMvPdanK8sQxTJs0
 r8Y9X+ywD3OsjTO/eFIz6UIz1yVB061dUFcXOExDXu3EfnooUaG8LO/QxygikiCepdCa
 9sTUpK2bjct/wRw9GXSQkLWvwV9kA2tVTTuRaSXnuRS/nitwgHsGMpGqTL4WagihxjrF
 vneekApk3+i6rgp82eLQDE7fftOSXIzQ4s5SvZUTaLUgQ1fZLyzKvkbWmxXPdYqmuQaN
 G0Dg==
X-Gm-Message-State: AOAM531ogZGITe9bfgYEFiGrAeJ/wwWGNElqz6OP7ZkHQvD7uU3KVgK4
 sXIVCLwl/KZdezBKnPeY03pE4JootVkREQ==
X-Google-Smtp-Source: ABdhPJyXx/ZvEyxlziJOUDI8bcsTH33AuxnJpqT1FMpcb2DybJYxscCG6l0ZJ2YBsu//eYUN0b6Pcg==
X-Received: by 2002:ad4:5f88:0:b0:456:35c0:832b with SMTP id
 jp8-20020ad45f88000000b0045635c0832bmr2758698qvb.102.1650859185973; 
 Sun, 24 Apr 2022 20:59:45 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:45 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 007/232] gnu: python-traitlets: Update to 5.1.1.
Date: Sun, 24 Apr 2022 23:55:33 -0400
Message-Id: <20220425035918.25683-7-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-traitlets): Update to 5.1.1.
[phases]{check}: Honor TESTS?.
[propagated-inputs]: Delete field.
---
 gnu/packages/python-xyz.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 6415c554ae..df3140fb1f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8722,21 +8722,21 @@ (define-public python-ipython-sql
 (define-public python-traitlets
   (package
     (name "python-traitlets")
-    (version "4.3.3")
+    (version "5.1.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "traitlets" version))
        (sha256
         (base32
-         "1xsrwgivpkxlbr4dfndfsi098s29yqgswgjc1qqn69yxklvfw8yh"))))
+         "1ivhxglsrnhqw4g98ihddn7i5f6976gpk31fijwq473wb9n4b7q5"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
-         (replace 'check (lambda _ (invoke "pytest" "-vv" "traitlets"))))))
-    (propagated-inputs
-     (list python-ipython-genutils python-decorator python-six))
+         (replace 'check (lambda* (#:key tests? #:allow-other-keys)
+                           (when tests?
+                             (invoke "pytest" "-vv" "traitlets")))))))
     (native-inputs
      (list python-pytest))
     (home-page "https://ipython.org")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 04:00:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 00:00:03 2022
Received: from localhost ([127.0.0.1]:60597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptG-0007iq-B1
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 00:00:02 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:44614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipt8-0007gm-Df
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:50 -0400
Received: by mail-qt1-f173.google.com with SMTP id t11so2667567qto.11
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=boJfyuhsOq2Px00JVXHLKWZ2tfq7C5tscU4IpKxtaok=;
 b=OlkjYbR3ELnA2iTWsLQYC/TLb3Zk+jnjx43cuslFVHJvuP7Lzg0S8cprfZls170UVU
 RY06xWEZhRxzgfGNknCBQgCmfdy4BESow2YFMKvozt5tS4lcsLd7YYTrUgJvwIJoEEOh
 vKK0lYNNmQ6Xn6uKbb1VLy7sTYDf+m0gjXXvEGGte1O+OA+PELRaB6yRMXkODLUJR3+a
 cHLPqp/NZ2W69iqAi8JBQ2AYQ14AakAU6YpWiLJy/n4iVTLDZ3s2EGxOmKsmwolFqSWd
 19j3jlpPAer/sieMb5CgI7EhinL4NWB18Dvs6EqpnjrbGUwPM5Ds0d2pP7gguEay/PoK
 qSqg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=boJfyuhsOq2Px00JVXHLKWZ2tfq7C5tscU4IpKxtaok=;
 b=b1vEVEQyxub0zNhBiTaqRXUpyqgO3TqeDvocXCd6j2exV3dkbyjlvt2rPCNjtkcJY/
 H9CRZTvNiWfRcsjBGRVby2sBcg88ygJfEkaBPJ/6BjR0qcA9lMjvWNwKjgCIUYoruR6Q
 EbW3yYzuas2PTmnGwv49W9nxm5HgKcmUsBax4/X0JwVCwrVqX1XugF/0qlq/V5vHOZUF
 vlp/QFWdid4b7RFzjV7iB8foF1vLAvTEmA8gpSuFBZkt9lILf9Si5dOih/wxeNF557kV
 iaWAfPyjCAO7THeFXtJdfPQof88r+2cUcAw1j87Xrqc4qa+FopNpcjZeR6uOrxd3Qcxi
 7F3Q==
X-Gm-Message-State: AOAM533VoA+uBpFM33KjXk/V16P67NRZVM9GNJB3KlWRs0Cl96I/Lcdh
 gke68QRLCzBnx24xxTWQnMDnp03hyCf/jA==
X-Google-Smtp-Source: ABdhPJwN2592lqhFaJLCIoDbew57N4Ux4Y0GpD8oeSz0IF9xyEdtsVx/DVdxEoGWDeyYiP2+UBTrYg==
X-Received: by 2002:a05:622a:1106:b0:2f3:479c:54ea with SMTP id
 e6-20020a05622a110600b002f3479c54eamr10852947qty.158.1650859184420; 
 Sun, 24 Apr 2022 20:59:44 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:44 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 006/232] gnu: Add python-stack-data.
Date: Sun, 24 Apr 2022 23:55:32 -0400
Message-Id: <20220425035918.25683-6-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-stack-data): New variable.
---
 gnu/packages/python-xyz.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index eca5dc5898..6415c554ae 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9032,6 +9032,32 @@ (define-public python-littleutils
 functions, useful in the context of writing unit tests among other uses.")
     (license license:expat)))
 
+(define-public python-stack-data
+  (package
+    (name "python-stack-data")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "stack_data" version))
+       (sha256
+        (base32 "04lfcj5qrn4qikjw89qbdzqwm0xm4bgm4m8rll1rafk3pm0jssa5"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-asttokens python-executing python-pure-eval))
+    (native-inputs
+     (list python-cython
+           python-littleutils
+           python-pygments
+           python-pytest
+           python-setuptools-scm
+           python-typeguard))
+    (home-page "https://github.com/alexmojaki/stack_data")
+    (synopsis "Python stack frame and traceback manipulation library")
+    (description "The @code{stack_data} Python library extracts data from
+stack frames and tracebacks.  Is can be used to display more useful tracebacks
+than the default.")
+    (license license:expat)))
+
 (define-public python-ipython
   (package
     (name "python-ipython")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 03:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:59:58 2022
Received: from localhost ([127.0.0.1]:60595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptF-0007ig-Qo
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:58 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:36792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipt5-0007ga-9c
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:50 -0400
Received: by mail-qv1-f44.google.com with SMTP id q13so1979177qvk.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=R9jRCcxoN8PrpbG+gemAc57xKAuA+f0tBQe5lzhDU2o=;
 b=RiGpxA/H+3a6n4AQ89Sp+uAbmivWCjKeqYaOmxitTGzgbHuuZlbqwg61nnLk4Kb9Sl
 YE4AScpCvs/0Pma/4rLcaoeE5TaAyJoTCgej+eeTUulUvIVlWHExA4nlrfypSV03g2u5
 2imj41Bg/j4Nd58uMvDun6zDiX9nVlbq9B88ULNNhZ2qtY9WK7feJQmBd5cu1RVfxbIX
 vhhgTZ1aR6cN+D/6cY81QTWWQPl2AN78eu5hcj+uiTnLaE543ySTn2QG5Yd70he4EUYp
 kdPN+nJYGpM0he03R4U7hlw1G4e6eZlp+QniX6ww8p8IS3vv3hBzVN+30HR0lEXNUdvc
 5z5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=R9jRCcxoN8PrpbG+gemAc57xKAuA+f0tBQe5lzhDU2o=;
 b=FsulW6QYFx3rEyBWNIkq+fkXcbRErC8EhkKE7MKqc+m+GBmnIex2kYsCnmrrEWrfSk
 A0E265Zjv/8aPH9o4By/8TLXg2776nQnW4WLehBQ38oZwxFmhpR9OIm2PrNOgRjg6tRK
 i3gMKswPzsRm8gPJfuYV0MgfEs4oj4KdWzRwPq+cYpgNJBWjwVSC5lYdfsNg5Oc8FpOY
 pQb0Fa4xe+6IFtaAb3PVY+EDgo4uKcdkjs8NlZ5CqFy+Qn/CXXMkfZsSlORHgtBCV/Ei
 wTX+5BvrCxrAiJvzGcnu3CWptBckij4n9uUUTpaAGMc/7OKm/Qya1C4LtpIJ2KVJsv+F
 y64Q==
X-Gm-Message-State: AOAM533BdhClGE0szEMo3X4dVT1cgMzdYwKCTaL+u8Er9NRPBcMWPTvI
 PPmbtRLwB0odPwEOyk+qkoa4h+vlivlzCg==
X-Google-Smtp-Source: ABdhPJwUdeR38siFOAgSqDWhm94v3OZ4RXOwq1aHykHbdG8nhluY0++1BwV4FiyUafmCIfNZO7Flhw==
X-Received: by 2002:a05:6214:4103:b0:440:e4d1:a2a0 with SMTP id
 kc3-20020a056214410300b00440e4d1a2a0mr11223207qvb.42.1650859181669; 
 Sun, 24 Apr 2022 20:59:41 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 004/232] gnu: Add python-asttokens.
Date: Sun, 24 Apr 2022 23:55:30 -0400
Message-Id: <20220425035918.25683-4-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-asttokens): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 82340c0155..d3570f45df 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8993,6 +8993,28 @@ (define-public python-pure-eval
 abstract syntax tree (AST) nodes without side effects.")
     (license license:expat)))
 
+(define-public python-asttokens
+  (package
+    (name "python-asttokens")
+    (version "2.0.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "asttokens" version))
+       (sha256
+        (base32 "1mglbkikxvnhrk3inbx0v1qzxwd38qjr6l35sn098yicy0ac2m4s"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-six))
+    (native-inputs (list python-astroid python-pytest python-setuptools-scm))
+    (home-page "https://github.com/gristlabs/asttokens")
+    (synopsis "Python library to annotate abstract syntax trees")
+    (description "The @code{asttokens} module annotates Python abstract syntax
+trees (ASTs) with the positions of tokens and text in the source code that
+generated them.  It makes it possible for tools that work with logical AST
+nodes to find the particular text that resulted in those nodes, for example
+for automated refactoring or highlighting.")
+    (license license:asl2.0)))
+
 (define-public python-ipython
   (package
     (name "python-ipython")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 03:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:59:57 2022
Received: from localhost ([127.0.0.1]:60592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niptF-0007ie-G0
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:57 -0400
Received: from mail-qv1-f46.google.com ([209.85.219.46]:36796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipt7-0007gj-8u
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:49 -0400
Received: by mail-qv1-f46.google.com with SMTP id q13so1979228qvk.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=zUYC8vAw+BopBsFH3BJLsOC4FpKz5tbOMBLN86YO7Fc=;
 b=lx1M1xyMSfhiYWeQnu9zdKhIgGv2yRKH7yzF9hLoshOquljUHnVNDqUEnJZhmsJ+Uw
 VcWcH5opspKqWsWBvLfEm0IsMiCI8MOKCmA7Puzt4kgSNMYKG+MxonjDwdzfVpDUB4nn
 HZyL+0hyRkxnfLMwO/vaYH4dcYoiVfCSskAyleOwB4Mh7osDutr7Ue6CFCFSR2cn/6If
 2pFedO9uDo1CZ37iEW7Wbp6twzHBOaDuII0TK/qA34N8DBH27G2FfTFrct6Vbc2HQQTY
 QjB+QqeqjSOXAL0tyOMompLsMMKwi+T8+BrqX6lR/YrKPwdtf/4T1yF5czo+C9fNPRDu
 wo4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=zUYC8vAw+BopBsFH3BJLsOC4FpKz5tbOMBLN86YO7Fc=;
 b=cVjX7jDqwf1eZbvL5qNUDDeoV8P7gypXOUMYCMbzFCw+qFCpTzTWBAg18jYfCO0u3H
 zZwHslTFh7f12pr0KIV3XqgM6bdEe9YUhf5yYbjqcnOfi41nDEXbA9bhENpAS7+3DY3N
 8IAfhxcsPSZ4ACJbSv5SBIOuw3eHSQIPP1lAkezPCgJ4ec6E4lOJu12vhq2MTJoj4CWh
 mS4feVPl2uYrSrQvt6zR8fcbWH2/cyfiPWj9XzayuZA8w1N8uAf3stpl6Ha9zANqYJPh
 /IkaROWYX7RuobAZCG0gyFXUB9lle0rsufRObt3JaSEYFLJReFYUyWvsRPNLmPH6qEIJ
 UkMg==
X-Gm-Message-State: AOAM532QUZ3v1bTYwFrfW8a7himUSfMqNM8vYE3Fb3SEDcVgxAUJNdHu
 W5sdVKI50BcKxa5ijuvreTIcZpUZq3sWng==
X-Google-Smtp-Source: ABdhPJx/ArFLgcjA+tW7HvxY/CLKs7rwl/IYlzySlH6M4j0WXHl9DVV3MtHCS+/FUi/xxH/SPrKE8A==
X-Received: by 2002:a05:6214:ca2:b0:452:f242:f6e3 with SMTP id
 s2-20020a0562140ca200b00452f242f6e3mr9271261qvs.112.1650859183303; 
 Sun, 24 Apr 2022 20:59:43 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:42 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 005/232] gnu: Add python-littleutils.
Date: Sun, 24 Apr 2022 23:55:31 -0400
Message-Id: <20220425035918.25683-5-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-littleutils): New variable.
---
 gnu/packages/python-xyz.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index d3570f45df..eca5dc5898 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9015,6 +9015,23 @@ (define-public python-asttokens
 for automated refactoring or highlighting.")
     (license license:asl2.0)))
 
+(define-public python-littleutils
+  (package
+    (name "python-littleutils")
+    (version "0.2.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "littleutils" version))
+       (sha256
+        (base32 "0vwijrylppmk0nbddqvn527r9cg3zw8d6zk6r58hslry42jf7jp6"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/alexmojaki/littleutils")
+    (synopsis "Python utility function collection")
+    (description "@code{littleutils} is a small collection of Python utility
+functions, useful in the context of writing unit tests among other uses.")
+    (license license:expat)))
+
 (define-public python-ipython
   (package
     (name "python-ipython")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 03:59:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:59:51 2022
Received: from localhost ([127.0.0.1]:60582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipt8-0007hR-Rw
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:51 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:41903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipt4-0007gZ-IJ
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:47 -0400
Received: by mail-qt1-f179.google.com with SMTP id fu34so9562445qtb.8
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=JdrImT/uORUXa1vOH2UsztxhIeP094t1h8rpwZ13ZGE=;
 b=FeWb4w6/IAa2q6sfgjZvkzNIyzU9fD/hf3fkZdoVR3qgfur9rF5Q1RAltjS7ey28wD
 YKNVd4MC8JoJIf3ZfPt4UeCKCEYrusy/oNAZvt/oFjcAqI5oAAz+OjnFaKk9TO8POOPb
 vi0uL/ZeX/EDsu1l7imR7uPDS4PdY7TYZyiRuPb4Cq6YgJbjM6BwlnPKTiUPFrE1Ca/C
 Asxb2vz8teR0MCh0rwsNgktMwZWERmtR+SouYe/Ho3oIV5+apE/loTmheIQh+1Kf/49g
 +YerQi1TZMt/0OBJ0uvnr+F87/DSCaVBg8t06SlSHmtUoFtHTtm3PUdjVI7mup/mKd/3
 ZS9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=JdrImT/uORUXa1vOH2UsztxhIeP094t1h8rpwZ13ZGE=;
 b=H6VTAXFBX/wfDVM6fjQ90jLN9BOP3bDCLy9sQxgv9lWabsef9c0H4GDHzYv1lD7i/m
 vIOD9QUvEucN8949jeyWez8qJ/SWwnevey/cOUfnFCrQF1wcwXnkQ/8o5HrJtIEiAdD3
 ONmOlh/YTwEh+nAKB6twF9YIIi2l0BDHRY8Sx+0VsgiYsdhSIwKupa3uFfwtB1I+moGL
 yFegmLy8mmEWETLV41ZGyEK0xzbM9EP0HsVOrRDDttJqcYRNnRK+zoLIUBBKUuzz2wqH
 zUs10G8qGOAKA0D9CHhb8HxzXPYhRNM4I9H/YIJD/SKJnzFq09L2gtPVK3SfFik5NQiJ
 wxiQ==
X-Gm-Message-State: AOAM530GrsQ1HtO6I13u5ceUhPmyJcAKhMzq2Dy25Ig31MIorilFo1uE
 c/ba0G93IyiDSnXGNsyuJQ3UAsYOA8rfVg==
X-Google-Smtp-Source: ABdhPJz9ESSDNjIFYhhF7OgivsxARu9mUvpNzT5tGaM6i6h4NMeNNMrIaEFPmh29PgeMe1iWD4rmBw==
X-Received: by 2002:ac8:7a8a:0:b0:2f1:de6a:c044 with SMTP id
 x10-20020ac87a8a000000b002f1de6ac044mr10714189qtr.243.1650859180741; 
 Sun, 24 Apr 2022 20:59:40 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:40 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 003/232] gnu: Add python-pure-eval.
Date: Sun, 24 Apr 2022 23:55:29 -0400
Message-Id: <20220425035918.25683-3-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pure-eval): New variable.
---
 gnu/packages/python-xyz.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 464171bee5..82340c0155 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8975,6 +8975,24 @@ (define-public python-backcall
 callback signature using a prototype function.")
     (license license:bsd-3)))
 
+(define-public python-pure-eval
+  (package
+    (name "python-pure-eval")
+    (version "0.2.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pure_eval" version))
+       (sha256
+        (base32 "1hwsm85cwqwh6d6x4vzcimla2865s6v19ms3ym81ganzyq534i9b"))))
+    (build-system python-build-system)
+    (native-inputs (list python-pytest python-setuptools-scm))
+    (home-page "https://github.com/alexmojaki/pure_eval")
+    (synopsis "Python library to evaluate abstract syntax tree nodes")
+    (description "The @code{pure_eval} Python library can safely evaluate
+abstract syntax tree (AST) nodes without side effects.")
+    (license license:expat)))
+
 (define-public python-ipython
   (package
     (name "python-ipython")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 03:59:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:59:50 2022
Received: from localhost ([127.0.0.1]:60579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipt8-0007hI-4Q
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:50 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:39874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipt3-0007gW-SQ
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:46 -0400
Received: by mail-qv1-f48.google.com with SMTP id kk26so2973267qvb.6
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=6McX4K/yF9rHY3j+C6oycu+ruIZY58GfCrPniehnsIw=;
 b=LlR99P83rVrQ7q35N7IUlzL2frnpAUapS5ynf+wC/TRouGs9I0cadTMuCC6Tj9hcc3
 Z+256iPm1fLrALn9jL72hnPA8xGnonRl7Fq+PoZrW29r+yX32rd/XbSJ5cf0GbsGZ/cJ
 k6Q0TPcK2g2t+55cHxyFSq2cjAeqv2ImZB+OIMvT2JHeu6ZsSLsjaq5NT0FwNkcE8Tht
 nE2iSlFzjUZRkohk5CGbpT2TficCjldDDFZnTVw0Y38F2rIHC6MJxw2tfA19FwIQQ5LA
 EuueBwW/PL+ja4C+5lJf3tzvovDIiBXvySioqZ0hhmGZCkzCJkdRecg9QvJhlFME5UIO
 rVEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=6McX4K/yF9rHY3j+C6oycu+ruIZY58GfCrPniehnsIw=;
 b=1MET4sL99JBYgDylk7wWkR5CZelUbUxgB+8eL42QhSZtfXtf9mreeNE+wIQLJ3zJkF
 SGDomDLqAyr65HP97GsdTZm+2w2UgJ1O8UEE/v6myoDWha1Z8gQpYBri3LXGcTi+Tlii
 f6jbw8xYH6Ih0j9Icb27x/K1vM4kf+QeTE5esvxr1fsfiO+HVxE5vo1E+lCi54NshHwx
 f8R0uJaKefUxuBh9XAAKmap463MGO2Ikcp7yEoHcVCxFf0KaWFDdBVw6LxR2ZYpLFAMX
 vBkmZQTKuLFCHCQGJKxpfoXcuWPDh1Cbg6CVQxu/RDdqXGgQsBluQn/rnGoL+uciquyZ
 Cuog==
X-Gm-Message-State: AOAM531EYNdoZ3t7DTTQPFDZqJH5tYWVpLP/o46Pqvc5H7GJSuKnWDBL
 glMseY2V9AALCoNFTSgAWm+b2yI5fgV54A==
X-Google-Smtp-Source: ABdhPJzkE2+aRBVIQokXg9EKrNWMZNcL659raYCJymERxqkbXD1yI/XG07Kxe0J8j0yzWkFgfY2R1g==
X-Received: by 2002:a05:6214:c2b:b0:446:512a:26f7 with SMTP id
 a11-20020a0562140c2b00b00446512a26f7mr11487962qvd.38.1650859178937; 
 Sun, 24 Apr 2022 20:59:38 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:38 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 002/232] gnu: python-astroid: Propagate
 python-typing-extensions.
Date: Sun, 24 Apr 2022 23:55:28 -0400
Message-Id: <20220425035918.25683-2-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
References: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-astroid)
[native-inputs]: Move python-typing-extensions to...
[propagated-inputs]: ... here.
[synopsis]: Shorten.
[description]: Normalize indentation.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index cde86ba007..464171bee5 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -19043,21 +19043,19 @@ (define-public python-astroid
         (base32 "19iiys4233cicpm48fd7lrkm31kk47qiv44wvk952rqbcn4rd2dh"))))
     (build-system python-build-system)
     (propagated-inputs
-     (list python-lazy-object-proxy python-wrapt))
+     (list python-lazy-object-proxy python-typing-extensions python-wrapt))
     (native-inputs
-     (list python-pytest python-pytest-runner python-typing-extensions))
+     (list python-pytest python-pytest-runner))
     (home-page "https://github.com/PyCQA/astroid")
-    (synopsis "Common base representation of python source code for pylint and
-     other projects")
+    (synopsis "Python source code base representation")
     (description "@code{python-astroid} provides a common base representation
-     of python source code for projects such as pychecker, pyreverse, pylint, etc.
-
-     It provides a compatible representation which comes from the _ast module.  It
-     rebuilds the tree generated by the builtin _ast module by recursively walking
-     down the AST and building an extended ast.  The new node classes have
-     additional methods and attributes for different usages.  They include some
-     support for static inference and local name scopes.  Furthermore, astroid
-     builds partial trees by inspecting living objects.")
+of Python source code for projects such as pychecker, pyreverse, pylint, etc.
+It provides a compatible representation which comes from the _ast module.  It
+rebuilds the tree generated by the builtin _ast module by recursively walking
+down the AST and building an extended ast.  The new node classes have
+additional methods and attributes for different usages.  They include some
+support for static inference and local name scopes.  Furthermore, astroid
+builds partial trees by inspecting living objects.")
     (license license:lgpl2.1+)))
 
 (define-public python-isbnlib
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at 55104 <at> debbugs.gnu.org:


Received: (at 55104) by debbugs.gnu.org; 25 Apr 2022 03:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:59:49 2022
Received: from localhost ([127.0.0.1]:60573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipt3-0007gl-67
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:49 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:36456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipsw-0007gN-31
 for 55104 <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:59:43 -0400
Received: by mail-qk1-f172.google.com with SMTP id d19so9978992qko.3
 for <55104 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 20:59:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+k4r2JQPbFDIXhr8RYDWx56JSzg+0lILLm3ku5GEeEI=;
 b=DrHYTzvMgIABPc1XQVNT4tFKX58Q96ezjMLtIDR68sQqjMQ8fxedjGneiDFmPZtdm0
 YNMffv0Z8010HwEgHq0qVTrN+E87g/BjKByuP7UwNhoy4l/7w3ZantARmpLbP8Dl7gva
 SEp7Ck1/bfWB4QNFtSs7qIjdVRQGvUtSreeuzP6rkJ6E+lY6VIjQS/SeiS44Pdw16HXl
 H6nwlfcpvWD9P/dxqc8jGYwnQxNztMt0kTQ7Rwb39ivy5Zn7fGHPagmcLGGgyuRBRWlh
 sLaaHYY3AOwWe27ne683BHrouyXqtqcW+o/z2d7/Rrh99vq094B3icgIPpx6ByPBD1bL
 M9TA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+k4r2JQPbFDIXhr8RYDWx56JSzg+0lILLm3ku5GEeEI=;
 b=XozMC0YFnKSYz+Kt5a6xpS7EohuuOPU7U/GbynrVheOwIMpFYjKRCUm1lWHPOfS2Yp
 ZfgE13Ls6IFGBkxQq86F9zYZfZJFSt5CFieNk5ZF2e4pdmXqqG1mW825bJu4StuptiCC
 fvXltI6ou22+dcRSW+ecGHjDw0IgMB5GgcgWTAMH1TmO7Bsn+2V4MgLxiw3XJ+ZNQ9Xb
 H8AwJr4d6NuDa7kk6MQW9F/Ih3xI02+GUYR7IEilIEPFkzFasXQPEdZ3jgVw+kiuMnRr
 clg4JpUO8epESTU2KvsmOeBkxJ3Jv+SiUzfFgQQTVzWX4LMqCfsLs0Qo+/rANn+qyL/6
 WlqQ==
X-Gm-Message-State: AOAM533CT3hO74iBAkunVlkn96OY9MmKdxHtkt0etfGH5eh4GcunY/6k
 KsdJhqV0jJ605ApFVcmxQpdWZGNd4iqcaA==
X-Google-Smtp-Source: ABdhPJz8V02O28mpoMhFH0PDCXyAC127QZ4XYFU9qwv0D7Hprpw8Gw6DY/4467xkBVdqvTbu17E3IQ==
X-Received: by 2002:a05:620a:424b:b0:67d:36cc:5afb with SMTP id
 w11-20020a05620a424b00b0067d36cc5afbmr9198264qko.598.1650859172033; 
 Sun, 24 Apr 2022 20:59:32 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 w82-20020a376255000000b0069ee3f0ae63sm4478142qkb.45.2022.04.24.20.59.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:59:31 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55104 <at> debbugs.gnu.org
Subject: [PATCH 001/232] gnu: python-ipython: Re-order fields.
Date: Sun, 24 Apr 2022 23:55:27 -0400
Message-Id: <20220425035918.25683-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55104
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-ipython): Move the 'arguments' field
right after the 'build-system' one,  Re-indent 'inputs' field.
[propagated-inputs]: Sort inputs.
---
 gnu/packages/python-xyz.scm | 79 +++++++++++++++++--------------------
 1 file changed, 37 insertions(+), 42 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 9a5d311680..cde86ba007 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8986,33 +8986,6 @@ (define-public python-ipython
        (sha256
         (base32 "04xgymypnbfgf2q0d5b0hanjbjsp53f055sh1p8xlq52vyzmxdaq"))))
     (build-system python-build-system)
-    (propagated-inputs
-     (list python-backcall
-           python-pyzmq
-           python-prompt-toolkit-2
-           python-terminado
-           python-matplotlib
-           python-matplotlib-inline
-           python-numpy
-           python-numpydoc
-           python-jedi
-           python-jinja2
-           python-mistune
-           python-pexpect
-           python-pickleshare
-           python-simplegeneric
-           python-jsonschema
-           python-traitlets
-           python-nbformat
-           python-pygments))
-    (inputs
-     (list readline which))
-    (native-inputs
-     (list graphviz
-           pkg-config
-           python-requests ;; for tests
-           python-testpath
-           python-nose))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -9022,20 +8995,6 @@ (define-public python-ipython
                ((".*import datetime") "")
                ((".*datetime.datetime.now\\(\\)") "")
                (("%timeit") "# %timeit"))))
-         ;; Tests can only be run after the library has been installed and not
-         ;; within the source directory.
-         (delete 'check)
-         (add-after 'install 'check
-           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
-             (if tests?
-                 (begin
-                   ;; Make installed package available for running the tests
-                   (add-installed-pythonpath inputs outputs)
-                   (setenv "HOME" "/tmp/") ;; required by a test
-                   ;; We only test the core because one of the other tests
-                   ;; tries to import ipykernel.
-                   (invoke "python" "IPython/testing/iptest.py"
-                           "-v" "IPython/core/tests")))))
          (add-before 'check 'fix-tests
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "./IPython/utils/_process_posix.py"
@@ -9050,7 +9009,43 @@ (define-public python-ipython
              (delete-file "IPython/core/tests/test_interactiveshell.py")
              ;; AttributeError: module 'matplotlib_inline' has no
              ;; attribute 'backend_inline'
-             (delete-file "IPython/core/tests/test_pylabtools.py"))))))
+             (delete-file "IPython/core/tests/test_pylabtools.py")))
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               ;; Make installed package available for running the tests
+               (add-installed-pythonpath inputs outputs)
+               (setenv "HOME" "/tmp/") ;; required by a test
+               ;; We only test the core because one of the other tests
+               ;; tries to import ipykernel.
+               (invoke "python" "IPython/testing/iptest.py"
+                       "-v" "IPython/core/tests")))))))
+    (inputs (list readline which))
+    (propagated-inputs
+     (list python-backcall
+           python-jedi
+           python-jinja2
+           python-jsonschema
+           python-matplotlib
+           python-matplotlib-inline
+           python-mistune
+           python-nbformat
+           python-numpy
+           python-numpydoc
+           python-pexpect
+           python-pickleshare
+           python-prompt-toolkit-2
+           python-pygments
+           python-pyzmq
+           python-simplegeneric
+           python-terminado
+           python-traitlets))
+    (native-inputs
+     (list graphviz
+           pkg-config
+           python-requests              ;for tests
+           python-testpath
+           python-nose))
     (home-page "https://ipython.org")
     (synopsis "IPython is a tool for interactive computing in Python")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Apr 2022 03:57:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 23:57:25 2022
Received: from localhost ([127.0.0.1]:60559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nipqm-0007cV-U9
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:57:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:51532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nipql-0007cI-30
 for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 23:57:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36774)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1nipqk-0002eD-Qz
 for guix-patches@HIDDEN; Sun, 24 Apr 2022 23:57:22 -0400
Received: from mail-qk1-x72b.google.com ([2607:f8b0:4864:20::72b]:34330)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1nipqi-0008QV-GL
 for guix-patches@HIDDEN; Sun, 24 Apr 2022 23:57:22 -0400
Received: by mail-qk1-x72b.google.com with SMTP id j9so9976827qkg.1
 for <guix-patches@HIDDEN>; Sun, 24 Apr 2022 20:57:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=LG+ymFOhRWwBsygw1tP8NRZ6gf4mOcN17MshVa+Csm4=;
 b=qR9UCSyKYuGganhi8hY5y7rmp2su4mRcdf1wFgkW68YiDKoVcbx2PnqDJBM1JNCL8l
 K7TlMh5O+nWbVdHg2intzuz2rjBhej5jWs9aP0m1u69bwY0dPjxB1Rski6Mf5JNyo40T
 b5u3OpXjuZRxuCGqP3HikLXlbgra7/HLg7leKnVUXQN6I8iA+ZMCQcjvyeIoxdM+qK8l
 /wp7nQ2jYy2x1G2AxLt7nEFC2NRXF/KbHfuIOCCppKrXLfRYzySxbsyjmBFTw5ug+lAo
 uuc2UusRsXA9rWIwAyJ0CGVOFZt+60CHEfb1x/EhXHbeyXOro04yMt814n3c64kTPZTJ
 veZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=LG+ymFOhRWwBsygw1tP8NRZ6gf4mOcN17MshVa+Csm4=;
 b=DkBecNJrfk21U0czut3ogduNfXp7zOHd9Vub6XTIFegwurMY1Dca3IuorkmPVdaK50
 Qjffvl8UV/dW1AGsNJjcPumhII742DN1GcyiU5sjU1yI30LZpe7KskWKEAu2t2pCw9hh
 V4It+WRIjhY5HKNxDwGeFr0htJKquPancEg9LzzQ6UG5cKLKfhLonZAwP4IBLePggqIE
 47YtcCq1iZqVYiRkM0+6IudR0LSfdmLMDw3JvMkYM0PPTcniZvv9a2Yvp2cc8j+Fja8Y
 fK307voWYEsgjTfrEOtAEOTkqkggBcMVQDo1hNI0WczTW4B5oOrd5XsV37hfAQNs0vPd
 Tw3A==
X-Gm-Message-State: AOAM532p+i6ATkokVAkZyXHm8qhkIUaeiqXxR9Mpu79jVsUoSjKLuTTH
 d3ZLIgD6BPVFb9lwRdVDnHMHZE1Wm+72CA==
X-Google-Smtp-Source: ABdhPJxGy4309NVExcotJwAItMZUDugznd7VtNQYIX9cQZh5XSookZKe/YeXUgVxKNmtqZaEKClTow==
X-Received: by 2002:a37:8ac1:0:b0:69b:ef34:2655 with SMTP id
 m184-20020a378ac1000000b0069bef342655mr9020116qkd.336.1650859037629; 
 Sun, 24 Apr 2022 20:57:17 -0700 (PDT)
Received: from localhost.localdomain (dsl-150-232.b2b2c.ca. [66.158.150.232])
 by smtp.gmail.com with ESMTPSA id
 x13-20020a05620a258d00b0069c7468e123sm4500964qko.122.2022.04.24.20.57.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 20:57:17 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 000/232] Update IPython to latest, fix texlive-polyglossia,
 add more
Date: Sun, 24 Apr 2022 23:57:14 -0400
Message-Id: <20220425035714.25466-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::72b;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-qk1-x72b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello Guix!

This is the result of a quest to update IPython (to fix a reported CVE) and
wanting to fix its Texinfo/PDF doc generation.  The later ended up being a
rather deep rabbit hole, hence the following slurry of commits.  The end
result is that we now have an up-to-date IPython and better support to build
Sphinx-based documentation, a working texlive-polyglossia package (at least
for XeLaTeX) and many new font tools that should allow us to build more fonts
from source.

The branch wip-ipython-polyglossia has been used to bulid the branch, so
should you be interested in trying it, the new packages should have
substitutes.

Thanks, and happy 10th Guix anniversary!

Maxim Cournoyer (232):
  gnu: python-ipython: Re-order fields.
  gnu: python-astroid: Propagate python-typing-extensions.
  gnu: Add python-pure-eval.
  gnu: Add python-asttokens.
  gnu: Add python-littleutils.
  gnu: Add python-stack-data.
  gnu: python-traitlets: Update to 5.1.1.
  gnu: python-jinja2: Update to 3.1.1.
  gnu: python-prompt-toolkit: Update to 3.0.29.
  gnu: python-ipython: Update to 8.2.0 [fixes CVE-2022-21699].
  gnu: python-nbformat: Update to 5.3.0.
  gnu: Add texlive-paralist.
  gnu: Add texlive-stix2-otf.
  gnu: Add texlive-metalogo.
  gnu: Add texlive-makecmds.
  gnu: Add texlive-csplain.
  gnu: Add texlive-cs.
  gnu: Add texlive-zref.
  gnu: Add python-pcpp.
  gnu: Add opentype-sanitizer.
  gnu: Add python-opentype-sanitizer.
  gnu: Add python-defcon-bootstrap.
  gnu: Add python-fontmath.
  gnu: Add python-unicodedata2.
  gnu: python-fonttools-with-test: Rename to python-fonttools-full.
  gnu: Add python-mutatormath.
  gnu: Add python-fontpens-bootstrap.
  gnu: Add python-booleanoperations.
  gnu: Add python-fontparts-bootstrap.
  gnu: Add python-fontpens.
  gnu: Add python-defcon.
  gnu: Add python-fontparts.
  gnu: Add python-cu2qu.
  gnu: Add python-ufoprocessor.
  gnu: Add python-ufonormalizer.
  gnu: Add python-types-toml.
  gnu: Add python-pytest-mypy.
  gnu: Add python-jaraco-context-bootstrap.
  gnu: Add python-jaraco-functools-bootstrap.
  gnu: Add python-autocommand.
  gnu: Add python-types-freezegun.
  gnu: Add python-types-pytz.
  gnu: Add python-pytest-freezegun.
  gnu: Add python-pytest-enabler-bootstrap.
  gnu: Add python-path-bootstrap.
  gnu: Add python-pip-run-bootstrap.
  gnu: python-importlib-metadata: Update to 4.11.3.
  gnu: python-pytest-black: Update to 0.3.12.
  gnu: python-mypy: Update to 0.942 and fix search path.
  gnu: Add python-types-docutils.
  gnu: python-pytest-checkdocs: Update to 2.7.1.
  gnu: Add python-jaraco-classes.
  gnu: Add python-jaraco-context.
  gnu: Add python-jaraco-functools.
  gnu: Add python-pytest-enabler.
  gnu: Add python-path.
  gnu: Add python-pip-run.
  gnu: Add python-tempora.
  gnu: Add python-pytest-perf.
  gnu: python-factory-boy: Update to 3.2.1.
  gnu: python-faker: Update to 13.3.4 and honor TESTS?.
  gnu: Add python-pytest-randomly.
  gnu: Add psautohint-font-data.
  gnu: Add psautohint.
  gnu: Add python-ordered-set.
  gnu: Add python-xdoctest.
  gnu: Add python-ubelt.
  gnu: python-setuptools: Update to 62.0.0.
  gnu: python-pathpy: Deprecate by python-path.
  gnu: python-pytest-shutil: Adjust to use python-path.
  gnu: python-pytest-cov: Update to 3.0.0.
  gnu: Add python-scikit-build.
  gnu: python-jupyter-packaging: Update to 0.12.0, run test suite.
  gnu: python-scipy: Move input fields below arguments field.
  gnu: python-scipy: Update to 1.8.0 and enable parallel build.
  gnu: Add java-antlr4-runtime-cpp.
  gnu: Add python-fonttools-next.
  gnu: Add python-afdko.
  gnu: Add python-cffsubr.
  gnu: Add skia.
  gnu: Add python-skia-pathops.
  gnu: Add python-ufolib2.
  gnu: Add python-compreffor.
  gnu: Add python-ufo2ft.
  gnu: Add python-sfdlib.
  gnu: Add font-amiri.
  gnu: Add font-sil-ezra.
  gnu: Add texlive-bidi.
  gnu: Add font-gfs-ambrosia.
  gnu: python-click: Update to 8.1.2 and honor TESTS?.
  gnu: python-flask: Update to 2.1.1.
  gnu: Add python-untangle.
  gnu: python-black: Update to 22.3.0.
  gnu: pylint: Run tests in parallel.
  gnu: python-trio: Update to 0.20.0.
  gnu: Add python-pydevd.
  gnu: Add python-debugpy.
  gnu: python-greenlet: Update to 1.1.2.
  gnu: Add python-pytest-forked-next.
  gnu: python-pytest-xdist-next: Update to 2.5.0.
  gnu: Add python-ipyparallel-bootstrap.
  gnu: python-nest-asyncio: Update to 1.5.5.
  gnu: python-jupyter-core: Update to 4.10.0.
  gnu: python-jupyter-client: Update to 7.2.2.
  gnu: python-ipykernel: Update to 6.13.0.
  gnu: Add python-pytest-tornado.
  gnu: python-ipyparallel: Update to 8.2.1.
  gnu: python-anyio: Update to 3.5.0.
  gnu: python-nbclient: Update to 0.6.0.
  gnu: python-bleach: Update to 5.0.0.
  gnu: Add texlive-unicode-math.
  gnu: Add texlive-lm-math.
  gnu: python-nbconvert: Update to 6.5.0.
  gnu: Add python-jupyter-server-mathjax.
  gnu: python-nbval: Fix build.
  gnu: python-send2trash: Update to 1.8.0 and update home page.
  gnu: python-notebook: Update to 6.4.10.
  gnu: Add python-nbdime.
  gnu: Add python-docrepr.
  gnu: python-sphinx: Propagate TexLive dependencies.
  gnu: Add python-pep621.
  gnu: Add python-sphinx-theme-builder.
  gnu: Add python-sphinx-sitemap.
  gnu: texlive-fontspec: Add missing propagated inputs.
  gnu: texlive-polyglossia: Rename and fix package.
  gnu: Add texlive-cbfonts-fd.
  gnu: Add texlive-cbfonts.
  download: Add a mirror for CTAN.
  gnu: texlive-latex-geometry: Propagate texlive-latex-graphics.
  gnu: Add texlive-cm-lgc.
  gnu: Add texlive-xindy.
  gnu: python-ipython-documentation: Also build info and pdf targets.
  gnu: python-websockets: Update to 10.3 and enable tests.
  gnu: Add python-strict-rfc3339.
  gnu: Add python-rfc3339-validator.
  gnu: Add python-openapi-schema-validator.
  gnu: Add python-openapi-spec-validator.
  gnu: Add python-cbor2.
  gnu: python-httpcore: Update to 0.14.7 and enable tests.
  gnu: Add python-httpcore-bootstrap.
  gnu: Add python-httpx-bootstrap.
  gnu: python-httpx: Update to 0.22.0.
  gnu: python-uvicorn: Update to 0.17.6.
  gnu: Add python-socksio.
  gnu: python-sqlalchemy: Run tests in parallel via xdist.
  gnu: python-sqlalchemy: Update to 1.4.35.
  gnu: Add python-pecan.
  gnu: Add python-aioredis.
  gnu: python-fakeredis: Update to 1.7.1.
  gnu: python-falcon: Update to 3.1.0.
  gnu: Add python-dictpath.
  gnu: Add python-openapi-core.
  gnu: Add python-jupyterlab-server.
  gnu: python-hypothesis-6.23: Update to 6.43.3.
  gnu: python-numpy: Update to 1.21.6 and parallelize build/tests.
  gnu: python-llvmlite: Update to 0.38.0.
  gnu: python-numba: Update to 0.55.1.
  gnu: python-pandas: Build and run tests in parallel.
  gnu: python-pandas: Update to 1.4.2.
  gnu: python-scikit-learn: Parallelize build and test suite.
  gnu: python-pynndescent: Update to 0.5.6.
  gnu: python-umap-learn: Update to 0.5.3.
  gnu: python-jupyter-server: Update to 1.16.0.
  gnu: python-voila: Update to 0.3.5.
  gnu: python-sparqlwrapper: Update to 2.0.0.
  gnu: python-sparqlkernel: Use gexps and fix inputs.
  gnu: python-jupyter-protocol: Update to 0.2.0.
  gnu: python-jupyter-kernel-mgmt: Update to 0.5.1 and disable tests.
  gnu: xeus: Update to 2.4.1.
  gnu: python-types-dataclasses: Fix typo.
  gnu: python-cmarkgfm: Update to 0.8.0.
  gnu: python-readme-renderer: Update to 34.0.
  gnu: mbed-tools: Update to 7.53.0 and relax click version requirement.
  gnu: conan: Update to 1.47.0 and relax PyYAML requirement.
  gnu: python-parse-type: Update to 0.6.0, fixing build.
  gnu: Add python-bson.
  gnu: python-can: Update to 4.0.0.
  gnu: python-amqp: Update to 5.1.1 and enable tests.
  gnu: python-kombu: Update to 5.2.4.
  gnu: python-celery: Update to 5.2.6 and enable tests.
  gnu: Add python-argparse-addons.
  gnu: python-bitstruct: Update to 8.14.0.
  gnu: Add python-toolrack.
  gnu: sshoot: Update to 1.5.1.
  gnu: python-multipart: Fix build with PyYAML 6.
  gnu: Add python-mergedeep.
  gnu: Add python-pyyaml-env-tag.
  gnu: python-ghp-import: Update to 2.0.2.
  gnu: Add python-mdx-gh-links.
  gnu: python-mkdocs: Update to 1.3.0.
  gnu: Add python-crccheck.
  gnu: python-cantools: Update to 37.0.7.
  gnu: python-locust: Update to 2.8.6.
  gnu: Remove python2-jmespath.
  gnu: python-croniter: Update to 1.3.4.
  gnu: python-miio: Update to 0.5.11.
  gnu: Remove python-orator due to being broken and unmaintained.
  gnu: Add python-pydyf.
  gnu: weasyprint: Update to 54.3.
  gnu: seed: Use webkitgtk-with-libsoup2.
  gnu: markets: Add python-wrapper to fix build.
  gnu: libgrss: Use libsoup-minimal-2 to fix build.
  gnu: setzer: Add python-wrapper to fix build.
  gnu: emacsy: Use webkitgtk-with-libsoup2.
  gnu: python-keyring: Fix test suite.
  gnu: Remove python2-keyring.
  gnu: python-pingouin: Update to 0.5.1.
  gnu: python-flask-wtf: Update to 1.0.1.
  gnu: python-flask-login: Update to 0.6.0.
  snippets: Add a 'remove' snippet.
  gnu: python2-sqlalchemy: Skip a failing test.
  gnu: dynaconf: Fix build following python-click upgrade.
  gnu: python-numpydoc: Update to 1.2.1.
  gnu: python-sphinx: Update to 4.5.0.
  gnu: python-pydata-sphinx-theme: Update to 0.7.2.
  gnu: python-sphinx-copybutton: Update to 0.5.0.
  gnu: python-sphinx-click: Update to 4.0.3 and enable tests.
  gnu: python-sphinxcontrib-websupport: Update to 1.2.4.
  gnu: python-sphinxcontrib-programoutput: Update to 0.17 and enable
    tests.
  gnu: python-sphinx-argparse: Update to 0.3.1.
  gnu: python-sphinx-cloud-sptheme: Update to 1.10.1 [still broken].
  gnu: Add python-beartype.
  gnu: Add python-nptyping.
  gnu: python-sphinx-autodoc-typehints: Update to 1.18.1.
  gnu: python-sphinxext-opengraph: Update to 0.6.3.
  gnu: python-sphinx-rtd-theme: Update to 1.0.0.
  gnu: python-numpy-documentation: Overhaul package definition.
  gnu: Add python-ipdb.
  gnu: python-pudb: Update to 2022.1.1 and rename from pudb.
  gnu: Add python-mpl-sphinx-theme.
  gnu: Add texlive-underscore.
  gnu: python-matplotlib-documentation: Fix build.

 .../guix-commit-message-remove-package        |   13 +
 gnu/local.mk                                  |    4 +
 gnu/packages/android.scm                      |   22 +-
 gnu/packages/benchmark.scm                    |   24 +-
 gnu/packages/c.scm                            |   32 +
 gnu/packages/check.scm                        |  258 +-
 gnu/packages/databases.scm                    |  124 +-
 gnu/packages/documentation.scm                |   57 +
 gnu/packages/embedded.scm                     |   10 +-
 gnu/packages/fonts.scm                        |   91 +
 gnu/packages/fontutils.scm                    |  767 +++-
 gnu/packages/gnome-xyz.scm                    |    2 +
 gnu/packages/gnome.scm                        |    7 +-
 gnu/packages/graphics.scm                     |  135 +
 gnu/packages/guile-xyz.scm                    |   10 +-
 gnu/packages/java.scm                         |   35 +-
 gnu/packages/jupyter.scm                      |  330 +-
 gnu/packages/llvm.scm                         |    6 +-
 gnu/packages/machine-learning.scm             |   77 +-
 gnu/packages/markup.scm                       |    4 +-
 gnu/packages/matrix.scm                       |    2 +-
 gnu/packages/package-management.scm           |   12 +-
 .../python-debugpy-unbundle-pydevd.patch      |  254 ++
 .../python-ipython-documentation-chars.patch  |   18 +
 .../python-ipython-documentation-repro.patch  |   25 +
 .../patches/python-mypy-use-sys-path.patch    |  130 +
 gnu/packages/pdf.scm                          |  130 +-
 gnu/packages/python-check.scm                 |  160 +-
 gnu/packages/python-crypto.scm                |   30 +-
 gnu/packages/python-science.scm               |  172 +-
 gnu/packages/python-web.scm                   |  498 ++-
 gnu/packages/python-xyz.scm                   | 3388 +++++++++++------
 gnu/packages/rdf.scm                          |   13 +-
 gnu/packages/sphinx.scm                       |  302 +-
 gnu/packages/tex.scm                          |  744 +++-
 gnu/packages/version-control.scm              |   11 +-
 gnu/packages/vpn.scm                          |   20 +-
 gnu/packages/xml.scm                          |   30 +
 guix/download.scm                             |    5 +
 39 files changed, 6249 insertions(+), 1703 deletions(-)
 create mode 100644 etc/snippets/text-mode/guix-commit-message-remove-package
 create mode 100644 gnu/packages/patches/python-debugpy-unbundle-pydevd.patch
 create mode 100644 gnu/packages/patches/python-ipython-documentation-chars.patch
 create mode 100644 gnu/packages/patches/python-ipython-documentation-repro.patch
 create mode 100644 gnu/packages/patches/python-mypy-use-sys-path.patch

-- 
2.34.0





Acknowledgement sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55104; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 05:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.